<%@ Page AutoEventWireup="true" Inherits="ExtendSubscription"
	Language="C#" MasterPageFile="~/MasterPage.master" Codebehind="ExtendSubscription.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <div class="slds-p-around_xx-small">
    <div class="slds-card slds-m-bottom_xx-large slds-p-around_x-small ">
    <div class="slds-box">
	<table border="0">
		<tr>
			<td align="left" valign="top">
				<asp:ScriptManager ID="ScriptManager" runat="server">
				</asp:ScriptManager>
				<asp:UpdatePanel ID="UpdatePanel" runat="server">
					<ContentTemplate>
						<asp:HiddenField ID="hdnID" runat="server"></asp:HiddenField>
						<asp:HiddenField ID="hdnExpiresOn" runat="server"></asp:HiddenField>
						<asp:HiddenField ID="hdnHostingExpiresOn" runat="server"></asp:HiddenField>
						<table border="0" cellpadding="0" cellspacing="0">
							<tbody>
								<tr>
									<td>
										<asp:UpdatePanel ID="PanUpdateExpiry" runat="server">
											<ContentTemplate>
												<table class="" width="100%">
													<tbody>
														<tr>
															<td class="Heading" colspan="3">
																Update Standalone Expiry Date</td>
														</tr>
														<tr>
															<td colspan="3">
																You can use this page to extend the expiry date of hosting of any subscription.
															</td>
														</tr>
														<tr>
															<td colspan="3">
																&nbsp;<asp:Label ID="lbError" runat="server" ForeColor="Red"></asp:Label></td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Current Expiration Date:</td>
															<td>
																<asp:Label ID="lbCurrentExpiresOn" runat="server"></asp:Label></td>
															<td>
															</td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Extend Expiration By:</td>
															<td>
																<asp:DropDownList ID="cmbExtend" runat="server" OnSelectedIndexChanged="cmbExtend_SelectedIndexChanged"
																	AutoPostBack="True">
																	<asp:ListItem></asp:ListItem>
																	<asp:ListItem Value="15">15 Days</asp:ListItem>
																	<asp:ListItem Value="30">30 Days</asp:ListItem>
																	<asp:ListItem Value="45">45 Days</asp:ListItem>
																</asp:DropDownList></td>
															<td>
															</td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Is Evaluation?</td>
															<td>
																<asp:CheckBox ID="chkIsEval" runat="server"></asp:CheckBox></td>
															<td>
															</td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Expiration Date:</td>
															<td style="height: 20px; width:193px;">
																<table cellspacing="0" cellpadding="0" border="0">
																	<tbody>
																		<tr>
																			<td>
																				<asp:TextBox ID="edDate" runat="server"></asp:TextBox>
																			</td>
																			<td>
																				<cc1:ImageButton ID="btnCalander" OnClick="btnCalander_Click" runat="server" Text="...">
																				</cc1:ImageButton>
																			</td>
																		</tr>
																	</tbody>
																</table>
															</td>
															<td valign="top" align="left" rowspan="3">
																<asp:Calendar ID="calExpiresOn" runat="server" Visible="False" OnSelectionChanged="calExpiresOn_SelectionChanged">
																</asp:Calendar>
															</td>
														</tr>
														<tr>
															<td>
															</td>
															<td style="height: 20px">
																<cc1:ImageButton ID="btnSave" OnClick="btnSave_Click" runat="server" Text="Save"
																	SkinID="DefaultButton"></cc1:ImageButton></td>
															<td>
															</td>
														</tr>
													</tbody>
												</table>
											</ContentTemplate>
										</asp:UpdatePanel>
										<asp:UpdatePanel ID="PanUpdateHosting" runat="server">
											<ContentTemplate>
												<table class="" width="100%">
													<tbody>
														<tr>
															<td class="Heading" colspan="3">
																Update Hosting Expiration Date</td>
															<td>
															</td>
														</tr>
														<tr>
															<td colspan="3">
																You can use this page to extend the expiry date of hosting of any subscription.
																This page is suppose to be used by administrators only. Any unauthorized use of
																this page is prohibited.
															</td>
														</tr>
														<tr>
															<td colspan="3">
																&nbsp;<asp:Label ID="lbHostingError" runat="server" ForeColor="Red"></asp:Label></td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Current Expiration Date:</td>
															<td>
																<asp:Label ID="lbHostingCurrentExpiresOn" runat="server"></asp:Label></td>
															<td>
															</td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Extend Expiration By:</td>
															<td>
																<asp:DropDownList ID="cmbHostingExp" runat="server" OnSelectedIndexChanged="cmbExtendHosting_SelectedIndexChanged"
																	AutoPostBack="True">
																	<asp:ListItem></asp:ListItem>
																	<asp:ListItem Value="15">15 Days</asp:ListItem>
																	<asp:ListItem Value="30">30 Days</asp:ListItem>
																	<asp:ListItem Value="45">45 Days</asp:ListItem>
																</asp:DropDownList></td>
															<td>
															</td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Expiration Date:</td>
															<td style="height: 20px; width:193px;">
																<table cellspacing="0" cellpadding="0" border="0">
																	<tbody>
																		<tr>
																			<td>
																				<asp:TextBox ID="edHostingDateExp" runat="server"></asp:TextBox>
																			</td>
																			<td>
																				<cc1:ImageButton ID="btnHostingCal" OnClick="btnHostingCalander_Click" runat="server"
																					Text="..."></cc1:ImageButton>
																			</td>
																		</tr>
																	</tbody>
																</table>
															</td>
															<td valign="top" align="left" rowspan="3">
																<asp:Calendar ID="calHostingExp" runat="server" Visible="False" OnSelectionChanged="calHostingExpiresOn_SelectionChanged">
																</asp:Calendar>
															</td>
														</tr>
														<tr>
															<td>
															</td>
															<td style="height: 20px">
																<cc1:ImageButton ID="ImageButton2" OnClick="btnHostingSave_Click" runat="server"
																	Text="Save" SkinID="DefaultButton"></cc1:ImageButton></td>
															<td>
															</td>
														</tr>
													</tbody>
												</table>
											</ContentTemplate>
										</asp:UpdatePanel>
										<asp:UpdatePanel ID="PanMaxServerProfiles" runat="server">
											<ContentTemplate>
												<asp:HiddenField ID="hdnMaxServerProfile" runat="server"></asp:HiddenField>
												<table class="" width="100%">
													<tbody>
														<tr>
															<td class="Heading" colspan="4">
																Max. Server Profiles</td>
														</tr>
														<tr>
															<td colspan="4">
																You can use this page to extend the number of servers of any subscription.
															</td>
														</tr>
														<tr>
															<td colspan="3">
																&nbsp;<asp:Label ID="lbMaxServerProfileError" runat="server" ForeColor="Red"></asp:Label></td>
														</tr>
														<tr>
															<td class="Label">
																Current Max. Servers:</td>
															<td>
																<asp:Label ID="lbCurrentServers" runat="server">
																</asp:Label></td>
															<td style="width: 90px">
															</td>
														</tr>
														<tr>
															<td class="Label">
																Max. Servers:</td>
															<td>
																<asp:DropDownList ID="cmbNoOfServer" runat="server">
																	<asp:ListItem Value="0">No Server</asp:ListItem>
																	<asp:ListItem Value="1">1 Server</asp:ListItem>
																	<asp:ListItem Value="2">2 Servers</asp:ListItem>
																	<asp:ListItem Value="3">3 Servers</asp:ListItem>
																	<asp:ListItem Value="4">4 Servers</asp:ListItem>
																	<asp:ListItem Value="5">5 Servers</asp:ListItem>
																</asp:DropDownList></td>
															<td>
															</td>
														</tr>
														<tr>
															<td>
															</td>
															<td>
																<cc1:ImageButton ID="btnExtendExpiration" OnClick="btnExtendServers_Click" runat="server"
																	Text="Extend" SkinID="DefaultButton"></cc1:ImageButton></td>
															<td>
															</td>
														</tr>
													</tbody>
												</table>
											</ContentTemplate>
										</asp:UpdatePanel>
										<asp:UpdatePanel ID="PanRecords" runat="server">
											<ContentTemplate>
												<asp:HiddenField ID="HiddenField1" runat="server"></asp:HiddenField>
												<table class="" width="100%">
													<tbody>
														<tr>
															<td class="Heading" colspan="4">
																Subscription Records</td>
														</tr>
														<tr>
															<td colspan="4">
																You can use this section to update the Records of any subscription.
															</td>
														</tr>
														<tr>
															<td colspan="3">
																&nbsp;<asp:Label ID="lbRecordsError" runat="server" ForeColor="Red"></asp:Label></td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Max. Records:</td>
															<td>
																<asp:TextBox ID="edMaxRecords" runat="server" Width="30"></asp:TextBox>
																<asp:RangeValidator ID="RangeValidator2" runat="server" ValidationGroup="Records"
																	Type="Integer" MinimumValue="0" MaximumValue="9999999" ErrorMessage="*" ControlToValidate="edMaxRecords"></asp:RangeValidator></td>
															<td style="width: 40px" align="left">
															</td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Used Record:</td>
															<td>
																<asp:TextBox ID="edUsedRecords" runat="server" Width="30"></asp:TextBox>
																<asp:RangeValidator ID="RangeValidator1" runat="server" ValidationGroup="Records"
																	Type="Integer" MinimumValue="0" MaximumValue="9999999" ErrorMessage="*" ControlToValidate="edUsedRecords"></asp:RangeValidator></td>
															<td align="left">
															</td>
														</tr>
														<tr>
															<td>
															</td>
															<td>
																<cc1:ImageButton ID="btnUpdateRecords" OnClick="btnExtendRecords_Click" runat="server"
																	Text="Update" SkinID="DefaultButton"></cc1:ImageButton></td>
															<td>
															</td>
														</tr>
													</tbody>
												</table>
											</ContentTemplate>
										</asp:UpdatePanel>
										<asp:UpdatePanel ID="PanBandWidth" runat="server">
											<ContentTemplate>
												<asp:HiddenField ID="HiddenField2" runat="server"></asp:HiddenField>
												<table class="" width="100%">
													<tbody>
														<tr>
															<td class="Heading" colspan="4">
																Subscription Bandwidth</td>
														</tr>
														<tr>
															<td colspan="4">
																You can use this section to update the Bandwidth of any subscription.
															</td>
														</tr>
														<tr>
															<td colspan="3">
																&nbsp;<asp:Label ID="lblBandwidthError" runat="server" ForeColor="Red"></asp:Label></td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Max. Bandwidth:</td>
															<td>
																<asp:TextBox ID="edMaxBandwidth" runat="server" Width="30"></asp:TextBox>
																<asp:RangeValidator ID="RangeValidator3" runat="server" ValidationGroup="Bandwidth"
																	Type="Integer" MinimumValue="0" MaximumValue="9999999" ErrorMessage="*" ControlToValidate="edMaxBandwidth"></asp:RangeValidator></td>
															<td style="width: 60px" align="left">
															</td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																Used Bandwidth:</td>
															<td>
																<asp:TextBox ID="edUsedBandwidth" runat="server" Width="30"></asp:TextBox>
																<asp:RangeValidator ID="RangeValidator4" runat="server" ValidationGroup="Bandwidth"
																	Type="Integer" MinimumValue="0" MaximumValue="9999999" ErrorMessage="*" ControlToValidate="edUsedBandwidth"></asp:RangeValidator></td>
															<td align="left">
															</td>
														</tr>
														<tr>
															<td>
															</td>
															<td>
																<cc1:ImageButton ID="ImageButton1" OnClick="btnExtendBandwidth_Click" runat="server"
																	Text="Update" SkinID="DefaultButton"></cc1:ImageButton></td>
															<td>
															</td>
														</tr>
													</tbody>
												</table>
											</ContentTemplate>
										</asp:UpdatePanel>
										<asp:UpdatePanel ID="Users" runat="server">
											<ContentTemplate>
												<table class="" width="100%">
													<tbody>
														<tr>
															<td class="Heading" colspan="4">
																Users</td>
														</tr>
														<tr>
															<td colspan="4">
																You can use this section to update the&nbsp;active and&nbsp;licensed users.
															</td>
														</tr>
														<tr>
															<td colspan="3">
																&nbsp;<asp:Label ID="lblUserError" runat="server" ForeColor="Red"></asp:Label>
															</td>
														</tr>
														<tr style="color: #000000">
															<td class="Label LabelExtend">
																Active Users:</td>
															<td>
																<asp:TextBox ID="edActiveUsers" runat="server" Width="40px"></asp:TextBox>
																<asp:RangeValidator ID="RangeValidator5" runat="server" MinimumValue="0" MaximumValue="99999"
																	ControlToValidate="edActiveUsers">*</asp:RangeValidator></td>
															<td style="width: 60px" align="left">
															</td>
														</tr>
														<tr>
															<td class="Label LabelExtend">
																LicencedUsers:</td>
															<td>
																<asp:TextBox ID="edLicencedUsers" runat="server" Width="40px"></asp:TextBox>
																<asp:RangeValidator ID="RangeValidator6" runat="server" MinimumValue="0" MaximumValue="99999"
																	ControlToValidate="edLicencedUsers">*</asp:RangeValidator></td>
															<td align="left">
															</td>
														</tr>
														<tr>
															<td>
															</td>
															<td>
																<cc1:ImageButton ID="btnIncreaseUsers" OnClick="btnIncreaseUsers_Click" runat="server"
																	Text="Update" SkinID="DefaultButton"></cc1:ImageButton></td>
															<td>
															</td>
														</tr>
													</tbody>
												</table>
											</ContentTemplate>
										</asp:UpdatePanel>
									</td>
								</tr>
							</tbody>
						</table>
					</ContentTemplate>
				</asp:UpdatePanel>
				<asp:UpdatePanel ID="test" runat="server">
				</asp:UpdatePanel>
			</td>
			<td>
			</td>
		</tr>
	</table>
    </div></div></div>
</asp:Content>
