﻿<%@ Page  Language="C#" AutoEventWireup="true" CodeBehind="OrderApproval.aspx.cs" Inherits="enzigma.sforce.webapp.ftp.OrderApproval" MasterPageFile="~/PublicMasterPage.master" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">

    <asp:ScriptManager ID="ScriptManager" runat="server"/>
    <div class="slds-p-around_xx-small">
    <div class="slds-card slds-m-bottom_xx-large slds-p-around_x-small ">
    <div class="slds-box">
    <asp:UpdateProgress ID="UpdatePanelSetting" runat="server"  AssociatedUpdatePanelID="UpdatePanelOrderApproval">
	    <ProgressTemplate>
            <img src="../App_Themes/Default/images/progressbar-small.gif" />
	    </ProgressTemplate>
    </asp:UpdateProgress> 
    <asp:UpdatePanel ID="UpdatePanelOrderApproval" runat="server">
		<ContentTemplate>
            <asp:HiddenField ID="hdnOrderID" runat="server" />
            <asp:HiddenField ID="hdnCustomerID" runat="server" />
            <asp:ObjectDataSource ID="Order" runat="server" SelectMethod="GetOrderForAccount" TypeName="enzigma.sforce.webapp.ftp.OrderApproval">
                <SelectParameters>
                    <asp:ControlParameter ControlID="hdnOrderID" Name="strID" PropertyName="Value" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
            <asp:HiddenField ID="hdnProductCode" runat="server"/>
           <%-- <asp:Label ID="lbError" runat="server" SkinID="Error" />--%>
            <table id="Table1" runat="server" style="width: 600px">
                <tr>
                    <td align="center" colspan="4" valign="top">
                   
                    </td>
                </tr>
                <tr>
                    <td class="InvoiceHeader" colspan="4">Order Detail For Approval<br />
                    </td>
                </tr>
                <tr>
                    <td align="left" colspan="1" valign="bottom">
                    </td>
                    <td align="left" colspan="4" valign="bottom">
                        </td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Order Number:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblOrderNumber" runat="server" Text='<%#Eval("OrderNumber")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                    <td align="right" class="Label" valign="top">Order Date:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblOrderDate" runat="server" Text='<%#Eval("Date")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Order Type:</td>
                    <td style="word-wrap: break-word; width: 175px;" align="left" valign="top">
                        <asp:Label ID="lblSubscriptionType" runat="server" Text='<%#Eval("SubscriptionType")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">
                        <br />
                    </td>
                    <td align="left" valign="top"></td>
                    <td align="right" class="Label" valign="top"></td>
                    <td align="left" valign="top"></td>
                </tr>
                <tr>
                    <td class="InformationHeader" colspan="4" style="width: 300px" valign="top">Contact Information</td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Name:</td>
                    <td style="word-wrap: break-word; width: 175px;" align="left" valign="top">
                        <asp:Label ID="lblName" runat="server" Text='<%#Eval("Name")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                    <td align="right" class="Label" valign="top">Email:</td>
                    <td align="left" style="width: 175px; word-wrap: break-word" valign="top">
                        <asp:Label ID="lblEmail" runat="server" Text='<%#Eval("Email")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Phone 1:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblPhone1" runat="server" Text='<%#Eval("Phone")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                    <td align="right" class="Label" valign="top">Phone 2:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblPhone2" runat="server" Text='<%#Eval("Phone2")%>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Fax:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblFax" runat="server" Text='<%#Eval("Fax")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">
                        <br />
                    </td>
                    <td align="left" valign="top"></td>
                    <td align="right" class="Label" valign="top"></td>
                    <td align="left" valign="top"></td>
                </tr>
                <tr>
                    <td class="InformationHeader" colspan="4" valign="top">Product Information</td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Product:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblProduct" runat="server" Text='<%#Eval("Product")%>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                    <td align="right" class="Label" valign="top">Subscribed Months:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblSubscribedMonths" runat="server" Text='<%#Eval("Months","{0:d}")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">
                        <br />
                    </td>
                    <td align="left" valign="top"></td>
                    <td align="right" class="Label" valign="top"></td>
                    <td align="left" valign="top"></td>
                </tr>
                <tr>
                    <td class="InformationHeader" colspan="4" valign="top">Before Purchase</td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Standalone Expires On:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblPrevExpiresOn" runat="server" Text='<%#Eval("PrevExpiresOn", "{0:d}")%>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                    <td align="right" class="Label" valign="top">Licensed Users:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblPrevLicensedUsers" runat="server" Text='<%#Eval("PrevLicensedUsers")%>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Hosting Expires On:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblPrevHostingExpiresOn" runat="server" Text='<%#Eval("PrevHostingExpiresOn", "{0:d}")%>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                    <td align="right" class="Label" valign="top">Upgrade Price:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblUpgradePrice" runat="server" Text='<%#Eval("UpgradePrice","{0:c}") %>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">
                        <br />
                    </td>
                    <td align="left" valign="top"></td>
                    <td align="right" class="Label" valign="top"></td>
                    <td align="left" valign="top"></td>
                </tr>
                <tr>
                    <td class="InformationHeader" colspan="4" valign="top">After Purchase</td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Licensed Users:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblPurchaseLicensedUsers" runat="server" Text='<%#Eval("LicensedUsers")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                    <td align="right" class="Label" valign="top">Server License:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblServerLicense" runat="server" Text='<%#Eval("MaxServers")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Standalone Expires On:
                    </td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblExpiresOn" runat="server" Text='<%#Eval("TransactionID")%>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                    <td align="right" class="Label" valign="top">Price:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblPrice" runat="server" Text='<%#Eval("Price", "{0:c}")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top">Unit:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblUnit" runat="server" Text='<%#Eval("Unit")%>' Font-Bold="False" Font-Size="Small"></asp:Label></td>
                    <td align="right" class="Label" valign="top">StandAlone:</td>
                    <td align="left" valign="top">
                        <asp:CheckBox ID="chkIsStandalone" runat="server" Checked='<%#Eval("IsStandAlone")%>' Enabled="false" /></td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top"></td>
                    <td align="left" valign="top"></td>
                    <td align="right" class="Label" valign="top">Total:</td>
                    <td align="left" valign="top">
                        <asp:Label ID="lblTotal" runat="server" Text='<%#Eval("Total", "{0:c}")%>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td align="right" class="Label" valign="top"></td>
                    <td align="left" valign="top"></td>
                    <td align="right" class="Label" valign="top"></td>
                    <td align="left" valign="top"></td>
                </tr>
                <tr>
                    <td class="InformationHeader" colspan="4" valign="top">Account Remark</td>
                </tr>
                <tr>
                    <%--<td align="right" class="Label" valign="top">Order Approved:</td>
                    <td align="left" valign="top">
                        <asp:CheckBox ID="chkIsApproved" runat="server" Checked='<%#Eval("IsApproved")%>' />
                    </td>--%>
                    <td align="right" class="Label" valign="top">Order Status:</td>
                    <td align="left" valign="top">
                         <asp:Label ID="chkIsStatus" runat="server" Text='<%#Eval("StageName")%>' Font-Bold="False" Font-Size="Small"></asp:Label>
                    </td>
                    <td align="char" class="Label" valign="top">Comment:</td>
                    <td align="char" valign="top">
                        <asp:TextBox  ID="txtComment" runat="server" TextMode="MultiLine" Columns="20" Rows="4"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidatorComment"  runat="server" EnableClientScript="false" ControlToValidate="txtComment" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <%--<td align="center" colspan="4" valign="top">
                        <cc1:ImageButton ID="btnSave" runat="server" OnClick="btnSubmit_Click" Text="Submit"  /></td>--%>
                     <td align="right" colspan="2" valign="top">
                        <cc1:ImageButton ID="btnSave" runat="server" OnClick="btnSubmit_Click" Text="Approve" /></td>
                    <td align="left" colspan="4" valign="top">
                        <cc1:ImageButton ID="btnReject" runat="server" OnClick="btnSubmit_Click" Text="Reject" /></td>
                </tr>
            </table>
             <asp:Label ID="lbError" runat="server" SkinID="Error" />
        </ContentTemplate>
    </asp:UpdatePanel>

  </div></div></div>

</asp:Content>
