<%@ Page Language="C#" AutoEventWireup="true" Inherits="AdminPurchase"
    MasterPageFile="~/MasterPage.master" CodeBehind="Purchase.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="enz" %>
<asp:Content ID="AttachPage" ContentPlaceHolderID="PageContent" runat="server">
        <script type="text/javascript">
            function CalculatePrice() {
                document.getElementById('<%=btnCalculate.ClientID  %>').click();
            }
            <%--function edTotalFunction() {
                document.getElementById('<%=edTotalButton.ClientID  %>').click();
            }--%>
    </script>
    <div class="slds-p-around_xx-small">
    <div class="slds-card slds-m-bottom_xx-large slds-p-around_x-small ">
    <div class="slds-box">
    <table>
          <tr>
               <td class="Label" align="right">Salesforce Org ID: <asp:Label  ID="lbSforceOrgID" runat="server"></asp:Label><asp:Label ID="lbSandbox" runat="server"></asp:Label> </td>
           </tr>
        <tr>
            <td class="Heading">Buy Or Renew Subscription
            </td>
        </tr>
        <tr>
            <td>You can pay for your subscription here, to convert your subscription under evaluation
                to paid subscription or renew your subscription. This page will take you through
                following process,
                <ul>
                    <li>Choose the subscription</li>
                    <li>Make payment for your subscription</li>
                    <li>View
                        your order</li>
                </ul>
                Once your order is successfully placed, please go to your local server where you
                have install the application, login with your Orektic login and password and than
                click on "Get Live Profile". This will apply the new subscription on your local
                server.
                <asp:ScriptManager ID="ScriptManager" runat="server">
                </asp:ScriptManager>
                <br />
            </td>
        </tr>
        <tr>
            <td align="center">&nbsp;
                <asp:ObjectDataSource ID="odsrcSubscriptionTypes" runat="server" SelectMethod="GetSubscriptionTypes" TypeName="enzigma.sforce.webapp.code.Business">
	                </asp:ObjectDataSource>
            <asp:UpdateProgress ID="updateProgress" runat="server">
                <ProgressTemplate>
                    <img src="../App_Themes/Default/images/progressbar-small.gif" />
                </ProgressTemplate>
            </asp:UpdateProgress>
                <asp:UpdatePanel ID="panelPurcahse" runat="server">
                    <ContentTemplate>
                        <table style="WIDTH: 800px">
                            <tbody>
                                <tr id="rowError">
                                    <td style="WIDTH: 700px" colspan="3">
                                        <asp:Label ID="lbError" runat="server" SkinID="Error"></asp:Label></td>
                                    <td class="Label" colspan="1"></td>
                                </tr>
                                <tr id="Tr5" runat="server" visible="true">
                                    <td class="Label" nowrap align="right"> <asp:Label ID="lblProductName" runat="server" SkinID="Label" Text="Product Name: "></asp:Label></td>
                                    <td></td>
                                    <td align="left">
                                        <asp:Label ID="lblProdName" runat="server" SkinID="Label" Text=""></asp:Label></td>
                                    <td align="left"></td>
                                </tr>
                                <tr id="Tr1" runat="server">
                                    <td class="Label" nowrap align="right"> Subscription Type: </td>
                                    <td></td>
                                    <td style="WHITE-SPACE: nowrap" align="left">
                                        <asp:DropDownList ID="ddlSubscriptionType" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlSubscriptionType_SelectedIndexChanged"
												 OnDataBound ="cmbSubscriptionType_DataBound">
											</asp:DropDownList>

                                        <%--<asp:DropDownList ID="ddlSubscriptionType" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlSubscriptionType_SelectedIndexChanged">
                                            <asp:ListItem Value="trial">Trial</asp:ListItem>
                                            <asp:ListItem Value="purchase">Purchase</asp:ListItem>
                                            <asp:ListItem Value="purchase awaiting payment">Purchase(Awaiting Payment)</asp:ListItem>
                                            <asp:ListItem Value="cancel">Cancel</asp:ListItem>
                                        </asp:DropDownList>--%></td>
                                </tr>
                                <tr id="Tr2" runat="server">
                                    <td class="Label" nowrap align="right"> 
                                        <asp:Label ID="lbNoOfDaysPayment" runat="server" SkinID="Label" Text="No of Days for Trial / Payment (Awaiting): " AssociatedControlID="ddlNoOFDaysOrPaymentAwait"></asp:Label>
                                    </td>
                                    <td></td>
                                    <td align="left">
                                         <asp:DropDownList ID="ddlNoOFDaysOrPaymentAwait" runat="server">
                                            <asp:ListItem  Value="30">30</asp:ListItem>
                                            <asp:ListItem  Value="60">60</asp:ListItem>
                                            <asp:ListItem  Value="90">90</asp:ListItem>
                                        </asp:DropDownList>
                                        <%--<asp:TextBox ID="edNoOFDaysOrPaymentAwait" runat="server" Columns="5" Width="72px" Text="30" ReadOnly="true"></asp:TextBox>--%></td>
                                    <td align="left"></td>
                                </tr>
                                <tr id="Tr4" runat="server" visible="true">
                                    <td class="Label" nowrap align="right"> <asp:Label ID="lblType" runat="server" SkinID="Label" Text="Is Standalone?: "></asp:Label></td>
                                    <td></td>
                                    <td align="left">
                                        <asp:CheckBox ID="chkStandalone" runat="server" Text="" AutoPostBack="True" OnCheckedChanged="chkStandAlone_CheckedChanged"></asp:CheckBox></td>
                                    <td align="left"></td>
                                </tr>
                                <tr runat="server">
                                    <td class="Label" nowrap align="right">
                                        <asp:Label ID="lbCurrency" runat="server" SkinID="Label" Text="Currency: "></asp:Label></td>
                                    <td></td>
                                    <td style="WHITE-SPACE: nowrap" align="left">
                                        <asp:DropDownList ID="cmbCurrency" runat="server">
                                            <asp:ListItem Value="$">USD</asp:ListItem>
                                            <asp:ListItem Value="">EUR</asp:ListItem>
                                        </asp:DropDownList></td>
                                </tr>
                                <tr runat="server">
                                    <td class="Label" nowrap align="right">
                                        <asp:Label ID="lbPrice" runat="server" SkinID="Label" Text="Price: "></asp:Label></td>
                                    <td></td>
                                    <td style="WHITE-SPACE: nowrap" align="left">
                                        <asp:TextBox ID="edPrice" runat="server" Text="0" Enabled="false"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqPrice" runat="server" ControlToValidate="edPrice" Display="Dynamic" ErrorMessage="*"  ValidationGroup="PurchaseGroupValidation" ForeColor="Red"></asp:RequiredFieldValidator></td>
                                </tr>
                                <tr id="rowUsers" runat="server">
                                    <td class="Label" nowrap align="right">
                                        <asp:Label ID="lbLicensedUsers" runat="server" SkinID="Label" Text="Number of users in your Salesforce account?:"></asp:Label></td>
                                    <td></td>
                                    <td style="WHITE-SPACE: nowrap" align="left">
                                        <table cellspacing="0" cellpadding="0" border="0">
                                            <tbody>
                                                <tr>
                                                    <td style="WIDTH: 95px" valign="top">
                                                        <asp:TextBox ID="edLicensedUsers" runat="server" Columns="6" Width="72px" MaxLength="6" OnTextChanged="edTotalButton_Click" AutoPostBack="true" ></asp:TextBox><asp:RegularExpressionValidator ID="reqUsers" runat="server" ControlToValidate="edLicensedUsers" Display="Dynamic" ErrorMessage="Wrong Input" ValidationExpression="\d+"  ValidationGroup="PurchaseGroupValidation" ForeColor="Red"></asp:RegularExpressionValidator>
                                                        <asp:RequiredFieldValidator ID="reqLicensedUsers" runat="server" ControlToValidate="edLicensedUsers" Display="Dynamic" ErrorMessage="*"  ValidationGroup="PurchaseGroupValidation" ForeColor="Red"></asp:RequiredFieldValidator></td>
                                                    <td style="WHITE-SPACE: nowrap" align="left" valign="middle">
                                                    <enz:ImageButton ID="btnCalculate" OnClick="btnCalculate_Click" runat="server" Text="Calculate" CausesValidation="False"></enz:ImageButton></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                </tr>
                                <tr runat="server">
                                    <td class="Label" nowrap align="right">
                                         <asp:Label ID="lbNoOfServers" runat="server" SkinID="Label" Text="Number of Servers:"></asp:Label></td>
                                    <td></td>
                                    <td style="WHITE-SPACE: nowrap" align="left" onclick="btnCalculate_Click">
                                        <asp:TextBox ID="edServers" runat="server" Columns="6" Width="72px" MaxLength="6" Text="0" OnTextChanged="edTotalButton_Click" AutoPostBack="true" ></asp:TextBox><asp:RegularExpressionValidator ID="reqNoOfServres" runat="server" ControlToValidate="edServers" Display="Dynamic" ErrorMessage="Wrong Input" ValidationExpression="\d+"  ValidationGroup="PurchaseGroupValidation" ForeColor="Red"></asp:RegularExpressionValidator>
                                        <asp:RequiredFieldValidator ID="reqServers" runat="server" ControlToValidate="edServers" Display="Dynamic" ErrorMessage="*"  ValidationGroup="PurchaseGroupValidation" ForeColor="Red"></asp:RequiredFieldValidator>                
                                    </td>
                                </tr>
                                <tr id="rowSubscription" runat="server">
                                    <td class="Label" nowrap align="right">
                                        <asp:Label ID="lbSubPeriod" runat="server" SkinID="Label" Text="Choose your subscription period:"></asp:Label> </td>
                                    <td></td>
                                    <td align="left">
                                        <asp:DropDownList ID="cmbPricing" runat="server" OnSelectedIndexChanged="cmbPricing_SelectedIndexChanged"  AutoPostBack="True"></asp:DropDownList>
                                        <asp:TextBox ID="edMonths" runat="server" Columns="5" Width="72px" MaxLength="5"></asp:TextBox>
                                        <asp:RegularExpressionValidator ID="regMonths" runat="server" ControlToValidate="edMonths" Display="Dynamic" ErrorMessage="Wrong Input" ValidationExpression="^\d+$" ForeColor="Red"></asp:RegularExpressionValidator>
                                        <asp:RequiredFieldValidator ID="reqMonths" runat="server" ControlToValidate="edMonths" Display="Dynamic" ErrorMessage="Required" ValidationGroup="PurchaseGroupValidation" ForeColor="Red"></asp:RequiredFieldValidator>                           
                                    </td>
                                    <td align="left"></td>
                                </tr>
                                <tr runat="server">
                                    <td></td>
                                    <td></td>                            
                                    <td align="left">
                                        <asp:Label ID="lbmsg" runat="server" SkinID="Error"></asp:Label>
                                    </td>
                                    <td align="left"></td>
                                </tr>
                                <tr runat="server">
                                    <td class="Label" nowrap align="right">
                                        <asp:Label ID="lbTotal" runat="server" SkinID="Label" Text="Total:"></asp:Label> 
                                    </td>
                                    <td></td>
                                    <td align="left">
                                        <asp:TextBox ID="edTotal" runat="server" Columns="8" MaxLength="8" OnTextChanged="edTotalButton_Click" AutoPostBack="true"></asp:TextBox><asp:RegularExpressionValidator ID="regTotal" runat="server" ControlToValidate="edTotal" Display="Dynamic" ErrorMessage="Wrong Input" ValidationExpression="\d+\.?\d*" ForeColor="Red"></asp:RegularExpressionValidator><asp:RequiredFieldValidator ID="reqTotal" runat="server" ControlToValidate="edTotal" Display="Dynamic" ErrorMessage="*" ValidationGroup="PurchaseGroupValidation" ForeColor="Red"></asp:RequiredFieldValidator></td>
                                    <td align="left">
                                    <%--<asp:Button ID="edTotalButton" runat="server" OnClick="edTotalButton_Click" CausesValidation="false" style="display:none"/>--%>

                                    </td>
                                </tr>
                                <%--<tr runat="server">
                                    <td class="Label" nowrap align="right">Transaction ID:</td>
                                    <td></td>
                                    <td align="left">
                                        <asp:TextBox ID="edTransactionID" runat="server" Columns="20" Rows="20"></asp:TextBox><asp:RequiredFieldValidator ID="reqTransactionID" runat="server" ControlToValidate="edTransactionID" ErrorMessage="*"></asp:RequiredFieldValidator></td>
                                    <td align="left"></td>
                                </tr>--%>
                                <tr id="Tr3" runat="server" visible="true">
                                    <td class="Label" nowrap align="right">
                                        <asp:Label ID="lbComment" runat="server" SkinID="Label" Text="Comment:"></asp:Label>
                                    </td>
                                    <td></td>
                                    <td align="left">
                                       <asp:TextBox id="edComment" TextMode="multiline" Columns="40" Rows="4" runat="server" /><asp:RequiredFieldValidator ID="RequiredFieldValidatorComment" runat="server" EnableClientScript="false" ControlToValidate="edComment" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator></td>
                                    <td align="left"></td>
                                </tr>
                                
                                <tr id="rowSubmit" runat="server">
                                    <td class="Label" valign="top" align="right"></td>
                                    <td></td>
                                    <td align="left">
                                        <enz:ImageButton ID="btnPayment" OnClick="btnPayment_Click" runat="server" Text="Submit" OnClientClick="if (!Page_ClientValidate()){ return false; } this.disabled = true;" UseSubmitBehavior="false" ValidationGroup="PurchaseGroupValidation"></enz:ImageButton></td>
                                    <td align="left"></td>
                                </tr>
                            </tbody>
                        </table>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </td>
        </tr>
    </table>
    <br />
    <p>
        <strong>PS : </strong>If you wish to downgrade your subscription please contact
    our Sales representative at <a href="mailto:sales@orektic.com">sales@orektic.com</a>
    </p>
    <asp:HiddenField ID="hdnID" runat="server" />
    </div></div></div>
</asp:Content>
