<%@ Page Language="C#" AutoEventWireup="true" Inherits="AdminViewOrder" MasterPageFile="~/MasterPage.master" CodeBehind="ViewOrder.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="AttachPage" ContentPlaceHolderID="PageContent" runat="server">
    <script language="javascript" type="text/javascript">
        function OnApply() {
            window.open('Purchase.aspx?OrderID=<%=hdnOrderID.Value%>&action=apply', '_blank');
        }

        function GetPrintPageUrl() {
            var strUrl = document.getElementById('<%=hdnOrderID.ClientID%>').value;
            strUrl = '../utils/PrintOrder.aspx?OrderID=' + strUrl;
            var wndSearchProduct = open(strUrl);
            //return strUrl;
        }
        function GetEditOrderPageUrl() {
            var strUrl = document.getElementById('<%=hdnOrderID.ClientID%>').value;
            strUrl = '../admin/EditOrder.aspx?OrderID=' + strUrl;
            var wndSearchProduct = open(strUrl);
            //return strUrl;
        }

        function GetSFUrl(orderId) {
             var demoAnchor = document.createElement('a');
             demoAnchor.href = '<%=System.Configuration.ConfigurationManager.AppSettings["SforceAPIUrl"] %>';
            open(demoAnchor.origin + '/' + orderId, '_blank');
            return false;
        }
    </script>
    <div class="slds-p-around_xx-small">
    <div class="slds-card slds-m-bottom_xx-large slds-p-around_x-small ">
    <div class="slds-box">
    <center>
        <table>
            <tr>
                <td align="left" colspan="4" valign="bottom">
                    <asp:Label ID="lbError" runat="server" SkinID="Error"></asp:Label></td>
            </tr>
            <tr>
                <td align="center" valign="bottom">
                    <cc1:ImageButton ID="btnUpdateToSalesforce" runat="server" OnClick="btnUpdateToSalesforce_Click"
                        Text="Push to Salesforce" /></td>
                <td align="center" valign="bottom">
                    <%--<cc1:ImageButton ID="btnApply" runat="server" OnClientClick="javascript:OnApply();return false;" Text="Apply to Subscription" />--%></td>
                <td align="center" valign="bottom">
                    <%--<cc1:ImageButton ID="btnEditOrder" runat="server" Text="Edit Order" OnClientClick="javascript:GetEditOrderPageUrl();return false;" />--%></td>
                <td align="center" valign="top">
                    <asp:Image ID="Image1" runat="server" ImageUrl="~/App_Themes/Default/images/print-page-icon.jpg" />
                    <cc1:ImageButton ID="btnPrintableVersion" runat="server" Text="Printable Version" OnClientClick="javascript:GetPrintPageUrl();return false;" /></td>
            </tr>
        </table>
        <asp:FormView ID="FormView1" runat="server" DataSourceID="Order">
            <ItemTemplate>
                <table id="Table1" runat="server" style="width: 600px">
                    <tr>
                        <td align="left" colspan="4" valign="top"></td>
                    </tr>
                    <tr>
                        <td class="InvoiceHeader" colspan="4">Invoice<br />
                        </td>
                    </tr>
                    <tr>
                        <td align="center" colspan="4">
                            <asp:Label ID="lbError" runat="server" SkinID="Error"></asp:Label></td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Order Number:</td>
                        <td align="left" valign="top">
                            <%#Eval("OrderNumber")%>
                        </td>
                        <td align="right" class="Label" valign="top">Order Date:</td>
                        <td align="left" valign="top">
                            <%#Eval("Date")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Order Type:</td>
                        <td align="left" valign="top">
                            <%#Eval("OrderType__c")%>
                        </td>
                        <td align="right" class="Label" valign="top">Order SFID: </td>
                        <td align="left" valign="top">
                            <a id="lnkShowInSF" href="#" onClick = "GetSFUrl('<%#Eval("Opportunity_SFID__c")%>');return false;" target="_blank"><%#Eval("Opportunity_SFID__c")%></a>
                            
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">
                            <br />
                        </td>
                        <td align="left" valign="top"></td>
                        <td align="right" class="Label" valign="top"></td>
                        <td align="left" valign="top"></td>
                    </tr>
                    <tr>
                        <td class="InformationHeader" colspan="2" style="width: 300px" valign="top">Contact Information</td>
                        <td class="InformationHeader" colspan="2" style="width: 300px" valign="top">Billing Address</td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Name:</td>
                        <td style="word-wrap: break-word; width: 175px;" align="left" valign="top">
                            <%#Eval("Name")%>
                        </td>
                        <td align="right" class="Label" valign="top">Company:</td>
                        <td style="word-wrap: break-word; width: 175px;" align="left" valign="top">
                            <%#Eval("OrgName")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Email:</td>
                        <td align="left" style="width: 175px; word-wrap: break-word" valign="top">
                            <%#Eval("Email")%>
                        </td>
                        <td align="right" class="Label" valign="top">Address:</td>
                        <td align="left" style="width: 175px; word-wrap: break-word" valign="top">
                            <%#Eval("Address")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Phone:</td>
                        <td align="left" valign="top">
                            <%#Eval("Phone")%>
                        </td>
                        <td align="right" class="Label" valign="top"></td>
                        <td align="left" style="width: 175px; word-wrap: break-word" valign="top">
                            <%#Eval("Address2")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top"></td>
                        <td align="left" valign="top">
                            <%#Eval("Phone2")%>
                        </td>
                        <td align="right" class="Label" valign="top">City:</td>
                        <td align="left" valign="top">
                            <%#Eval("City")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Fax:</td>
                        <td align="left" valign="top">
                            <%#Eval("Fax")%>
                        </td>
                        <td align="right" class="Label" valign="top">Zip/Postal Code:</td>
                        <td align="left" valign="top">
                            <%#Eval("Zip")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" valign="top"></td>
                        <td align="left" valign="top"></td>
                        <td align="right" class="Label" valign="top">State:</td>
                        <td align="left" valign="top">
                            <%#Eval("State")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" valign="top"></td>
                        <td align="left" valign="top"></td>
                        <td align="right" class="Label" valign="top">Country:</td>
                        <td align="left" valign="top">
                            <%#Eval("Country")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">
                            <br />
                            <br />
                        </td>
                        <td align="left" valign="top"></td>
                    </tr>
                    <tr>
                        <td class="InformationHeader" colspan="4" valign="top">Product Information
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Product:</td>
                        <td align="left" valign="top">
                            <%#Eval("Product")%>
                        </td>
                        <td align="right" class="Label" valign="top">Subscribed Months:</td>
                        <td align="left" valign="top">
                            <%#Eval("Months","{0:d}")%>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4" valign="top"></td>
                    </tr>
                    <tr>
                        <td class="InformationHeader" colspan="4" valign="top">Before Purchase</td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Standalone Expires On:</td>
                        <td align="left" valign="top">
                            <%#Eval("PrevExpiresOn", "{0:d}")%>
                        </td>
                        <td align="right" class="Label" valign="top">Licensed Users:</td>
                        <td align="left" valign="top">
                            <%#Eval("PrevLicensedUsers")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Hosting Expires On:</td>
                        <td align="left" valign="top">
                            <%#Eval("PrevHostingExpiresOn", "{0:d}")%>
                        </td>
                        <td align="right" class="Label" valign="top">Upgrade Price:</td>
                        <td align="left" valign="top">
                            <%#Eval("UpgradePrice","{0:c}") %>
                      
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4" valign="top"></td>
                    </tr>
                    <tr>
                        <td class="InformationHeader" colspan="4" valign="top">After Purchase</td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Licensed Users:</td>
                        <td align="left" valign="top">
                            <%#Eval("LicensedUsers")%>
                        </td>
                        <td align="right" class="Label" valign="top">Standalone Expires On:</td>
                        <td align="left" valign="top">
                            <%#Eval("ExpiresOn", "{0:d}")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Server License:</td>
                        <td align="left" valign="top">
                            <%#Eval("MaxServers")%>
                        </td>
                        <td align="right" class="Label" valign="top">Hosting Expires On:</td>
                        <td align="left" valign="top">
                            <%#Eval("HostingExpiresOn","{0:d}")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Transaction ID:
                        </td>
                        <td align="left" valign="top">
                            <%#Eval("TransactionID")%>
                        </td>
                        <td align="right" class="Label" valign="top">Price:</td>
                        <td align="left" valign="top">
                            <%#Eval("Price", "{0:c}")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">Unit:</td>
                        <td align="left" valign="top">
                            <%#Eval("Unit")%>
                        </td>
                        <td align="right" class="Label" valign="top">StandAlone:</td>
                        <td align="left" valign="top">
                            <%#Eval("IsStandAlone")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top"></td>
                        <td align="left" valign="top"></td>
                        <td align="right" class="Label" valign="top">Total:</td>
                        <td align="left" valign="top">
                            <%#Eval("Total", "{0:c}")%>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" class="Label" valign="top">
                            <br />
                            <br />
                        </td>
                        <td align="left" valign="top"></td>
                        <td align="right" class="Label" valign="top"></td>
                        <td align="left" valign="top"></td>
                    </tr>
                </table>
                &nbsp;
            </ItemTemplate>
        </asp:FormView>
        <asp:HiddenField ID="hdnOrderID" runat="server" />
        <asp:ObjectDataSource ID="Order" runat="server" SelectMethod="GetOrderByID" TypeName="enzigma.sforce.webapp.code.Business">
            <SelectParameters>
                <asp:ControlParameter ControlID="hdnOrderID" Name="strID" PropertyName="Value" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </center>
    </div></div></div>
    <script type="text/javascript" language="javascript">
        function OnAttach() {
            if (document.getElementById('ctl00_PageContent_fileUpload').value) {
                document.getElementById('divUploading').style.display = '';
                document.getElementById('rowError').style.display = 'none';
            }
        }
    </script>
</asp:Content>
