<%@ Control Language="C#" AutoEventWireup="true" Inherits="ftp_Attachments" CodeBehind="Attachments.ascx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Src="~/controls/FtpSearchObject.ascx" TagName="FtpSearchObject" TagPrefix="uc3" %>
<%@ Import Namespace="enzigma.sforce.webapp.code.business" %>
<link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
<style>
    tr, td, th {
        border: 0;
    }
</style>

<script type="text/javascript">
    function onSearch(evt) {
        EmptyErrorMsgSearch();
        let strValue = document.getElementById('<%=lbError.ClientID%>').value = '';
        $('#PageContent_FtpSearchObject_toastSearchObject').css('display', 'none');
        $("#divFtpSearchObject").modal('show');
        return CancelEvent(evt);
    }
    function EmptyErrorMsgAttach() {
        document.getElementById('<%=lbError.ClientID%>').innerHTML = '';
    }
    function OnSearchObject(strID) {
        //Modified by atul
        $('#divFtpSearchObject').modal('hide');
        document.getElementById('<%=hdnObjectID.ClientID%>').value = strID;
        document.getElementById('<%=hdMailOption.ClientID%>').value = strMailOption;

        <%=Page.ClientScript.GetPostBackEventReference( btnRefresh, "") %>;
    }
    function OnAttach(strRbAttachmentID, strRbLinkID, strMaxFileSize, strFileSize) {
        var rbAttachment = document.getElementById(strRbAttachmentID);
        var rbLink = document.getElementById(strRbLinkID);
        var iMaxFileSize = parseInt(strMaxFileSize);
        var iFileSize = parseInt(strFileSize);
        var bCheck = true;
        if (iFileSize > iMaxFileSize * 1024 * 1024) {
            bCheck = false;
            $('#toastAttClientSide').css('display', 'block');
            document.getElementById('errorAttMessage').innerHTML = '<%=Resources.SendMail.MaxFileSizeLimitExceed%>';

            // alert('<%=Resources.SendMail.MaxFileSizeLimitExceed%>');
        }
        rbAttachment.checked = bCheck;
        rbLink.checked = !bCheck;
        return false;
    }
    function rbHeaderClicked(CheckBox, Count, strClientIDs) {
        var arrClientIDs = strClientIDs.split(';');
        for (var iIndex = 0; iIndex < arrClientIDs.length; ++iIndex)
            document.getElementById(arrClientIDs[iIndex]).checked = CheckBox.checked;
        if (CheckBox.checked == true)
            iCount = Count;
        else
            iCount = 0;
    }
    function onCancelToast() {
        $('#toastAttClientSide').css('display', 'none');
        $('#PageContent_toast').css('display', 'none');
        $('#PageContent_toastError').css('display', 'none');
        $('#toastClientSide').css('display', 'none');
        return false;
    }
    function hideToast() {
        $('#PageContent_toast').css('display', 'none');
        return false;
    }
    // for datetime picker
    function InitAttachControls() {
        $("#datepicker").datepicker({ dateFormat: 'mm-dd-yy'});
        if (document.getElementById('<%=lbError.ClientID%>').innerHTML != "") {
            $('#toastAttClientSide').css('display', 'block');
            document.getElementById('errorAttMessage').innerHTML = document.getElementById('<%=lbError.ClientID%>').innerHTML;
        }
    }

    function setDataValue() {

        document.getElementById('PageContent_Attachments1_lbError').innerHTML = "";
        var eddatevalue = document.getElementById('datepicker').value;
        document.getElementById('<%=edDate.ClientID%>').value = eddatevalue;
    }

    $(function () {
        var req = Sys.WebForms.PageRequestManager.getInstance();
        req.add_endRequest(function () {
            InitAttachControls();

        })


      
    });
    $(".radioNone > :radio").attr("checked", "checked");
</script>
<asp:HiddenField ID="hdnExpiryDate" runat="server"></asp:HiddenField>
<asp:HiddenField ID="hdnParentID" runat="server"></asp:HiddenField>
<asp:HiddenField ID="edDate" runat="server"></asp:HiddenField>
<asp:HiddenField ID="hdnObjectID" runat="server"></asp:HiddenField>
<asp:HiddenField ID="hdMailOption" runat="server"></asp:HiddenField>
<asp:HiddenField ID="hdMaxFileSize" runat="server"></asp:HiddenField>
<asp:HiddenField ID="hdPackageName" runat="server"></asp:HiddenField>
<asp:ObjectDataSource ID="odsFTPAttachments" runat="server" SelectMethod="GetAttachments"
    TypeName="enzigma.sforce.webapp.code.business.SFAttachmentObject">
    <SelectParameters>
        <asp:QueryStringParameter Name="strSFUrl" QueryStringField="SFUrl" Type="String" />
        <asp:QueryStringParameter Name="strSFSessionID" QueryStringField="SFSessionID" Type="String" />
        <asp:ControlParameter ControlID="hdPackageName" Name="ePackageName" PropertyName="Value" Type="Object" />
        <asp:ControlParameter ControlID="hdnObjectID" Name="strParentID" PropertyName="Value" Type="String" />
    </SelectParameters>
</asp:ObjectDataSource>
<div class="slds-grid slds-wrap">
    <div class="slds-size--4-of-12">
    </div>
    <div class="slds-size--4-of-12">
    </div>

    <div class="slds-grid slds-wrap">
        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
            <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                <div class="demo-only">
                    <div class="slds-notify_container slds-is-relative">
                        <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                            <span class="slds-assistive-text">info</span>
                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#info" />
                                </svg>
                            </span>
                            <div class="slds-notify__content">
                                <asp:Label ID="lbError" runat="server" ForeColor="Red"></asp:Label>
                            </div>
                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                </svg>
                                <span class="slds-assistive-text">Close</span>
                            </button>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>


    <div class="slds-size--4-of-12">
    </div>
</div>
<!-- client side toaster-->
<div id="toastAttClientSide" class="slds-scrollable" style="display: none;">
    <div class="demo-only">
        <div class="slds-notify_container slds-is-relative">
            <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                <span class="slds-assistive-text">error</span>
                <div class="slds-notify__content">
                    <h2 class="slds-text-body_regular ">
                        <span id="errorAttMessage"></span>
                    </h2>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="slds-grid slds-wrap">
    <div runat="server" id="rowServerProfiles" class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right--large">
        <div class="slds-form-element">
            <span class="slds-text-body_regular"></span>
            <legend class="slds-form-element__label slds-form-element__legend">
                <asp:Label ID="lblExpiryDate" runat="server" CssClass="slds-form-element__label" TabIndex="1">Expiry Date</asp:Label><asp:Label ID="Label1" runat="server" Text="(MM-dd-yyyy)" CssClass="slds-form-element__label"></asp:Label></legend>
            <div class="slds-form-element__control">
                <div class="slds-form-element__group">
                    <div class="slds-form-element__row">
                        <div class="slds-form-element slds-dropdown-trigger slds-dropdown-trigger_click slds-is-open">

                            <div class="slds-form-element__control slds-input-has-icon slds-input-has-icon_right">
                                <input type="text" id="datepicker" onchange="setDataValue()" class="slds-input">
                                <span class="slds-button slds-button_icon slds-input__icon slds-input__icon--right"  title="Select a date" style="cursor:pointer">
                                    <svg class="slds-button__icon" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#event"/>
                                    </svg>
                                    <span class="slds-assistive-text">Select a date</span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right--large">
        <div class="slds-form-element slds-m-left--medium">
            <span class="slds-text-body_regular"></span>
            <div class="slds-form-element__control slds-m-top--medium">
            </div>
        </div>
    </div>
</div>

<div class="slds-grid slds-wrap slds-m-top--medium">

    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-right--large">
        <asp:Button ID="btnSearchNew" runat="server" Text="Select Record" OnClientClick="return onSearch(event);" CssClass="slds-button slds-button_neutral" />
        <asp:Button ID="btnLinkNew" runat="server" Text="Attach" OnClick="btnLink_Click" CssClass="slds-button slds-button_brand" />
        <%-- <asp:Button ID="btnRefreshNew" runat="server" Text="Refresh" CssClass="slds-button slds-button_neutral slds-m-left--medium" />--%>
    </div>

    <div style="display: none">
        <cc1:ImageButton ID="btnRefresh" runat="server" SkinID="DefaultButton" Text="Refresh" />
    </div>
    <asp:UpdateProgress ID="UpdateProgress1" runat="server" DynamicLayout="False">
        <ProgressTemplate>
            <%--<img alt="Processing..." src="../App_Themes/Default/images/progressbar-small.gif" />--%>
            <div class="demo-only">
                <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                    <span class="slds-assistive-text">Loading</span>
                    <div class="slds-spinner__dot-a"></div>
                    <div class="slds-spinner__dot-b"></div>
                </div>
            </div>
        </ProgressTemplate>
    </asp:UpdateProgress>

</div>
<div class="slds-grid slds-wrap  slds-m-top--small">
    <div class="slds-col slds-size_1-of-1 slds-medium-size_6-of-12 slds-large-size_4-of-12">
        <asp:GridView ID="grdAttachments" runat="server" OnDataBound="grdAttachments_DataBound"
            DataSourceID="odsFTPAttachments" AutoGenerateColumns="False" EmptyDataText="No attachments to display."
            AllowPaging="True" Width="50%" PageSize="5"
            Font-Bold="False" CellPadding="0" CellSpacing="0" border="0" AlternatingRowStyle-BackColor="White" CssClass="slds-table slds-table_cell-buffer slds-table_bordered slds-no-row-hover slds-text-body_regular">
            <Columns>
                <asp:TemplateField HeaderText="None">
                    <ItemTemplate>
                        <asp:RadioButton ID="rdNone" class="radioNone" runat="server" Checked="True" GroupName="Attachment" />
                    </ItemTemplate>
                    <HeaderTemplate>
                        <asp:RadioButton ID="rdHeaderNone" runat="server" Checked="True" GroupName="Header" Text="None" />
                    </HeaderTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Link">
                    <ItemTemplate>
                        <asp:RadioButton ID="rdLink" runat="server" GroupName="Attachment" />
                    </ItemTemplate>
                    <HeaderTemplate>
                        <asp:RadioButton ID="rdHeaderLink" runat="server" GroupName="Header" Text="Link" />
                    </HeaderTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="File">
                    <ItemTemplate>
                        <asp:RadioButton ID="rdAttachment" runat="server" GroupName="Attachment" />
                    </ItemTemplate>
                    <HeaderTemplate>
                        <asp:RadioButton ID="rdHeaderAttachment" runat="server" GroupName="Header" Text="File" />
                    </HeaderTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Name">
                    <ItemTemplate>
                        <asp:Label ID="lbAttachment" runat="server" Text='<%# (Eval("Name") != null && ((string)Eval("Name")).Length > 50) ? ((string)Eval("Name")).Substring(0,50) + "..." : Eval("Name") %>'
                            ToolTip='<%# Eval("Name") %>'></asp:Label><asp:HiddenField
                                ID="hdnAttachmentVersion" runat="server" Value='<%# Eval("LastVersionID") %>' />
                        <asp:HiddenField ID="hdnAttachmentID" runat="server" Value='<%# Eval("Id") %>' />
                    </ItemTemplate>
                    <ControlStyle Width="350px" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Size">
                    <ItemTemplate>
                        <asp:Label ID="lbSize" runat="server" Text='<%# Eval("Size") %>'></asp:Label>
                        <asp:HiddenField ID="hdByteSize" runat="server" Value='<%# Eval("Bytes") %>' />
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="Right" />
                    <ControlStyle Width="50px" />
                </asp:TemplateField>
            </Columns>
            <EmptyDataRowStyle BorderStyle="None"  />
            <EditRowStyle BackColor="White" BorderColor="Blue" BorderStyle="None" ForeColor="Fuchsia" />
        </asp:GridView>
    </div>
</div>
