<%@ Control Language="C#" AutoEventWireup="true" Inherits="controls_SelectTemplate" CodeBehind="SelectTemplate.ascx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
<script type="text/javascript">
    function EmptyErrorMsgSelectTemplate() {
        document.getElementById('<%=lbMessage.ClientID%>').innerHTML = '';
    }
    function OnFolderChange(evt) {
       
        if (window.event) {
            window.event.cancelBubble = true;
            window.event.returnValue = false;
        }
        else
            evt.cancelBubble = true;

        document.getElementById('imgProgress').style.display = '';
        var element = document.getElementById('<%=cmbTemplateFolder.ClientID%>');
        var strID = element.value;
        EMailServices.GetTemplates(document.location.search, strID, OnCompleteFolder, OnErrorFolder, OnTimeOutFolder);

        return false;
    }

    function OnCompleteFolder(arg) {
        var strValue = "";
        var strText = "";
        for (var iIndex = document.getElementById('<%=cmbTemplate.ClientID%>').length; iIndex > 0  ; --iIndex) {
            document.getElementById('<%=cmbTemplate.ClientID%>').remove(iIndex - 1);////strValue = document.getElementById('<%=cmbTemplate.ClientID%>').options[iIndex].value; //= "";//strText = document.getElementById('<%=cmbTemplate.ClientID%>').options[iIndex].text; //= "";
        }
        //document.getElementById('<%=cmbTemplate.ClientID%>').clear();
        var arrTemp = arg;
        if (arrTemp != null && arrTemp.length > 0) {
            for (var iIndex = 0; iIndex < arrTemp.length; ++iIndex) {
                newopt = new Option(arrTemp[iIndex].Name, arrTemp[iIndex].ID, false);
                document.getElementById('<%=cmbTemplate.ClientID%>').add(newopt);
            }
            document.getElementById('<%=lbMessage.ClientID%>').innerHTML = '';
        }
        else {
            document.getElementById('<%=lbMessage.ClientID%>').innerHTML = '<%=Resources.SendMail.FolderWithoutTemplate%>';//"No template available in selected folder";		
            //alert("No template available in selected folder");
        }
        document.getElementById('imgProgress').style.display = 'none';
    }

    function OnTimeOutFolder(arg) {
        alert("timeOut has occured");
    }

    function OnErrorFolder(arg) {
        alert("error has occured: " + arg._message);
    }
    function OnTemplateChange() {
        var element = document.getElementById('<%=cmbTemplate.ClientID%>');
        var strTemplateID = element.value;
        if (strTemplateID != '')
            OnTemplateChangeParent(strTemplateID);
        else
            alert('No Template Selected');
        return false;
    }
    function hideToast() {
        $('#PageContent_toast').css('display', 'none');
        return false;
    }
</script>
<asp:UpdatePanel id="UpdatePanelRecords1" runat="server" UpdateMode="Conditional">
    <contenttemplate>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 ">
                                <p class="slds-text-body_regular">
                                    Only Custom HTML templates are supported by this functionality, other 
                                    templates will not be displayed for selection.
                                </p>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                              <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                <span class="slds-assistive-text">info</span>
                                                <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#info" />
                                                    </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                     <asp:Label ID="lbMessage" runat="server" SkinID="Error" ></asp:Label>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                    </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small">
                           <div runat="server" id="rowServerProfiles"  class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right--medium ">
                               <div class="slds-form-element">
                                     <span class="slds-text-body_regular">
                                     <asp:Label ID="lbEmailTemplateFolder" runat="server" CssClass="slds-form-element__label" Text="Template Folder"></asp:Label>
                                   </span>
                                   <div class="slds-form-element__control">
                                       <asp:DropDownList ID="cmbTemplateFolder" runat="server" OnSelectedIndexChanged="cmbTemplateFolder_SelectedIndexChanged" AutoPostBack="True" CssClass="slds-select"></asp:DropDownList>
                                        <%-- <asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="False" ImageUrl="~/App_Themes/Default/images/Refresh.jpg" OnClientClick="return OnFolderChange()" />--%>
                                       <img id="imgProgress" alt="Processing..." src="../App_Themes/Default/images/progressbar-small.gif" style="display:none;"/>
                                   </div>
                               </div>
                           </div>
                           <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right--medium">
                               <div class="slds-form-element">
                                   <span class="slds-text-body_regular">
                                          <asp:Label ID="lbEmailTemplate" runat="server" CssClass="slds-form-element__label" Text="Template"></asp:Label>   
                                   </span>
                                   <div class="slds-form-element__control">
                                             <asp:DropDownList ID="cmbTemplate" runat="server"  CssClass="slds-select">
			                                </asp:DropDownList>
                                   </div>
                               </div>
                           </div>
                        <div class="slds-grid slds-wrap slds-p-top_small ">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 ">
                                  <button id="btnChangeTemplate" runat="server" skinid="DefaultButton" onclick="return OnTemplateChange(event);" class="slds-button slds-button_neutral">
                                         <svg class="slds-button__icon slds-button__icon_left" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#template" />
                                         </svg><span>Apply Template</span>
                                  </button>
                                 <asp:UpdateProgress ID="UpdateProgress1" runat="server" DynamicLayout="False">
				                        <ProgressTemplate>
					                          <img alt="Processing..." src="../App_Themes/Default/images/progressbar-small.gif" />
				                        </ProgressTemplate>
		                        </asp:UpdateProgress>
                            </div>
                        </div>
                        </div>
        </contenttemplate>
</asp:UpdatePanel>
