<%@ Control Language="C#" AutoEventWireup="true" Inherits="SignupControl" CodeBehind="Signup.ascx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<asp:UpdatePanel ID="UpdatePanelSignup" runat="server">
    <contenttemplate>
        <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
        <link href="../css/application_css/custom_2018.css" rel="stylesheet" />
         <div class="slds-p-bottom--medium">
                <asp:Label ID="lbError" runat="server"  EnableViewState="False" CssClass="slds-text-color_error slds-text-body--small slds-small-size-2-of-3"></asp:Label>
                <asp:Label ID="lbStatus" runat="server"  EnableViewState="False" CssClass="slds-text-color_error slds-text-body--small"></asp:Label>
            </div>
        <div class="slds-text-body_regular slds-grid slds-wrap">
                        <div class="slds-grid slds-wrap">
                            <asp:DetailsView ID="detailViewCustomer" runat="server" AutoGenerateRows="False"
                            DataSourceID="Customer" DataKeyNames="ID" GridLines="None"
                            DefaultMode="Insert" OnItemInserting="detailViewCustomer_ItemInserting" >
                            <Fields>                              
                                  <asp:TemplateField HeaderText="Username" SortExpression="UserName" HeaderStyle-CssClass="slds-text-body_regular">
                                    <EditItemTemplate>      
                                        <asp:TextBox ID="edUserName" runat="server" Text='<%# Bind("UserName") %>' CssClass="slds-input slds-small-size--2-of-3 slds-large-size--1-of-1 slds-text-align--left"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName"
                                            ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator ID="validUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName"
                                                ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Sample: name@yourcompany.com"
                                                Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RegularExpressionValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edUserName" runat="server" Text='<%# Bind("UserName") %>' CssClass="slds-input slds-text-align--left slds-input slds-small-size--2-of-3 slds-large-size--1-of-1"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-color_error slds-text-body_regular"></asp:RequiredFieldValidator><br/>
                                        <asp:RegularExpressionValidator ID="validUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName"
                                                ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Sample: name@yourcompany.com"
                                                Display="Dynamic" CssClass="slds-text-color_error slds-text-body_small"></asp:RegularExpressionValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label0" runat="server" Text='<%# Bind("UserName") %>' class="slds-text-body_regular slds-text-align--right"></asp:Label>
                                    </ItemTemplate>
                                     <HeaderTemplate>
                                        <asp:Label ID="lbUserName" runat="server" Text="Username" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right"><cc2:Help ID="Help15" runat="server" HelpMessageID="Resources.Help.UserName">
                                        </cc2:Help></label>
                                    </HeaderTemplate>
                                </asp:TemplateField>
                               <%--  <asp:TemplateField>
                                    <InsertItemTemplate>
                                        <span class="WarningText">In FTP Attachments, your username must be in the form of an email address, but does not have to be a real email.
                                            <br /> We suggest something like "name@yourcompany.com". Your username needs to be unique.</span>
                                    </InsertItemTemplate>
                                </asp:TemplateField>--%>
                            <asp:TemplateField HeaderText="Email" SortExpression="Email" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edEmail" runat="server" Text='<%# Bind("Email") %>' MaxLength="255" CssClass="slds-input slds-small-size--2-of-3 slds-large-size--1-of-1 slds-text-align--left"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqEmail" runat="server" ValidationGroup="Signup" ControlToValidate="edEmail" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator ID="validEmail" runat="server" ValidationGroup="Signup" ControlToValidate="edEmail" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RegularExpressionValidator>
                                    </EditItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbEmailHelp" runat="server" Text="Email" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right"><cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.EmailHelp">
                                            </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edEmail" runat="server" Text='<%# Bind("Email") %>' MaxLength="255" CssClass="slds-input slds-small-size--2-of-3 slds-text-align--left slds-large-size--1-of-1" ></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqEmail" runat="server" ValidationGroup="Signup" ControlToValidate="edEmail" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator ID="validEmail" runat="server" ValidationGroup="Signup" ControlToValidate="edEmail"  ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RegularExpressionValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label3" runat="server" Text='<%# Bind("Email") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField>
                                    <InsertItemTemplate>
                                        <span class="slds-text-body_small slds-text-color--error">Your password will be sent on this email.</span>
                                    </InsertItemTemplate>
                                </asp:TemplateField>
                               
                                <asp:TemplateField HeaderText="Name" SortExpression="Name" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edName" runat="server" MaxLength="100" Text='<%# Bind("Name") %>' CssClass="slds-input slds-small-size--2-of-3 slds-large-size--1-of-1 slds-text-align--left"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqName" runat="server" ValidationGroup="Signup" ControlToValidate="edName"
                                            ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edName" runat="server" MaxLength="100" Text='<%# Bind("Name") %>' CssClass="slds-input slds-small-size--2-of-3 slds-large-size--1-of-1 slds-text-align--left"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqName" runat="server" ValidationGroup="Signup" ControlToValidate="edName"
                                            ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Name") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                <HeaderTemplate>
                                    <asp:Label ID="lbName" runat="server" Text="Name" CssClass="slds-text-body_regular"></asp:Label>
                                    <label class="slds-float--right"><cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.Name">
                                    </cc2:Help>
                                    </label>
                                </HeaderTemplate>
                                </asp:TemplateField>
                                
                                <asp:TemplateField HeaderText="Company" SortExpression="OrgName" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edOrgName" MaxLength="100" runat="server" Text='<%# Bind("OrgName") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqOrgName" runat="server" ValidationGroup="Signup" ControlToValidate="edOrgName"
                                            ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edOrgName" MaxLength="100" runat="server" Text='<%# Bind("OrgName") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqOrgName" runat="server" ValidationGroup="Signup" ControlToValidate="edOrgName"
                                          ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("OrgName") %>' CssClass="slds-text-body_regular slds-float--left"></asp:Label>
                                    </ItemTemplate>
                                     <HeaderTemplate>
                                        <asp:Label ID="lbCompany" runat="server" Text="Company" CssClass="slds-text-body_regular slds-float--left" ></asp:Label>
                                        <label class="slds-float--right">
                                            <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.CompanyName"></cc2:Help>
                                        </label>
                                     </HeaderTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Address" SortExpression="Address" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edAddress" MaxLength="100" runat="server" Text='<%# Bind("Address") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqAddress" runat="server" ValidationGroup="Signup" ControlToValidate="edAddress"  ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edAddress" MaxLength="100" runat="server" Text='<%# Bind("Address") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqAddress" runat="server" ValidationGroup="Signup" ControlToValidate="edAddress" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label5" runat="server" Text='<%# Bind("Address") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbAddress" runat="server" Text="Address" CssClass="slds-text-body_regular slds-float--left"></asp:Label>
                                        <label class="slds-float--right">
                                            <cc2:Help ID="Help55" runat="server" HelpMessageID="Resources.Help.Address"></cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>
                                <%--<asp:BoundField DataField="Address2" HeaderText="Address2:" SortExpression="Address2" />--%>
                                <asp:TemplateField HeaderText="Address2" SortExpression="Address2" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Address2") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                    </EditItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbAddress2" runat="server" Text="Address2" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right"><cc2:Help ID="Help6" runat="server" HelpMessageID="Resources.Help.Address">
                                            </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("Address2") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label5" runat="server" Text='<%# Bind("Address2") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>

                                <asp:TemplateField HeaderText="City" SortExpression="City" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edCity" MaxLength="80" ValidationGroup="Signup" runat="server" Text='<%# Bind("City") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqCity" runat="server" ValidationGroup="Signup" ControlToValidate="edCity" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edCity" MaxLength="80" runat="server" Text='<%# Bind("City") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqCity" runat="server" ValidationGroup="Signup" ControlToValidate="edCity" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label6" runat="server" Text='<%# Bind("City") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbCity" runat="server" Text="City" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right"><cc2:Help ID="Help7" runat="server" HelpMessageID="Resources.Help.City">
                                            </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>

                                <asp:TemplateField HeaderText="Zip" SortExpression="Zip" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edZip" MaxLength="20" runat="server" Text='<%# Bind("Zip") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqZip" runat="server" ValidationGroup="Signup" ControlToValidate="edZip" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edZip" MaxLength="20" runat="server" Text='<%# Bind("Zip") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqZip" runat="server" ValidationGroup="Signup" ControlToValidate="edZip" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label7" runat="server" Text='<%# Bind("Zip") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbZip" runat="server" Text="Zip" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right">
                                            <cc2:Help ID="Help8" runat="server" HelpMessageID="Resources.Help.Zip"></cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>

                                <asp:TemplateField HeaderText="State" SortExpression="State" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edState" MaxLength="80" runat="server" Text='<%# Bind("State") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqState" runat="server" ValidationGroup="Signup" ControlToValidate="edState" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edState" MaxLength="80" runat="server" Text='<%# Bind("State") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqState" runat="server" ValidationGroup="Signup" ControlToValidate="edState" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label8" runat="server" Text='<%# Bind("State") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbState" runat="server" Text="State" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right">
                                            <cc2:Help ID="Help9" runat="server" HelpMessageID="Resources.Help.State"></cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>

                                <asp:TemplateField HeaderText="Country" SortExpression="Country" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:DropDownList ID="cmbCountry" ValidationGroup="Signup" runat="server" DataSourceID="Countries" SelectedValue='<%# Bind("Country") %>' DataTextField="Name" DataValueField="Name">
                                            <asp:ListItem Text="" Value=""></asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:RequiredFieldValidator ID="reqCountry" runat="server" ValidationGroup="Signup" ControlToValidate="cmbCountry" ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:DropDownList ID="cmbCountry" runat="server" DataSourceID="Countries" SelectedValue='<%# Bind("Country") %>' DataTextField="Name" DataValueField="Name" CssClass="slds-select_container slds-select slds-large-size--1-of-1 slds-small-size--2-of-3">
                                            <asp:ListItem Text="" Value=""></asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:RequiredFieldValidator ID="reqCountry" runat="server" ValidationGroup="Signup" ControlToValidate="cmbCountry"  ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label4" runat="server" Text='<%# Bind("Country") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbCountry" runat="server" Text="Country" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right"><cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.Country">
                                </cc2:Help></label>
                            </HeaderTemplate>
                                </asp:TemplateField>

                                <asp:TemplateField HeaderText="Phone" SortExpression="Phone" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edPhone" runat="server" MaxLength="32" Text='<%# Bind("Phone") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator
                                            ID="reqPhone" runat="server" ValidationGroup="Signup" ControlToValidate="edPhone"
                                            ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edPhone" MaxLength="32" runat="server" Text='<%# Bind("Phone") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqPhone" runat="server" ValidationGroup="Signup" ControlToValidate="edPhone"
                                            ErrorMessage="*" Display="Dynamic" CssClass="slds-text-body_small slds-text-color_error"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label9" runat="server" Text='<%# Bind("Phone") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                     <HeaderTemplate>
                                        <asp:Label ID="lbPhone" runat="server" Text="Phone" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right"><cc2:Help ID="Help10" runat="server" HelpMessageID="Resources.Help.Phone">
                                        </cc2:Help></label>
                                    </HeaderTemplate>
                                </asp:TemplateField>

                                <asp:TemplateField HeaderText="Logo (URL)" SortExpression="Logo" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edLogo" MaxLength="255" ValidationGroup="Signup" runat="server"
                                            Text='<%# Bind("Logo") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edLogo" MaxLength="255" ValidationGroup="Signup" runat="server"
                                            Text='<%# Bind("Logo") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Image ID="Image1" runat="server" ImageUrl='<%# Eval("Logo") %>' Visible='<%# ((string)Eval("Logo")).Length > 0 %>' />
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbLogo" runat="server" Text="Logo(URL)" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right"><cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.Logo">
                                        </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>
                                  <asp:TemplateField HeaderText="Production OrgId" SortExpression="Production OrgID" Visible="false" HeaderStyle-CssClass="slds-text-body_regular slds-p-vertical_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edProdOrgID" runat="server"  MaxLength="100" Text='<%# Bind("ParentOrgID") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edProdOrgID" runat="server" MaxLength="100" Text='<%# Bind("ParentOrgID") %>' CssClass="slds-input slds-large-size--1-of-1 slds-small-size--2-of-3"></asp:TextBox>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label12" runat="server" Text='<%# Bind("ParentOrgID") %>' CssClass="slds-text-body_regular"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbProdOrgID" runat="server" Text="Production OrgID" CssClass="slds-text-body_regular"></asp:Label>
                                        <label class="slds-float--right"><cc2:Help ID="Help25" runat="server" HelpMessageID="Resources.Help.ProductionOrgID">
                                        </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                 </asp:TemplateField>
                               <%--  <asp:TemplateField HeaderText="StandaloneBaseURL:" SortExpression="StandaloneBaseURL" HeaderStyle-CssClass="slds-p-around_small">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edStandaloneBaseURL" MaxLength="100" runat="server" Text='<%# Bind("StandaloneBaseURL") %>' CssClass="slds-input slds-size_small"></asp:TextBox>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edStandaloneBaseURL" MaxLength="100" runat="server" Text='<%# Bind("StandaloneBaseURL") %>' CssClass="slds-input slds-size_small"></asp:TextBox>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label5" runat="server" Text='<%# Bind("StandaloneBaseURL") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbStandaloneBaseURL" runat="server" Text="Standalone Base URL:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help56" runat="server" HelpMessageID="Resources.Help.StandaloneBaseURL">
                                        </cc2:Help></label>
                                    </HeaderTemplate>
                                </asp:TemplateField>--%>

                               <%-- <asp:TemplateField HeaderText="Package Settings :" SortExpression="Package">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edPackage" runat="server" MaxLength="32" Text='<%# Bind("Package") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqPackage" runat="server" ValidationGroup="Signup" ControlToValidate="edPackage"
                                            ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edPackage" MaxLength="32" runat="server" Text='<%# Bind("Package") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqPackage" runat="server" ValidationGroup="Signup" ControlToValidate="edPackage"
                                            ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label10" runat="server" Text='<%# Bind("Package") %>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>--%>
                                <asp:TemplateField HeaderStyle-CssClass="slds-p-around_small">
                                    <InsertItemTemplate>
                                        <div>
                                            <div>
                                                <div class="slds-button">
                                                    <asp:Button SkinID="DefaultButton" ID="btnInsert" runat="server" ValidationGroup="Signup" CommandName="Insert" Text="Sign Up" OnClientClick="javascript:btnSignUpClick()" CssClass="slds-button slds-button_brand"/>
                                                   <%-- <cc1:ImageButton SkinID="DefaultButton" ID="btnInsert" runat="server" ValidationGroup="Signup" CommandName="Insert" Text="Sign Up" />--%>
                                                </div>
                                                <asp:UpdateProgress ID="UpdateProgressSignup" runat="server" AssociatedUpdatePanelID="UpdatePanelSignup">
                                                        <ProgressTemplate>
                                                            <span class="WarningText">
                                                                <%--<img src="<%=Request.ApplicationPath%>/App_Themes/Default/images/progressbar-small.gif" /></span>--%>
                                                                <%--<img style="height:50px; width:50px;" src="../css/vendor/slds/assets/images/spinners/slds_spinner_brand.gif" />--%>
                                                                <div class="slds-spinner_container">
                                                                    <div class="demo-only" style="height: 6rem;">
                                                                      <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                        <span class="slds-assistive-text">Loading</span>
                                                                        <div class="slds-spinner__dot-a"></div>
                                                                        <div class="slds-spinner__dot-b"></div>
                                                                      </div>
                                                                    </div>
                                                                </div>
                                                        </ProgressTemplate>
                                                </asp:UpdateProgress>
                                            </div>
                                        </div>
                                    </InsertItemTemplate>
                                </asp:TemplateField>
                            </Fields>
                        </asp:DetailsView>
                        <asp:HiddenField ID="hdnCustomerID" runat="server" />
                        <asp:ObjectDataSource ID="Customer" runat="server" SelectMethod="GetCustomerById"
                            TypeName="enzigma.sforce.webapp.code.Business">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="hdnCustomerID" Name="strID" PropertyName="Value" Type="String" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="Countries" runat="server" SelectMethod="GetAllCountries"
                            TypeName="enzigma.sforce.webapp.code.Business">
                            <SelectParameters>
                                <asp:Parameter DefaultValue="" Name="strCountry" Type="String" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:HiddenField ID="hdnProductCode" runat="server" />
                        </div>
        </div>
    </contenttemplate>
</asp:UpdatePanel>









<%--<%@ Control Language="C#" AutoEventWireup="true" Inherits="SignupControl" CodeBehind="Signup.ascx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<asp:UpdatePanel ID="UpdatePanelSignup" runat="server">
    <contenttemplate>
        <div>
            <asp:Label ID="lbError" runat="server" SkinID="Error" EnableViewState="False"></asp:Label>
            <asp:Label ID="lbStatus" runat="server" SkinID="Error" Width="100%" EnableViewState="False"></asp:Label>
            <div>
                    <div>
                    </div>
                    <div>
                        <asp:DetailsView ID="detailViewCustomer" runat="server" AutoGenerateRows="False"
                            DataSourceID="Customer" Height="50px" CellPadding="0" DataKeyNames="ID" GridLines="None"
                            BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="0px"
                            DefaultMode="Insert" OnItemInserting="detailViewCustomer_ItemInserting">
                            <Fields>
                                  <asp:TemplateField HeaderText="Username:" SortExpression="UserName">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edUserName" runat="server" MaxLength="100" Text='<%# Bind("UserName") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator
                                            ID="reqUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName"  ForeColor="Red"
                                            ErrorMessage="Username must be something like name@yourcompany.com." Display="Dynamic"></asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator ID="validUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName" ForeColor="Red"
                                                ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Username must be something like name@yourcompany.com."
                                                Display="Dynamic"></asp:RegularExpressionValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edUserName" runat="server" MaxLength="100" Text='<%# Bind("UserName") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName" ForeColor="Red"
                                            ErrorMessage="Username must be something like name@yourcompany.com." Display="Dynamic"></asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator
                                                ID="validUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName" ForeColor="Red"
                                                ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Username must be something like name@yourcompany.com."
                                                Display="Dynamic"></asp:RegularExpressionValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label0" runat="server" Text='<%# Bind("UserName") %>'></asp:Label>
                                    </ItemTemplate>
                                     <HeaderTemplate>
                                        <asp:Label ID="lbUserName" runat="server" Text="Username:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help15" runat="server" HelpMessageID="Resources.Help.UserName">
                                        </cc2:Help></label>
                                    </HeaderTemplate>
                                </asp:TemplateField>--%>


<%--  <asp:TemplateField>
                                    <InsertItemTemplate>
                                        <span class="WarningText">In FTP Attachments, your username must be in the form of an email address, but does not have to be a real email.
DONT UNCOMMENT THIS                                            <br /> We suggest something like "name@yourcompany.com". Your username needs to be unique.</span>
                                    </InsertItemTemplate>
                                </asp:TemplateField>--%>




<%--                            <asp:TemplateField HeaderText="Email:" SortExpression="Email">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edEmail" runat="server" Text='<%# Bind("Email") %>' MaxLength="255"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqEmail" runat="server" ValidationGroup="Signup" ControlToValidate="edEmail" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator ID="validEmail" runat="server" ValidationGroup="Signup" ControlToValidate="edEmail" ForeColor="Red" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="*" Display="Dynamic"></asp:RegularExpressionValidator>
                                    </EditItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbEmailHelp" runat="server" Text="Email:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.EmailHelp">
                                            </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edEmail" runat="server" Text='<%# Bind("Email") %>' MaxLength="255"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqEmail" runat="server" ValidationGroup="Signup" ControlToValidate="edEmail" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator ID="validEmail" runat="server" ValidationGroup="Signup" ControlToValidate="edEmail"  ForeColor="Red" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="*" Display="Dynamic"></asp:RegularExpressionValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label3" runat="server" Text='<%# Bind("Email") %>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField>
                                    <InsertItemTemplate>
                                        <span class="WarningText">Your password will be sent on this email.</span>
                                    </InsertItemTemplate>
                                </asp:TemplateField>
                               
                                <asp:TemplateField HeaderText="Name:" SortExpression="Name">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edName" runat="server" MaxLength="100" Text='<%# Bind("Name") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqName" runat="server" ValidationGroup="Signup"  ForeColor="Red" ControlToValidate="edName"
                                            ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edName" runat="server" MaxLength="100" Text='<%# Bind("Name") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqName" runat="server" ValidationGroup="Signup" ControlToValidate="edName"
                                            ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Name") %>'></asp:Label>
                                    </ItemTemplate>
                                <HeaderTemplate>
                                    <asp:Label ID="lbName" runat="server" Text="Name:" Font-Bold="true"></asp:Label>
                                    <label style="font-weight:bold;"><cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.Name">
                                    </cc2:Help>
                                    </label>
                                </HeaderTemplate>
                                </asp:TemplateField>
                                
                                <asp:TemplateField HeaderText="Company:" SortExpression="OrgName">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edOrgName" MaxLength="100" runat="server" Text='<%# Bind("OrgName") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqOrgName" runat="server" ValidationGroup="Signup" ControlToValidate="edOrgName"
                                            ForeColor="Red"  ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edOrgName" MaxLength="100" runat="server" Text='<%# Bind("OrgName") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqOrgName" runat="server" ValidationGroup="Signup" ControlToValidate="edOrgName"
                                           ForeColor="Red"  ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("OrgName") %>'></asp:Label>
                                    </ItemTemplate>
                                     <HeaderTemplate>
                                        <asp:Label ID="lbCompany" runat="server" Text="Company:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;">
                                            <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.CompanyName"></cc2:Help>
                                        </label>
                                     </HeaderTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Address:" SortExpression="Address">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edAddress" MaxLength="100" runat="server" Text='<%# Bind("Address") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqAddress" runat="server" ValidationGroup="Signup" ControlToValidate="edAddress" ForeColor="Red"  ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edAddress" MaxLength="100" runat="server" Text='<%# Bind("Address") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqAddress" runat="server" ValidationGroup="Signup" ControlToValidate="edAddress" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label5" runat="server" Text='<%# Bind("Address") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbAddress" runat="server" Text="Address:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;">
                                            <cc2:Help ID="Help55" runat="server" HelpMessageID="Resources.Help.Address"></cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>


                                <%-- DONT UNCOMMENT THIS <asp:BoundField DataField="Address2" HeaderText="Address2:" SortExpression="Address2" /> --%>


<%-- <asp:TemplateField HeaderText="Address2:" SortExpression="Address2">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Address2") %>'></asp:TextBox>
                                    </EditItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbAddress2" runat="server" Text="Address2:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help6" runat="server" HelpMessageID="Resources.Help.Address">
                                            </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("Address2") %>'></asp:TextBox>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label5" runat="server" Text='<%# Bind("Address2") %>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>

                                <asp:TemplateField HeaderText="City:" SortExpression="City">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edCity" MaxLength="80" ValidationGroup="Signup" runat="server" Text='<%# Bind("City") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqCity" runat="server" ValidationGroup="Signup" ControlToValidate="edCity" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edCity" MaxLength="80" runat="server" Text='<%# Bind("City") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqCity" runat="server" ValidationGroup="Signup" ControlToValidate="edCity" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label6" runat="server" Text='<%# Bind("City") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbCity" runat="server" Text="City:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help7" runat="server" HelpMessageID="Resources.Help.City">
                                            </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Zip:" SortExpression="Zip">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edZip" MaxLength="20" runat="server" Text='<%# Bind("Zip") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqZip" runat="server" ValidationGroup="Signup" ControlToValidate="edZip" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edZip" MaxLength="20" runat="server" Text='<%# Bind("Zip") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqZip" runat="server" ValidationGroup="Signup" ControlToValidate="edZip" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label7" runat="server" Text='<%# Bind("Zip") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbZip" runat="server" Text="Zip:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;">
                                            <cc2:Help ID="Help8" runat="server" HelpMessageID="Resources.Help.Zip"></cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="State:" SortExpression="State">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edState" MaxLength="80" runat="server" Text='<%# Bind("State") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqState" runat="server" ValidationGroup="Signup" ControlToValidate="edState" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edState" MaxLength="80" runat="server" Text='<%# Bind("State") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqState" runat="server" ValidationGroup="Signup" ControlToValidate="edState" ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label8" runat="server" Text='<%# Bind("State") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbState" runat="server" Text="State:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;">
                                            <cc2:Help ID="Help9" runat="server" HelpMessageID="Resources.Help.State"></cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Country:" SortExpression="Country">
                                    <EditItemTemplate>
                                        <asp:DropDownList ID="cmbCountry" ValidationGroup="Signup" runat="server" DataSourceID="Countries" SelectedValue='<%# Bind("Country") %>' DataTextField="Name" DataValueField="Name">
                                            <asp:ListItem Text="" Value=""></asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:RequiredFieldValidator ID="reqCountry" runat="server" ValidationGroup="Signup" ControlToValidate="cmbCountry"  ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:DropDownList ID="cmbCountry" runat="server" DataSourceID="Countries" SelectedValue='<%# Bind("Country") %>' DataTextField="Name" DataValueField="Name">
                                            <asp:ListItem Text="" Value=""></asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:RequiredFieldValidator ID="reqCountry" runat="server" ValidationGroup="Signup" ControlToValidate="cmbCountry"  ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label4" runat="server" Text='<%# Bind("Country") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbCountry" runat="server" Text="Country:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.Country">
                                </cc2:Help></label>
                            </HeaderTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Phone" SortExpression="Phone">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edPhone" runat="server" MaxLength="32" Text='<%# Bind("Phone") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqPhone" runat="server" ValidationGroup="Signup" ControlToValidate="edPhone"
                                            ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edPhone" MaxLength="32" runat="server" Text='<%# Bind("Phone") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqPhone" runat="server" ValidationGroup="Signup" ControlToValidate="edPhone"
                                           ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label9" runat="server" Text='<%# Bind("Phone") %>'></asp:Label>
                                    </ItemTemplate>
                                     <HeaderTemplate>
                                        <asp:Label ID="lbPhone" runat="server" Text="Phone:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help10" runat="server" HelpMessageID="Resources.Help.Phone">
                                        </cc2:Help></label>
                                    </HeaderTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Logo (URL):" SortExpression="Logo">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edLogo" MaxLength="255" ValidationGroup="Signup" runat="server"
                                            Text='<%# Bind("Logo") %>'></asp:TextBox>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edLogo" MaxLength="255" ValidationGroup="Signup" runat="server"
                                            Text='<%# Bind("Logo") %>'></asp:TextBox>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Image ID="Image1" runat="server" ImageUrl='<%# Eval("Logo") %>' Visible='<%# ((string)Eval("Logo")).Length > 0 %>' />
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbLogo" runat="server" Text="Logo:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.Logo">
                                        </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                </asp:TemplateField>
                                  <asp:TemplateField HeaderText="Production OrgId:" SortExpression="Production OrgID" Visible="false">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edProdOrgID" runat="server"  MaxLength="100" Text='<%# Bind("ParentOrgID") %>'></asp:TextBox>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edProdOrgID" runat="server" MaxLength="100" Text='<%# Bind("ParentOrgID") %>'></asp:TextBox>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label12" runat="server" Text='<%# Bind("ParentOrgID") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbProdOrgID" runat="server" Text="Production OrgID:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help25" runat="server" HelpMessageID="Resources.Help.ProductionOrgID">
                                        </cc2:Help>
                                        </label>
                                    </HeaderTemplate>
                                 </asp:TemplateField>
                                 <asp:TemplateField HeaderText="StandaloneBaseURL:" SortExpression="StandaloneBaseURL">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edStandaloneBaseURL" MaxLength="100" runat="server" Text='<%# Bind("StandaloneBaseURL") %>'></asp:TextBox>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edStandaloneBaseURL" MaxLength="100" runat="server" Text='<%# Bind("StandaloneBaseURL") %>'></asp:TextBox>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label5" runat="server" Text='<%# Bind("StandaloneBaseURL") %>'></asp:Label>
                                    </ItemTemplate>
                                    <HeaderTemplate>
                                        <asp:Label ID="lbStandaloneBaseURL" runat="server" Text="Standalone Base URL:" Font-Bold="true"></asp:Label>
                                        <label style="font-weight:bold;"><cc2:Help ID="Help56" runat="server" HelpMessageID="Resources.Help.StandaloneBaseURL">
                                        </cc2:Help></label>
                                    </HeaderTemplate>
                                </asp:TemplateField>--%>

<%-- <asp:TemplateField HeaderText="Package Settings :" SortExpression="Package">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edPackage" runat="server" MaxLength="32" Text='<%# Bind("Package") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqPackage" runat="server" ValidationGroup="Signup" ControlToValidate="edPackage"
                                            ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edPackage" MaxLength="32" runat="server" Text='<%# Bind("Package") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqPackage" runat="server" ValidationGroup="Signup" ControlToValidate="edPackage"
                                            ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label10" runat="server" Text='<%# Bind("Package") %>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>--%>
<%--<asp:TemplateField>
                                    <InsertItemTemplate>
                                        <table cellpadding="0" cellspacing="0" border="0">
                                            <tr>
                                                <td>
                                                    <cc1:ImageButton SkinID="DefaultButton" ID="btnInsert" runat="server" ValidationGroup="Signup" CommandName="Insert" Text="Sign Up" />
                                                </td>
                                                <td>
                                                    <asp:UpdateProgress ID="UpdateProgressSignup" runat="server" AssociatedUpdatePanelID="UpdatePanelSignup" DynamicLayout="False">
                                                        <ProgressTemplate>
                                                            <span class="WarningText">
                                                                <img style="width: 20px; height: 20px;" src="<%=Request.ApplicationPath%>/App_Themes/Default/images/progressbar-small.gif" /></span>
                                                        </ProgressTemplate>
                                                    </asp:UpdateProgress>
                                                </td>
                                            </tr>
                                        </table>
                                    </InsertItemTemplate>
                                </asp:TemplateField>
                            </Fields>
                        </asp:DetailsView>
                        <asp:HiddenField ID="hdnCustomerID" runat="server" />
                        <asp:ObjectDataSource ID="Customer" runat="server" SelectMethod="GetCustomerById"
                            TypeName="enzigma.sforce.webapp.code.Business">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="hdnCustomerID" Name="strID" PropertyName="Value"
                                    Type="String" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="Countries" runat="server" SelectMethod="GetAllCountries"
                            TypeName="enzigma.sforce.webapp.code.Business">
                            <SelectParameters>
                                <asp:Parameter DefaultValue="" Name="strCountry" Type="String" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:HiddenField ID="hdnProductCode" runat="server" />
                    </div>
                    <td>
                    </td>
                </div>
        </div>
    </contenttemplate>
</asp:UpdatePanel>--%>
