﻿<%@ Page Language="C#" AutoEventWireup="true"
    Inherits="ftp_AttachMultipleFiles" MasterPageFile="~/UserMasterPage.master" CodeBehind="AttachMultipleFiles.aspx.cs" %>

<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ContentPlaceHolderID="PageContent" runat="server">
    <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <script src="../scripts/jquery-1.4.2.min.js"></script>
    <script type="text/javascript" src="../scripts/common.js"></script>
    <asp:ScriptManager ID="ScriptManager" runat="server">
        <Services>
            <asp:ServiceReference InlineScript="false" Path="~/WebServices/FTPAttachments.asmx" />
        </Services>
    </asp:ScriptManager>
    <style>
        .set-width {
            border-radius: 5px;
            /*width: 100%;*/
        }

        .heading-color {
            color: #007add;
        }


        /*.upload-file-width {
            width: 51%;
        }*/

        .comment-box-width {
            width: 287px;
        }

        .ProgressBarText {
            padding-top: 6px;
        }

        .iframe-border {
            border: none;
        }
    </style>

    <%--build 4.16--%>

    <div class="slds-scope" style="font-family: 'Salesforce Sans', Arial, sans-serif; line-height: 1.5;">
        <%-- <div class="slds-brand-band slds-brand-band_cover slds-brand-band_medium" style="background-repeat: repeat-x; background-image: url('../css/vendor/slds/assets/images/themes/oneSalesforce/banner-brand-default.png'), linear-gradient(to top, rgb(152, 180, 212),rgb(72, 126, 176));">--%>
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Attachment">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#attach" />
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="tdTitle" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Attach Multiple Files</span>
                                        </ul>
                                    </ol>
                                </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Add multiple attachment to server.</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <asp:Label ID="Label8" runat="server" Text="Select the files you want to upload using &quot;Choose File&quot; button, then click on &quot;Attach&quot; button newly created attachments will appear in the FTP Attachments related list." meta:resourcekey="Label2Resource1"></asp:Label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-p-bottom--small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="">
                    <div class="slds-p-around--small">
                        <div class="slds-box">
                            <div class="slds-media">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container" style="background-color: #b19f7e;" title="Add attachments">
                                        <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#comments" />
                                        </svg>
                                    </span>
                                    <span>
                                        <b>
                                            <asp:Label ID="Label4" runat="server" CssClass="slds-text-heading--small" Text="Add attachments"></asp:Label></b>
                                    </span>
                                </div>
                            </div>
                            <div runat="server" class="slds-grid slds-wrap slds-p-top_small">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                    <%--<asp:Label ID="message" runat="server" Text="Select a file you want to upload using 'Browse' button. To attach more than one file click on 'Add More Files'. Once files are uploaded successfully close this window and refresh the parent window. Newly created attachment will appear in the FTP Attachments related list."></asp:Label>--%>
                                </div>
                            </div>


                            <div class="slds-scrollable" id="errorbox" style="display: none;">
                                <div class="slds-scrollable demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div id="toastclass" class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                            <div class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use id="toastImg" xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                </svg>
                                            </div>
                                            <div class="slds-notify__content">
                                                <h2 class="slds-text-body_regular">
                                                    <asp:Label ID="lbError" runat="server" Text="" CssClass="slds-text-body_regular"></asp:Label>
                                                </h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToastError()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="slds-scrollable" id="successbox" style="display: none;">
                                <div class="slds-scrollable demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme--success" role="alert">
                                            <div class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                </svg>
                                            </div>
                                            <div class="slds-notify__content">
                                                <h2 class="slds-text-body_regular"></h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose1" onclick="return hideToastSuccess()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <div runat="server" class="slds-grid slds-wrap slds-p-top_small">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                    <%--<asp:Label ID="lbError" runat="server" SkinID="Error" Text=""></asp:Label>--%>
                                </div>
                            </div>
                            <div runat="server" class="slds-grid slds-wrap slds-p-top_small">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                    <asp:CustomValidator ID="custCheckIfExists" runat="server" ClientValidationFunction="CheckIfExists" Display="Dynamic"
                                        ErrorMessage="Attachment with this file name already exists." CssClass="slds-text-body--regular slds-text-color--error"></asp:CustomValidator>
                                    <asp:RegularExpressionValidator ID="regExFileNameValidator" runat="server" Display="Dynamic"
                                        ErrorMessage="Invalid characters found in the file name. Only characters allowed in the file name are "
                                        ValidationExpression=".*" ControlToValidate="fileUploadDefault" CssClass="slds-text-body--regular slds-text-color--error"></asp:RegularExpressionValidator><br />
                                    <asp:CustomValidator ID="custChkIfAllowed" runat="server" ClientValidationFunction="CheckIfAllowed" Display="Dynamic"
                                        ErrorMessage="Attachment with this extension is not allowed to upload." CssClass="slds-text-body--regular slds-text-color--error"></asp:CustomValidator>
                                </div>
                            </div>
                            <div class="slds-grid slds-wrap slds-p-top_small">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                    <span class="ErrorText">
                                        <asp:Label ID="lbMaxSize" runat="server" CssClass="slds-text-body--regular slds-text-color--error"></asp:Label>
                                    </span>
                                </div>
                            </div>
                            <div class="slds-p-top_small">
                                <div class="slds-grid slds-wrap">
                                    <div class="slds-col slds-large-size--6-of-12 slds-small-size--1-of-1 slds-m-right--large slds-p-top--medium slds-p-left--x-small">
                                        <asp:Label ID="Label1" runat="server" Text="Upload File"></asp:Label>
                                        <asp:FileUpload ID="fileUploadDefault" size="40" runat="server" CssClass="slds-file-selector__button slds-button slds-file-selector__button slds-button slds-button_neutral" />
                                    </div>
                                    <div class="slds-col slds-large-size--3-of-12 slds-small-size--1-of-1 slds-m-right--xx-large">
                                        <asp:Label ID="lbComment" runat="server" Text="Comment"></asp:Label><br />
                                        <asp:TextBox ID="txtComment" runat="server" Rows="3" CssClass="slds-clearfix slds-float_left set-width" TextMode="MultiLine" MaxLength="255"></asp:TextBox>
                                    </div>
                                    <div class="slds-col slds-large-size--1-of-12 slds-small-size--1-of-1 slds-m-right--xx-large">
                                        <asp:Label ID="lbIsPublic" runat="server" Text="Is Public"></asp:Label><br />
                                        <asp:CheckBox ID="chkIsPublic" runat="server" />
                                    </div>
                                    <div class="slds-col slds-large-size--2-of-12 slds-small-size--1-of-1">
                                    </div>
                                </div>
                            </div>
                            <div runat="server" class="slds-grid slds-wrap slds-p-top_medium">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                    <div id="divMain"></div>
                                </div>
                            </div>
                            <div runat="server" class="slds-grid slds-wrap slds-p-top_medium">

                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                    <cc1:ProgressBar ID="uploadAppProgress" CssClass="ProgressBar" runat="server" />
                                </div>
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-4 slds-large-size_1-of-4"></div>
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-4 slds-large-size_1-of-4 slds-p-right_large">

                                    <button id="rgstr_btn" type="button" class="slds-button slds-button_brand slds-clearfix slds-float_right slds-m-horizontal--xx-small" onclick="OnCancel()">Done</button>
                                    <asp:Button SkinID="DefaultButton" ID="btnAttachFile" OnClientClick="javascript: return OnAttach();"
                                        runat="server" OnClick="btnAttach_Click" Text="Attach" CausesValidation="false" CssClass="slds-button slds-button--brand slds-float_right slds-m-horizontal--xx-small" />
                                    <asp:Button SkinID="DefaultButton" ID="btnAddMoreFile" OnClientClick="javascript: return AddMoreAttachments()"
                                        runat="server" Text="Add More Files" CausesValidation="false" CssClass="slds-m-right--xx-small slds-button slds-button--neutral slds-clearfix slds-float_right" />

                                </div>
                            </div>
                            <div runat="server" class="slds-grid slds-wrap slds-p-top_medium">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-4 slds-large-size_1-of-4"></div>
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-4 slds-large-size_1-of-4 slds-p-top_small">
                                </div>
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-4 slds-large-size_1-of-4 slds-p-top_small">
                                </div>
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-4 slds-large-size_1-of-4"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <input type="hidden" id="hdnLastIndex" name="hdnLastIndex" value="0" />&nbsp;&nbsp;	
	<asp:HiddenField ID="hdnOrgID" runat="server" />
    <asp:HiddenField ID="hdnRegExPattern" runat="server" />
    <asp:HiddenField ID="hdnValidFilenameChars" runat="server" />
    <asp:HiddenField ID="hdnInvalidExtensionMsg" runat="server" />
    <input type="hidden" id="hdnServerProfile" runat="server" />
    <input type="hidden" id="hdnUploadID" runat="server" />

    <script type="text/javascript">
     
        $(document).ready(function(){
            $('link[href="../App_Themes/Default/common.css"]').remove();
            vpw = $(window).width();
            vph = $(window).height();
            $('#bodyHeight').css({'height': vph + 'px'});
            
          $("<%=fileUploadDefault.ClientID%>").change(function(){
                handleFile(this);
            });
            document.getElementById("PageContent_uploadAppProgress_Main").style.display = "none"; 
            function handleFile(file) {
                if(file.files[file.files.length - 1 ].name!="")
                    document.getElementById('<%=btnAttachFile.ClientID%>').disabled = false;
                document.getElementById("PageContent_uploadAppProgress_Main").style.display = "block"; 
                document.getElementById('rgstr_btn').disabled = true;
                document.getElementById('PageContent_uploadAppProgress').style.backgroundColor="rgb(221,219,218)";
                document.getElementById('PageContent_uploadAppProgress_Text').innerHTML="0%";
                document.getElementById('PageContent_uploadAppProgress_Status').innerHTML="";
            }

      });
       
        function OnCancel() {
            var experienceView = 'https://'+ new URLSearchParams(window.location.search).get('SFUrl').split('/')[2] +'/'+new URLSearchParams(window.location.search).get('FieldValue');
            window.open(experienceView, '_self');
            //window.history.go(-1) === undefined ? window.close():  window.open(window.history.go(-1), '_self');
          
            //if (new URLSearchParams(window.location.search).get('sfdcIFrameOrigin') == null) {
            //    var experienceView = 'https://' + new URLSearchParams(window.location.search).get('HostName') + '/' + new URLSearchParams(window.location.search).get('FieldValue');
            //    window.open(experienceView, '_self');
            //}
            //else {
            //    var experienceView = new URLSearchParams(window.location.search).get('sfdcIFrameOrigin') + '/lightning/r/' + new URLSearchParams(window.location.search).get('FieldValue') + "/view";
            //    window.open(experienceView, '_self');
            //}           
        }
        function hideToastError(){
            document.getElementById("errorbox").style.display="none";
            $("#PageContent_fileUploadDefault").val(''); 
            $("#<%=txtComment.ClientID%>").val('');
            $("#<%=chkIsPublic.ClientID%>").val();
            if(no_of_elements > 0){
                for(i=1; i<=no_of_elements; i++)
                {
                    $("#fileUpload_" + i).val('');
                    $('#txtComment_' + i).val('');
                }
            }
            $("#<%=txtComment.ClientID%>").val('');
            return false;
        }

        function hideToastSuccess(){
            document.getElementById("successbox").style.display="none";
            $("#PageContent_fileUploadDefault").val('');
            $("#<%=txtComment.ClientID%>").val('');
            
            if(no_of_elements > 0){
                for(i=1; i<=no_of_elements; i++)
                {
                    $("#fileUpload_" + i).val('');
                    $('#txtComment_' + i).val('');
                }
            }
            return false;
        }

        function Delete(iIndex)
        {	
            var divMainDiv = document.getElementById("divMain");
            if(divMainDiv != null & divMainDiv.hasChildNodes() != null)
            {
                var childNode = document.getElementById("divAttach_" + iIndex);
                if(childNode != null){
                    divMainDiv.removeChild(childNode);
                    no_of_elements--;
                }
            }
			
        }
        var arrAttachments = new Array();
        var no_of_elements = 0;
        function AddMoreAttachments()
        {
            var iIndex = parseInt(document.getElementById('hdnLastIndex').value) + 1;

            var divDisplay = document.createElement("div");
            divDisplay.setAttribute("id","divAttach_" + iIndex);
        
            var lblFile = document.createElement("span");   
            lblFile.setAttribute("id","lblFile_" + iIndex);
            lblFile.innerHTML = "File";
        
            var fileUpload = document.createElement("input");   
            fileUpload.setAttribute("type","file");
            fileUpload.setAttribute("class","slds-file-selector__button slds-button slds-file-selector__button slds-button slds-button_neutral");
            fileUpload.setAttribute("id","fileUpload_" + iIndex); 
            fileUpload.setAttribute("name","fileUpload_" + iIndex);
            fileUpload.setAttribute("style","width:47%;");  
        
            var lblMaxsize = document.createElement("span");   
            lblMaxsize.setAttribute("id","lblMaxsize_" + iIndex);
            lblMaxsize.setAttribute("name","lblMaxsize__" + iIndex);
            var lbMaxsize = document.getElementById("PageContent_lbMaxSize");
            lblMaxsize.innerHTML = "(" + lbMaxsize.innerHTML + ")";
            lblMaxsize.className ="ErrorText";
        
            var lblComment = document.createElement("span");   
            lblComment.setAttribute("id","lblComment_" + iIndex);
            lblComment.setAttribute("name","lblComment_" + iIndex);
            lblComment.innerHTML = "Comment";
        
            var txtComment = document.createElement("textarea");  
            txtComment.setAttribute("class","slds-clearfix set-width"); 
            txtComment.setAttribute("rows","3"); 
            txtComment.setAttribute("id","txtComment_" + iIndex); 
            txtComment.setAttribute("name","txtComment_" + iIndex);
                
            var lblIsPublic = document.createElement("span");   
            lblIsPublic.setAttribute("id","lblIsPublic_" + iIndex); 
            lblIsPublic.setAttribute("name","lblIsPublic_" + iIndex); 
            lblIsPublic.innerHTML = "Is Public";
        
            var chkboxIsPublic = document.createElement("input");   
            chkboxIsPublic.setAttribute("type","checkbox");
            chkboxIsPublic.setAttribute("id","chkIsPublic_" + iIndex); 
            chkboxIsPublic.setAttribute("name","chkIsPublic_" + iIndex); 
        
            var btnDontAttach = document.createElement("input");   
            btnDontAttach.setAttribute("type","submit");
            btnDontAttach.setAttribute("class","slds-truncate slds-button slds-button_neutral");
            btnDontAttach.setAttribute("id","btnDontAttach_" + iIndex); 
            btnDontAttach.setAttribute("name","btnDontAttach_" + iIndex);
            btnDontAttach.setAttribute("value","Discard");
            btnDontAttach.onclick = function(){Delete('' + iIndex)};
        
            //Dynamic Table Creation
            var tblTable = document.createElement("table");
            tblTable.setAttribute("class","slds-table slds-max-medium-table--stacked-horizontal");

            var tblbody = document.createElement("tbody");        
            var row1 = document.createElement("tr");
            row1.setAttribute("class","slds-hint-parent");

            cell = document.createElement("td");
            cell.setAttribute("class","slds-truncate slds-m-right--x-large");
            cell.setAttribute("data-label","Upload File:");
            cell.appendChild(fileUpload);
            row1.appendChild(cell);

            cell = document.createElement("td");
            cell.setAttribute("class","slds-truncate slds-m-left--small");
            cell.setAttribute("data-label","Comment:");
            cell.appendChild(txtComment);
            row1.appendChild(cell);

            cell = document.createElement("td");
            cell.setAttribute("class","slds-truncate");
            cell.setAttribute("data-label","Is Public:");
            cell.appendChild(chkboxIsPublic);
            row1.appendChild(cell);

            cell = document.createElement("td");
            cell.setAttribute("data-label","Discard File:");
            cell.appendChild(btnDontAttach);
            row1.appendChild(cell);                 
            tblbody.appendChild(row1);
        
            tblTable.appendChild(tblbody);
            divDisplay.appendChild(tblTable);   
				
            var divMainDiv = document.getElementById("divMain");
            divMainDiv.appendChild(divDisplay);
        
            arrAttachments[iIndex-1] = divDisplay;
            document.getElementById('hdnLastIndex').value = iIndex;
            no_of_elements++;
            return false;  
        }
        function ValidateFileName(strFileName,iFileUploadCount,lbError)
        {
            var strValidFilenameChars = '<%=hdnValidFilenameChars.Value%>';
            var regExFileNamePattern = <%=hdnRegExPattern.Value%>;
            var result = strFileName.match(regExFileNamePattern);
            var strOrgID = document.getElementById('<%=hdnOrgID.ClientID%>').value;	
            //if( regExFileNamePattern.test(strFileName))
            if(result != null && result[0] != null)
                return true;
            else
            {	
                var arrStrFileName = strFileName.split("\\");
                if(arrStrFileName != null && arrStrFileName.length > 0)
                    strFileName = arrStrFileName [ arrStrFileName.length - 1];
                lbError.innerHTML = '[' + strFileName + '] Invalid Characters found in the filename. Only characters allowed in the file name are <b>' + strValidFilenameChars + '</b>'; 
                document.getElementById("err")

                return false;
            }
        }
	
        function ValiadateFileUpload()
        {
            var fileUploadDefault = document.getElementById('<%=fileUploadDefault.ClientID%>'); 
            var lbError = document.getElementById('<%=lbError.ClientID%>');
            var iFileUploadCount = 1
            if(fileUploadDefault == null || (fileUploadDefault != null && !fileUploadDefault.value))
            {
                lbError.innerHTML = "Please select a file to be uploaded for File Control 1";
                document.getElementById("errorbox").style.display="block";
                document.getElementById("PageContent_uploadAppProgress_Main").style.display = "none"; 
                document.getElementById("PageContent_uploadAppProgress_Status").style.display = "none";
                return false;
            }
            if(!ValidateFileName(fileUploadDefault.value,iFileUploadCount,lbError))	
                return false;
		
            var iLastFileUploadIndex = document.getElementById('hdnLastIndex').value ;
		
            for( iIndex = 1 ; iIndex <= iLastFileUploadIndex ; iIndex++ )
            {
                var fileUpload = document.getElementById('fileUpload_' + iIndex);
                if(fileUpload != null)
                {
                    iFileUploadCount++;
                    if(fileUpload.value)
                    {	
                        if(!ValidateFileName(fileUpload.value,iFileUploadCount,lbError))	
                            return false;
                    }
                    else
                    {
                        lbError.innerHTML = "Please select a file to be uploaded for File Control " + iFileUploadCount;
                        document.getElementById("errorbox").style.display="block";
                        document.getElementById("PageContent_uploadAppProgress_Main").style.display = "none"; 
                        document.getElementById("PageContent_uploadAppProgress_Status").style.display = "none";
                        return false;
                    }
                }
            }
            return true;
        }
        function OnAttach()
        {
            if(!ValiadateFileUpload())
                return false;
            if(Page_ClientValidate() )
            {
                var form = document.getElementById('<%=this.Form.ClientID%>');
                  if( form )
                  {
                      g_bIsUploading = true;
                      form.target = 'frameUpload';
                      g_bDisplayError = true;
                      var iFound = form.action.indexOf('&UploadID=');
                      if( iFound >= 0 )
                      {
                          var iEnd = form.action.indexOf('&', iFound + 1);
                          if( iEnd < 0 )
                              iEnd = form.action.length;
                          var strParam = form.action.substr(iFound, iEnd - iFound);
                          form.action = form.action.replace(strParam, '&UploadID=' + GetUploadID());
                      }
                      else
                          form.action += '&UploadID=' + GetUploadID();

                      document.body.style.cursor = 'wait';
                      var iInterval = 1000 * <%=Global.ProgressIndicatorInterval%>;
                    if( iInterval <= 0 )
                        iInterval = 2000;
				
                    g_intervalProgress = window.setInterval('RetreiveProgress()', iInterval);
                    return;
                }
            }
            else
            {
                if( window.event )
                    window.event.cancelBubble = true;
            }

            document.getElementById('PageContent_uploadAppProgress').style.backgroundColor="#5eb4ff"
            return false;
        }
	
        var g_bDisplayError = false;
        function OnIFrameLoaded()
        {
           
            if( g_bDisplayError )
            {
                g_bDisplayError = false;
                RetreiveProgress();
                var frameUpload = document.getElementById('frameUpload');
                var lbError = document.getElementById('<%=lbError.ClientID%>');
                lbError.innerHTML = frameUpload.contentWindow.document.body.innerHTML;

                OnUploadCompleted();
            }
        }
	
        function OnUploadCompleted()
        {
            window.clearInterval(g_intervalProgress);
            service.GetGUID(OnSetUploadID);
            g_bIsUploading = false;
            document.body.style.cursor = 'default';
            //document.getElementById('<%=this.Form.ClientID%>').reset();
            $("#errorbox").css('display','block');
            document.getElementById("PageContent_uploadAppProgress_Main").style.display = "none"; 
            document.getElementById("PageContent_uploadAppProgress_Status").style.display = "none"; 
            
            var message = document.getElementById('<%=lbError.ClientID%>').innerText
            var isSet=false;
            
            var array = ["File Successfully attached.","Conectar correctamente. Por favor, actualice la ventana de su fuerza de ventas.","Attachée avec succès. S'il vous plaît rafraîchir la fenêtre de votre Salesforce.","Attaccato con successo. Si prega di aggiornare la finestra Salesforce.","正常に接続。 Salesforceのウィンドウをリフレッシュしてください。","성공적으로 첨부. 당신의 세일즈 포스 창을 새로 고치십시오.","Anexado com êxito. Por favor, atualize a sua janela Salesforce.","Успешно прилагается. Пожалуйста, обновите ваш Salesforce окна.","成功连接。请刷新您的Salesforce的窗口。","成功連接。請刷新您的Salesforce的窗口。"];

            for(var i=0;i<10;i++){
                if(array[i].toString() == message.toString()){
                    isSet=true;
                }
            }

            if(isSet==true){
                $("#toastImg").attr("xlink:href", "../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success");
                $("#toastclass").removeClass('slds-notify slds-notify_toast slds-theme_error');
                $("#toastclass").addClass('slds-notify slds-notify_toast slds-theme--success');
            }
            document.getElementById("PageContent_uploadAppProgress_Main").style.display = "none"; 
            document.getElementById("PageContent_uploadAppProgress_Status").style.display = "none";
        }

        window.resizeTo(1000,730);
        window.moveTo(window.screen.width/2 - 350, window.screen.height/2 - 300);
        const height = window.screen.availHeight;
        const width = window.screen.availWidth;
        $(window).resize(function () 
        {       
            if(window.screen.availHeight == height && window.screen.availWidth == width){
                //document.getElementById('upload-file').style.width = "49%";
                document.getElementById('comment').width = "287px";
                    
            }
            else{
                //document.getElementById('upload-file').style = null;
                document.getElementById('comment').style = null;
            }
        });
        function OnSetUploadID(result)
        {
          
            document.getElementById('<%=hdnUploadID.ClientID%>').value = result;
        }
	
        function GetUploadID()
        {
            
            return document.getElementById('<%=hdnUploadID.ClientID%>').value;
        }
	
        var service = new enzigma.sforce.webapp.webservices.InternalFTPAttachmentsService();
        service.GetGUID(OnSetUploadID);
        function UpdateProgress(result, eventArgs)
        {		
            if( <%=uploadAppProgress.ClientID%>_obj )
            {
                <%=uploadAppProgress.ClientID%>_obj.UpdateProgress(result.Progress, result.ProgressStatus);
                <%=uploadAppProgress.ClientID%>_obj.EnsureVisible();
            }
		
            if( result.HasCompleted || result.HasError || result.IsCached )
            {
                OnUploadCompleted();
            }
        }
	
        function OnError(error)
        {
          
        }
	
        function RetreiveProgress()
        {
            service.UploadProgress( GetUploadID(), UpdateProgress, OnError);
        }
	
        var g_fileValidator = false;
        var g_serverProfileValidator = false;
        var g_bError = false;
        function UpdateFileValidator(result)
        {
            if( !g_bIsUploading && !g_bError)
            {
                g_fileValidator.isvalid = !result;
                ValidatorUpdateDisplay(g_fileValidator);
                document.getElementById('<%=btnAttachFile.ClientID%>').disabled = result;			
                g_bError = result;
            }
        }
		
        function OnServerProfileReteived(result)
        {
            
            if( result )
            {
                //var lbMaxSize = document.getElementById('<=lbMaxSize.ClientID>');
                //lbMaxSize.innerHTML = result;
            }
            else
            {
                //g_serverProfileValidator.isvalid = false;
                //ValidatorUpdateDisplay(g_serverProfileValidator);
            }
        }
		
        function CheckIfExists(val, args)
        {
            g_fileValidator = val;
            service.CheckIfFileExists(document.location.search, args.Value, UpdateFileValidator, OnError);
              <%--if( <%=uploadAppProgress.ClientID%>_obj )
             <%=uploadAppProgress.ClientID%>_obj.Hide(); --%>
           
        }
	
        function OnErrorChk(error)
        {
           
        }
        var g_Validator = false;
        function UpdateValidator(result)
        {
            if( !g_bIsUploading)
            {
                g_Validator.isvalid = !result;
                ValidatorUpdateDisplay(g_Validator);
                document.getElementById('<%=btnAttachFile.ClientID%>').disabled = result;
                g_bError = result;
            }
        }
	
        function CheckIfAllowed(val, args)
        {
            g_Validator = val;
            var strOrgID = document.getElementById('<%=hdnOrgID.ClientID%>').value;			
            service.CheckIfExtensionAllowed(strOrgID,args.Value,UpdateValidator,OnErrorChk);
            document.getElementById('PageContent_uploadAppProgress').style.backgroundColor="#5eb4ff";
            <%--if( <%=uploadAppProgress.ClientID%>_obj )
                <%=uploadAppProgress.ClientID%>_obj.Hide();--%>
        }
	
        function GetServerProfile(val, args)
        {
            g_serverProfileValidator = val;
            if( args.Value )
                service.GetServerProfileMaxSize( document.location.search, args.Value, OnServerProfileReteived);
        }	
	
        function ClearAllIntervals()
        {
            window.clearInterval(g_intervalProgress);
        }

        function updateProgressBar(){
            document.getElementById('PageContent_uploadAppProgress_Main').style.backgroundColor="#dddbda";
            document.getElementById('PageContent_uploadAppProgress').style.backgroundColor="#dddbda";
        }

        window.onload=function(){
            updateProgressBar();
        }

        var g_intervalProgress = false;
        var g_bIsUploading = false;
        // document.getElementById('<%=btnAttachFile.ClientID%>').disabled = true;
        RegisterWindowEventHandler('unload', ClearAllIntervals);
    </script>
    <iframe name="frameUpload" id="frameUpload" class="iframe-border" width="0" height="0"
        onload="OnIFrameLoaded()"></iframe>
</asp:Content>
