<%@ Page Language="C#" AutoEventWireup="true" Inherits="Delete" MasterPageFile="~/UserMasterPage.master" CodeBehind="Delete.aspx.cs" meta:resourcekey="PageResource1" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>


<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script>
        var isSuccess = false;
        $(document).ready(function () {

            vpw = $(window).width();
            vph = $(window).height();
            $('#bodyHeight').css({ 'height': vph + 'px' });
            $('link[href="../App_Themes/Default/common.css"]').remove();
        });
        function isError() {

            var error = document.getElementById('<%=lbError.ClientID%>').textContent;
            var success = document.getElementById('<%=lbSuccess.ClientID%>').textContent;
         
            if (error.length > 1) {
                isSuccess = false;
                document.getElementById("errorbox").style.display = "inline";
                document.getElementById("spinner").style.display = "none";
            }

            if (success.length > 1) {
                isSuccess = true;
                document.getElementById("successbox").style.display = "inline";
                document.getElementById("spinner").style.display = "none"; 
            }
        }
        window.onload = isError;

        function hideToastError() {
            
            $('#PageContent_errorbox').css('display', 'none');
            $('#PageContent_toastWarnID').css('display', 'none');
            return false;
        }
        function hideToastSuccess() {

            $('#successbox').css('display', 'none');
            return false;
        }

        function applySpinner() {
            document.getElementById("spinner").style.display = "inline";
        }

        function OnCancel() {
            var experienceView = 'https://' + new URLSearchParams(window.location.search).get('SFUrl').split('/')[2] + '/' + new URLSearchParams(window.location.search).get('ID');
            window.open(experienceView, '_self');
        }

        function OnDone() {
            if (isSuccess) {
                var objId = new URLSearchParams(window.location.search).get('ID').substring(0, 3);
                var experienceView = 'https://' + new URLSearchParams(window.location.search).get('SFUrl').split('/')[2] + '/' + objId;
                window.open(experienceView, '_self');
            }
            else {
                var experienceView = 'https://' + new URLSearchParams(window.location.search).get('SFUrl').split('/')[2] + '/' + new URLSearchParams(window.location.search).get('ID');
                window.open(experienceView, '_self');
            }
           
          //  window.history.go(-3) === undefined ? window.close() : window.open(window.history.go(-3), '_self');
        }

    </script>
    <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <%--  <asp:ScriptManager ID="scriptManager" runat="server" />--%>
    <div class="slds-scope slds-small-size--1-of-1">
        <div class="slds-p-around--small">
            <div class="slds-page-header slds-small-size--1-of-1">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-dashboard" title="Delete Attachment">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#delete" />
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="Div1" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                           <%-- <span>Delete File</span>--%>
                                             <asp:Label ID="Label1" runat="server" Text="Delete File" meta:resourcekey="deleteFile"></asp:Label>
                                        </ul>
                                    </ol>
                                </nav>
                               <%-- <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Delete attachment</h1>--%>
                                <b>
                                 <asp:Label ID="Labelheadline" runat="server" CssClass="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" Text="Delete Attachment" meta:resourcekey="deleteAttachmentHeadLine"></asp:Label></b>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <%--<p>If you click on "Delete" button, attachment will be permenantly deleted. Click on "Done" button, recent attachment will appear in the FTP Attachments related list.</p>--%>
                            <asp:Label ID="Label2" runat="server" CssClass="slds-text-body_regular" Text="If you click on Delete button, attachment will be permenantly deleted. Click on Done button, recent attachment will appear in the FTP Attachments related list." meta:resourcekey="deletenote"></asp:Label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slds-p-top_small"></div>
            <div class="slds-card slds-small-size--1-of-1">
                <div class="slds-p-around--small">
                    <div class="slds-box slds-small-size--1-of-1" style="padding: 0">
                        <div class="slds-card__header slds-grid slds-p-bottom--small">
                            <header class="slds-media slds-media_center slds-has-flexi-truncate slds-small-size--1-of-1">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-custom" title="Delete">
                                        <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                            <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#delete"></use>
                                        </svg>
                                        <span class="slds-assistive-text">Delete</span>
                                    </span>
                                </div>
                                <div class="slds-media__body">
                                    <h2 class="slds-text-heading--small">
                                        <%--<span class="slds-text-heading_small slds-text-color--default"><b>Click to Delete</b></span>--%>
                                        <b>
                                          <asp:Label ID="Label3" runat="server" meta:resourcekey="clickToDelete" Text="Click to Delete"></asp:Label></b>
                                    </h2>
                                </div>
                            </header>
                        </div>

                        <div class="slds-align_absolute-center slds-scrollable--x">
                            <div class="demo-only" runat="server" id="toastWarnID" style="height: 4rem; display: none;">
                                <div class="slds-notify_container slds-is-relative">
                                    <div class="slds-notify slds-notify_toast slds-theme_warning slds-theme_alert-texture" role="alert">
                                        <span class="slds-assistive-text">warning</span>
                                        <span class="slds-icon_container slds-icon-utility-warning slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">

                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#warning" />
                                            </svg>
                                        </span>
                                        <div class="slds-notify__content">
                                            <h2 class="slds-text-body_regular">
                                                <asp:Label CssClass="" ID="lbWarnMesaage" runat="server"></asp:Label></h2>
                                        </div>
                                        <%--<button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" onclick="return hideToastError()">
                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">

                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                            <span class="slds-assistive-text">Close</span>
                                        </button>--%>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <div class="slds-align_absolute-center slds-scrollable--x">
                            <div class="slds-scrollable" id="errorbox" style="display: none; overflow: scroll;" runat="server">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                            <div class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                </svg>
                                            </div>
                                            <div class="slds-notify__content">
                                                <h2 class="slds-text-body_regular">
                                                    <asp:Label ID="lbError" runat="server" meta:resourcekey="lbErrorResource1"></asp:Label>
                                                </h2>
                                            </div>
                                            <%--<button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToastError()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>--%>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-scrollable" id="successbox" style="display: none; width: 500px">
                            <div class="slds-scrollable demo-only">
                                <div class="slds-notify_container slds-is-relative">
                                    <div class="slds-notify slds-notify_toast slds-theme--success" role="alert">
                                        <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                            </svg>
                                        </span>
                                        <div class="slds-notify__content">
                                            <h2 class="slds-text-body_regular" style="height: 18px">
                                                <asp:Label ID="lbSuccess" runat="server" meta:resourcekey="lbErrorResource1"></asp:Label></h2>
                                        </div>
                                        <%--<button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose1" onclick="return hideToastSuccess()">
                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                            <span class="slds-assistive-text">Close</span>
                                        </button>--%>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div id="spinner" class="demo-only" style="height: 6rem; display: none">
                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                <span class="slds-assistive-text">Loading</span>
                                <div class="slds-spinner__dot-a"></div>
                                <div class="slds-spinner__dot-b"></div>
                            </div>
                        </div>

                        <div class="slds-p-top_small slds-small-size--1-of-1">
                            <asp:Panel ID="panelMessage" runat="server" meta:resourcekey="panelMessageResource1">
                                <div class="slds-small-size--1-of-1">
                                    <span class="slds-align_absolute-center slds-p-bottom_large">
                                        <asp:Label ID="DownloadText" runat="server" CssClass="slds-text-body_regular" Text="Are you sure you want to delete this attachment?" meta:resourcekey="DeletePermission"></asp:Label>
                                    </span>
                                    <div class="slds-p-bottom_medium slds-p-right--small">
                                        <asp:Button ID="btnYes1" runat="server" Text="Delete" meta:resourcekey="btndelete" CssClass="slds-float_right slds-m-horizontal--xx-small  slds-button slds-button--brand" OnClick="btnYes_Click" OnClientClick="applySpinner()" />&nbsp;&nbsp;
                                        <%--<asp:Button ID="btnNo1" runat="server" Text="Cancel" CssClass="slds-float_right slds-m-horizontal--xx-small slds-button slds-button slds-button_neutral" OnClick="btnNo_Click" OnClientClick="OnCancel()"/>--%>
                                       <asp:button ID="btnCancel" runat="server" text="Cancle" OnClientClick="OnCancel(); return false;" CssClass="slds-button slds-button_neutral slds-clearfix slds-float_right" meta:resourcekey="btnCancle"/>
                                    </div>

                                    <%-- <cc1:ImageButton ID="btnYes" runat="server" OnClick="btnYes_Click" Text="Yes" SkinID="DefaultButton" meta:resourcekey="btnYesResource1" />--%><%--meta:resourcekey="btnNoResource1"--%><%--meta:resourcekey="btnYesResource1"--%> <%--meta:resourcekey="btnYesResource1"--%>
                                </div>
                                <%--<cc1:ImageButton ID="btnNo" runat="server" OnClick="btnNo_Click" Text="No" meta:resourcekey="btnNoResource1" />--%>
                            </asp:Panel>
                        </div>
                        <div class="slds-p-top_small slds-small-size--1-of-1">
                            <asp:Panel ID="pannelDone" runat="server" meta:resourcekey="panelMessageResource1">
                                <div class="slds-small-size--1-of-1">
                                    <div class="slds-p-bottom_xx-large slds-p-right--small">
                                         <asp:button ID="btnDone" runat="server" text="Done" OnClientClick="OnDone(); return false;" CssClass="slds-button slds-button_neutral slds-clearfix slds-float_right" meta:resourcekey="btnDone"/>
                                    </div>
                                </div>
                            </asp:Panel>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <%--  <div class="slds-grid slds-wrap">
        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-8 slds-large-size_1-of-8"></div>
        <div class="slds-col slds-size_1-of-1 slds-medium-size_3-of-4 slds-large-size_3-of-4">
            <article class="slds-card">
                <div class="slds-card__header slds-grid">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <div class="slds-media__figure">
                        </div>
                    </header>
                </div>
                <div class="slds-card__body slds-card__body_inner">
                    <article class="slds-card slds-card_boundary">
                        <div class="slds-card__header slds-grid">
                            <header class="slds-media slds-media_center slds-has-flexi-truncate">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-account" title="account">
                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                            <use xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#delete"></use>
                                        </svg>
                                    </span>
                                </div>
                                <div class="slds-media__body">
                                    <h2 class="slds-card__header-title">

                                        <span class="slds-text-heading_small">Delete File</span>

                                    </h2>
                                </div>
                            </header>
                        </div>
                        <div class="slds-card__body slds-card__body_inner">
                            <asp:Label ID="lbError" runat="server" SkinID="Error"
                                meta:resourcekey="lbErrorResource1"></asp:Label>
                        </div>
                        <footer class="slds-card__footer">
                            <div class="slds-text-align--center slds-text-heading--medium slds-p-around_medium">
                                Are you sure you want to delete this attachment?
                            </div>
                           
                        </footer>
                    </article>
                </div>
            </article>
        </div>
        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-8 slds-large-size_1-of-8"></div>
    </div>--%>
</asp:Content>
