<%@ Page Language="C#" MasterPageFile="~/OtherMaster.master" AutoEventWireup="true"
    Inherits="ftp_GenerateLink" Title="Generate Link" CodeBehind="GenerateLink.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="Server">

   <div class="slds-scope" id="bodyHeight">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Generate Link">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#settings" />
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="tdTitle" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Generate Link</span>
                                        </ul>
                                    </ol>
                                </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Generate Link.</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <asp:Label ID="lbMessage" runat="server">To generate link click on Generate Link button.</asp:Label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-grid slds-wrap slds-p-horizontal_small slds-p-bottom_small">
            <div class="slds-card slds-large-size--1-of-1">
                <div class="slds-box slds-m-around--small">
                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                        <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                            <div class="demo-only">
                                <div class="slds-notify_container slds-is-relative">
                                    <div class="slds-notify slds-notify_toast slds-theme_info" role="alert">
                                        <span class="slds-assistive-text">info</span>
                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#info" />
                                            </svg>
                                        </span>
                                        <div class="slds-notify__content">
                                            <asp:Label CssClass="slds-text-color_inverse" ID="lbError" runat="server" ForeColor="Red"></asp:Label>
                                            <span id="cellLink">
                                                <asp:Label CssClass="slds-text-color_inverse" ID="lblLinkUrl" runat="server" Text=""></asp:Label></span>
                                        </div>
                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                            <span class="slds-assistive-text">Close</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-card__header slds-grid slds-p-bottom--small">
                        <header class="slds-media slds-media_center slds-has-flexi-truncate">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-contract" title="Link">
                                    <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#share_link"></use>
                                    </svg>
                                    <span class="slds-assistive-text">create Link</span>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default"><b>Pannel to create Link</b></span>
                                </h2>
                            </div>
                        </header>
                    </div>
                    <div class="slds-card__body">
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-4 slds-large-size_1-of-4 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <label class="slds-form-element__label" for="text-input-id-1">Expiry Date</label>
                                    <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.ExpireLink"></cc2:Help>
                                    <div class="slds-form-element__control">
                                        <input type="date" name="date" class="slds-input" id="date" onchange="return AssignDate();" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div id="Td2" class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-right_xx-large">
                                <asp:Panel ID="pnlLink2" runat="server"></asp:Panel>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div id="Td1" class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-right_xx-large">
                                <asp:Panel ID="pnlLink1" runat="server"></asp:Panel>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-right_xx-large">
                                <asp:HiddenField ID="hdnExpiryDate" runat="server" Value=""></asp:HiddenField>
                                <asp:HiddenField ID="hdnAttachmentID" runat="server"></asp:HiddenField>
                                <asp:HiddenField ID="hdnAttachmentName" runat="server"></asp:HiddenField>
                                <asp:HiddenField ID="hdnSize" runat="server"></asp:HiddenField>
                                <asp:HiddenField ID="hdnByteSize" runat="server"></asp:HiddenField>
                                <asp:HiddenField ID="hdnVersion" runat="server"></asp:HiddenField>
                                <asp:HiddenField ID="hdnObjectID" runat="server"></asp:HiddenField>
                                <asp:HiddenField ID="hdnLink" runat="server"></asp:HiddenField>
                                <asp:HiddenField ID="hdPackageName" runat="server" />
                                <!--<asp:HiddenField ID="hdnAttachment" runat="server"></asp:HiddenField>
			<asp:HiddenField ID="hdnMaxFileSize" runat="server"></asp:HiddenField>
			<asp:HiddenField ID="hdnDownloadID" runat="server"></asp:HiddenField>-->
                                <asp:ObjectDataSource ID="odsFTPAttachments" runat="server" SelectMethod="GetAttachments"
                                    TypeName="enzigma.sforce.webapp.code.business.SFAttachmentObject">
                                    <SelectParameters>
                                        <asp:QueryStringParameter Name="strSFUrl" QueryStringField="SFUrl" Type="String" />
                                        <asp:QueryStringParameter Name="strSFSessionID" QueryStringField="SFSessionID" Type="String" />
                                        <asp:ControlParameter ControlID="hdPackageName" Name="ePackageName"
                                            PropertyName="Value" Type="Object" />
                                        <asp:ControlParameter ControlID="hdnObjectID" Name="strParentID" PropertyName="Value"
                                            Type="String" />
                                    </SelectParameters>
                                </asp:ObjectDataSource>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <asp:Button ID="btnGenerate" runat="server" SkinID="DefaultButton" Text="Generate Link"
                                    OnClick="btnGenerate_Click" CssClass="slds-button slds-button_brand" />
                                <span id="divBtnCopy" style="display: none;"><asp:Button ID="btnCopy" runat="server" SkinID="DefaultButton" Text="Copy Link" OnClientClick="return CopyLink();" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
 <%-- <link href="JQuery/css/ui.datepicker.css" rel="stylesheet" type="text/css" />--%>
     <script type="text/javascript" src="JQuery/js/jquery-1.3.2.min.js"></script>
   <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
  
   <script type="text/javascript">
       $(document).ready(function () {
           debugger;
           vpw = $(window).width();
           vph = $(window).height();
           $('#bodyHeight').css({ 'height': vph + 'px' });
           $('link[href="../App_Themes/Default/common.css"]').remove();
       });

       function hideToast() {
           $('#PageContent_toast').css('display', 'none');
           return false;
       };

       $('callback').submit(function () {
            $('input[type=submit]', this).attr('disabled', 'disabled');
        });

        window.onload = function () {
            var divBtnCopy = document.getElementById('divBtnCopy');
            if (window.clipboardData && clipboardData.setData && divBtnCopy != null)
                divBtnCopy.style.display = 'block';
            else
                divBtnCopy.style.display = 'none';
            if (document.getElementById('<%=hdnExpiryDate.ClientID %>').value != null && document.getElementById('<%=hdnExpiryDate.ClientID %>').value != "")
                document.getElementById('date').value = document.getElementById('<%=hdnExpiryDate.ClientID %>').value;
        }
        function AssignDate() {
            debugger;          
            var date = new Date(document.getElementById('date').value);
            var strdate = strdate = ('0' + MyDate.getDate()).slice(-2) + '-' + ('0' + (MyDate.getMonth() + 1)).slice(-2) + '-' + MyDate.getFullYear();
            document.getElementById('<%=hdnExpiryDate.ClientID %>').value = strdate;
            return false;
        }

         window.resizeTo(850, 800);
        window.moveTo(window.screen.width / 2 - 400, window.screen.height / 2 - 425);

        function CopyLink() {
          
            //var Link = document.getElementById('<%=lblLinkUrl.ClientID %>');
            var Link = document.getElementById('<%=hdnLink.ClientID %>');
            if (Link != null) {
                var strLink = Link.value;
                //if(strLink == null || strLink == '')
                //alert('Please generate the link first.');
                //else
                CopyToClipboard(strLink);
            }
            return false;
        }
        function CopyToClipboard(strdata) {
            if (window.clipboardData && clipboardData.setData) {
                clipboardData.setData("text", strdata);
                //alert("Copied to clipboard");
                var btnCopyLink = document.getElementById('<%=btnCopy.ClientID %>');
                if (btnCopyLink != null) {
                    btnCopyLink.setAttribute("value", "Link Copied successfully");
                    btnCopyLink.setAttribute("disabled", "true");
                }
            }
            else {
                alert("Copy functionality is available only in Internet Explorer");
            }
        }
        function OnCancel(evt, strDivName) {
            if (window.event) {
                window.event.cancelBubble = true;
                window.event.returnValue = false;
            }
            else
                evt.cancelBubble = true;
            return false;
        }
    </script>
</asp:Content>
