<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" Inherits="AmazonS3Default" Title="File Name Settings" Codebehind="AmazonS3Default.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" Runat="Server">
	<script type="text/javascript">

function OnToggle(strLink, strDiv, strText)
{
	var divDisplay = document.getElementById(strDiv);
	var linkToggle = document.getElementById(strLink);
	if( divDisplay.style.display == '' )
	{
		divDisplay.style.display = 'none';
		linkToggle.innerHTML = strText + '&gt;&gt;';
	}
	else
	{
		divDisplay.style.display = '';
		linkToggle.innerHTML = strText + '&lt;&lt;';
	}
}
$(document).ready(function () {

    $('link[href="../App_Themes/Default/common.css"]').remove();

});
</script>
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>
	<asp:UpdatePanel ID="UpdatePanel1" runat="server">
		<ContentTemplate>
	<table>
	<tr>
	<td class="Heading">
		File Name Settings</td></tr>
		<tr>
			<td colspan="2">
				You can set diffrent kinds of parameters to allow or disallow certain file names
				in this screen.
				<br />
<br />
<a id="linkHelp" href="javascript:OnToggle('linkHelp','divHelp','Help');">Help&gt;&gt;</a>
<br />
<br />
<div id="divHelp" style="display:none">
				<li><strong>Additional Characters Allowedr:</strong> By default FTP Attachments only
					following characters in the file names a-z 0-9 . - _ [space]. You can enter additional characters in this field to allow those characters along with the above mentioned
					characters. </li>
				<li><strong>Extensions to be Allowed/Denied:</strong> You can add coma seperated list of extensions in this field. If you choose allow, only files with these extensions
					can be attached using FTP Attachments. If you choose Deny all the the files are
					allowed to be attached except
				for the files with extension provided in the list.</li>
				<li><strong>Is Duplicate File Name allowed:</strong> By default it is unchecked that
					means under the same object no two FTP Attachments are allowed with the same name.
					If you check this checkbox you can have multiple files with same namve under same
					object as FTP Attachments.</li>
					</div>
			</td>
		</tr>
		<tr>
			<td align="left" colspan="2">
				<asp:Label ID="lbError" runat="server" ForeColor="Red"></asp:Label></td>
		</tr>
		<tr>
			<td align="left" colspan="2">
			</td>
		</tr>
		<tr>
			<td colspan="2" align="left">
				<asp:DetailsView ID="detailsviewFileSettings" runat="server" AutoGenerateRows="False"
					BackColor="White" OnItemUpdating="detailsviewFileSettings_ItemUpdating"
					Width="600px" DataSourceID="odsFileNameSettings" BorderStyle="None" GridLines="None">
					<Fields>
						<asp:TemplateField HeaderText="Additional Characters Allowed:" SortExpression="Characters">
							<EditItemTemplate>
								<asp:TextBox ID="edAllowedCharacters" runat="server" Text='<%# Bind("Characters") %>'></asp:TextBox><br />
								<asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="edAllowedCharacters"
									Display="Dynamic" ErrorMessage="Following characters cant not be allowed in file names. ~"
									ValidationExpression="[^~]*"></asp:RegularExpressionValidator>
							</EditItemTemplate>
							<InsertItemTemplate>
								<asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Characters") %>'></asp:TextBox>
							</InsertItemTemplate>
							<ItemTemplate>
								&nbsp;<asp:Label ID="lblCharacters" runat="server" Text='<%# Bind("Characters") %>'></asp:Label>
							</ItemTemplate>
							<HeaderStyle HorizontalAlign="Right" />
							<HeaderTemplate>
								<asp:Label ID="lblCharHeader" runat="server" Text="Additional characters allowed:"></asp:Label>
								  <div class="slds-float_right">
                                <cc2:help id="helpCharAllowed" runat="server" HelpMessageID="Resources.Help.FileNameChar"></cc2:help>
                                      </div>
							</HeaderTemplate>
						</asp:TemplateField>
						<asp:TemplateField HeaderText="Extensions Allowed/Denied:" SortExpression="Characters">
							<EditItemTemplate>
								<table cellpadding="0" cellspacing="0">
									<tr>
										<td valign="top">
								<asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Extensions") %>'></asp:TextBox></td>
										<td valign="top">
								<asp:RadioButtonList ID="rdlExtensions" runat="server" RepeatDirection="Horizontal" SelectedValue='<%# Bind("Extension1") %>'>
									<asp:ListItem Value="Allow">Allow </asp:ListItem>
									<asp:ListItem Value="Deny">Deny </asp:ListItem>
								</asp:RadioButtonList></td>
									</tr>
								</table>
								Please enter coma seperated extensions e.g. txt,jpg,zip
							</EditItemTemplate>
							<InsertItemTemplate>
								<table cellpadding="0" cellspacing="0">
									<tr>
										<td valign="top">
								<asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Extensions") %>'></asp:TextBox></td>
										<td valign="top">
								<asp:RadioButtonList ID="rdlExtensions" runat="server" RepeatDirection="Horizontal" SelectedValue='<%# Bind("Extension1") %>'>
									<asp:ListItem Value="Allow">Allow </asp:ListItem>
									<asp:ListItem Value="Deny">Deny </asp:ListItem>
								</asp:RadioButtonList></td>
									</tr>
								</table>
								<br />
								</InsertItemTemplate>
							<ItemTemplate>
								<table cellpadding="0" cellspacing="0">
									<tr>
										<td align="left" valign="middle">
								<asp:Label ID="lblExtensions" runat="server" Text='<%# Bind("Extensions") %>'></asp:Label></td>
										<td align="left" valign="middle">
								<asp:RadioButtonList ID="rdlExtensions" runat="server" Enabled="False" RepeatDirection="Horizontal" CellPadding="0" CellSpacing="0" SelectedValue='<%# Bind("Extension1") %>'>
									<asp:ListItem Value="Allow">Allow </asp:ListItem>
									<asp:ListItem Value="Deny">Deny </asp:ListItem>
								</asp:RadioButtonList></td>
									</tr>
								</table>
							</ItemTemplate>
							<HeaderStyle HorizontalAlign="Right" />
							<ItemStyle VerticalAlign="Top" />
							<HeaderTemplate>
								<asp:Label ID="lblExtensionsHeader" runat="server" Text="Extensions Allowed/Denied:"></asp:Label>
											<cc2:help id="helpExtensions" runat="server" HelpMessageID = "Resources.Help.FileExtension"></cc2:help>
							</HeaderTemplate>
						</asp:TemplateField>
						<asp:TemplateField HeaderText="Is Duplicate File Name Allowed?:">
							<EditItemTemplate>
								<table cellpadding="0" cellspacing="0">
									<tr>
										<td align="left" valign="middle">
										</td>
										<td align="left" valign="middle">
											<asp:CheckBox ID="chkDuplicateAllowed" runat="server" Checked='<%# Bind("IsDuplicateFileName") %>' /></td>
									</tr>
								</table>
							</EditItemTemplate>
							<ItemTemplate>
								<table cellpadding="0" cellspacing="0">
									<tr>
										<td align="left" valign="middle">
											<asp:CheckBox ID="chkDuplicateAllowed" runat="server" Enabled="False" Checked='<%# Bind("IsDuplicateFileName") %>' /></td>
									</tr>
								</table>
							</ItemTemplate>
							<ItemStyle VerticalAlign="Top" HorizontalAlign="Left" />
							<InsertItemTemplate>
								<table cellpadding="0" cellspacing="0">
									<tr>
										<td align="left" valign="middle">
										</td>
										<td align="left" valign="middle">
											<asp:CheckBox ID="chkDuplicateAllowed" runat="server" Checked='<%# Bind("IsDuplicateFileName") %>' /></td>
									</tr>
								</table>
							</InsertItemTemplate>
							<HeaderStyle HorizontalAlign="Right" />
							<HeaderTemplate>
								<asp:Label ID="lblDuplicateFileName" runat="server" Text="Is Duplicate File Name Allowed?"></asp:Label>
											<cc2:help id="helpDuplicate" runat="server" HelpMessageID = "Resources.Help.FileNameDuplicate"></cc2:help>
							</HeaderTemplate>
						</asp:TemplateField>
						<asp:TemplateField>
							<EditItemTemplate>
								<table>
									<tbody>
										<tr>
											<td>
												<cc1:ImageButton ID="btnUpdate" runat="server" CommandName="Update" SkinID="DefaultButton"
													Text="Update" />
											</td>
											<td>
												<cc1:ImageButton ID="btnCancel" runat="server" CausesValidation="False" CommandName="Cancel"
													Text="Cancel" />
											</td>
										</tr>
									</tbody>
								</table>
							</EditItemTemplate>
							<ItemTemplate>
								<table>
									<tbody>
										<tr>
											<td>
												<cc1:ImageButton ID="btnEdit" runat="server" CausesValidation="False" CommandName="Edit"
													SkinID="DefaultButton" Text="Edit" />
											</td>
											<td>
											</td>
											<td align="left" style="width: 100%">
											</td>
										</tr>
									</tbody>
								</table>
							</ItemTemplate>
							<HeaderStyle HorizontalAlign="Right" />
						</asp:TemplateField>
					</Fields>
					<FieldHeaderStyle Width="250px" />
					<HeaderStyle Width="200px" />
				</asp:DetailsView>
			</td>
		</tr>
	</table>
		</ContentTemplate>
	</asp:UpdatePanel>
	<asp:HiddenField ID="hdnID" runat="server" />
	<asp:ObjectDataSource ID="odsFileNameSettings" runat="server" SelectMethod="GetSettingsByID"
		TypeName="enzigma.business.FileNameSettings">
		<SelectParameters>
			<asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
		</SelectParameters>
	</asp:ObjectDataSource>
	<table id="tblError" runat="server">
		<tr>
			<td style="width: 600px; height: 500px; height: 500px" align="left" valign="top">
				<asp:Label ID="lbMessage" runat="server" SkinID="Error"></asp:Label></td>
		</tr>
	</table>
</asp:Content>

