<%@ Page AutoEventWireup="true" Inherits="settings_CaseCommentsSettings" Language="C#" MasterPageFile="~/MasterPage.master" CodeBehind="CaseCommentsSettings.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/application_css/custom_2018.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {

            $('link[href="../../App_Themes/Default/common.css"]').remove();

        });
        function OnToggle(strLink, strDiv, strText) {
            var divDisplay = document.getElementById(strDiv);
            var linkToggle = document.getElementById(strLink);
            if (divDisplay.style.display == '') {
                divDisplay.style.display = 'none';
                linkToggle.innerHTML = strText + '&gt;&gt;';
            }
            else {
                divDisplay.style.display = '';
                linkToggle.innerHTML = strText + '&lt;&lt;';
            }
        }
    </script>
    <asp:HiddenField ID="hdnID" runat="server" />
    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>

    <asp:UpdatePanel ID="UpdatePanel" runat="server">
        <ContentTemplate>
            <div class="slds-p-around_small">
                <div class="slds-page-header">
                    <div class="slds-grid">
                        <div class="slds-col slds-has-flexi-truncate">
                            <div class="slds-media slds-no-space slds-grow">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-opportunity" title="Case Comments Settings">
                                        <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                    </span>
                                </div>
                                <div class="slds-media__body">
                                    <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Settings</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                    <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate">Case Comments Settings</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-grid slds-page-header__detail-row">
                        <div class="slds-grid slds-wrap slds-p-top_xx-small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                <div class="slds-text-body_regular">
                                    Whenever an attachment of a case is accessed, a comment can be added to the case automatically. Depending on different actions taken on the attachment, different comment can be added to the case as per the settings in this page.
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
            <div class="slds-p-horizontal_small slds-p-bottom_xx-large">
                <div class="slds-card">
                    <div class="slds-media__body"></div>
                    <div class="slds-card__body slds-card__body--inner slds-p-top--small ">
                        <div class="slds-box">
                            <div class="slds-card" style="position: inherit;">
                                <div class=" slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media slds-media_center slds-has-flexi-truncate">

                                    <div class="slds-media__body slds-p-bottom--small">
                                        <h2 class="slds-card__header-title">
                                            <span class="slds-text-heading_small"><b>Case Comments Settings</b></span>
                                        </h2>
                                    </div>
                                </div>
                                <div class="slds-scrollable" id="successbox" runat="server" visible="false">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme--success" role="alert">
                                                <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                            </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                    <h2 class="slds-text-body_regular ">
                                                        <asp:Label ID="lbSelfUserError" runat="server"></asp:Label>

                                                    </h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose1">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-scrollable" id="errorBox" runat="server" visible="false">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme--error" role="alert">
                                                <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                            </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                    <h2 class="slds-text-body_regular ">
                                                        <asp:Label ID="lbSelfUserErrormsg" runat="server"></asp:Label></h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose1">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-p-around_small  slds-grid slds-wrap slds-theme--shade">
                                    <div class="slds-size--1-of-1  slds-text-align--left">
                                        <a href="javascript:OnLinkToggle('lnkAnswer','divAnswer', 'Example ')" id="lnkAnswer">Example
                                        <span class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                            <svg viewbox="0 0 16 16" aria-hidden="true">
                                              <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                                 <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                         </svg>
                                        </span>
                                        </a>
                                    </div>
                                    <div id="divAnswer" style="display: none" class="slds-p-vertical_x-small slds-text-body_regular slds-theme--shade">
                                        <div class="slds-text-body_regular">
                                            <strong><b>Problem:</b></strong> You want to add a comment to the 
                                        case whenever a file is attached to the case. The comment should be in this 
                                        format.
                                        </div>
                                        <div class="slds-text-body_regular">
                                            "A file named <i>filename</i> of size <i>filesize</i> was attached by <i>username</i>."
                                        </div>
                                        <div class="slds-text-body_regular">
                                            <strong><b>Solution:</b></strong> Check the check box "A file is attached to the case" below and 
                                        then enter following text
                                        </div>
                                        <div class="slds-text-body_regular">
                                            "A file named {0} of size {1} was attached by {2}."
                                        </div>
                                        <div class="slds-text-body_regular">in the text box below that checkbox.</div>
                                    </div>
                                </div>
                                <div class="slds-p-around_small">
                                    <p class="slds-text-heading--small slds-text-body_regular ">Add this comment to the case when,</p>
                                </div>
                                <div class="slds-p-around_small slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_1-of-1">
                                        <asp:CheckBox ID="chkAttachmentAdded" runat="server" CssClass="slds-text-title" Text="A file is attached to the case" OnCheckedChanged="chkAttachmentAdded_CheckedChanged" AutoPostBack="True"></asp:CheckBox>
                                        <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.FileAttachedComment"></cc2:Help>
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:TextBox ID="txtAttachmentAdded" runat="server" TextMode="MultiLine" Rows="5" CssClass="slds-textarea"></asp:TextBox>
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_4-of-12 ">
                                        <div class="slds-text-body_regular">
                                            Parameters<cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.CaseCommentSettings"></cc2:Help>
                                        </div>
                                        <div class="slds-text-body_regular"><b>{0}</b>Name of the file(attachment).</div>
                                        <div class="slds-text-body_regular"><b>{1}</b>Size of the file(attachment).</div>
                                        <div class="slds-text-body_regular">
                                            <b>{2}</b>Name of the user accessing the attachment.<br />
                                            (In case of Self Service Portal, User name of the Self Service Portal will be used.)
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-p-around_small slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_1-of-1">
                                        <asp:CheckBox ID="chkAttachmentUpdated" runat="server" CssClass="slds-text-title" Text="An attachment of the case is updated" OnCheckedChanged="chkAttachmentUpdated_CheckedChanged" AutoPostBack="True"></asp:CheckBox>
                                        <cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.FileUpdatedComment"></cc2:Help>
                                    </div>

                                    <div class="slds-col slds-size_1-of-1 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:TextBox ID="txtAttachmentUpdated" runat="server" TextMode="MultiLine" MaxLength="255" Columns="60" Rows="5" CssClass="slds-textarea"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="slds-p-around_small slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_1-of-1">
                                        <asp:CheckBox ID="chkAttachmentDeleted" runat="server" CssClass="slds-text-title" Text="An attachment of the case is deleted" OnCheckedChanged="chkAttachmentDeleted_CheckedChanged" AutoPostBack="True"></asp:CheckBox>
                                        <cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.FileDeletedComment"></cc2:Help>
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:TextBox ID="txtAttachmentDeleted" runat="server" TextMode="MultiLine" MaxLength="255" Columns="60" Rows="5" CssClass="slds-textarea"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="slds-p-around_small slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_1-of-1">
                                        <asp:CheckBox ID="chkAttachmentViewed" runat="server" CssClass="slds-text-title" Text="An attachment of the case is viewed" OnCheckedChanged="chkAttachmentViewed_CheckedChanged" AutoPostBack="True"></asp:CheckBox>
                                        <cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.FileViewedComment"></cc2:Help>
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:TextBox ID="txtAttachmentViewed" runat="server" TextMode="MultiLine" MaxLength="255" Columns="60" Rows="5" CssClass="slds-textarea"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="slds-p-around_small slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-large-size_1-of-1">
                                        <asp:Button ID="btnSubmit" OnClick="btnSubmit_Click" runat="server" Text="Update" CssClass="slds-button slds-button_brand"></asp:Button>
                                    </div>
                                    <div class="slds-p-top_small slds-col slds-size_1-of-1 slds-large-size_1-of-1">
                                        <div class="slds-text-body_small">PS: Only use parameters provided here, using any other number as parameter may give you undefined results.</div>
                                    </div>
                                </div>
                                <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-8 slds-large-size_1-of-8"></div>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
