<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" Inherits="PackageSettings" Title="Package Settings" CodeBehind="PackageSettings.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="Server">
    <script type="text/javascript">

        $(document).ready(function () {
            $('link[href="../../App_Themes/Default/common.css"]').remove();
            //console.clear();
        });


        function hideToast() {

            $('#PageContent_toast').css('display', 'none');
            $('#PageContent_toastError').css('display', 'none');
            document.getElementById('<%=lblErrorMsg.ClientID%>').value = "";
            document.getElementById('<%=lbError.ClientID%>').value = "";
            return false;
        }

        function OnToggle(strLink, strDiv, strText) {
            var divDisplay = document.getElementById(strDiv);
            var linkToggle = document.getElementById(strLink);
            if (divDisplay.style.display == '') {
                divDisplay.style.display = 'none';
                linkToggle.innerHTML = strText + '&gt;&gt;';
            }
            else {
                divDisplay.style.display = '';
                linkToggle.innerHTML = strText + '&lt;&lt;';
            }
        }
    </script>
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>

    <div class="slds-scope">
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <div class="slds-p-around_small">
                    <div class="slds-page-header">
                        <div class="slds-grid">
                            <div class="slds-col slds-has-flexi-truncate">
                                <div class="slds-media slds-no-space slds-grow">
                                    <div class="slds-media__figure">
                                        <span class="slds-icon_container slds-icon-standard-opportunity" title="Package Setting">
                                            <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#shopping_bag" class="slds-p-around_small"></use>
                                        </svg>
                                        </span>
                                    </div>
                                    <div class="slds-media__body">
                                        <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Package</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                        <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Package Settings</h1>
                                    </div>
                                </div>
                            </div>
                            <div class="slds-col slds-no-flex slds-grid slds-align-top">
                            </div>
                        </div>
                        <div class="slds-grid slds-page-header__detail-row">
                            <div class="slds-grid slds-wrap slds-p-around--small">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                    <p>You can set package to be used with this product.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="slds-p-horizontal_small slds-p-bottom--small">
                    <div class="slds-card">
                        <div class="slds-media__body"></div>
                        <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                            <div class="slds-box">
                                <div class="slds-media slds-p-bottom--small">
                                    <div class="slds-media__figure">
                                        <h2 class="slds-text-heading--small">
                                            <span class="slds-text-heading_small slds-text-color--default">
                                                <b>Package Settings</b></span>
                                        </h2>

                                    </div>

                                </div>

                                <div class="slds-grid slds-wrap slds-p-top_small">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                        <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                            <div class="demo-only">
                                                <div class="slds-notify_container slds-is-relative">
                                                    <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                        <span class="slds-assistive-text">info</span>
                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                              </svg>
                                                        </span>
                                                        <div class="slds-notify__content">
                                                             <h2 class="slds-text-body_regular ">
                                                            <asp:Label ID="lbError" runat="server"></asp:Label></h2>
                                                        </div>
                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                  <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                              </svg>
                                                            <span class="slds-assistive-text">Close</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                            <div class="demo-only">
                                                <div class="slds-notify_container slds-is-relative">
                                                    <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                        <span class="slds-assistive-text">error</span>
                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                                           <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                                                                                       </svg>
                                                        </span>
                                                        <div class="slds-notify__content">
                                                             <h2 class="slds-text-body_regular ">
                                                            <asp:Label ID="lblErrorMsg" runat="server" SkinID="Error" CssClass="slds-form-element__label"></asp:Label></h2>
                                                        </div>
                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                                                           <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                        </svg>
                                                            <span class="slds-assistive-text">Close</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                    <div class="slds-p-top_medium slds-col slds-small-size_1-of-1 background-body-color--default">
                                    <asp:DetailsView ID="detailsviewPackageSettings" runat="server" AutoGenerateRows="False"
                                        BackColor="White" OnItemUpdating="detailsviewPackageSettings_ItemUpdating"
                                        DataSourceID="odsPackageSettings" BorderStyle="None" GridLines="None">
                                        <Fields>
                                            <asp:TemplateField HeaderText="Name:" SortExpression="Characters">
                                                <EditItemTemplate>
                                                    <asp:DropDownList ID="edPackgeName" runat="server" DataSourceID="odsPackageNames" SelectedValue='<%# Bind("Name") %>' CssClass="slds-select" Font-Bold="false" />
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    <asp:DropDownList ID="edPackgeNameSelected" runat="server" Text='<%# Bind("Name") %>' Font-Bold="false" />
                                                </InsertItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="lblCharacters" runat="server" Text='<%# Bind("Name") %>' Font-Bold="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Right" />
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblCharHeader" runat="server" Text="Name" CssClass="slds-form-element__label" Font-Bold="false" />
                                                        <cc2:Help ID="helpPackageSelection" runat="server" HelpMessageID="Resources.Help.PackageSelection">
                                                        </cc2:Help>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_small">
                                                <EditItemTemplate>
                                                <div class="slds-p-vertical_small slds-grid slds-wrap">
                                                        <asp:Button ID="btnUpdate" runat="server" Text="Update" CommandName="Update" SkinID="DefaultButton" CssClass="slds-button slds-button--brand" Font-Bold="false" />
                                                        <asp:Button ID="btnCancel" runat="server" CausesValidation="False" Text="Cancel" CommandName="Cancel" CssClass="slds-button slds-button_neutral" Font-Bold="false" />
                                                    
                                                      <div class="slds-col slds-small-size_1-of-12">
                                                            <asp:UpdateProgress ID="UpdatePanelSetting" runat="server" >
                                                                <ProgressTemplate>
                                                                    <div class="slds-spinner_container">
                                                                        <div class="demo-only">
                                                                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                                <span class="slds-assistive-text">Loading</span>
                                                                                <div class="slds-spinner__dot-a"></div>
                                                                                <div class="slds-spinner__dot-b"></div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </ProgressTemplate>
                                                            </asp:UpdateProgress>
                                                        </div></div>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Button ID="btnEdit" runat="server" Text="Edit" CausesValidation="False" CommandName="Edit" SkinID="DefaultButton" CssClass="slds-button slds-button_neutral" Font-Bold="false"/>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Right" />
                                            </asp:TemplateField>
                                        </Fields>
                                        <FieldHeaderStyle Width="250px" />
                                        <HeaderStyle Width="200px" />
                                    </asp:DetailsView>

                                    <asp:HiddenField ID="hdnID" runat="server" />
                                    <asp:ObjectDataSource ID="odsPackageSettings" runat="server" SelectMethod="GetSettingsByID"
                                        TypeName="enzigma.sforce.webapp.code.business.Package">
                                        <SelectParameters>
                                            <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
                                        </SelectParameters>
                                    </asp:ObjectDataSource>
                                    <asp:ObjectDataSource ID="odsPackageNames" runat="server" SelectMethod="GetPackageNames"
                                        TypeName="enzigma.sforce.webapp.code.business.Package"></asp:ObjectDataSource>


                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>


</asp:Content>

