<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" Inherits="SMTPServerSettings" Title="Server Settings" CodeBehind="SMTPServerSettings.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="Server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/application_css/custom_2018.css" rel="stylesheet" />
    <script type="text/javascript">
        <%--function RemoveCss()
        {
          var detailsview = document.getElementById('<%= detailviewServerSettings.ClientID %>');
          alert(detailsview);
            detailsview.style.removeProperty('background-color');
            var TrTag = detailsview.getElementsByTagName("TR");
            for (var i = 0; i < TrTag.length; i++)
            {
                TrTag[i].style.removeProperty('background-color');
            }     
      }
        window.load = RemoveCss();--%>
        $(document).ready(function () {

            $('link[href="../../App_Themes/Default/common.css"]').remove();

        });

    </script>
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <div class="slds-p-around_small">
                <div class="slds-page-header">
                    <div class="slds-grid">
                        <div class="slds-col slds-has-flexi-truncate">
                            <div class="slds-media slds-no-space slds-grow">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-opportunity" title="SMTP Server Settings">
                                        <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                    </span>
                                </div>
                                <div class="slds-media__body">
                                    <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Settings</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                    <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">SMTP Server Settings</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-grid slds-page-header__detail-row">
                        <div class="slds-grid slds-wrap slds-p-top_xx-small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                <div class="slds-text-body_regular">Enter the information to access your SMTP server here. These settings are used when you try to send an email with FTP Attachments through SMTP instead of sending it through Salesforce.</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slds-p-horizontal_small slds-p-bottom_xx-large">
                <div class="slds-card">
                    <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                        <div class="slds-box">
                            <div class="slds-card" style="position: inherit;">
                                <div class=" slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media slds-media_center slds-has-flexi-truncate">

                                    <div class="slds-media__body slds-p-bottom--small">
                                        <h2 class="slds-card__header-title">
                                            <span class="slds-text-heading_small"><b>SMTP Server Settings</b></span>
                                        </h2>
                                    </div>
                                </div>
                                <div class="slds-scrollable" id="successbox" runat="server" visible="false">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme--success" role="alert">
                                                <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                            </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                    <h2 class="slds-text-body_regular ">
                                                        <asp:Label ID="lbSettingError" runat="server"></asp:Label></h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose1">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-p-top_small slds-col  slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_6-of-12 background-body-color--default">
                                    <asp:DetailsView ID="detailviewServerSettings" runat="server" AutoGenerateRows="False" BackColor="White"
                                        Height="50px" DataSourceID="odsServerSettings" OnItemUpdating="detailviewServerSettings_ItemUpdating" BorderStyle="None" GridLines="None">
                                        <Fields>
                                            <asp:TemplateField HeaderText="SMTP Server" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="edServer" runat="server" Text='<%# Bind("SMTPServer") %>' CssClass=" slds-input " Font-Bold="false"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="reqServer" runat="server" ControlToValidate="edServer" CssClass="slds-text-color_error"
                                                        ErrorMessage="Field cant be empty" Display="Dynamic" Font-Bold="false"></asp:RequiredFieldValidator>
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    <asp:TextBox ID="edServer" runat="server" Text='<%# Bind("SMTPServer") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="reqServer" runat="server" ControlToValidate="edServer" CssClass="slds-text-color_error"
                                                        ErrorMessage="Field cant be empty" Display="Dynamic" Font-Bold="false"></asp:RequiredFieldValidator>
                                                </InsertItemTemplate>
                                                <%--<ItemStyle HorizontalAlign="Left" />--%>
                                                <ItemTemplate>
                                                    &nbsp;<asp:Label ID="LblServer" runat="server" Text='<%# Bind("SMTPServer") %>' Font-Bold="false" ></asp:Label>
                                                </ItemTemplate>
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblSMTPSrvr" runat="server" Text="SMTP Server" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                    <div class="slds-float_right">
                                                        <cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.HostAddress">
                                                        </cc2:Help>
                                                    </div>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Login" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="edLogin" runat="server" Text='<%# Bind("Login") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <%--<asp:RequiredFieldValidator ID="reqLogin" runat="server" ControlToValidate="edLogin"
											Display="Dynamic" ErrorMessage="Field cant be empty"></asp:RequiredFieldValidator>--%>
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    <asp:TextBox ID="edLogin" runat="server" Text='<%# Bind("Login") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <%--<asp:RequiredFieldValidator ID="reqLogin" runat="server" ControlToValidate="edLogin"
											Display="Dynamic" ErrorMessage="Field cant be empty"></asp:RequiredFieldValidator>--%>
                                                </InsertItemTemplate>
                                                <%--<ItemStyle HorizontalAlign="Left" />--%>
                                                <ItemTemplate>
                                                    &nbsp;<asp:Label ID="lbLogin" runat="server" Text='<%# Bind("Login") %>' Font-Bold="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblLogin" runat="server" Text="Login" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                    <div class="slds-float_right">
                                                        <cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.SmtpLogin">
                                                        </cc2:Help>
                                                    </div>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Password" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="edPwd" runat="server" Text='<%# Bind("PasswordEnc") %>' TextMode="Password" CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="reqPassword" runat="server" ControlToValidate="edPwd" CssClass="slds-text-color_error"
                                                        ErrorMessage="Field cant be empty" Display="Dynamic" Font-Bold="false"></asp:RequiredFieldValidator>
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    <asp:TextBox ID="edPwd" runat="server" Text='<%# Bind("PasswordEnc") %>' TextMode="Password" CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="reqPassword" runat="server" ControlToValidate="edPwd" CssClass="slds-text-color_error"
                                                        ErrorMessage="Field cant be empty" Display="Dynamic" Font-Bold="false"></asp:RequiredFieldValidator>
                                                </InsertItemTemplate>
                                                <%--<ItemStyle HorizontalAlign="Left" />--%>
                                                <ItemTemplate>
                                                    <asp:Label ID="lbPwd" runat="server" Text="********" Font-Bold="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblPassword" runat="server" Text="Password" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                    <div class="slds-float_right">
                                                        <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.SmtpLogin">
                                                        </cc2:Help>
                                                    </div>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Confirm Password" ItemStyle-CssClass="slds-p-vertical_xx-smalll">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="edConfirmPwd" runat="server" Text='<%# Bind("PasswordEnc") %>' TextMode="Password" CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="reqCfmPassword" runat="server" ControlToValidate="edConfirmPwd"
                                                        ErrorMessage="Field cant be empty" Display="Dynamic" CssClass="slds-text-color_error" Font-Bold="false"></asp:RequiredFieldValidator><asp:CompareValidator ID="comparePassword" CssClass="slds-text-color_error"
                                                            runat="server" ControlToCompare="edPwd" ControlToValidate="edConfirmPwd" ErrorMessage="Check the entered password" Display="Dynamic" Font-Bold="false"></asp:CompareValidator>
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    <asp:TextBox ID="edConfirmPwd" runat="server" Text='<%# Bind("PasswordEnc") %>' TextMode="Password" CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="reqCfmPassword" runat="server" ControlToValidate="edConfirmPwd"
                                                        ErrorMessage="Field cant be empty" Display="Dynamic" CssClass="slds-text-color_error" Font-Bold="false"></asp:RequiredFieldValidator><asp:CompareValidator ID="comparePassword"
                                                            runat="server" ControlToCompare="edPwd" ControlToValidate="edConfirmPwd" ErrorMessage="Check the  entered password " Display="Dynamic" CssClass="slds-text-color_error" Font-Bold="false"></asp:CompareValidator>
                                                </InsertItemTemplate>
                                                <%--<ItemStyle HorizontalAlign="Left" />--%>
                                                <ItemTemplate>
                                                    <asp:Label ID="lbConfirmPwd" runat="server" Text="********" Font-Bold="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblConfirmPassword" runat="server" Text="Confirm Password" CssClass="slds-form-element__label" Font-Bold="false" ></asp:Label>
                                                    <div class="slds-float_right">
                                                        <cc2:Help ID="helpConfirm" runat="server" HelpMessageID="Resources.Help.ConfirmPassword"></cc2:Help>
                                                    </div>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Port" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="edPort" runat="server" Text='<%# Bind("Port") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="reqPort" runat="server" ControlToValidate="edPort" CssClass="slds-text-color_error"
                                                        Display="Dynamic" ErrorMessage="Field cant be empty" Font-Bold="false"></asp:RequiredFieldValidator><br />
                                                    <asp:RegularExpressionValidator ID="regPort" runat="server" ControlToValidate="edPort" CssClass="slds-text-color_error"
                                                        Display="Dynamic" ErrorMessage="Enter a valid port number" ValidationExpression="[0-9]+" Font-Bold="false"></asp:RegularExpressionValidator>
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    <asp:TextBox ID="edPort" runat="server" Text='<%# Bind("Port") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="reqPort" runat="server" ControlToValidate="edPort" CssClass="slds-text-color_error"
                                                        Display="Dynamic" ErrorMessage="Field cant be empty" Font-Bold="false"></asp:RequiredFieldValidator><br />
                                                    <asp:RegularExpressionValidator ID="regPort" runat="server" ControlToValidate="edPort" CssClass="slds-text-color_error"
                                                        Display="Dynamic" ErrorMessage="Enter a valid port number" ValidationExpression="[0-9]+" Font-Bold="false"></asp:RegularExpressionValidator>
                                                </InsertItemTemplate>
                                                <%--<ItemStyle HorizontalAlign="Left" />--%>
                                                <ItemTemplate>
                                                    &nbsp;<asp:Label ID="lbPort" runat="server" Text='<%# Bind("Port") %>' Font-Bold="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblPort" runat="server" Text="Port" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                    <div class="slds-float_right">
                                                        <cc2:Help ID="helpPort" runat="server" HelpMessageID="Resources.Help.SmtpServerPort">
                                                        </cc2:Help>
                                                    </div>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="From Email" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="edFromAddress" runat="server" Text='<%# Bind("FromAddress") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RegularExpressionValidator ID="regEmail" runat="server" ControlToValidate="edFromAddress" CssClass="slds-text-color_error"
                                                        Display="Dynamic" ErrorMessage="Enter correct sender's address" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" Font-Bold="false"></asp:RegularExpressionValidator>
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    &nbsp;<asp:TextBox ID="edFromAddress" runat="server" Text='<%# Bind("FromAddress") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                    <asp:RegularExpressionValidator ID="regEmail" runat="server" ControlToValidate="edFromAddress" CssClass="slds-text-color_error"
                                                        ErrorMessage="Enter correct sender's address" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" Font-Bold="false"></asp:RegularExpressionValidator>
                                                </InsertItemTemplate>
                                                <%--<ItemStyle HorizontalAlign="Left" />--%>
                                                <ItemTemplate>
                                                    &nbsp;<asp:Label ID="lbFromAddress" runat="server" Text='<%# Bind("FromAddress") %>' Font-Bold="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblFromEmail" runat="server" Text="From Email" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                    <div class="slds-float_right">
                                                        <cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.FromEmailAddress">
                                                        </cc2:Help>
                                                    </div>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="From Email" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                <EditItemTemplate>
                                                    <asp:CheckBox ID="chkEnableSSL" runat="server" Checked='<%# Bind("EnableSSL") %>' />
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    &nbsp;<asp:CheckBox ID="chkEnableSSL" runat="server" Checked='<%# Bind("EnableSSL") %>' />
                                                </InsertItemTemplate>
                                                <%--<ItemStyle HorizontalAlign="Left" />--%>
                                                <ItemTemplate>
                                                    &nbsp;<asp:CheckBox ID="chkEnableSSL" runat="server" Checked='<%# Bind("EnableSSL") %>' Enabled="false" />
                                                </ItemTemplate>
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblEnableSSL" runat="server" Text="Enable SSL" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                    <div class="slds-float_right">
                                                        <cc2:Help ID="Help7" runat="server" HelpMessageID="Resources.Help.EnableSSL">
                                                        </cc2:Help>
                                                    </div>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                <EditItemTemplate>
                                                    <div class="slds-p-vertical_small slds-grid slds-wrap">
                                                        <%-- <div class="slds-col slds-small-size_5-of-12">--%>
                                                        <asp:Button ID="btnUpdate" runat="server" CausesValidation="False" CommandName="Update" SkinID="DefaultButton" Text="Update" CssClass="slds-button slds-button_brand" Font-Bold="false" />&nbsp;
												            <asp:Button ID="btnCancel" runat="server" CausesValidation="False" CommandName="Cancel" SkinID="DefaultButton" Text="Cancel" CssClass="slds-button slds-button_neutral" Font-Bold="false" />
                                                        <%--  </div>--%>
                                                        <div class="slds-col slds-small-size_1-of-12">
                                                            <asp:UpdateProgress ID="UpdateProgress2" runat="server">
                                                                <ProgressTemplate>
                                                                    <div class="slds-spinner_container">
                                                                        <div class="demo-only">
                                                                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                                <span class="slds-assistive-text">Loading</span>
                                                                                <div class="slds-spinner__dot-a"></div>
                                                                                <div class="slds-spinner__dot-b"></div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </ProgressTemplate>
                                                            </asp:UpdateProgress>
                                                        </div>
                                                    </div> 
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <div>
                                                        <asp:Button ID="btnEdit" runat="server" CausesValidation="False" CommandName="Edit" SkinID="DefaultButton" Text="Edit" CssClass="slds-button slds-button_neutral" Font-Bold="false"/>
                                                    </div>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                        </Fields>
                                        <FieldHeaderStyle />
                                        <HeaderStyle />
                                    </asp:DetailsView>
                                </div>
                                <div class="slds-p-around_medium slds-col slds-size_1-of-1 slds-large-size_1-of-1">
                                    <div>
                                        <asp:ObjectDataSource ID="odsServerSettings" runat="server" SelectMethod="GetSettingsByID"
                                            TypeName="enzigma.sforce.webapp.code.business.SMTPProfile">
                                            <SelectParameters>
                                                <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
                                            </SelectParameters>
                                        </asp:ObjectDataSource>
                                        <asp:HiddenField ID="hdnID" runat="server" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>



