<%@ Page Language="C#" AutoEventWireup="true" Inherits="SalesforceSecuritySetup"
    MasterPageFile="~/MasterPage.master" CodeBehind="SalesforceSecuritySetup.aspx.cs" %>

<%@ Register Src="../../controls/MergeFieldHelper.ascx" TagName="MergeFieldHelper"
    TagPrefix="uc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="System.Web.Extensions" Namespace="System.Web.UI" TagPrefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <script language="javascript" type="text/javascript">

        $(document).ready(function () {
            $('link[href="../../App_Themes/Default/common.css"]').remove();
        });

        function HideToast() {

            $('#PageContent_toast').css('display', 'none');
            $('#PageContent_toastError').css('display', 'none');
            $('#PageContent_ToastSecuritysuccess').css('display', 'none');
            $('#PageContent_ToastErrorDefaultfolder').css('display', 'none');
            document.getElementById('<%=lbSelfUserError.ClientID%>').value = "";
            document.getElementById('<%=lbSelfUserErrormsg.ClientID%>').value = "";
            document.getElementById('<%=lbSolutionError.ClientID%>').value = "";
            document.getElementById('<%=lblDefaultFolderError.ClientID%>').value = "";

            return false;
        }
    </script>

    <asp:HiddenField ID="hdnID" runat="server" />
    <asp:ObjectDataSource ID="Subscription" runat="server" SelectMethod="GetSettingsByID"
        TypeName="Ftp/settings/MigratorsSalesForeceUserSetup">
        <selectparameters>
            <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
            <asp:Parameter DefaultValue="ServerProfile, enzigma.net.ftp" Name="strType" Type="String" />
        </selectparameters>
    </asp:ObjectDataSource>

    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>

    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Security Setup">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Salesforce Security</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <div class="slds-grid slds-wrap">
                                    <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Salesforce Security Settings for Portal Settings</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            Self Service Portal user can have access to View, Create, Update or Delete 
										attachments as per the settings setup here. Please check the respective checkbox 
										in the settings below, as per the access you want to provide your Self Service 
										Portal users.
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-p-bottom--small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                                <div class="slds-grid slds-wrap">
                                    <h2 class="slds-text-heading--small">
                                        <span class="slds-text-heading_small slds-text-color--default">

                                            <b>Salesforce Security Settings for Portal</b></span>

                                    </h2>
                                </div>
                            </div>
                        </div>

                        <asp:UpdatePanel ID="UpdatePanelSelfServicePortal" runat="server" Visible="true">
                            <contenttemplate>
                                        <div class="slds-box slds-m-top_medium">
                                                        <h2 class="slds-text-heading--small">
                                                                   <span class="slds-text-heading_small slds-text-color--default">
                                                                    <b>Security Settings For View Case</b></span>
                                                         </h2>
                                                   

                                                     <div class="slds-grid slds-wrap ">
                                                         <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                                                <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                                                          <div class="demo-only">
                                                                                <div class="slds-notify_container slds-is-relative">
                                                                                  <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                                                    <span class="slds-assistive-text">info</span>
                                                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Salesforce Security">
                                                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                       <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                                                         </svg>
                                                                                    </span>
                                                                                             <div class="slds-notify__content">
                                                                                                  <h2 class="slds-text-body_regular ">
                                                                                         <asp:Label ID="lbSelfUserError" runat="server"></asp:Label></h2>
                                                                                    </div>
                                                                                             <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" onclick="return HideToast()">
                                                                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                             <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                                        </svg>
                                                                                        <span class="slds-assistive-text">Close</span>
                                                                                    </button>
                                                                                  </div>
                                                                 </div>
                                                           </div>
                                                                </div>

                                                                <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                                                            <div class="demo-only">
                                                                               <div class="slds-notify_container slds-is-relative">
                                                                                        <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                                                                 <span class="slds-assistive-text">error</span>
                                                                                                                  <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                                                                         <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                 </svg>
                                                                                                                 </span>
                                                                                                                  <div class="slds-notify__content">
                                                                                                                           <asp:Label ID="lbSelfUserErrormsg" runat="server" SkinID="Error" Visible="true" CssClass="slds-text-body_regular"></asp:Label>
                                                                                                                    </div>
                                                                                                                       <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                                                                                               <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                                                                   <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                                                                               </svg>
                                                                                                                      <span class="slds-assistive-text">Close</span>
                                                                                                   </button>
                                                                                         </div>
                                                                                 </div>
                                                                             </div>
                                                               </div>
                                                        </div>
                                                    </div>
                                                 <div class="slds-p-top_small slds-col  slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_6-of-12 background-body-color--default">
                                
                                    <asp:DetailsView ID="detailsViewSelfService" runat="server" AutoGenerateRows="False" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="1" DataSourceID="SelfServiceSource" GridLines="None" OnItemUpdating="detailViewSelfUser_ItemUpdating">
                                        <fields>
												        <asp:TemplateField HeaderText="Can user create?" SortExpression="Can user create" ItemStyle-CssClass="slds-p-vertical_xx-small" >
													        <EditItemTemplate>
														        <asp:CheckBox ID="chkCanCreate" runat="server" Checked='<%# Bind("CanUserCreate") %>' />
													        </EditItemTemplate>
													        <InsertItemTemplate>
														        <asp:CheckBox ID="chkCanCreate" runat="server" Checked='<%# Bind("CanUserCreate") %>' />
													        </InsertItemTemplate>
													        <HeaderTemplate>
														        <asp:Label ID="lblCanUserCreateHeader" runat="server" Text="Can user create?" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
														        <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.CreateAttachment">
														        </cc2:Help></div>
													        </HeaderTemplate>
													        <ItemTemplate>
														        <asp:CheckBox ID="chkCanCreate" runat="server" Checked='<%# Bind("CanUserCreate") %>' Enabled="false" />
													        </ItemTemplate>
												        </asp:TemplateField>
												        <asp:TemplateField HeaderText="Can user update?" 
													        SortExpression="Can user update" ItemStyle-CssClass="slds-p-vertical_xx-small">
													        <EditItemTemplate>
														        <asp:CheckBox ID="chkCanUpdate" runat="server" 
															        Checked='<%# Bind("CanUserUpdate") %>' />
													        </EditItemTemplate>
													        <InsertItemTemplate>
														        <asp:CheckBox ID="chkCanUpdate" runat="server" Checked='<%# Bind("CanUserUpdate") %>' />
													        </InsertItemTemplate>
													        <HeaderTemplate>
														        <asp:Label ID="lblUserUpdateHeader" runat="server" Text="Can user update?" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float--right">
														        <cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.UpdateAttachment">
														        </cc2:Help></div>
													        </HeaderTemplate>
													        <ItemTemplate>
														        <asp:CheckBox ID="chkCanUpdate" runat="server" Checked='<%# Bind("CanUserUpdate") %>' Enabled="false" />
													        </ItemTemplate>
												        </asp:TemplateField>
												        <asp:TemplateField HeaderText="Can user delete?" SortExpression="Can user delete" ItemStyle-CssClass="slds-p-vertical_xx-small">
													        <EditItemTemplate>
														        <asp:CheckBox ID="chkCanDelete" runat="server" Checked='<%# Bind("CanUserDelete") %>' />
													        </EditItemTemplate>
													        <InsertItemTemplate>
														        <asp:CheckBox ID="chkCanDelete" runat="server" Checked='<%# Bind("CanUserDelete") %>' />
													        </InsertItemTemplate>
													        <HeaderTemplate>
														        <asp:Label ID="lblUserDeleteHeader" runat="server" Text="Can user delete?" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
														        <cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.DeleteAttachment">
														        </cc2:Help></div>
													        </HeaderTemplate>
													        <ItemTemplate>
														        <asp:CheckBox ID="chkCanDelete" runat="server" Checked='<%# Bind("CanUserDelete") %>' Enabled="false" />
													        </ItemTemplate>
												        </asp:TemplateField>
												        <asp:TemplateField HeaderText="Can user view?" SortExpression="Can user view" ItemStyle-CssClass="slds-p-vertical_xx-small">
													        <EditItemTemplate>
														        <asp:CheckBox ID="chkCanView" runat="server" Checked='<%# Bind("CanUserView") %>' />
													        </EditItemTemplate>
													        <InsertItemTemplate>
														        <asp:CheckBox ID="chkCanView" runat="server" Checked='<%# Bind("CanUserView") %>' />
													        </InsertItemTemplate>
													        <HeaderTemplate>
														        <asp:Label ID="lblUserViewHeader" runat="server" Text="Can user view?" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float--right">
														        <cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.ViewAttachment">
														        </cc2:Help></div>
													        </HeaderTemplate>
													        <ItemTemplate>
														        <asp:CheckBox ID="chkCanView" runat="server" Checked='<%# Bind("CanUserView") %>' Enabled="false" />
													        </ItemTemplate>
												        </asp:TemplateField>
												        <asp:TemplateField HeaderText="Stylesheet URL" SortExpression="Stylesheet URL" Visible="False" ItemStyle-CssClass="slds-p-vertical_xx-small">
													        <EditItemTemplate>
														        <asp:TextBox ID="edStyleSheet" runat="server" Text='<%# Bind("StylesheetURL") %>'></asp:TextBox>
													        </EditItemTemplate>
													        <InsertItemTemplate>
														        <asp:TextBox ID="edStyleSheet" runat="server" Text='<%# Bind("StylesheetURL") %>'></asp:TextBox>
													        </InsertItemTemplate>
													        <HeaderTemplate>
														        <asp:Label ID="lblStylesheetURL" runat="server" Text="Stylesheet URL" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
														        <cc2:Help ID="Help5" runat="server"></cc2:Help></div>
													        </HeaderTemplate>
													        <ItemTemplate>
														        <asp:Label ID="lbStyleSheet" runat="server" Text='<%# Bind("StylesheetURL") %>'></asp:Label>
													        </ItemTemplate>
												        </asp:TemplateField>
												        <asp:TemplateField HeaderText="Case Layout ID" SortExpression="CaseLayoutID" Visible="False" ItemStyle-CssClass="slds-p-vertical_xx-small">
													        <EditItemTemplate>
														        <asp:TextBox ID="edCaseLayoutID" runat="server" Text='<%# Bind("CaseLayoutID") %>' font-bold="false"></asp:TextBox>
													        </EditItemTemplate>
													        <InsertItemTemplate>
														        <asp:TextBox ID="edCaseLayoutID" runat="server" Text='<%# Bind("CaseLayoutID") %>' font-bold="false"></asp:TextBox>
													        </InsertItemTemplate>
													        <HeaderTemplate>
														        <asp:Label ID="lblCaseLayoutID" runat="server" Text="Case Layout ID" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
														        <cc2:Help ID="Help6" runat="server"></cc2:Help></div>
													        </HeaderTemplate>
													        <ItemTemplate>
														        <asp:Label ID="lbCaseLayoutID" runat="server" Text='<%# Bind("CaseLayoutID") %>' font-bold="false"></asp:Label>
													        </ItemTemplate>
												        </asp:TemplateField>
												        <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_xx-small">
													        <EditItemTemplate>
                                                                             <asp:Button ID="btnUpdate" runat="server" Text="Update" SkinID="DefaultButton" CommandName="Update" CssClass="slds-button slds-button--brand"></asp:Button>	
                                                                             <asp:Button ID="btnCancel" runat="server" Text="Cancel" SkinID="DefaultButton" CommandName="Cancel" CssClass="slds-button slds-button_neutral" CausesValidation="False"></asp:Button>
												          </EditItemTemplate>
													        <ItemTemplate>
                                                               <asp:Button ID="Button1" runat="server" Text="Edit" SkinID="DefaultButton" CommandName="Edit" CausesValidation="False" CssClass="slds-button slds-button_neutral"></asp:Button>
													        </ItemTemplate>
												        </asp:TemplateField>
											        </fields>
                                        <fieldheaderstyle />
                                    </asp:DetailsView>

                                    <asp:ObjectDataSource ID="SelfServiceSource" runat="server" SelectMethod="GetSettingsByID" TypeName="enzigma.sforce.webapp.code.Business">
                                        <selectparameters>
												        <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
												        <asp:Parameter DefaultValue="enzigma.sforce.webapp.code.business.SelfServiceUserProfile" Name="strType" 
													        Type="String" />
											        </selectparameters>
                                    </asp:ObjectDataSource>
                                 </div>
                                            </div>
                                       
                                     
                                        <div class="slds-box slds-m-top_medium">
                                                <div class="slds-grid slds-wrap slds-p-top_small">
                                                     <h2 class="slds-text-heading--small">
                                                                   <span class="slds-text-heading_small slds-text-color--default">
                                                                    <b>Security Settings For View Solution</b></span>
                                                         </h2>
                                                </div>
                                   
                                                    
                                                  <div class="slds-grid slds-wrap ">
                                                         <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                                              <div runat="server" id="ToastSecuritysuccess" class="slds-scrollable" style="display: none;">
                                                                          <div class="demo-only">
                                                                                <div class="slds-notify_container slds-is-relative">
                                                                                  <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                                                    <span class="slds-assistive-text">info</span>
                                                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Salesforce Security">
                                                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                       <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                                                         </svg>
                                                                                    </span>
                                                                                     <div class="slds-notify__content">
                                                                                       <asp:Label ID="lbSolutionError" runat="server" SkinID="Error" CssClass="slds-text-body_regular"></asp:Label>
                                                                                    </div>
                                                                                    <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" onclick="return HideToast()">
                                                                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                             <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                                        </svg>
                                                                                        <span class="slds-assistive-text">Close</span>
                                                                                    </button>
                                                                                  </div>
                                                                 </div>
                                                           </div>
                                                                </div>
                                                              </div>
                                             </div>

                                                     <div class="slds-p-top_small slds-col  slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_6-of-12 background-body-color--default">

                                        <asp:DetailsView ID="detailViewSolutionSSPSecurity" runat="server" AutoGenerateRows="False" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="1" DataSourceID="SSPSettings" GridLines="None"  OnItemUpdating="detailViewSolutionSSPSecurity_ItemUpdating" >
                                            <fields>
												        <asp:TemplateField HeaderText="Can user view?" SortExpression="Can user view"  ItemStyle-CssClass="slds-p-vertical_xx-small">
													        <EditItemTemplate>
														        <asp:CheckBox ID="chkCanView" runat="server" __designer:wfdid="w24"  Checked='<%# Bind("AllowViewAttachmentForSolution") %>' />
													        </EditItemTemplate>
													        <InsertItemTemplate>
														        <asp:CheckBox ID="chkCanView" runat="server" __designer:wfdid="w25" Checked='<%# Bind("AllowViewAttachmentForSolution") %>' />
													        </InsertItemTemplate>
													        <HeaderTemplate>
														        <asp:Label ID="lblUserUpdateHeader" runat="server" __designer:wfdid="w26" Text="Can user view?" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
														        <cc2:Help ID="Help2" runat="server" __designer:wfdid="w27"  HelpMessageID="Resources.Help.ViewAttachment">
														        </cc2:Help></div>
													        </HeaderTemplate>
													        <ItemTemplate>
														        <asp:CheckBox ID="chkCanView" runat="server" __designer:wfdid="w23" Checked='<%# Bind("AllowViewAttachmentForSolution") %>' Enabled="false" />
													        </ItemTemplate>
												        </asp:TemplateField>
												        <asp:TemplateField  ItemStyle-CssClass="slds-p-vertical_xx-small">
													        <EditItemTemplate>
                                                                        <asp:Button ID="btnUpdate" runat="server" designer:wfdid="w111"  Text="Edit" SkinID="DefaultButton" CommandName="Update"  CssClass="slds-button slds-button--brand"></asp:Button>
																	
                                                                        <asp:Button ID="btnCancel" runat="server" _designer:wfdid="w112"  Text="Cancel" SkinID="DefaultButton" CommandName="Cancel" CssClass="slds-button slds-button_neutral" CausesValidation="False"></asp:Button>
																
													        </EditItemTemplate>
													        <ItemTemplate>
                                                                         <asp:Button ID="btnEdit" runat="server" Text="Edit" SkinID="DefaultButton" CommandName="Edit" CausesValidation="False" CssClass="slds-button slds-button_neutral"></asp:Button>
															</ItemTemplate>
												        </asp:TemplateField>
											        </fields>
                                            <fieldheaderstyle />
                                        </asp:DetailsView>

                                        <asp:ObjectDataSource ID="SSPSettings" runat="server" SelectMethod="GetSettingsByID" TypeName="enzigma.sforce.webapp.code.business.Settings">
                                            <selectparameters>
												        <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
												        <asp:Parameter DefaultValue="SelfServicePortalSettings" Name="strType" 
													        Type="String" />
									        </selectparameters>
                                        </asp:ObjectDataSource>
                                        </div>
                                    </div>

                                        <div class="slds-box slds-m-top_medium">
                                                <div class="slds-grid slds-wrap slds-p-top_small">
                                                         <h2 class="slds-text-heading--small">
                                                                   <span class="slds-text-heading_small slds-text-color--default">
                                                                    <b>Default Folder Settings</b></span>
                                                         </h2>
                                                </div>
                                                <div class="slds-grid slds-wrap ">
                                                         <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                                              <div runat="server" id="ToastErrorDefaultfolder" class="slds-scrollable" style="display: none;">
                                                                          <div class="demo-only">
                                                                                <div class="slds-notify_container slds-is-relative">
                                                                                  <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                                                    <span class="slds-assistive-text">info</span>
                                                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Salesforce Security">
                                                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                       <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                                                         </svg>
                                                                                    </span>
                                                                                     <div class="slds-notify__content">
                                                                                          <asp:Label ID="lblDefaultFolderError" runat="server" SkinID="Error" CssClass="slds-text-body_regular"></asp:Label>
                                                                                    </div>
                                                                                    <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" onclick="return HideToast()">
                                                                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                             <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                                        </svg>
                                                                                        <span class="slds-assistive-text">Close</span>
                                                                                    </button>
                                                                                  </div>
                                                                 </div>
                                                           </div>
                                                                </div>
                                                              </div>
                                             </div>

                                                <div class="slds-grid slds-wrap">
                                                    <asp:DetailsView ID="detailviewDefaultFolder" runat="server"  AutoGenerateRows="False"  BorderStyle="None" CellPadding="0" DataSourceID="odsSSPsetting" GridLines="None"   OnItemUpdating="detailviewDefaultFolder_ItemUpdating">
                                                        <fields>
												                <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_xx-small">
													                <EditItemTemplate>
														                <asp:TextBox ID="edDefaultFolder" runat="server" __designer:wfdid="w18" Text='<%# Bind("DefaultFolder") %>' class="slds-input"></asp:TextBox>
													                </EditItemTemplate>
													                <InsertItemTemplate>
														                <asp:TextBox ID="edDefaultFolder" runat="server" __designer:wfdid="w19" Text='<%# Bind("DefaultFolder") %>'></asp:TextBox>
													                </InsertItemTemplate>
													                <HeaderTemplate>
														                <asp:Label ID="lblFolder" runat="server" __designer:wfdid="w20" Text="Default Folder " CssClass="slds-form-element__label"></asp:Label>
														            <div class="slds-float_right">
                                                                         <cc2:Help ID="HelpDefaultFolder" runat="server" __designer:wfdid="w21" HelpMessage="No help available for this selection" HelpMessageID="Resources.Help.CaseAttachmentFolder">
														                </cc2:Help>
                                                                        </div>
													                </HeaderTemplate>
													                <ItemTemplate>
														                <asp:Label ID="lblDefaultFolder" runat="server" __designer:wfdid="w17" Text='<%# Bind("DefaultFolder") %>'></asp:Label>
													                </ItemTemplate>
												                </asp:TemplateField>
												                <asp:TemplateField ConvertEmptyStringToNull="False" ItemStyle-CssClass="slds-p-vertical_xx-small">
													                <EditItemTemplate>
                                                                        <div class="slds-m-top--medium">
                                                                        <asp:Button ID="btnUpdate" runat="server"  __designer:wfdid="w114"  Text="Update" SkinID="DefaultButton" CommandName="Update" CssClass="slds-button slds-button--brand "></asp:Button>	
																	
                                                                        <asp:Button ID="btnCancel" runat="server" Text="Cancel" __designer:wfdid="w115"  SkinID="DefaultButton" CommandName="Cancel" CssClass="slds-button slds-button_neutral" CausesValidation="False"></asp:Button>
		                                                                 </div>
													                </EditItemTemplate>
													                <InsertItemTemplate>
													                </InsertItemTemplate>
													                <ItemTemplate>
																	                 <asp:Button ID="btnEdit" runat="server" Text="Edit" SkinID="DefaultButton" CommandName="Edit" CausesValidation="False" CssClass="slds-button slds-button_neutral"></asp:Button>
													                </ItemTemplate>
												                </asp:TemplateField>
											                </fields>
                                                    </asp:DetailsView>
                                                    </div>
                                        </div>
                                    </contenttemplate>
                        </asp:UpdatePanel>

                        <asp:UpdateProgress ID="UpdatePanelSetting" runat="server" DisplayAfter="200">
                            <progresstemplate>
                                    <div class="demo-only">
                                           <div class="slds-spinner_container">
                                                <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                       <span class="slds-assistive-text">Loading</span>
                                                       <div class="slds-spinner__dot-a"></div>
                                                       <div class="slds-spinner__dot-b"></div>
                                                   </div>
                               </div></div>
                    </progresstemplate>
                        </asp:UpdateProgress>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <asp:ObjectDataSource ID="odsSSPsetting" runat="server" SelectMethod="GetSettingsByID"
        TypeName="enzigma.sforce.webapp.code.business.Settings">
        <selectparameters>
                        <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
                        <asp:Parameter DefaultValue="SelfServicePortalSettings" Name="strType" Type="String" />
                    </selectparameters>
    </asp:ObjectDataSource>
</asp:Content>
