<%@ Page Language="C#" MasterPageFile="~/ftp/settings/ProSettings.master" AutoEventWireup="true" Inherits="settings_SearchLayoutSettings" Title="Search Layout Settings" Codebehind="SearchLayoutSettings.aspx.cs" %>

<%--<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeBehind="SearchLayoutSettings.aspx.cs" Inherits="settings_SearchLayoutSettings" Title="Search Layout Settings" %>--%>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" Runat="Server">
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>
	<asp:UpdatePanel ID="UpdatePanel1" runat="server">
		<ContentTemplate>
	<table style="width: 500px">
				<tr>
					<td class="Heading" colspan="2" >
						Search Layout Settings</td>
				</tr>
		<tr>
			<td align="left" colspan="2" valign="top">
	<asp:Label ID="lbError" runat="server" SkinID="Error"></asp:Label></td>
		</tr>
		<tr>
			<td align="right" valign="top">
				&nbsp;<asp:DropDownList ID="cmbObjects" runat="server" Font-Bold="False" Width="185px" AutoPostBack="True" OnSelectedIndexChanged="btnChange_Click">
				</asp:DropDownList></td>
			<td align="left" valign="top">
				
				<table>
					<tr>
						<td valign="top" style="font-weight:bold;">
							&nbsp;<cc2:help id="Help1" runat="server" HelpMessageID ="Resources.Help.SearchObject"></cc2:help>
						</td>
						<td valign="top" style="font-weight:bold;">
				<cc1:imagebutton id="btnChange" runat="server" onclick="btnChange_Click" skinid="DefaultButton"
					text="Change" Visible="False"></cc1:imagebutton></td>
					</tr>
				</table>
				&nbsp;
			</td>
		</tr>
		<tr>
			<td align="left" valign="bottom">
				<table>
					<tr>
						<td style="font-weight:bold;">
				<cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.DefaultField">
				</cc2:Help>
						</td>
						<td>
				<asp:Label ID="lblDefaultField" runat="server" CssClass="Label" Text="Default Field: "></asp:Label></td>
						<td>
				<asp:Label
					ID="lbDefaultField" runat="server"></asp:Label></td>
					</tr>
				</table>
			</td>
			<td align="left" valign="top">
			</td>
		</tr>
		<tr>
			<td align="right" valign="top">
				<table>
					<tr>
						<td align="center" rowspan="1" valign="top" style="font-weight:bold;">
							<asp:Label ID="lbAvailableFields" runat="server" CssClass="Label" Text="Available Fields"></asp:Label>&nbsp;<cc2:Help
								ID="Help2" runat="server" HelpMessageID="Resources.Help.AvailableFields">
							</cc2:Help>
						</td>
						<td align="left" valign="bottom">
						</td>
					</tr>
					<tr>
						<td align="right" rowspan="2" valign="top">
							<asp:ListBox ID="lstAvailableFields" runat="server" Rows="11" SelectionMode="Multiple"
								Width="200px"></asp:ListBox></td>
						<td align="center" valign="bottom">
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td align="center">
										<asp:Label ID="lbAdd" runat="server" Text="Add"></asp:Label></td>
								</tr>
								<tr>
									<td align="center">
										<asp:ImageButton ID="btnAdd" runat="server" ImageUrl="~/App_Themes/Default/images/Add.jpg"
											OnClick="btnAdd_Click" /></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td align="center" valign="top">
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td align="center">
										<asp:ImageButton ID="btnRemove" runat="server" ImageUrl="~/App_Themes/Default/images/Remove.jpg"
											OnClick="btnRemove_Click" /></td>
								</tr>
								<tr>
									<td>
										<asp:Label ID="lbRemove" runat="server" Text="Remove"></asp:Label></td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
			<td align="left" valign="top">
				<table>
					<tr>
						<td align="center" rowspan="1" valign="middle" style="font-weight:bold;">
							<asp:Label ID="lbSelectedFields" runat="server" CssClass="Label" Text="Selected Fields"></asp:Label>
							<cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.SelectedFields">
							</cc2:Help>
						</td>
						<td align="left" valign="bottom">
						</td>
					</tr>
					<tr>
						<td align="left" rowspan="2" valign="top">
							<asp:ListBox ID="lstSelectedFields" runat="server" Rows="11" SelectionMode="Multiple"
								Width="200px"></asp:ListBox>
						</td>
						<td align="center" valign="bottom">
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td align="center">
										<asp:Label ID="lbUp" runat="server" Text="Up"></asp:Label></td>
								</tr>
								<tr>
									<td align="center" width="100">
										<asp:ImageButton ID="btnUp" runat="server" ImageUrl="~/App_Themes/Default/images/Up.jpg"
											OnClick="btnUp_Click" /></td>
									<td align="center" valign="middle" style="font-weight:bold;">
							<cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.UpArrow">
							</cc2:Help>
						</td>
								</tr>
							</table>
						</td>
						
					</tr>
					<tr>
						<td align="center" valign="top">
							<table border="0" cellpadding="0" cellspacing="0" id="TABLE1">
								<tr>
									<td align="center" style="width: 100px">
										<asp:ImageButton ID="btnDown" runat="server" ImageUrl="~/App_Themes/Default/images/Down.jpg"
											OnClick="btnDown_Click" /></td>
							<td align="center" valign="top" style="font-weight:bold;">
							<cc2:Help ID="Help6" runat="server" HelpMessageID="Resources.Help.DownArrow">
							</cc2:Help>
						</td>
								</tr>
								<tr>
									<td align="center">
										<asp:Label ID="lbDown" runat="server" Text="Down"></asp:Label></td>
									<td align="center">
									</td>
								</tr>
							</table>
						</td>
						
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td align="right" valign="top">
				<cc1:imagebutton id="btnUpdate" runat="server" onclick="btnUpdate_Click" skinid="DefaultButton"
					text="Update"></cc1:imagebutton>
			</td>
			<td align="left" valign="top">
				<asp:UpdateProgress ID="UpdateProgress1" runat="server" DynamicLayout="False">
					<ProgressTemplate>
						<img alt="Processing..." src="../../App_Themes/Default/images/progressbar-small.gif" />
					</ProgressTemplate>
				</asp:UpdateProgress>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<asp:GridView ID="grdSearchLayout" runat="server" AutoGenerateColumns="False" DataSourceID="odsSearchLayout"
					EmptyDataText="No object available" Width="500px">
					<Columns>
						<asp:TemplateField HeaderText="Name">
							<ItemTemplate>
								<asp:Label ID="lbName1" runat="server" Text='<%# GetObjectLabel((string)Eval("ObjectName")) %>'></asp:Label>
							</ItemTemplate>
						</asp:TemplateField>
						<asp:TemplateField HeaderText="SearchFields">
							<ItemTemplate>
								<asp:Label ID="lbSearchFields1" runat="server" Text='<%# GetLabels((string)Eval("ObjectName"), (string[])Eval("Fields")) %>'></asp:Label>
							</ItemTemplate>
						</asp:TemplateField>
					</Columns>
				</asp:GridView>
			</td>
		</tr>
	</table>
		</ContentTemplate>
	</asp:UpdatePanel>
	<asp:ObjectDataSource ID="odsSearchLayout" runat="server" SelectMethod="GetListLayouts"
		TypeName="enzigma.sforce.webapp.code.business.SearchListLayouts">
		<SelectParameters>
			<asp:ControlParameter ControlID="hdnID" Name="strID" PropertyName="Value" Type="String" />
		</SelectParameters>
	</asp:ObjectDataSource>
	<asp:ObjectDataSource ID="odsSearchFields" runat="server" SelectMethod="GetSearchFields"
		TypeName="AttachFTPLink">
		<SelectParameters>
			<asp:ControlParameter ControlID="cmbObjects" Name="strObjectName" PropertyName="SelectedValue"
				Type="String" />
			<asp:ControlParameter ControlID="hdSearchFields" Name="strSearchFields" PropertyName="Value"
				Type="String" />
		</SelectParameters>
	</asp:ObjectDataSource>
	<asp:HiddenField ID="hdSearchLabels" runat="server" />
	<asp:HiddenField ID="hdSearchFields" runat="server" />
	<asp:HiddenField ID="hdnID" runat="server" />
</asp:Content>

