﻿<%--<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SelfUpdateOrganization.aspx.cs" Inherits="enzigma.sforce.webapp.ftp.settings.SelfUpdateOrganization" %>--%>

<%@ Page Language="C#" AutoEventWireup="true" Inherits="SelfUpdateOrganization" MasterPageFile="~/MasterPage.master" CodeBehind="SelfUpdateOrganization.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="enz" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="System.Web.Extensions" Namespace="System.Web.UI" TagPrefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <asp:ScriptManager ID="ScriptManager" runat="server"></asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanelSalesForceUser" runat="server" Visible="true">
        <contenttemplate>
            <div class="slds-scope">
                <div class="slds-p-around_small">
                       <div class="slds-page-header">
                    <div class="slds-grid">
                        <div class="slds-col slds-has-flexi-truncate">
                            <div class="slds-media slds-no-space slds-grow">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-opportunity" title="Update FTPAttachments Account">
                                        <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#settings" />
                                    </svg>
                                    </span>
                                </div>
                                <div runat="server" id="tdTitle" class="slds-media__body">
                                    <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Update FTPAttachments Account</span>
                                        </ul>
                                    </ol>
                                </nav>
                                    <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Update your salesforce account for FTP attchments account</h1>
                                </div>
                            </div>
                        </div>
                        <div class="slds-col slds-no-flex slds-grid slds-align-top">
                        </div>
                    </div>
                   <div class="slds-grid slds-page-header__detail-row">
                        <div class="slds-grid slds-wrap slds-p-around--small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                               <asp:Label ID="lbMessage" runat="server">Please enter your salesforce Login and Password appended with security token, which you want to update for your FTP Attachments account.</asp:Label>
                            </div>
                        </div>
                    </div>
                  </div>
                </div>
                <div class="slds-grid slds-wrap slds-p-horizontal_small slds-p-bottom_small">
                    <div class="slds-card slds-large-size--1-of-1 slds-size--1-of-1">
                        <div class="slds-box slds-m-around--small">
                             <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                        <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                            <div class="demo-only">
                                                <div class="slds-notify_container slds-is-relative">
                                                    <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                        <span class="slds-assistive-text">info</span>
                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="error">
                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                            </svg>
                                                        </span>
                                                        <div class="slds-notify__content">
                                                           <h2 class="slds-text-body_regular">
                                                            <asp:Label ID="lbLoginError" runat="server"  />
                                                            <asp:Label ID="lbSfUserError" runat="server" />
                                                            </h2>
                                                        </div>
                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                 <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                            </svg>
                                                            <span class="slds-assistive-text">Close</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div runat="server" id="toastSuccess" class="slds-scrollable" style="display: none;">
                                            <div class="demo-only">
                                                <div class="slds-notify_container slds-is-relative">
                                                    <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                        <span class="slds-assistive-text">info</span>
                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="success">
                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                            </svg>
                                                        </span>
                                                        <div class="slds-notify__content">
                                                           <asp:Label ID="lbSfUserErrorSuccess" runat="server"/>
                                                             <%--<asp:Label ID="Label2" runat="server" SkinID="Error"/>--%>
                                                        </div>
                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnCloseSuccess" onclick="return hideToastSuccess()">
                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                 <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                            </svg>
                                                            <span class="slds-assistive-text">Close</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div> 
                             <div class="slds-card__header slds-grid slds-p-bottom--small" style="padding:0">
                                <header class="slds-media slds-media_center slds-has-flexi-truncate">
                                    <%--<div class="slds-media__figure">
                                        <span class="slds-icon_container slds-icon-standard-contract" title="icon">
                                            <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                                <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#salesforce1"></use>
                                            </svg>
                                            <span class="slds-assistive-text">Salesforce Login</span>
                                        </span>
                                    </div>--%>
                                    <div class="slds-media__body">
                                        <h2 class="slds-text-heading--small">
                                            <span class="slds-text-heading_small slds-text-color--default"><b>Salesforce Login</b></span>
                                        </h2>
                                    </div>
                                </header>
                             </div>
            <div class="slds-card__body">
             <div class="slds-align-content_middle">
                   <%--<div class="slds-grid slds-wrap">
                      <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-right_xx-large">
                            <asp:Label ID="Label1" runat="server">Please enter your Salesforce Login and Password</asp:Label>
                      </div>
                </div>--%>
                   <div class="slds-grid slds-wrap slds-p-top_medium">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span id="file-selector-primary-label">
                                            <label for="form-element-01" class="slds-form-element__label" style="font-weight: normal; margin: 0;">Salesforce Username</label></span>
                                            <cc2:help id="Help12" runat="server" helpmessageid="Resources.Help.SalesforceLogin"></cc2:help>
                                        <div class="slds-form-element__control">
                                                <asp:TextBox ID="edLogin" runat="server" ValidationGroup="SalesforceLogin" CssClass="ControlCell slds-input" placeholder="Username"></asp:TextBox>
                                        </div>
                                </div>
                        </div>
                </div>
                   <div class="slds-grid slds-wrap slds-p-top_medium">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span id="file-selector-primary-label2">
                                            <label for="form-element-01" class="slds-form-element__label" style="font-weight: normal; margin: 0;">Salesforce Password</label></span>
                                            <cc2:help id="Help21" runat="server" helpmessageid="Resources.Help.SalesforcePassword"></cc2:help>
                                        <div class="slds-form-element__control">
                                                 <asp:TextBox ID="edPassword" runat="server" TextMode="Password"  ValidationGroup="SalesforceLogin"  CssClass="slds-input" placeholder="Password"></asp:TextBox>
                                        </div>
                                </div>
                        </div>
                </div>
                   <div class="slds-grid slds-wrap slds-p-top_medium">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-4 slds-large-size_1-of-4">
                            <asp:Button ID="btnLogin" SkinID="DefaultButton" runat="server" Text="Login" onclick="btnLogin_Click" ValidationGroup="SalesforceLogin" cssClass="slds-button slds-button_brand slds-large-size--2-of-7" ></asp:Button>  
                        </div>
                </div>
            </div>
          </div>
                             <asp:UpdateProgress ID="UpdatePanelSetting" runat="server">
                                <ProgressTemplate>
	                               <div class="slds-spinner_container">
                                      <div class="demo-only">
                                          <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                            <span class="slds-assistive-text">Loading</span>
                                                    <div class="slds-spinner__dot-a"></div>
                                                    <div class="slds-spinner__dot-b"></div>
                                               </div>
                                            </div>
                                       </div>
                                </ProgressTemplate>
                            </asp:UpdateProgress>	
                    </div>
                </div>         
               </div>
            </div>       										
</contenttemplate>
    </asp:UpdatePanel>
    <script type="text/javascript" language="javascript">
        $(document).ready(function () {
            $('link[href="../../App_Themes/Default/common.css"]').remove();
        });
        function hideToast() {

            $('#PageContent_toast').css('display', 'none');
            return false;
        }
        function hideToastSuccess() {

            $('#PageContent_toastSuccess').css('display', 'none');
            return false;
        }
    </script>
</asp:Content>
