<%@ Page Language="C#" MasterPageFile="~/OtherMaster.master" ClassName="AttachmentsMigratorHelp" %>

<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<script runat="server">
    protected override void OnPreInit(EventArgs e)
    {
        //UI.SetHelpMasterPage(Context, Page);
        //base.OnPreInit(e);
    }
</script>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PageContent">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" type="image/x-icon" id="favicon" href="../../App_Themes/Default/images/favicon.ico" />
    <link href="../../css/application_css/custom_2018.css" rel="stylesheet" />
    <link href="../../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <script src="../../scripts/jquery-3.6.0.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            //$('link[href="../App_Themes/Default/common.css"]').prop('disabled', true);
            $('link[href="../../App_Themes/Default/common.css"]').remove()
        });
    </script>

    <div class="slds-grid slds-wrap slds-text-body--regular slds-text-color--default slds-p-bottom--small">
        <div class="slds-col slds-m-horizontal--small slds-m-top--small slds-card custom-background-color--default">
            <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
                <div class="slds-grid">
                    <div class="slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="FTP Attachments Migrator">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#merge"></use>
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="tdTitle" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>FTP Attachments Migrator</span>
                                        </ul>
                                    </ol>
                                </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Migrator</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <asp:Label ID="Label8" runat="server" Text="Application is add-on for FTP Attachments applications. It can be used to migrate all your Salesforce attachments to FTP Attachments application, to save you space. You can use existing profiles of your FTP Attachments application and specify parameters like Folder, and comments for each sets of attachments." meta:resourcekey="Label2Resource1"></asp:Label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-horizontal--small">
        <div class="slds-col slds-card slds-large-size--1-of-1 slds-small-size--1-of-1 slds-p-around--small">
            <div class="slds-box" style="padding: 0">
                <div class="slds-card__header slds-grid slds-p-bottom--small">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <%--<div class="slds-media__figure">
                        <span class="slds-icon_container slds-icon-standard-contract" title="icon">
                            <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#help"></use>
                            </svg>
                            <span class="slds-assistive-text">How to use the tool?</span>
                        </span>
                    </div>--%>
                        <div class="slds-media__body">
                            <h2 class="slds-text-heading--small">
                                <span class="slds-text-heading_small slds-text-color--default"><b>How to use the tool?</b></span>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-card__body">
                    <div class="slds-p-horizontal--small">
                        <div class="slds-p-horizontal--small slds-text-color--error">
                            Before you start using the tool, make sure you have taken backup of all your Salesforce attachments, so no data is lost during migration due to any reason. Also it is recommended that you do not migrate more than 500 records per day (or as per the recycle bin rules of your Salesforce account), this is in case if you see any issues you can easily rollback your attachments from Salesforce Recycle Bin.
                        </div>
                        <div class="slds-p-vertical--xx-small slds-p-horizontal--small">
                            Once you have backed up your Salesforce Attachments and ready to use the tool follow the process below
                        </div>
                        <div class="slds-text-longform">
                            <h4 class="slds-text-title_caps slds-p-horizontal--small slds-p-top--small">steps need to be follow </h4>
                            <ol class="slds-p-left--small">
                                <li class="slds-p-around--xx-small">
                                    <p>Enter all different fields, and click on 'Retrieve' button, which will fetch all attachments information and display it to you.</p>
                                </li>
                                <li class="slds-p-around--xx-small">
                                    <p>Review all the records carefully to see if they are going to the right folder and using right fields and servers etc.</p>
                                </li>
                                <li class="slds-p-around--xx-small">
                                    <p>Once you are satisfied with the records, you can move on to next step by clicking on 'Start Migration'</p>
                                </li>
                                <li class="slds-p-around--xx-small">
                                    <p>The progress will be displayed in the screen, once it is finished you can see the results in the Status field of each record.</p>
                                </li>
                                <li class="slds-p-around--xx-small">
                                    <p>In case of errors you can move the cursor to error and in the tooltip detailed message will be displayed.</p>
                                </li>
                                <li class="slds-p-around--xx-small">
                                    <p>For successfully migrated attachments you can review them in the Salesforce by creating appropriate view under FTP Attachments tab.</p>
                                </li>
                            </ol>
                        </div>
                        <div class="slds-p-horizontal--small slds-p-bottom--small">
                            For details on what each field does on the tool screen please go through the remaining document.
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <div class="slds-grid slds-wrap slds-p-horizontal--small slds-p-top--small">
        <div class="slds-col slds-card slds-large-size--1-of-1 slds-small-size--1-of-1 slds-p-around--small">
            <div class="slds-box" style="padding: 0">
                <div class="slds-card__header slds-grid slds-p-bottom--small">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <%--<div class="slds-media__figure">
                        <span class="slds-icon_container slds-icon-standard-contract" title="icon">
                            <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                 <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#help"></use>
                            </svg>
                            <span class="slds-assistive-text">How to specify a folder?</span>
                        </span>
                    </div>--%>
                        <div class="slds-media__body">
                            <h2 class="slds-text-heading--small">
                                <span class="slds-text-heading_small slds-text-color--default"><b>How to specify a folder?</b></span>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-card__body">
                    <div>
                        <div class="slds-p-horizontal--small">
                        As you may already be aware in FTP Attachments Pro, you can specify a Folder parameter which can consist of Salesforce merge fields,
                        At run time these merge fields are replaced by values as per the record on which link is acting, using this you can save your attachments in organized 
                        manner on your server e.g. all your attachments related to accounts can be placed under folder named same as the account name or id which is under Accounts folder.
                        </div>
                        <div class="slds-p-vertical--xx-small slds-p-horizontal--small">
                        Same feature is available in migrator also, so that first time you move your attachments form Salesforce from that time onwards you can have your attachments organized. 
                        All you have to do is specify the text with merge fields in the Folder field. Please note only parent objects fields should be entered in the merge fields. e.g. When migrating files 
                        of Case from Salesforce in folder you can specify Account, User, Contact fields but not Case Comments.<br />
                        </div>
                        <div class="slds-p-vertical--xx-small slds-p-horizontal--small">
                         After you specify the fields you must retrieve and review the data before start migrating the data. So in case there is any issue in the parameters you don't end up with data in wrong way on your server.
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-around--small slds-m-bottom--x-large">
        <div class="slds-col slds-card slds-large-size--1-of-1 slds-small-size--1-of-1 slds-p-around--small">
            <div class="slds-box" style="padding: 0">
                <div class="slds-card__header slds-grid slds-p-bottom--x-small">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <%--<div class="slds-media__figure">
                        <span class="slds-icon_container slds-icon-standard-contract" title="icon">
                            <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#help"></use>
                            </svg>
                            <span class="slds-assistive-text">What is Server Profile?</span>
                        </span>
                    </div>--%>
                        <div class="slds-media__body">
                            <h2 class="slds-text-heading--small">
                                <span class="slds-text-heading_small slds-text-color--default"><b>What is Server Profile?</b></span>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-card__body">
                    <div>
                        <div class="slds-p-horizontal--small">
                             In FTP Attachments Pro settings you can specify multiple storage servers. Depending on different criteria's different attachments can go to different servers.
                         You can use these different Server Profiles while migrating the data also. If you are using only one server that is default one please select "Default" in the field.
                        </div>
                        <div class="slds-p-around--small slds-text-title_caps">
                            Criteria
                        </div>
                        <div class="slds-p-vertical--xx-small slds-p-horizontal--small">
                            Just like FTP Attachments you can specify a common comment which will go in all the attachments migrated to Salesforce.<br />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

