<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" ClassName="FTPAttachmentsSelfServicePortal" %>

<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<script runat="server">
    protected override void OnPreInit(EventArgs e)
    {
        //UI.SetHelpMasterPage(Context, Page);
        //base.OnPreInit(e);
    }
</script>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PageContent">
    <link href="../../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="../../css/application_css/custom_2018.css" rel="stylesheet" />
    <link rel="shortcut icon" type="image/x-icon" id="favicon" href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/App_Themes/Default/images/favicon.ico" />
    <div class="slds-scope" style="font-family:Salesforce Sans,Arial,sans-serif;color:#3e3e3c;line-height: 1.5;">
        <div class="slds-p-around--small">
        <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
            <div class="slds-grid">
                <div class="slds-has-flexi-truncate">
                    <div class="slds-media slds-no-space slds-grow">
                        <div class="slds-media__figure">
                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Storage Server">
                                <svg class="slds-icon slds-page-header__icon " aria-hidden="true">
                                    <use xlink:href="../../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#case_comment"></use>
                                </svg>
                            </span>
                        </div>
                        <div runat="server" id="tdTitle" class="slds-media__body">
                            <nav>
                                <ol class="slds-breadcrumb slds-line-height_reset">
                                    <ul class="slds-breadcrumb__item">
                                        <span>Self Service Portal</span>
                                    </ul>
                                </ol>
                            </nav>
                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="Salesforce Self Service Portal support">Salesforce Self Service Portal support</h1>
                        </div>
                    </div>
                </div>
                <div class="slds-col slds-no-flex slds-grid slds-align-top">
                </div>
            </div>
            <div class="slds-grid slds-page-header__detail-row">
                <div class="slds-grid slds-wrap slds-p-around--small">
                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                        <asp:Label ID="Label8" runat="server" Text="Salesforce comes with a functionality of Self Service Portal so that your customers can easily submit their issues/queries through this portal to your support/sales representatives as a case." meta:resourcekey="Label2Resource1"></asp:Label>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-horizontal--small slds-m-bottom--x-large slds-m-bottom--xx-large">
        <div class="slds-col slds-card slds-large-size--1-of-1 slds-small-size--1-of-1 slds-p-around--small">
            <div class="slds-box" style="padding:0">
            <div class="slds-card__header slds-grid">
                <header class="slds-media slds-media_center slds-has-flexi-truncate">
                    <%--<div class="slds-media__figure">
                        <span class="slds-icon_container slds-icon-standard-contract" title="icon">
                            <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#comments"></use>
                            </svg>
                            <span class="slds-assistive-text">Setup "FTP (Attach)" links for Standard/Custom objects</span>
                        </span>
                    </div>--%>
                    <div class="slds-media__body">
                        <h2 class="slds-text-heading--small">
                            <span class="slds-text-heading_small slds-text-color--default"><b>Salesforce Self Service Portal support</b></span>
                        </h2>
                    </div>
                </header>
            </div>
            <div class="slds-card__body">
                <div class="slds-p-horizontal--small">
                    Using this portal and Case mechanism it becomes very easy to manage the queries of the customers.
                    <br />
                <br />
                FTP Attachments Pro allows you to access your FTP Attachments from the Self Service Portal.
                This way your customers can easily send you documents or screenshots or other files, and 
                your representative can help them much easily.
                <br />
                <br />
                Overall this saves lots of valuable time of your customers as well as your employees. This is a
                huge cost savings. Best part is because your attachments are stored using FTP Attachments
                you can take benefit of the storage space as well as features like versioning any any other
                feature we come up with.
                </div>
                <div class="slds-p-horizontal--x-small slds-p-vertical--small">
                    In following section we are going to describe different settings you need to do to get FTP Attachments
                    working in your Self Service Portal.
                </div>
                <div class="slds-p-around--small">
                    <div class="slds-box" style="padding:0">
                        <div class="slds-text-title_caps slds-p-vertical--small">Salesforce User</div>
                        <div class="slds-p-top--xx-small slds-text-body_regular">
                            Self Service portal users (your customers using Self Service Portal) do not have rights to create or update
                            any object in Salesforce, because they are not actual Salesforce users. In order to attach a file through
                            Self Service Portal we need to use a Salesforce user credentials.
                            <br /><br/>
                           Please enter a valid Salesforce User credentials who has rights to create FTP Attachments on Case, this user
                           will be used to create/update/delete the attachments from the Self Service Portal on behalf of Self Service Portal users.
                        </div>
                    </div>
                </div>

                <div class="slds-p-horizontal--small">
                    <div class="slds-box" style="padding:0">
                        <div class="slds-text-title_caps slds-p-vertical--small">Security</div>
                        <div class="slds-p-top--xx-small slds-text-body_regular">
                            Self Service Portal user can have access to View, Create, Update or Delete attachments as per the
                            settings setup here. Please click on the Security link under Self Service Portal to set it up.
                        </div>
                    </div>
                </div>

                <div class="slds-p-around--small">
                    <div class="slds-box" style="padding:0">
                        <div class="slds-text-title_caps slds-p-vertical--small">View Attachments</div>
                        <div class="slds-p-top--xx-small slds-text-body_regular">
                            Self Service Portal user can view only attachments which are public or all attachments of a case
                            depending on the settings you choose here.
                        </div>
                    </div>
                </div>

                <div class="slds-p-horizontal--small">
                    <div class="slds-box" style="padding:0">
                        <div class="slds-text-title_caps slds-p-vertical--small">Settings in the Salesforce</div>
                        <div class="slds-p-top--xx-small slds-text-body_regular">
                            Before you can use the FTP Attachments in your Self Service Portal, you need to setup your
                            Self Service Portal in the Salesforce and get it working.
                            <br />
                            <strong>PS:</strong><i>
                            We assume that you know how to setup Self Service Portal in the Salesforce, if you don't know
                            how to set it up please refer to the Salesforce documentation for the same.</i>
                            <br />
                            <br />
                             Once the Self Service Portal is setup in your Salesforce account, you need to do come additional
                            settings to get the FTP Attachments working in your Self Service Portal.
                            <br />
                            <br />
                            Please <a target="_blank" href="../../tools/FTPAttachments/SelfServicePortalSetupHelper.aspx">click here</a> to go to the Self Service Portal Helper page which will guide you how to 
                            modify settings in your Salesforce account for Self Service Portal.
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>
        </div>
</asp:Content>

