﻿var enzigma = enzigma || {};
enzigma.business = enzigma.business || {};
enzigma.business.localDbCache = function (strName, iExpiresInDays) {
    this.name = strName;
    this.expiresInDays = (iExpiresInDays && isNaN(iExpiresInDays)) ? iExpiresInDays : 3;
    this.set = function (strKey, objValue) {
        localDB.set(this.name, strKey, { data: objValue, key: strKey, expiresOn: moment().add('days', this.expiresInDays).toDate() });
    };

    this.get = function (strKey) {
       return localDB.get(this.name, strKey);
    };

    this.clearAll = function () {
        localDB.removeAll(this.name);
    };

    this.exists = function (strKey) {
        return localDB.contains(thi.name, strKey);
    };

    this.clearExpired = function () {
        var arrExpiredRecords = this.find("moment(obj.expiresOn).toDate() < new Date()");
        for (var iIndex = 0; iIndex < arrExpiredRecords.length; ++iIndex)
            localDB.remove(strName, arrExpiredRecords[iIndex].key);
    };

    this.find = function (strCriteria) {
        return localDB.query(this.name, strCriteria);
    };
}