<%@ Page Language="C#" AutoEventWireup="true" Inherits="SetupDefault" MasterPageFile="~/OtherMaster.master" CodeBehind="Default.aspx.cs" %>

<asp:Content ContentPlaceHolderID="PageContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <script src="../scripts/jquery-3.6.0.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove()
        });
    </script>


    <div class="slds-grid slds-wrap slds-text-body--regular slds-text-color--default">
        <div class="slds-col slds-m-horizontal--small slds-m-top--small slds-card custom-background-color--default">
            <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
                <div class="slds-grid">
                    <div class="slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Description of icon when needed">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#setup"></use>
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="tdTitle" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Setup or Login to Orektic account</span>
                                        </ul>
                                    </ol>
                                </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="Setup or Login">Setup or Login</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <asp:Label ID="Label8" runat="server" Text="Orektic will now check if your Salesforce organization is already linked to an Orektic account.<br /><br /> In case it is already linked to an Orektic account a popup window will open, requesting your login and password. Please enter the login and password and you will be taken to the subscriptions page of your account.<br /><br /> If no Orektic account found linked to your account a popup will open to take you through the signup process.<br /><br /> PS: Instead of showing the page in the tab itself we are showing popup because of a known issue.<br />" meta:resourcekey="Label2Resource1"></asp:Label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
