<%@ Page Language="C#" AutoEventWireup="true" Inherits="SubsribePage" MasterPageFile="~/OtherMaster.master" CodeBehind="Subscribe.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="../css/application_css/custom_2018.css" rel="stylesheet" />
    <link rel="shortcut icon" type="image/x-icon" id="favicon" href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/App_Themes/Default/images/favicon.ico" />
    <script src="../scripts/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove();
            $("#PageContent_Signup_detailViewCustomer_lbUserName,#PageContent_Signup_detailViewCustomer_lbEmailHelp,#PageContent_Signup_detailViewCustomer_lbName,#PageContent_Signup_detailViewCustomer_lbCompany,#PageContent_Signup_detailViewCustomer_lbAddress,#PageContent_Signup_detailViewCustomer_lbAddress2,#PageContent_Signup_detailViewCustomer_lbCity,#PageContent_Signup_detailViewCustomer_lbZip,#PageContent_Signup_detailViewCustomer_lbState,#PageContent_Signup_detailViewCustomer_lbCountry,#PageContent_Signup_detailViewCustomer_lbLogo,#PageContent_Signup_detailViewCustomer_lbPhone").css("font-weight", "normal");
            vpw = $(window).width();
            vph = $(window).height();
            document.getElementById('PageContent_datalistProducts').deleteRow(0);
        });
    </script>

    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <div id="bodyHeight1" class="slds-size_1-of-1 slds-m-bottom--x-large">
        <asp:ScriptManager ID="ScriptManager" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanelSubscribe" runat="server">
            <ContentTemplate>
                <div class="slds-grid slds-wrap slds-p-around--small">
                    <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-text-body--regular slds-text-color--default">
                        <div class=" slds-grid slds-wrap slds-size--1-of-1">
                            <div class="slds-page-header">
                                <div class="slds-grid">
                                    <div class="slds-col slds-has-flexi-truncate">
                                        <div class="slds-media slds-no-space slds-grow">
                                            <div class="slds-media__figure">
                                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Subcribe Applications">
                                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#play" />
                                                    </svg>
                                                </span>
                                            </div>
                                            <div runat="server" id="tdTitle" class="slds-media__body">
                                                <nav>
                                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                                        <ul class="slds-breadcrumb__item">
                                                            <span>Subscribe</span>
                                                        </ul>
                                                    </ol>
                                                </nav>
                                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Subscribe Applications</h1>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-grid slds-page-header__detail-row">
                                    <div class="slds-grid slds-wrap slds-p-around--small">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                            <asp:Label ID="Label8" runat="server" Text="Now that you have signed up for Orektic account you can subscribe to any of the applications offered by Orektic here. We believe in total customer satisfaction hence before you buy we&nbsp; recommend to evaluate our applications." meta:resourcekey="Label2Resource1"></asp:Label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="slds-box custom-background-color--default slds-m-top--small">
                            <div>
                                <div class="slds-p-bottom--small ">
                                    <div class="slds-media__figure slds-p-left_small">
                                        <%--<span class="slds-icon_container slds-icon-standard-account" title="Applications">
                                        <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                            <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#puzzle"></use>
                                        </svg>
                                        <span class="slds-assistive-text">Applications</span>
                                    </span>--%>
                                        <span class="">
                                            <h2 class="slds-card__header-title">
                                                <span class="slds-text-heading--small"><b>Applications</b></span>
                                            </h2>
                                        </span>
                                    </div>
                                    <div class="slds-text-heading_small slds-text-color--error">
                                        <asp:Label ID="lbError" runat="server" EnableViewState="False" class="slds-text-heading_small"></asp:Label>
                                    </div>
                                </div>

                                

                                    <asp:DataList ID="datalistProducts" runat="server" DataSourceID="Products">
                                        <ItemTemplate>
                                            <div class="slds-grid slds-wrap">
                                            <div class="slds-col slds-large-size--1-of-1 slds-medium-size--1-of-1 slds-small-size--1-of-1 slds-p-around--small">
                                                <div class=" slds-card slds-text-align--left slds-small-size--1-of-1">
                                                    <div class="slds-card__header slds-small-size--1-of-1">
                                                        <div class="slds-grid slds-wrap slds-text-title--caps slds-text-color--default slds-border--bottom slds-large-size--1-of-1 slds-p-bottom--small">
                                                            <div class="slds-col slds-large-size--8-of-12 slds-small-size--6-of-12">
                                                                <b><%# Eval("Name") %></b><br />
                                                                (<%#((decimal)Eval("Price") == 0) ? "Free" : Eval("Price", "{0:c}") + " " + Eval("Unit")%>)
                                                            </div>
                                                            <div class="slds-col slds-large-size--4-of-12 slds-small-size--6-of-12 slds-text-align--right slds-p-right--x-small">
                                                                <asp:Button ID="btnSubscribe" Text='<%# ((decimal)Eval("Price") > 0)?"Evaluate":"Subscribe" %>' CommandArgument='<%# Eval("Code") %>' runat="server" SkinID="DefaultButton" Width="100px" OnClick="btnSubscribe_Click" CssClass="slds-button slds-button_outline-brand"></asp:Button>
                                                                <%--<cc1:ImageButton ID="btnSubscribe" Text='<%# ((decimal)Eval("Price") > 0)?"Evaluate":"Subscribe" %>' CommandArgument='<%# Eval("Code") %>' runat="server" SkinID="DefaultButton" Width="100px" OnClick="btnSubscribe_Click"></cc1:ImageButton>--%>
                                                            </div>
                                                        </div>
                                                        <div class="slds-card__body slds-p-top--small">
                                                            <div class="FeaturesText">
                                                                <ul>
                                                                    <%# Eval("Features") %>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                        <%-- <div>
                                                    <div class="slds-card__footer slds-size--1-of-1">
                                                        <div class="slds-text-align--left">
                                                            <%--<cc1:ImageButton ID="btnSubscribe" Text='<%# ((decimal)Eval("Price") > 0)?"Evaluate":"Subscribe" %>' CommandArgument='<%# Eval("Code") %>' runat="server" SkinID="DefaultButton" Width="100px" OnClick="btnSubscribe_Click"></cc1:ImageButton>

                                                        </div>
                                                    </div>
                                                </div>--%>
                                                    </div>
                                                </div>
                                                </div>
                                            </div>
                                        </ItemTemplate>
                                    </asp:DataList>
                                
                                <asp:ObjectDataSource ID="Products" runat="server" SelectMethod="SearchProduct" TypeName="enzigma.sforce.webapp.code.Business">
                                    <SelectParameters>
                                        <asp:Parameter Type="String" Name="strKeyword"></asp:Parameter>
                                        <asp:SessionParameter SessionField="UserID" Type="String" Name="strCustomerID"></asp:SessionParameter>
                                        <asp:SessionParameter SessionField="AppGroup" Name="strAppGroup"></asp:SessionParameter>
                                        <asp:Parameter DefaultValue="true" Name="bActiveOnly"></asp:Parameter>
                                        <asp:Parameter Type="Int32" Name="maximumRows"></asp:Parameter>
                                        <asp:Parameter Type="Int32" Name="startRowIndex"></asp:Parameter>
                                    </SelectParameters>
                                </asp:ObjectDataSource>
                                <asp:HiddenField ID="hdnCustomerID" runat="server"></asp:HiddenField>
                            </div>
                        </div>
                        <asp:UpdateProgress ID="UpdateProgress" runat="server" DisplayAfter="0">
                                <ProgressTemplate>
                                    <%--<img src="../App_Themes/Default/images/progressbar-small.gif" alt="In Progress..." />--%>
                                    <!--<img src="../App_Themes/Default/images/progressbar-small.gif" alt="In Progress..." />-->
                                    <div class="demo-only" style="height: 6rem;">
                                        <div class="slds-spinner_container">
                                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                <span class="slds-assistive-text">Loading</span>
                                                <div class="slds-spinner__dot-a"></div>
                                                <div class="slds-spinner__dot-b"></div>
                                            </div>
                                        </div>

                                    </div>
                                </ProgressTemplate>
                            </asp:UpdateProgress>
                    </div>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
</asp:Content>
