<%@ Page Language="C#" AutoEventWireup="true" Inherits="help_FTPAttachments_CreateCustomLink" MasterPageFile="~/MasterPage.master" CodeBehind="CreateCustomLink.aspx.cs" %>

<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Src="~/controls/MergeFieldHelper.ascx" TagName="MergeFieldHelper" TagPrefix="uc2" %>
<%--<%@ Register Src="../../controls/MergeFieldHelper.ascx" TagName="MergeFieldHelper" TagPrefix="uc2" %>--%>
<%@ Register Src="~/controls/SalesforceLogin.ascx" TagName="SalesforceLogin" TagPrefix="uc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ContentPlaceHolderID="PageContent" runat="server" ID="PageContent">
    <script type="text/javascript" src="<%=Request.ApplicationPath %>/scripts/common.js"></script>
    <script type="text/javascript" src="../../scripts/AJAX.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('link[href="../../App_Themes/Default/common.css"]').remove();
            // $("#tool").removeClass('treeview').addClass('treeview menu-open');
            //$('#tooloption').css('display', 'block');
        });

        $(document).on('change', '.location', function () {
            $('#spinner-container').css('display', 'none');
        });

    </script>
    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="panelPage" runat="server" >
        <ContentTemplate>
            <asp:UpdatePanel ID="panelLogin" runat="server" >
                <ContentTemplate>
                    <asp:UpdateProgress ID="UpdateProgress1" runat="server" >
                        <ProgressTemplate>
                            <%-- <img alt="" src="../../App_Themes/Default/images/progressbar-small.gif" />--%>
                          <div class="slds-spinner_container">
                                <div class="demo-only" >
                                    <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                        <span class="slds-assistive-text">Loading</span>
                                        <div class="slds-spinner__dot-a"></div>
                                        <div class="slds-spinner__dot-b"></div>
                                    </div>
                                </div>
                              </div>
                        </ProgressTemplate>
                    </asp:UpdateProgress>
                    <uc1:SalesforceLogin ID="sforceLogin" runat="server" Visible="true" />
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:UpdatePanel ID="panelMain" runat="server" Visible="False">
                <ContentTemplate>
                    <div class="slds-p-around_small">
                        <div class="slds-page-header">
                            <div class="slds-grid">
                                <div class="slds-col slds-has-flexi-truncate">
                                    <div class="slds-media slds-no-space slds-grow">
                                        <div class="slds-media__figure">
                                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Create Custom Link">
                                                <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                            </span>
                                        </div>
                                        <div class="slds-media__body">
                                            <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Tools</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Create Custom Link</h1>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="slds-grid slds-page-header__detail-row">
                                <div class="slds-grid slds-wrap slds-p-top_xx-small">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                        <div class="slds-text-body_regular">Using this utility you can create Button and link for Standard/Custom objects of Salesforce which were not supplied with the FTP Attachments package. Make sure you have added a lookup field in FTP Attachment object for the object you want to create link on. This utility can also be used for the objects whose custom link and button came with the package, to create new one pointing to your own server.</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-p-horizontal_small slds-p-bottom_small">
                        <div class="slds-card">
                            <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                                <div class="slds-box">
                                    <div class="slds-card" style="position: inherit;">
                                        <div class=" slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media slds-media_center slds-has-flexi-truncate">
                                            <div class="slds-media__body slds-p-bottom--small">
                                                <h2 class="slds-card__header-title">
                                                    <span class="slds-text-heading_small"><b>Create Or Update Link</b></span>
                                                </h2>
                                            </div>
                                        </div>
                                        <div class="slds-p-around_small slds-p-top--small slds-grid slds-wrap slds-theme--shade">
                                            <div class="slds-size--1-of-1  slds-text-align--left">
                                                <a id="linkExample" href="javascript:OnLinkToggle('linkExample','divExample','Detailed Information')">Detailed Information
                                       <%--     <a href="javascript:OnLinkToggle('linkExample','divAnswer', 'Detailed Information ')" id="lnkAnswer"--%>
                                                    <span class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                                        <svg viewbox="0 0 16 16" aria-hidden="true">
                                              <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                                 <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                                    </svg>
                                                    </span>
                                                </a>
                                            </div>
                                            <div id="divExample" style="display: none" class="slds-p-vertical_x-small slds-text-body_regular slds-theme--shade">
                                                <p class="slds-text-body_regular">
                                                    Say you have a custom object called Order__c and you want to use FTP Attachments
								             	to attach files to Order__c. Follow the steps below to use FTP Attachments with	Order__c.
                                                </p>
                                                <ul style="list-style-type: disc">
                                                    <li>
                                                        <p class="slds-text-body_regular">
                                                            In your Salesforce account go to Setup/Build/Custom Objects/FTP Attachment object,
											and click on "New" under "Custom Fields & Relationships" section.
                                                        </p>
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-body_regular">
                                                            Choose type "Lookup Relationship" and on next page choose the object "Order__c",
											name the field "Order" and finish the wizard to create the field.
                                                        </p>
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-body_regular">
                                                            After the Lookup Relationship is created you are ready to create the custom link
											here
                                                        </p>
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-body_regular">
                                                            Choose the object "Order__c" in "Choose Standard/Custom Object" (Only object which
											have a lookup relationship with Attachment or FTP Attachment object will appear in the list)
                                                        </p>
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-body_regular">
                                                            Enter your server's base Url e.g. https://www.yourdomain.com/sforce/ in Server field,
											if you are using Orektic's server please enter https://app.ftpattachments.com/sforce/ (Please
											note the Url must end with / and must be mapped to the application's root)
                                                        </p>
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-body_regular">
                                                            (Optional) Now enter the Folder parameter where the attachment will be stored on
											the server, this can use Salesforce merge fields too. <a href="<%=Global.LiveWebApplication%>/help/FTPAttachments/StorageServers.aspx">Click here</a> for more information.<br />
                                                            <strong>Example:</strong> Orders/{!Order__c.Name}<br />
                                                            <br />
                                                            <strong>PS:</strong> You can use Salesforce expressions here just like you use in
											custom links of Salesforce.
											<br />
                                                            You can use the Merge field helper on the right hand side if required.
                                                        </p>
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-body_regular">
                                                            (Optional) Enter the Server Profile logic or name in this field, depending on object
											data server profile can be choosen to save the file. <a href="<%=Global.LiveWebApplication%>/help/FTPAttachments/StorageServers.aspx">Click here</a> for more information. You can use Salesforce expressions here
											just like you use in custom links of Salesforce.
											<br />
                                                            <strong>Example:</strong> Say you want to save all attachments from US accounts
											in US server and all other files in India server, you can use this text to choose
											apropriate Profile at runtime.
											<br />
                                                            {!IF( Account.BillingCountry = "United States", "US", "India")}
											<br />
                                                            <strong>PS:</strong>You can use Salesforce expressions here just like you use in
											custom links of Salesforce.
                                                        </p>
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-body_regular">
                                                            Once all this information is entered click on "Save" to create/update the "Attach
											(FTP)" link for Order__c object
                                                        </p>
                                                    </li>
                                                </ul>
                                                <p class="slds-text-body_regular">This way you can use the FTP Attachment with any object of Salesforce you like.</p>
                                                <br />
                                            </div>
                                        </div>
                                        <div>
                                            <asp:ObjectDataSource ID="AttachFTPLinks" runat="server" SelectMethod="GetAllFTPAttachmentsLinks"
                                                TypeName="enzigma.sforce.webapp.code.business.AttachFTPLink">
                                                <SelectParameters>
                                                    <asp:SessionParameter Name="strSFUrl" SessionField="SFUrl" Type="String" />
                                                    <asp:SessionParameter Name="strSFSessionID" SessionField="SFSessionID" Type="String" />
                                                    <asp:ControlParameter ControlID="edSearch" Name="strKeyword" PropertyName="Text" Type="String" />
                                                </SelectParameters>
                                            </asp:ObjectDataSource>
                                            <%-- <asp:ObjectDataSource ID="SearchAttachFTPLinks" runat="server" SelectMethod="SearchAttachFTPLink" TypeName="enzigma.sforce.webapp.code.business.AttachFTPLink">
	                                             <SelectParameters>
		                                            <asp:ControlParameter ControlID="edSearch" Name="strKeyword" PropertyName="Text" Type="String"/>
	                                             </SelectParameters>
                                             </asp:ObjectDataSource>--%>
                                            <asp:ObjectDataSource ID="AttachFTPLinkView" runat="server" SelectMethod="GetFTPAttachmentsLink"
                                                TypeName="enzigma.sforce.webapp.code.business.AttachFTPLink">
                                                <SelectParameters>
                                                    <asp:SessionParameter Name="strSFUrl" SessionField="SFUrl" Type="String" />
                                                    <asp:SessionParameter Name="strSFSessionID" SessionField="SFSessionID" Type="String" />
                                                    <asp:ControlParameter ControlID="gridLinks" Name="strID" PropertyName="SelectedValue"
                                                        Type="String" />
                                                </SelectParameters>
                                            </asp:ObjectDataSource>
                                            <asp:HiddenField ID="hdAttachmentObject" runat="server" />
                                            <asp:ObjectDataSource ID="LinkableObjects" runat="server" SelectMethod="GetLinkableObjects"
                                                TypeName="enzigma.sforce.webapp.code.business.AttachFTPLink">
                                                <SelectParameters>
                                                    <asp:SessionParameter Name="strSFUrl" SessionField="SFUrl" Type="String" />
                                                    <asp:SessionParameter Name="strSFSessionID" SessionField="SFSessionID" Type="String" />
                                                    <asp:ControlParameter ControlID="hdAttachmentObject" Name="strObjectType" PropertyName="Value" Type="String" />
                                                </SelectParameters>
                                            </asp:ObjectDataSource>
                                        </div>
                                        <div class="slds-scrollable" id="errorbox" runat="server" visible="false">
                                            <div class="demo-only">
                                                <div class="slds-notify_container slds-is-relative">
                                                    <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                        <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                              <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                           </svg>
                                                        </span>
                                                        <div class="slds-notify__content">
                                                            <h2 class="slds-text-body_regular">
                                                                <asp:Label ID="lbError" runat="server"></asp:Label></h2>
                                                        </div>
                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToastError()">
                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                              <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                            </svg>
                                                            <span class="slds-assistive-text">Close</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div id="successbox" class="slds-scrollable" runat="server" visible="false">
                                            <div class="demo-only">
                                                <div class="slds-notify_container slds-is-relative">
                                                    <div class="slds-notify slds-notify_toast slds-theme--success" role="alert">
                                                        <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                             <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                             </svg>
                                                        </span>
                                                        <div class="slds-notify__content">
                                                            <h2 class="slds-text-body_regular">
                                                                <asp:Label ID="lbSuccess" runat="server"></asp:Label></h2>
                                                        </div>
                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose1" onclick="return hideToastSuccess()">
                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                            </svg>
                                                            <span class="slds-assistive-text">Close</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="slds-grid slds-wrap slds-p-vertical_medium slds-scrollable">
                                            <div>
                                                <asp:DetailsView ID="detailsView" runat="server" AutoGenerateRows="False" DataSourceID="AttachFTPLinkView"
                                                    OnItemInserting="detailsView_ItemInserting" OnItemUpdating="detailsView_ItemUpdating"
                                                    OnDataBound="detailsView_DataBound" DefaultMode="Insert" BorderStyle="None" GridLines="None">
                                                    <Fields>
                                                        <asp:TemplateField HeaderText="Link Action" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <InsertItemTemplate>
                                                                <asp:DropDownList ID="cmbLinkAction" AutoPostBack="true" CssClass="slds-input" runat="server" OnSelectedIndexChanged="cmbLinkAction_SelectedIndexChanged"
                                                                    SelectedValue='<%# Bind("Action") %>'>
                                                                    <asp:ListItem Selected="True">Attach</asp:ListItem>
                                                                    <asp:ListItem>View</asp:ListItem>
                                                                    <asp:ListItem>Update</asp:ListItem>
                                                                    <asp:ListItem>Delete</asp:ListItem>
                                                                    <asp:ListItem>Send Mail</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </InsertItemTemplate>
                                                            <AlternatingItemTemplate>
                                                                &nbsp;
                                                            </AlternatingItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="lbLinkAction" runat="server" Text='<%# Eval("Action") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <EditItemTemplate>
                                                                <asp:Label ID="lbLinkAction" runat="server" Text='<%# Eval("Action") %>' Font-Bold="false"></asp:Label>
                                                            </EditItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblLinkAction" runat="server" Text="Link Action" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.CustomLinkAction">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="Object" SortExpression="Object" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:Label ID="Label1" runat="server" Text='<%# Bind("Object") %>' Font-Bold="false"></asp:Label>
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:DropDownList ID="cmbLinkObject" runat="server" DataSourceID="LinkableObjects" CssClass="slds-input"
                                                                    DataTextField="Text" DataValueField="Value" SelectedValue='<%# Bind("FieldName") %>'
                                                                    AutoPostBack="True" OnSelectedIndexChanged="cmbLinkObject_SelectedIndexChanged">
                                                                </asp:DropDownList><asp:RequiredFieldValidator ID="reqLinkedObject" runat="server" ForeColor="Red"
                                                                    ControlToValidate="cmbLinkObject" Display="Dynamic" ErrorMessage="*"></asp:RequiredFieldValidator>
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="Label1" runat="server" Text='<%# Bind("Object") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblObject" runat="server" Text="Object" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.CustomLinkObject">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="Standalone Base Url" SortExpression="Server" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:TextBox ID="edServer" runat="server" Columns="45" Text='<%# Bind("Server") %>' CssClass="slds-input" Font-Bold="false" />
                                                                <asp:RequiredFieldValidator
                                                                    ID="reqServer" runat="server" ControlToValidate="edServer" Display="Dynamic" ForeColor="Red"
                                                                    ErrorMessage="*"></asp:RequiredFieldValidator>
                                                                <asp:CustomValidator ID="CustomValidator1" runat="server" ClientValidationFunction="VerifyServerUrl"
                                                                    ControlToValidate="edServer" Display="Dynamic" ErrorMessage="Please enter correct base Url where your application is installed. e.g. https://app.ftpattachments.com/sforce/"
                                                                    Enabled="False" Font-Bold="false"></asp:CustomValidator>
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:TextBox ID="edServer" runat="server" Text='<%# Bind("Server") %>' CssClass="slds-input" Font-Bold="false" /><asp:RequiredFieldValidator
                                                                    ID="reqServer" runat="server" ControlToValidate="edServer" Display="Dynamic" ForeColor="Red"
                                                                    ErrorMessage="*"></asp:RequiredFieldValidator>
                                                                <asp:CustomValidator Enabled="false" ID="CustomValidator1" runat="server" ClientValidationFunction="VerifyServerUrl"
                                                                    ControlToValidate="edServer" Display="Dynamic" ErrorMessage="Please enter correct base Url where your application is installed. e.g. https://app.ftpattachments.com/sforce/"></asp:CustomValidator>
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="Label2" runat="server" Text='<%# Bind("Server") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblServerUrl" runat="server" Text="Base Url" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.BaseUrl"></cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="Name" SortExpression="Name" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:TextBox ID="txtLinkName" runat="server" Columns="45" MaxLength="30" Text='<%# Bind("NameSuffix") %>' CssClass="slds-input" Font-Bold="false" /><asp:RequiredFieldValidator
                                                                    ID="reqLinkName" runat="server" ControlToValidate="txtLinkName" Display="Dynamic"
                                                                    ErrorMessage="*" ForeColor="Red" CssClass="slds-input"></asp:RequiredFieldValidator><asp:CustomValidator ID="custValLinkName" ForeColor="Red"
                                                                        runat="server" Display="Dynamic" ErrorMessage="*"></asp:CustomValidator>
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:TextBox ID="txtLinkName" runat="server" Columns="45" MaxLength="30" Text='<%# Bind("NameSuffix") %>' CssClass="slds-input" Font-Bold="false" /><asp:RequiredFieldValidator
                                                                    ID="reqLinkName" runat="server" ControlToValidate="txtLinkName" Display="Dynamic"
                                                                    ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator><asp:CustomValidator ID="custValLinkName"
                                                                        runat="server" Display="Dynamic" ErrorMessage="*" ForeColor="Red" CssClass="slds-input"></asp:CustomValidator>
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="Label6" runat="server" Text='<%# Bind("Name") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblName" runat="server" Text="Name" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.CustomLinkName">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="Label" SortExpression="Label" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Label") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                            </EditItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblLabel" runat="server" Text="Label" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.CustomLinkLabel">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Label") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="Label7" runat="server" Text='<%# Bind("Label") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="DisplayType" SortExpression="DisplayType" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:Label ID="Label4" runat="server" Text='<%# Eval("DisplayTypeText") %>' Font-Bold="false"></asp:Label>
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:DropDownList ID="cmbLinkType" runat="server" SelectedValue='<%# Bind("DisplayType") %>' CssClass="slds-input" Font-Bold="false">
                                                                    <asp:ListItem Value="L">Detail Page Link</asp:ListItem>
                                                                    <asp:ListItem Value="B">Detail Page Button</asp:ListItem>
                                                                    <asp:ListItem Value="M">List Button</asp:ListItem>
                                                                </asp:DropDownList>
                                                                <asp:RequiredFieldValidator ID="reqLinkType" runat="server" ControlToValidate="cmbLinkType"
                                                                    Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator>
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="Label4" runat="server" Text='<%# Eval("DisplayTypeText") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblDisplayType" runat="server" Text="Display Type" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help6" runat="server" HelpMessageID="Resources.Help.CustomLinkDisplayType">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="Folder" SortExpression="Folder" ItemStyle-CssClass="slds-p-vertical_xx-small slds-box">
                                                            <EditItemTemplate>
                                                                <div class="">
                                                                    <uc2:MergeFieldHelper ID="MergeFieldHelperFolder" runat="server" TargetControlID="edFolder" Font-Bold="false" />
                                                                    <span style="font-style: normal"><%#SetMergeHelper((string)Eval("Object"), (string)Eval("DisplayType"), (string)Eval("FieldName"))%></span>
                                                                    <asp:TextBox ID="edFolder" runat="server" Columns="45" Text='<%# Bind("Folder") %>' CssClass="slds-input slds-p-top_small" Font-Bold="false" />
                                                                </div>
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <uc2:MergeFieldHelper ID="MergeFieldHelperFolder" runat="server" TargetControlID="edFolder" Font-Bold="false" />
                                                                <asp:TextBox ID="edFolder" runat="server" Columns="45" Text='<%# Bind("Folder") %>' CssClass="slds-input slds-p-top_small" Font-Bold="false" />
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="Label5" runat="server" Text='<%# Bind("Folder") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblFolder" runat="server" Text="Folder" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help7" runat="server" HelpMessageID="Resources.Help.CustomLinkFolder">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="ServerProfile" SortExpression="ServerProfile" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:TextBox ID="edServerProfile" runat="server" TextMode="MultiLine"
                                                                    Text='<%# Bind("ServerProfile") %>' CssClass="slds-textarea" Font-Bold="false" />
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:TextBox ID="edServerProfile" runat="server" TextMode="MultiLine"
                                                                    Text='<%# Bind("ServerProfile") %>' CssClass="slds-textarea" Font-Bold="false" />
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="Label3" runat="server" Text='<%# Bind("ServerProfile") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblServerProfile" runat="server" Text="Server Profile" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help8" runat="server" HelpMessageID="Resources.Help.CustomLinkServerProfile">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="ToAddress" SortExpression="ToAddress" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:TextBox ID="txtToAddress" runat="server" Rows="3" Text='<%# Bind("ToAddress") %>' TextMode="MultiLine" CssClass="slds-textarea" Font-Bold="false" /><asp:CustomValidator ID="custValToAddress"
                                                                    runat="server" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:CustomValidator>
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:TextBox ID="txtToAddress" runat="server" Text='<%# Bind("ToAddress") %>' TextMode="MultiLine" CssClass="slds-textarea" Font-Bold="false" /><asp:CustomValidator ID="custValToAddress"
                                                                    runat="server" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:CustomValidator>
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="lbToAddress" runat="server" Text='<%# Bind("ToAddress") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblToAddress" runat="server" Text="To Address" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help9" runat="server" HelpMessageID="Resources.Help.ToAddress">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="CcAddress" SortExpression="CcAddress" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:TextBox ID="txtCcAddress" runat="server" Text='<%# Bind("CcAddress") %>' TextMode="MultiLine" CssClass="slds-textarea" Font-Bold="false" />
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:TextBox ID="txtCcAddress" runat="server" Text='<%# Bind("CcAddress") %>' TextMode="MultiLine" CssClass="slds-textarea" Font-Bold="false" />
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="lbCcAddress" runat="server" Text='<%# Bind("CcAddress") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblCcAddress" runat="server" Text="Cc Address" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help10" runat="server" HelpMessageID="Resources.Help.CcAddress">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="BccAddress" SortExpression="CcAddress" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:TextBox ID="txtBccAddress" runat="server" Text='<%# Bind("BccAddress") %>' TextMode="MultiLine" CssClass="slds-textarea" Font-Bold="false" />
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:TextBox ID="txtBccAddress" runat="server" Text='<%# Bind("BccAddress") %>' TextMode="MultiLine" CssClass="slds-textarea" Font-Bold="false" />
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="lbBccAddress" runat="server" Text='<%# Bind("BccAddress") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblBccAddress" runat="server" Text="Bcc Address" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help11" runat="server" HelpMessageID="Resources.Help.BccAddress">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="FromAddress" SortExpression="FromAddress" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <asp:TextBox ID="txtFromAddress" runat="server" Columns="45" MaxLength="30" Text='<%# Bind("FromAddress") %>' CssClass="slds-input" Font-Bold="false" />
                                                                <asp:RequiredFieldValidator ID="reqFromAddress" runat="server" ControlToValidate="txtFromAddress" Display="Dynamic" ForeColor="Red"
                                                                    ErrorMessage="*"></asp:RequiredFieldValidator>
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:TextBox ID="txtFromAddress" runat="server" Columns="45" MaxLength="30" Text='<%# Bind("FromAddress") %>' CssClass="slds-input" Font-Bold="false" />
                                                                <asp:RequiredFieldValidator
                                                                    ID="reqFromAddress" runat="server" ControlToValidate="txtFromAddress" Display="Dynamic"
                                                                    ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator>
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <asp:Label ID="lbFromAddress" runat="server" Text='<%# Bind("FromAddress") %>' Font-Bold="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblFromAddress" runat="server" Text="From Address" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                <div class="slds-float_right">
                                                                    <cc2:Help ID="Help12" runat="server" HelpMessageID="Resources.Help.FromAddress">
                                                                    </cc2:Help>
                                                                </div>
                                                            </HeaderTemplate>
                                                        </asp:TemplateField>

                                                        <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                            <EditItemTemplate>
                                                                <div>
                                                                    <asp:Button ID="btnUpdate" SkinID="DefaultButton" Text="Update" runat="server" CommandName="Update" Font-Bold="false" CssClass="slds-button slds-button_brand" />
                                                                    <asp:Button ID="btnCancel" Text="Cancel" runat="server" CommandName="Cancel" CausesValidation="False" Font-Bold="false" CssClass="slds-button slds-button_neutral" />
                                                                </div>
                                                            </EditItemTemplate>
                                                            <InsertItemTemplate>
                                                                <asp:Button ID="btnSave" SkinID="DefaultButton" Text="Insert" runat="server" CommandName="Insert" CssClass="slds-button slds-button_brand" />
                                                                <asp:Button ID="btnCancel" Text="Cancel" runat="server" CommandName="Cancel" CausesValidation="False" CssClass="slds-button slds-button_neutral" />
                                                            </InsertItemTemplate>
                                                            <ItemTemplate>
                                                                <div>
                                                                    <asp:Button ID="btnEdit" SkinID="DefaultButton" Text="Edit" runat="server" CommandName="Edit" CssClass="slds-button slds-button_neutral" />
                                                                </div>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                    </Fields>
                                                </asp:DetailsView>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="slds-col slds-align_absolute-center">
                        <asp:UpdateProgress ID="UpdateProgress" runat="server">
                            <ProgressTemplate>
                                <%--<img src="../../App_Themes/Default/images/slds_spinner_brand.gif" alt="" height="50px" width="50px"/>--%>
                                <div class="slds-spinner_container">
                                    <div class="demo-only">
                                        <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                            <span class="slds-assistive-text">Loading</span>
                                            <div class="slds-spinner__dot-a"></div>
                                            <div class="slds-spinner__dot-b"></div>
                                        </div>
                                    </div>
                                </div>
                            </ProgressTemplate>
                        </asp:UpdateProgress>
                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-p-horizontal_small">
                        <div class="slds-p-around_small slds-card slds-m-bottom_x-large">
                            <div class="slds-box">
                                <div class="slds-grid slds-wrap slds-p-bottom_small">
                                    <div class="slds-col slds-small-size_6-of-12 slds-medium-size_1-of-1 slds-large-size_8-of-12">
                                        <asp:Button ID="btnNew1" SkinID="DefaultButton" Text="New" runat="server" OnClick="btnNew_Click" CssClass="slds-button slds-button_neutral" /></span>
                                    </div>
                                    <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_4-of-12  ">
                                        <span>
                                            <asp:TextBox ID="edSearch" runat="server" CssClass="slds-input slds-align-top" Width="76%"></asp:TextBox>
                                            <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="../../App_Themes/Default/images/searchbt.png" CssClass="SearchButton" CausesValidation="False" OnClick="btnSearch_Click" /></span>
                                    </div>


                                </div>
                                <div class="slds-small-size_1-of-1 slds-scrollable_x">
                                    <asp:GridView ID="gridLinks" runat="server" AllowPaging="True"
                                        AutoGenerateColumns="False" DataKeyNames="ID" DataSourceID="AttachFTPLinks"
                                        EmptyDataText="No custom links found which were created using this utility."
                                        OnDataBound="gridLinks_DataBound" OnRowDeleting="gridLinks_RowDeleting"
                                        OnSelectedIndexChanged="gridLinks_SelectedIndexChanged" PageSize="20">
                                        <Columns>
                                            <asp:CommandField ShowSelectButton="True" />
                                            <asp:TemplateField HeaderText="Name">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Name") %>'></asp:TextBox>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="Label3" runat="server" Text='<%# Bind("Name") %>'
                                                        ToolTip='<%# Eval("Label") %>'></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:BoundField DataField="DisplayTypeText" HeaderText="Link Type" />
                                            <asp:BoundField DataField="Server" HeaderText="Server" />
                                            <asp:TemplateField HeaderText="Object">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("Object") %>'></asp:TextBox>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="Label4" runat="server" Text='<%# Bind("Object") %>'
                                                        ToolTip='<%# "Field Name: " + Eval("FieldName") + "\n\n" + "Field Value: " + Eval("FieldValue") %>'></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Folder">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Folder") %>'></asp:TextBox>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="Label2" runat="server"
                                                        Text='<%# (Eval("Folder") != null && ((string)Eval("Folder")).Length > 12) ? ((string)Eval("Folder")).Substring(0,9) + "..." : Eval("Folder") %>'
                                                        ToolTip='<%# Eval("Folder") %>'></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Server Profile">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("ServerProfile") %>'></asp:TextBox>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="Label1" runat="server"
                                                        Text='<%# (Eval("ServerProfile") != null && ((string)Eval("ServerProfile")).Length > 12) ? ((string)Eval("ServerProfile")).Substring(0,9) + "..." : Eval("ServerProfile") %>'
                                                        ToolTip='<%# Eval("ServerProfile") %>'></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField ShowHeader="False">
                                                <ItemTemplate>
                                                    <asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" CommandName="Delete" OnClientClick="return ConfirmDelete()" Text="Delete"></asp:LinkButton>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                </div>
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
            </asp:UpdatePanel>
        </ContentTemplate>
    </asp:UpdatePanel>

</asp:Content>
