﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/MasterPage.master" CodeBehind="FTPAutomatedMigratorTool.aspx.cs" Inherits="enzigma.sforce.webapp.tools.FTPAttachments.FTPAutomatedMigratorTool" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Src="~/controls/SearchCriteria.ascx" TagName="SearchCriteria" TagPrefix="uc3" %>
<%@ Register Src="~/controls/MergeFieldHelper.ascx" TagName="MergeFieldHelper" TagPrefix="uc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Src="~/controls/SalesforceLogin.ascx" TagName="SalesforceLogin" TagPrefix="uc1" %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="enz" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<asp:Content ContentPlaceHolderID="PageContent" ID="PageContent" runat="server">
    <!-- Designer Expert CDN-->
    <script>
        $(document).ready(function () {
            vpw = $(window).width();
            vph = $(window).height();
            $('#bodyHeight').css({ 'height': vph + 'px' });
            $('link[href="../../App_Themes/Default/common.css"]').remove();
        });
    </script>

    <link href="../../scripts/application_js/vendors/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
    <link href="../../scripts/application_js/vendors/prettifyHTML/prettify.css" rel="stylesheet" />
    <link href="../../scripts/application_js/vendors/bootstrapdatetimepicker/bootstrap-datetimepicker-build.min.css" rel="stylesheet" />
    <link href="../../scripts/application_js/vendors/font-awsome/css/font-awesome.css" rel="stylesheet" />
    <link href="../../scripts/application_js/vendors/toaster/toaster.min.css" rel="stylesheet" />
    <link href="../../scripts/application_js/vendors/skylo/styles/skylo.css" rel="stylesheet" />
    <link href="../../scripts/application_js/vendors/chosen/css/chosen.css" rel="stylesheet" />

    <link href="../../scripts/application_css/table.css" rel="stylesheet" />
    <link href="../../scripts/application_css/actions.css" rel="stylesheet" />
    <link href="../../scripts/application_css/grid.css" rel="stylesheet" />
    <link href="../../scripts/application_css/form.css" rel="stylesheet" />
    <link href="../../scripts/application_css/layout.css" rel="stylesheet" />
    <link href="../../scripts/application_css/extended-layout.css" rel="stylesheet" />

    <script src="../../scripts/application_js/vendors/jquery/jquery-2.2.0.min.js"></script>
    <script src="../../scripts/application_js/vendors/angular/angular.js"></script>
    <script src="../../scripts/application_js/vendors/angular/angular-animate.min.js"></script>
    <script src="../../scripts/application_js/vendors/angular/angular-sanitize.min.js"></script>
    <script src="../../scripts/application_js/vendors/bootstrap/js/bootstrap.js"></script>
    <script src="../../scripts/application_js/vendors/angular/ui-bootstrap-tpls.min.js"></script>
    <script src="../../scripts/application_js/vendors/moment/moment.js"></script>
    <script src="../../scripts/application_js/vendors/toaster/toaster.js"></script>
    <script src="../../scripts/application_js/vendors/prettifyHTML/prettify.js"></script>
    <script src="../../scripts/application_js/vendors/prettifyHTML/prettifyHTML.js"></script>
    <script src="../../scripts/application_js/vendors/bootstrapdatetimepicker/bootstrap-datetimepicker.js"></script>
    <script src="../../scripts/vendor_js/Sortable.js"></script>

    <script src="<%=enzigma.sforce.webapp.code.Global.WebRoot%>scripts/vendor_js/Sortable.js" type="text/javascript"></script>

    <script src="../../scripts/application_js/vendors/rubaxa-sortable/ng-sortable.js"></script>
    <script src="../../scripts/application_js/vendors/tiny-mce/src/tinymce.js"></script>
    <script src="../../scripts/application_js/vendors/tiny-mce/tinymce.min.js"></script>
    <script src="../../scripts/application_js/vendors/ace/build/src-min/ace.js"></script>
    <script src="../../scripts/application_js/vendors/ui-ace/src/ui-ace.js"></script>
    <script src="../../scripts/application_js/vendors/skylo/scripts/skylo.js"></script>
    <script src="../../scripts/application_js/vendors/chosen/js/chosen.jquery.js"></script>
    
    <script src="../../scripts/application_js/result.js"></script>
    <script src="../../scripts/application_js/Exception.js"></script>
    <script src="../../scripts/application_js/designer-expert-services.js"></script>


    <script src="../../scripts/application_js/platform.js"></script>
    <script src="../../scripts/application_js/designer-expert-engine.js"></script>
    <script src="../../scripts/application_js/designer-expert-form.js"></script>
    <script src="../../scripts/application_js/designer-expert-actions.js"></script>
    <script src="../../scripts/application_js/designer-expert-table.js"></script>
    <script src="../../scripts/application_js/designer-expert-layout.js"></script>
    <script src="../../scripts/application_js/UIEngine.js"></script>

<%--    <script type="text/javascript" src="../../scripts/vendor_js/angular.js"></script>--%>
    <script type="text/javascript" src="../../scripts/application_js/FTPAutomatedMigratorTool.js"></script>
    <script type="text/javascript" src="../../scripts/vendor_js/bootstrap.min.js"></script>
    <link href="../../css/application_css/FTPAutomatedMigratorTool.css" rel="stylesheet" />

    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" type="text/css" />
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Migrator Tool">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Automated Migrator Tool</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Advance Migrator</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <p>
                                This Tool is  add-on for FTP Attachments applications and  only work with the Standalone mode.Using this tool you can Automate your attachments migration process, the Salesforce attachments attached through Salesforce classic mode only can be migrated to FTP Attachments application.

                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div ng-app="a" ng-controller="listViewController">
            <div class="slds-p-horizontal_small slds-p-bottom--small">
                <div class="slds-card">
                    <div class="slds-media__body"></div>
                    <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                        <div class="slds-box">
                            <div class="demo-only" style="display: none" id="toastError">
                                <div class="slds-notify_container slds-is-relative">
                                    <div class="slds-notify slds-notify_toast slds-theme_error" role="alert" id="setSlds">
                                        <span class="slds-assistive-text">error</span>
                                        <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
          <use  id="setIcon" xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
        </svg>
                                        </span>
                                        <div class="slds-notify__content">
                                            <div>{{msg}}</div>
                                        </div>
                                        <button type="button" class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" onclick=" return hideToast()">
                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
          <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
        </svg>
                                            <span class="slds-assistive-text">Close</span>
                                        </button>
                                    </div>
                                </div>

                            </div>

                            <div class="slds-grid slds-wrap" id="isStandalone">
                                <div id="spinnerContainer">
                                    <div class="spinner">
                                        <div class="rect1"></div>
                                        <div class="rect2"></div>
                                        <div class="rect3"></div>
                                        <div class="rect4"></div>
                                        <div class="rect5"></div>
                                        <br />
                                        <span id="spanText">Please wait...</span>
                                    </div>
                                </div>

                                <div>
                                    <div id="setMsg">
                                        <p>{{warning}}</p>
                                    </div>
                                    <div class="row" ng-if="showLayout">
                                        <div de-layout="component" ng-model="record" edit-mode="'edit'" display-mode="'edit'"></div>
                                    </div>
                                    <div ng-if="credNotExist">
                                        <br />
                                        <p style="color: red; text-align: center">{{credNotExist}}</p>
                                    </div>
                                    <div class="row">
                                        <div thread-processing-table>
                                        </div>
                                    </div>
                                    <div ng-if="advanceMigFailureMsg == ''" class="row" id="setMarginToRelatedList">
                                        <div de-relatedlist="options" getdata="getRecords(options,onsuccess,onerror)" no-paging="false" display-action="false"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>















