<%@ Page Language="C#" AutoEventWireup="true" Inherits="SelfServicePortalSetupHelper" MasterPageFile="~/MasterPage.master" ValidateRequest="false" CodeBehind="SelfServicePortalSetupHelper.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ContentPlaceHolderID="PageContent" runat="server" ID="PageContents">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/application_css/custom_2018.css" rel="stylesheet" />
    <script type="text/javascript" src="../../scripts/AJAX.js"></script>
    <script type="text/javascript">
     $(document).ready(function(){
         $('link[href="../../App_Themes/Default/common.css"]').remove();
     });
     </script>
    <link href="../../css/application_css/custom_2018.css" rel="stylesheet" />
    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel" runat="server">
        <ContentTemplate>
            <div class="slds-p-around_small">
                <div class="slds-page-header">
                    <div class="slds-grid">
                        <div class="slds-col slds-has-flexi-truncate">
                            <div class="slds-media slds-no-space slds-grow">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-opportunity" title="Self Service Portal Settings Helper">
                                        <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                    </span>
                                </div>
                                <div class="slds-media__body">
                                    <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Settings</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                    <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Self Service Portal Settings Helper</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-grid slds-page-header__detail-row">
                        <div class="slds-grid slds-wrap slds-p-top_xx-small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                <div class="slds-text-body_regular">Please go to your Self Service Portal Settings of Salesfoce by going to, Setup/Customize/Self-Service/Self-Service Portal/Settings</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slds-p-horizontal_small slds-p-bottom_xx-large">
                <div class="slds-card">
                    <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                        <div class="slds-box">
                            <div class="slds-card" style="position: inherit;">
                                <div class=" slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media slds-media_center slds-has-flexi-truncate">

                                    <div class="slds-media__body slds-p-bottom--small">
                                        <h2 class="slds-card__header-title">
                                            <span class="slds-text-heading_small"><b>Self Service Portal Settings Helper</b></span>
                                        </h2>
                                    </div>
                                </div>
                                <div class="slds-p-around_small slds-text-body_regular">Now enter the base URL of the Orektic applications which is publicly available in URL field below.</div>
                                <div class="slds-p-around_small slds-grid slds-wrap slds-theme--shade">
                                    <div class="slds-size--1-of-1  slds-text-align--left">
                                        <a href="javascript:OnLinkToggle('lnkAnswer','divAnswer', 'Example! : ')" id="lnkAnswer">Example!
                                        <span class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                            <svg viewbox="0 0 16 16" aria-hidden="true">
                                              <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                                 <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                         </svg>
                                        </span>
                                      </a>
                                    </div>
                                    <div id="divAnswer" style="display: none" class="slds-p-vertical_x-small slds-text-body_regular slds-theme--shade">
                                        <ul style="list-style-type: disc">
                                            <li class="slds-text-body_regular">If you are using Orektic's server to evaluate the application enter, https://app.ftpattachments.com/sforce/<br />
                                                If you are using your own server enter, https://www.yourserver.com/sforce/ 
                                            </li>
                                            <li class="slds-text-body_regular">Now you need to copy HTML code generated below to respective page's message section.<br />
                                                <span style="color: red; font-weight: bold">Very Important!!</span><br />
                                                Please make sure "Show Html" check box is checked and also 
						                        "Show Message/Header" checkbox is checked when you paste this HTML code in the Salesforce
						                        Self Service Portal Settings.
                                            </li>
                                        </ul>
                                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="Default"></asp:ValidationSummary>
                                    </div>
                                </div>
                                <div class="slds-p-around_small slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_3-of-12 slds-large-size_4-of-12 slds-p-right_xx-large">
                                        <span>Your server URL:<cc2:Help ID="Help8" runat="server" HelpMessageID="Resources.Help.ServerUrl" />
                                        </span>
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_7-of-12 slds-large-size_6-of-12 slds-p-right_xx-large">
                                        <span>
                                            <asp:TextBox ID="edServerUrl" runat="server" CssClass="slds-input">https://app.ftpattachments.com/sforce/</asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="edServerUrl" Display="Dynamic" ErrorMessage="*"></asp:RequiredFieldValidator><br />
                                        </span>
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-12 slds-large-size_1-of-12 slds-p-right_xx-large">
                                        <span>
                                            <asp:Button ID="btnSubmit1" SkinID="DefaultButton" CssClass="slds-button slds-button_brand" runat="server" Text="Submit" OnClick="btnSubmit_Click"></asp:Button>
                                        </span>
                                    </div>
                                    <div>
                                        <span><strong>Warning:</strong><span class="slds-text-color_error"> your server url is not https based your customers may receive security warning every time they will try to access the Self Service Portal.</span></span>
                                        <asp:UpdateProgress ID="UpdateProgress1" runat="server">
                                            <ProgressTemplate>
                                                <img src="../../App_Themes/Default/images/progressbar-small.gif" alt="" />
                                            </ProgressTemplate>
                                        </asp:UpdateProgress>
                                    </div>
                                </div>
                                <div class="slds-p-around_medium slds-p-top_medium slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_4-of-12 slds-large-size_4-of-12 slds-p-right_xx-large">
                                        <span>Page Header<cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.PageHeader"></cc2:Help>
                                        </span>
                                        <input onclick="javascript:OnCopy('<%=edPageHeader.ClientID%>');" type="button" class="slds-button slds-button_neutral" value="Copy" />
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_8-of-12 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:TextBox ID="edPageHeader" runat="server" ReadOnly="True" TextMode="MultiLine" Rows="3" CssClass=" slds-textarea"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="slds-p-around_medium slds-p-top_medium  slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_4-of-12 slds-large-size_4-of-12 slds-p-right_xx-large">
                                        <span>View Solution Page<cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.ViewSolutionPage"></cc2:Help>
                                        </span>
                                        <input onclick="javascript:OnCopy('<%=edViewSolutionPage.ClientID%>    ');" type="button" class="slds-button slds-button_neutral" value="Copy" />
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_8-of-12 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:TextBox ID="edViewSolutionPage" runat="server" Columns="60" ReadOnly="True" TextMode="MultiLine" Rows="10" CssClass=" slds-textarea"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="slds-p-around_medium slds-p-top_medium  slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_4-of-12 slds-large-size_4-of-12 slds-p-right_xx-large">
                                        <span>Case Attachment Folder<cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.CaseAttachmentFolder"></cc2:Help>
                                        </span>
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_8-of-12 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:TextBox ID="edCaseFolder" runat="server" Columns="60" MaxLength="255" CssClass="slds-input"></asp:TextBox><br />
                                        <p>Salesforce Merge fields can be used to generate folder name based on record data. Only Contact, Account &amp; Self Service User fields can be used for merge fields.</p>
                                    </div>
                                </div>
                                <div class="slds-p-around_medium slds-p-top_medium  slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_4-of-12 slds-large-size_4-of-12 slds-p-right_xx-large">
                                        <span>Server Profile<cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.ServerProfile"></cc2:Help>
                                        </span>
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_8-of-12 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:DropDownList ID="cmbCaseServerProfile" runat="server" DataSourceID="ServerProfiles" DataTextField="Text" DataValueField="Text" ValidationGroup="MigrationTool" CssClass="slds-select">
                                        </asp:DropDownList>
                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="cmbCaseServerProfile" ErrorMessage="Please select a server profile"></asp:RequiredFieldValidator>
                                        <asp:ObjectDataSource ID="ServerProfiles" runat="server"
                                            SelectMethod="GetServerProfiles"
                                            TypeName="enzigma.sforce.webapp.code.business.FTPAttachmentsSettings">
                                            <SelectParameters>
                                                <asp:SessionParameter Name="strCustomerID" SessionField="UserID" Type="String" />
                                            </SelectParameters>
                                        </asp:ObjectDataSource>
                                    </div>
                                </div>
                                <div class=" slds-p-around_medium slds-p-top_medium  slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_4-of-12 slds-large-size_4-of-12 slds-p-right_xx-large">
                                        <span>View Case Page<cc2:Help ID="Help6" runat="server" HelpMessageID="Resources.Help.ViewCasePage"></cc2:Help>
                                        </span>
                                        <input onclick="javascript:OnCopy('<%=edViewCasePage.ClientID%>');" type="button" class="slds-button slds-button_neutral" value="Copy" />
                                    </div>
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_8-of-12 slds-large-size_8-of-12 slds-p-right_xx-large">
                                        <asp:TextBox ID="edViewCasePage" runat="server" Columns="60" ReadOnly="True" TextMode="MultiLine" Rows="10" CssClass="slds-textarea"></asp:TextBox>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
          </div>
            <%-- <asp:UpdatePanel ID="UpdatePanel" runat="server">
        <ContentTemplate>
            <table width="750">
                <tbody>
                    <tr>
                        <td class="Heading" colspan="3">Self Service Portal Settings Helper
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <ul>
                                <li>Please go to your Self Service Portal Settings of Salesfoce by going to,
						Setup/Customize/Self-Service/Self-Service Portal/Settings
                                </li>
                                <li>Now enter the base URL of the Orektic applications which is publicly available in URL field below.<br />
                                    For example,<br />
                                    If you are using Orektic's server to evaluate the application enter, https://app.ftpattachments.com/sforce/<br />
                                    If you are using your own server enter, https://www.yourserver.com/sforce/
                                </li>
                                <li>Now you need to copy HTML code generated below to respective page's messages
						section.<br />
                                    <span style="color: red; font-weight: bold">Very Important!!</span><br />
                                    Please make sure "Show Html" check box is checked and also 
						"Show Message/Header" checkbox is checked when you paste this HTML code in the Salesforce
						Self Service Portal Settings.
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td class="Label"></td>
                        <td>
                            <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="Default"></asp:ValidationSummary>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td class="Label">Your server URL:<cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.ServerUrl">
                        </cc2:Help>
                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <asp:TextBox ID="edServerUrl" runat="server" Columns="60" MaxLength="255">https://app.ftpattachments.com/sforce/</asp:TextBox><asp:RequiredFieldValidator ID="reqServer" runat="server" ControlToValidate="edServerUrl" Display="Dynamic" ErrorMessage="*"></asp:RequiredFieldValidator><br />
                                    </td>
                                    <td>
                                        <cc1:ImageButton ID="btnSubmit" SkinID="DefaultButton" runat="server" Text="Submit" OnClick="btnSubmit_Click"></cc1:ImageButton></td>
                                    <td>
                                        <asp:UpdateProgress ID="UpdateProgress1" runat="server">
                                            <ProgressTemplate>
                                                <img src="../../App_Themes/Default/images/progressbar-small.gif" alt="" />
                                            </ProgressTemplate>
                                        </asp:UpdateProgress>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <strong>Warning:</strong> If your server url is not https based your customers may receive security warning every time they will try to access the Self Service Portal.
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td class="Label">Page Header:<cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.PageHeader">
                        </cc2:Help>
                            <br />
                            <input onclick="javascript:OnCopy('<%=edPageHeader.ClientID%>    ');" type="button" value="Copy" /></td>
                        <td>
                            <asp:TextBox ID="edPageHeader" runat="server" Columns="60" ReadOnly="True" TextMode="MultiLine" Rows="3"></asp:TextBox></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td class="Label" colspan="3">
                            <hr />
                        </td>
                    </tr>
                    <tr>
                        <td class="Label">View Solution Page:<cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.ViewSolutionPage">
                        </cc2:Help>
                            <br />
                            <input onclick="javascript:OnCopy('<%=edViewSolutionPage.ClientID%>    ');" type="button" value="Copy" /></td>
                        <td>
                            <asp:TextBox ID="edViewSolutionPage" runat="server" Columns="60" ReadOnly="True" TextMode="MultiLine" Rows="10"></asp:TextBox></td>
                        <td></td>
                    </tr>
                   
                    <tr>
                        <td class="Label" colspan="3">
                            <hr />
                        </td>
                    </tr>
                    <tr>
                        <td class="Label">Case Attachment Folder:<cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.CaseAttachmentFolder"></cc2:Help>
                        </td>
                        <td>
                            <asp:TextBox ID="edCaseFolder" runat="server" Columns="60" MaxLength="255"></asp:TextBox><br />
                            Salesforce Merge fields can be used to generate folder name based on record data. Only Contact, Account &amp; Self Service User fields can be used for merge fields.</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td class="Label">Server Profile:<cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.ServerProfile">
                        </cc2:Help>
                        </td>
                        <td>
                            <asp:DropDownList ID="cmbCaseServerProfile" runat="server" DataSourceID="ServerProfiles" DataTextField="Text" DataValueField="Text" ValidationGroup="MigrationTool">
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="cmbCaseServerProfile" ErrorMessage="Please select a server profile"></asp:RequiredFieldValidator>
                            <asp:ObjectDataSource ID="ServerProfiles" runat="server"
                                SelectMethod="GetServerProfiles"
                                TypeName="enzigma.sforce.webapp.code.business.FTPAttachmentsSettings">
                                <SelectParameters>
                                    <asp:SessionParameter Name="strCustomerID" SessionField="UserID" Type="String" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td class="Label">View Case Page:<cc2:Help ID="Help6" runat="server" HelpMessageID="Resources.Help.ViewCasePage">
                        </cc2:Help>
                            <br />
                            <input onclick="javascript:OnCopy('<%=edViewCasePage.ClientID%>    ');" type="button" value="Copy" /></td>
                        <td>&nbsp;<asp:TextBox ID="edViewCasePage" runat="server" Columns="60" ReadOnly="True" TextMode="MultiLine" Rows="10"></asp:TextBox></td>
                        <td></td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>--%>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
