﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Subscriptions" MasterPageFile="~/MasterPage.Master" CodeBehind="Subscriptions.aspx.cs" %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc3" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="enz" %>
<%@ Register Src="~/controls/GenerateLicense.ascx" TagName="GenerateLicense" TagPrefix="cc5" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
   <script src="scripts/vendor_js/Chart.min.js" type="text/javascript" language="javascript"></script>
   <script type="text/javascript">
      $(document).ready(function () {
            $('link[href="App_Themes/Default/common.css"]').remove();
            var activeUserCount;
            var alluserCount;
            var stratDate;
            var endDate;
            var remaininguser;
            var greencolor = '#60b17d';
            var today = new Date(moment().format('MM/DD/YYYY'));
            $.ajax({
                type: "Post",
                url: "Subscriptions.aspx/getSubscriptions",
                contentType: "application/json",
                dataType: "json",
                success: function (data) {
                    var isAdmin = data.d["isAdmin"];
                    var orgid = data.d["orgid"];
                    var arrSubscription = data.d["subscriptions"];
                    var subscriptionRecord = "";
                    for (var i = 0; i < arrSubscription.length; i++) {
                        if (arrSubscription[i].Name == "FTP Attachments Pro") {
                            alluserCount = arrSubscription[i].LicensedUsers;
                            activeUserCount = arrSubscription[i].ActiveUsers;     
                            if (activeUserCount > alluserCount) {
                                document.getElementById("userexceederror").style.visibility = "visible";
                                document.getElementById("userexceederror").innerHTML = "Your License Has Exceeded Its User Limit By: " + (activeUserCount - alluserCount) + " Users";
                                document.getElementById("validityexceed").innerHTML = "Subscription Has Expired";
                            }
                           
                            var alluserPercent = (100 / 100 * alluserCount);
                            var activeuserPercent = (activeUserCount / alluserCount) * 100;
                            remingactiveuserpercent = activeuserPercent - 70;
                            var remaininguserPercent = parseInt(alluserPercent - activeUserCount);
                            if (activeuserPercent > 80)
                            {
                                var usercolor = '#c63927';
                            }
                            else
                            {
                                // usercolor = '#e7991d';
                                usercolor = '#f5b65c';
                            }
                            remaininguser = alluserCount - activeUserCount;

                            expirDate = new Date(moment(arrSubscription[i].ExpiresOn).format("MM/DD/YYYY"));
                           // document.getElementById("expdate").innerHTML = "Expiry Date: " + moment(arrSubscription[i].HostingExpiresOn).format("MM/DD/YYYY");
                            expirDateyear=moment(arrSubscription[i].ExpiresOn).format("YYYY");
                            endDate = new Date(moment(arrSubscription[i].ExpiresOn).format("MM/DD/YYYY"));
                            if ((0 == expirDateyear % 4) && (0 != expirDateyear % 100) || (0 == expirDateyear % 400))
                            {  
                                var startdatenew = endDate.setDate(endDate.getDate() - 366);
                            }
                            else
                            {
                                var startdatenew = endDate.setDate(endDate.getDate() - 365);
                            }
                            var consumedaycount = parseInt((today - endDate) / (1000 * 60 * 60 * 24));
                            
                            var ValidDay = parseInt((expirDate.setDate(endDate.getDate() - 0) - startdatenew) / (1000 * 60 * 60 * 24));

                            var ValidDayPercent = (100 / 100 * ValidDay);
                            var consumedayPercent = (consumedaycount / ValidDay) * 100;
                            remainingdaypercent = consumedayPercent - 70;
                            
                            var remainingdayPercent = parseInt(ValidDayPercent - consumedaycount);
                            if (consumedayPercent > 80) {
                                var validitycolor = '#c63927';
                            }
                            else {
                                validitycolor = '#f5b65c';
                            }
                            if(consumedayPercent >= 100 )
                            {
                                
                                if ((0 == expirDateyear % 4) && (0 != expirDateyear % 100) || (0 == expirDateyear % 400)) {
                                    consumedaycount = 366;
                                    remainingdayPercent = 0;
                                    greencolor = '#c63927';
                                    document.getElementById("validityexceed").style.visibility = "visible";
                                    document.getElementById("validityexceed").innerHTML = "Subscription Has Expired";
                                    document.getElementById("userexceederror").innerHTML = "Your License Has Exceeded Its User Limit By: " + (activeUserCount - alluserCount) + " Users";
                                }
                                else {
                                    consumedaycount = 365;
                                    remainingdayPercent = 0;
                                    greencolor = '#c63927';
                                    document.getElementById("validityexceed").style.visibility = "visible";
                                    document.getElementById("validityexceed").innerHTML = "Subscription Has Expired";
                                    document.getElementById("userexceederror").innerHTML = "Your License Has Exceeded Its User Limit By: " + (activeUserCount - alluserCount) + " Users";
                                }
                            }
                           
                        }
                        var SettingLink = "<%=enzigma.sforce.webapp.code.Global.WebRoot%>" + (arrSubscription[i].SettingPage).slice(1) + "?ID=" + arrSubscription[i].ID;
                        var PurchaseLink = "<%=enzigma.sforce.webapp.code.Global.WebRoot%>admin/Purchase.aspx?ID=" + arrSubscription[i].ID;
                        var ExtendLicence = "<%=enzigma.sforce.webapp.code.Global.WebRoot%>admin/ExtendSubscription.aspx?ID=" + arrSubscription[i].ID;

                        subscriptionRecord += "<tr class='slds-hint-parent'><th scope='row' data-label='Action'><a  title= 'subscription whose settings you want to change' class='slds-button slds-button_neutral' href='" + SettingLink + "'>Settings</a>"

                        if (isAdmin) {
                            document.getElementById("orgdiv").style.display = "block";
                            document.getElementById("custorgid").innerHTML = "Salesforce OrgId: " + orgid;
                            subscriptionRecord += "<a  title= 'Place Order' class='slds-button slds-button_neutral' href='" + PurchaseLink + "'>PlaceOrder</a>"
                            subscriptionRecord += "<a  title= 'Extend Subscription' class='slds-button slds-button_neutral' href='" + ExtendLicence + "'>Ext.Subscription</a>"
                        }
                        subscriptionRecord += "</th><td data-label='Name'><div class='slds-truncate'>" + arrSubscription[i].Name + "</div></td>"
                        subscriptionRecord += "<td data-label='Users'><div class='slds-truncate' title='Active Salesforce Users: " + arrSubscription[i].ActiveUsers + "\nLast License Check: " + moment(arrSubscription[i].LastLicenseCheck).format("MM/DD/YYYY") + "'>" + arrSubscription[i].LicensedUsers + "</div></td>"
                        subscriptionRecord += "<td data-label='Active Users'><div class='slds-truncate'title='Active Salesforce Users: " + arrSubscription[i].ActiveUsers + "\nLast User Check: " + arrSubscription[i].ActiveUsers + "'>" + arrSubscription[i].ActiveUsers + "</div></td>"
                        subscriptionRecord += "<td data-label='Server'><div class='slds-truncate'>" + arrSubscription[i].MaxServers + "</div></td>"
                        subscriptionRecord += "<td data-label='Eval?'><div class='slds-truncate'>" + (arrSubscription[i].IsEval ? 'Yes' : 'No') + "</div></td>"
                        subscriptionRecord += "<td data-label='Expires On'><div class='slds-truncate' title='Hosting Expires On: " + moment(arrSubscription[i].HostingExpiresOn).format("MM/DD/YYYY") + "\nMax. Servers: " + arrSubscription[i].MaxServers + "\nMax. Records: " + arrSubscription[i].MaxRecords + "\nUsed. Records: " + arrSubscription[i].UsedRecords + "\nMax. Bandwidth: " + arrSubscription[i].MaxBandwidth + "\nUsed. Bandwidth: " + arrSubscription[i].UsedBandwidth + "'>" + moment(arrSubscription[i].ExpiresOn).format("MM/DD/YYYY") + "</div></td>"
                        subscriptionRecord += "<td data-label='Created On'><div class='slds-truncate' title='Created By:" + arrSubscription[i].CreatedBy + "'>" + moment(arrSubscription[i].CreatedOn).format("MM/DD/YYYY") + "</div></td>"
                        subscriptionRecord += "<td data-label='Modified On'><div class='slds-truncate' title='Modified By:" + arrSubscription[i].ModifiedBy + "'>" + moment(arrSubscription[i].ModifiedOn).format("MM/DD/YYYY") + "</div></td>"
                        if (isAdmin) {
                            document.getElementById("subscription").style.display = "block";
                            subscriptionRecord += "<td data-label='Subscription'><div class='slds-truncate'>" + arrSubscription[i].SubscriptionType__c + "</div></td>"
                        }
                        //else {
                        //    subscriptionRecord += "<td data-label='Subscription'><div class='slds-truncate'>---</div></td>"
                        //}
                        subscriptionRecord += "</tr>";
                    }
                    document.getElementById("activeuser").innerHTML = "Active Users: " + activeUserCount;
                    document.getElementById("remaininguser").innerHTML = "Remaining Users: " + remaininguserPercent;
                    document.getElementById("consumeddy").innerHTML = "Days Consumed: " + consumedaycount;
                    document.getElementById("remainingdy").innerHTML = "Days Remaining: " + remainingdayPercent;
                    document.getElementById("subscriptiondata").innerHTML = subscriptionRecord;
                    
                    $(function () {
                        var ctx1 = $("#userchart");
                        var data1 = {  labels: ["Active Users ", "Remaining Users"],
                            datasets: [
                                {
                                    data: [activeUserCount,remaininguserPercent],
                                    backgroundColor: [
                                        "#60b17d",
                                         usercolor
                                    ],
                                   borderColor: [
                                       "#60b17d",
                                         usercolor
                                    ],
                                   borderWidth: [0, 0]   
                                }
                            ]    
                        };
                        var options = {
                            responsive: true,
                            devicePixelRatio: true,
                            title: {
                                display: true,
                                position: "top",
                                fontSize: 16,
                                fontColor: "#111"
                            },
                            legend: {
                                display: true,
                                position: "bottom",
                                labels: {
                                    fontColor: "#333",
                                    fontSize: 14
                                }
                            }                            
                        };
                        var chart1 = new Chart(ctx1, {
                            type: "doughnut",
                            data: data1,
                            options: options
                        });
                    });
                    $(function () {
                        var ctx1 = $("#validity");
                        var data1 = {

                            labels: ["Days Consumed", "Days Remaining "],
                            datasets: [
                                {
                                    data: [consumedaycount, remainingdayPercent],
                                    backgroundColor: [
                                         greencolor,
                                         validitycolor
                                    ],
                                    borderColor: [
                                          greencolor,
                                          validitycolor
                                    ],
                                    borderWidth: [1, 1]
                                }
                            ]
                        };
                        var options = {
                            responsive: true,
                            devicePixelRatio: true,
                            title: {
                                display: true,
                                position: "top",
                                //text: "Doughnut Chart",
                                fontSize: 18,
                                fontColor: "#111"
                            },
                            legend: {
                                display: true,
                                position: "bottom",
                                labels: {
                                    fontColor: "#333",
                                    fontSize: 14
                                }
                            }
                        };
                        var chart1 = new Chart(ctx1, {
                            type: "doughnut",
                            data: data1,
                            options: options
                        });
                    });
                }
            });
        });
        function OnAction(Action) {

            window.open('<%=enzigma.sforce.webapp.code.Global.WebRoot%>/ftp/settings/SelfUpdateOrganization.aspx', '_blank');
           window.event.cancelBubble = true;
       }

    </script>

    <cc3:ToolkitScriptManager ID="ToolkitScriptManager" runat="server">
        <Services>
            <asp:ServiceReference InlineScript="false" Path="~/WebServices/FTPAttachments.asmx" />
        </Services>
    </cc3:ToolkitScriptManager>
    <div class="slds-grid slds-wrap">
        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-2 slds-p-around_x-small">
            <div class="slds-text-color--default slds-text-body_regular background-body-color--default slds-docked-composer__header">
                <span class="slds-text-heading_small  slds-size--1-of-1 background-body-color--default" style="font-size:14px" id="activeuser"></span><span style="font-size:14px" class="slds-float_right slds-text-body_regular" id="remaininguser"></span>
            </div>
            <div class="slds-card chart-responsive" >
                      <canvas id="userchart" style="height: 240px;"></canvas>
                       <div id="userexceederror" class="slds-text-color_error slds-align_absolute-center slds-text-align--center" style="font-family: Salesforce Sans,Arial,sans-serif; visibility:hidden"></div>
            </div>
                <%--<div class="chart" id="userchart" style="height: 240px;"></div>--%>  
               
      
        </div>
        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-2 slds-p-around_x-small">
            <div class="slds-text-color--default slds-text-body_regular background-body-color--default slds-docked-composer__header">
                <%--<div class="slds-text-heading_small  slds-size--1-of-1 background-body-color--default" style="font-size:14px">Validity <span style="font-size:14px" class="slds-float_right slds-text-body_regular" id="expdate"></span></div>--%>
                <span class="slds-text-heading_small  slds-size--1-of-1 background-body-color--default" style="font-size:14px" id="consumeddy"></span><span style="font-size:14px" class="slds-float_right slds-text-body_regular" id="remainingdy"></span>
            </div>
            <div class="slds-card chart-responsive">
                <canvas id="validity" style="height: 240px;"></canvas>
                <div id="validityexceed" class="slds-text-color_error slds-align_absolute-center slds-text-align--center" style="font-family: Salesforce Sans,Arial,sans-serif; visibility:hidden""></div>
            </div>
        </div>
    </div>
    <div class="slds-p-horizontal_x-small slds-p-bottom_x-small">
        <div class="slds-card slds-theme_shade" id="orgdiv" style="display: none">
            <div class="slds-p-left_medium slds-p-right_medium">
                <p id="custorgid"></p>
            </div>
        </div>
        <div class="slds-card" style="margin-top: 0;">
            <div style="text-align: left;" runat="server" class="alert-box warning" id="paraMsg">
                License file that you are currently using is less secured. For security purpose we strongly recommend to upgrade to a latest license file build of FTP Attachments. 
        If you want to proceed please<a class="action" style="color: blue" href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>profile/UtilityUpgrade.aspx"> click here</a>
            </div>
            <div class="slds-card__header slds-grid slds-wrap ">
                <%--  <div class="slds-grid slds-wrap">--%>
                <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                    <div class="slds-media__body">
                        <h2 class="slds-card__header-title">
                            <span class="slds-icon_container slds-icon-standard-contact" title="Subscriptions">
                                <svg class="slds-icon slds-icon_medium" aria-hidden="true">
                                   <use xlink:href="css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#product"></use>
                                </svg>
                            </span>
                            <span class="slds-text-heading_small slds-p-horizontal--x-small">Subscriptions Details  
                             <cc2:Help ID="Help2" runat="server" HelpMessage="You can manage your subscriptions using this page.You can subscribe to any of Orektic's application here, and also configure them here"></cc2:Help>
                            </span>
                            <span class="slds-float_right">
                                <asp:HyperLink ID="lnkSubscribe" CssClass="slds-button slds-button_outline-brand" runat="server" title=" If you are interested in any more applications of Orektic" Text="Get More Applications"></asp:HyperLink>
                                <asp:HyperLink ID="lnkSyncProfile" Text="Get Live Profile" CssClass="slds-button slds-button_outline-brand " NavigateUrl="SyncProfile.aspx" runat="server"> </asp:HyperLink>
                                <asp:HyperLink ID="lnkGenerateLicense" CssClass="slds-button slds-button_outline-brand" Text="Generate License" NavigateUrl="SyncProfile.aspx" Visible="false" runat="server"></asp:HyperLink>
                                
                            </span> <br /><br />
                            <span class="slds-float_right">
                                <asp:Panel runat="server" Visible="false" ID="baseUrl1"> 
                                    Standalone Base URL:<asp:Label ID="UpdateStandBaseURL" runat="server"></asp:Label>
                                </asp:Panel>
                            </span>
                        </h2>

                    </div>
                </div>
            </div>
        
        <div class="slds-card__body slds-p-top_none">
            <table class="slds-table slds-table_bordered slds-max-medium-table_stacked-horizontal">
                <thead>
                    <tr class="slds-text-title_caps" style="height: 30px; background-color: burlywood">

                        <th scope="col">
                            <div class="slds-truncate" title="Actions" style="font-size: 10px;"><b>Action</b></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="Name" style="font-size: 10px;"><b>Name</b></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="User" style="font-size: 10px;"><b>User</b></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title=" Active User" style="font-size: 10px;"><b>Active<br />
                                User</b></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="Server" style="font-size: 10px;"><b>Server</b></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="Eval?" style="font-size: 10px;"><b>Eval?</b></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title=" Expire On" style="font-size: 10px;"><b>Expire On</b></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="Created On" style="font-size: 10px;"><b>Created On</b></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="Modified On" style="font-size: 10px;"><b>Modified On</b></div>
                        </th>
                        <th scope="col" id="subscription" style="display:none">
                            <div class="slds-truncate" id="subscription2" title="Modified On" style="font-size: 10px;"><b>Subscription<br />
                                Type</b></div>
                        </th>
                    </tr>
                </thead>
                <tbody id="subscriptiondata">
                </tbody>
            </table>
        </div>
    </div></div>
    <table border="0" width="100%" style="display:none" >
        <tr>
            <td colspan="1">
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td class="Heading" style="width: 65%;">Manage Subscriptions
                        </td>
                        <td style="float: right;">
                            <table border="0" width="100%">
                                <tr runat="server" visible="false" id="baseUrl">
                                    <td class="Label" align="right">Standalone Base URL:
                                    </td>
                                    <%--<td align="left" valign="top">&nbsp;<asp:Label ID="UpdateStandBaseURL" runat="server"></asp:Label>
                                    </td>--%>
                                    <%-- <td>
                                        <asp:TextBox ID="edUpdateStandBaseURL" CssClass="setTextBox" runat="server" Text=""></asp:TextBox>
                                    </td>--%>
                                    <%--  <td>
                                        <cc1:ImageButton ID="btnStandaloneBaseURLUpdate" CssClass="setBtn" runat="server" Text="Update" CausesValidation="False" OnClick="btnStandaloneBaseURLUpdate_Click" UseSubmitBehavior="False" /> 
                                    </td>--%>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <asp:Label ID="lblMessage" runat="server" class="ErrorText" Text=""></asp:Label>
                                    </td>

                                </tr>
                                <tr>
                                    <%-- <td class="Label" align="right">Update Organization:
                                    </td>--%>
                                    <%--                                  <td class="LinkButton" align="left" valign="top">&nbsp;<a href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>ftp/settings/SelfUpdateOrganization.aspx">click here</a>--%>
                                    <%-- <td>
                                        <asp:LinkButton ID="Action"  align="left" valign="top" runat="server" OnClientClick="javascript:return OnAction(this);" Text="Update Organization" />
                                    </td>--%>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="1"></td>
        </tr>
        <tr>
            <td>
               
            </td>
        </tr>
        <tr>
            <td style="width: 379px">&nbsp;<asp:Label ID="lbError" runat="server" SkinID="Error" EnableViewState="False"></asp:Label>

                <asp:UpdatePanel runat="server" ID="uplDetail" UpdateMode="Conditional">
                    <ContentTemplate>
                        <asp:Label ID="Label6" runat="server" SkinID="Error" EnableViewState="False"></asp:Label>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </td>
        </tr>
        <tr>
            <td>
                <asp:ObjectDataSource ID="ProductList" runat="server" SelectMethod="SearchSubscription"
                    TypeName="enzigma.sforce.webapp.code.Business" EnablePaging="False">
                    <SelectParameters>
                        <asp:Parameter Name="strKeyword" Type="String" />
                        <asp:Parameter Name="strLogin" Type="String" />
                        <asp:ControlParameter ControlID="hdnCustomerID" Name="strID" PropertyName="Value"
                            Type="String" />
                        <asp:Parameter Name="maximumRows" Type="Int32" DefaultValue="500" />
                        <asp:Parameter Name="startRowIndex" Type="Int32" DefaultValue="0" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <asp:ObjectDataSource ID="ActionList" runat="server" SelectMethod="GetActions" TypeName="enzigma.sforce.webapp.code.Action">
                    <SelectParameters>
                        <asp:Parameter DefaultValue="Subscriptions" Name="strPage" Type="String" />
                        <asp:SessionParameter DefaultValue="" Name="strID" SessionField="UserID" Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <asp:HiddenField ID="hdnCustomerID" runat="server" />
                <center>
                    <asp:Panel ID="panelMessage" runat="server" HorizontalAlign="Center" SkinID="ErrorMessage"
                        Visible="False" Width="300px">
                        <table border="0" align="center">
                            <tr style="height: 50px;">
                                <td></td>
                                <td>Are you sure you want to unsubscribe this product?
                                </td>
                                <td></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td>
                                    <table cellpadding="0" cellspacing="5" border="0" align="center">
                                        <tr>
                                            <td>
                                                <enz:ImageButton ID="btnYes" runat="server" OnClick="btnYes_Click" SkinID="DefaultButton"
                                                    Text="Yes" Width="40px" />
                                            </td>
                                            <td>
                                                <enz:ImageButton ID="btnNo" runat="server" OnClick="btnNo_Click" Text="No" Width="40px" />
                                            </td>
                                            <td></td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </center>
            </td>
        </tr>
        <tr>
            <td style="height: 300px" valign="top" align="left">
                <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                    </tr>
                </table>
                <asp:GridView ID="gridViewSubscriptions" runat="server" DataSourceID="ProductList"
                    AutoGenerateColumns="false" CellPadding="0" BackColor="White" BorderColor="LightGray"
                    BorderStyle="Solid" BorderWidth="1px" GridLines="Vertical" Width="964px"
                    AllowPaging="True">

                    <Columns>
                        <%--<asp:TemplateField HeaderText="Actions" Visible="False">
                            <ItemTemplate>
                                <table cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                        <td>
                                            <asp:DropDownList ID="cmbAction" runat="server" CssClass="ActionControlCell" DataSourceID="ActionList"
                                                DataTextField="Text" DataValueField="Value">
                                            </asp:DropDownList>
                                        </td>
                                        <td>
                                            <enz:ImageButton ID="btnAction" runat="server" Text="Go" OnClick="btnAction_Click"
                                                OnClientClick="javascript: if( !OnAction(this)) return;" UseSubmitBehavior="false"
                                                CausesValidation="false"/>
                                        </td>
                                    </tr>
                                </table>
                                <asp:HiddenField ID="hdnID" runat="server" Value='<%# Eval("ID") %>' />
                                <asp:HiddenField ID="hdnSettingPage" runat="server" Value='<%# Eval("SettingPage") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>--%>

                        <asp:TemplateField ShowHeader="False">
                            <ItemStyle Wrap="false" />
                            <ItemTemplate>
                                <table cellpadding="0" cellspacing="0" border="0">
                                    <tr class="slds-hint-parent">
                                        <td>
                                            <enz:ImageLink ID="lnkSettings" runat="server" NavigateUrl='<%# "~/" + Eval("SettingPage") + "?ID=" + Eval("ID") %>'>Settings</enz:ImageLink>
                                        </td>
                                        <td style="width: 10px;"></td>
                                        <td>
                                            <enz:ImageLink ID="lnkPurchase" runat="server" NavigateUrl='<%# "~/admin/Purchase.aspx?ID=" + Eval("ID") %>' Visible="<%# ShowHideAdminFun()%>">Place Order</enz:ImageLink>
                                        </td>
                                        <td style="width: 10px;"></td>
                                        <td>
                                            <enz:ImageLink ID="lnkExtendSubscription" runat="server" NavigateUrl='<%# "~/admin/ExtendSubscription.aspx?ID=" + Eval("ID") %>' Visible="<%# ShowHideExtendSubscriptionFun()%>">Ext Subscription</enz:ImageLink>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name">
                            <ItemStyle Wrap="False" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="Users" SortExpression="LicensedUsers">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("LicensedUsers") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <asp:Label ID="Label5" runat="server" Text='<%# Bind("LicensedUsers") %>' ToolTip='<%# HttpUtility.HtmlEncode("Active Salesforce Users: " + Eval("ActiveUsers") + "\nLast License Check: " + Eval("LastLicenseCheck", "{0:d}")) %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle Wrap="False" />
                        </asp:TemplateField>
                        <%--Extra Column added in build 4.12.22--%>
                        <asp:TemplateField HeaderText="Active Users" SortExpression="ActiveUsers">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("ActiveUsers") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <asp:Label ID="Label55" runat="server" Text='<%# Bind("ActiveUsers") %>' ToolTip='<%# HttpUtility.HtmlEncode("Active Salesforce Users: " + Eval("ActiveUsers") + "\nLast User Check: " + Eval("ActiveUsers", "{0:d}")) %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle Wrap="False" />
                        </asp:TemplateField>
                        <asp:BoundField DataField="MaxServers" HeaderText="Servers" SortExpression="MaxServers">
                            <ItemStyle Wrap="False" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="Eval?">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("IsEval") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <asp:Label ID="Label4" runat="server" Text='<%# ((bool)Eval("IsEval")) ? "Yes":"No" %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Expires On" SortExpression="SettingPage">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("ExpiresOn") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemStyle Wrap="False" />
                            <ItemTemplate>
                                <asp:Label ID="Label1" runat="server" Text='<%# Bind("ExpiresOn", "{0:d}") %>' ToolTip='<%# HttpUtility.HtmlEncode("Hosting Expires On: " + Eval("HostingExpiresOn","{0:d}") + "\nMax. Servers: " + Eval("MaxServers","{0:d}") + "\nMax. Records: " + Eval("MaxRecords","{0:d}") + "\nUsed. Records: " + Eval("UsedRecords","{0:d}") + "\nMax. Bandwidth: " + Eval("MaxBandwidth","{0:d}") + "\nUsed. Bandwidth: " + Eval("UsedBandwidth","{0:d}"))%>'></asp:Label>
                            </ItemTemplate>
                            <HeaderStyle Wrap="False" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Created On" SortExpression="CreatedOn">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("CreatedOn") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemStyle Wrap="False" />
                            <ItemTemplate>
                                <asp:Label ID="Label2" runat="server" Text='<%# Bind("CreatedOn", "{0:d}") %>' ToolTip='<%# "Created By: " + Eval("CreatedBy") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Modified On" SortExpression="ModifiedOn">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("ModifiedOn") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemStyle Wrap="False" />
                            <ItemTemplate>
                                <asp:Label ID="Label3" runat="server" Text='<%# Bind("ModifiedOn", "{0:d}") %>' ToolTip='<%# "Modified By: " + Eval("ModifiedBy") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Subscription Type" SortExpression="SubscriptionType__c" Visible="false">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("SubscriptionType__c") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemStyle Wrap="False" />
                            <ItemTemplate>
                                <asp:Label ID="Label33" runat="server" Text='<%# Bind("SubscriptionType__c") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <%--  <asp:TemplateField HeaderText="Order Type" SortExpression="OrderType__c" >
                           <ItemTemplate>
                                    <asp:GridView ID="gvOrders" runat="server" ShowHeader="false" AutoGenerateColumns="false"  CellPadding="0" BackColor="White" BorderColor="LightGray" BorderStyle="Solid" BorderWidth="1px" GridLines="Vertical" >
                                        <Columns>
                                           <asp:BoundField DataField="OrderType__c"  HeaderText="Order Type" />
                                        </Columns>
                                    </asp:GridView>
                          </ItemTemplate>
                    </asp:TemplateField>--%>
                    </Columns>

                </asp:GridView>
            </td>
        </tr>
    </table>
    <div id="divGenerateLicense" style="display: none;">
        <asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="false" UpdateMode="Conditional">
            <ContentTemplate>
                <cc5:GenerateLicense ID="testId" runat="server"></cc5:GenerateLicense>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
</asp:Content>
