<%@ Page Language="C#" AutoEventWireup="true" Inherits="CustomerManager" MasterPageFile="~/MasterPage.master" CodeBehind="CustomerManager.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">

    <style type="text/css">
        div.scrollbar::-webkit-scrollbar {
            width: 12px;
            height: 12px;
        }

        ::-webkit-scrollbar-track {
            -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
            border-radius: 10px;
            background: #136594;
        }

        ::-webkit-scrollbar-thumb {
            border-radius: 10px;
            -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
            background: white;
            height: 120px;
        }
    </style>

    <script language="javascript" type="text/javascript">
        function OnAction(btnAction) {
            debugger;
            var cmbAction = document.getElementById(btnAction.id.replace('btnAction', 'cmbAction'));
            var hdnID = document.getElementById(btnAction.id.replace('btnAction', 'hdnID'));
            switch (cmbAction.value) {
                case "Delete":
                case "SendStandaloneCode":
                case "SendInstructions":
                case "UnlinkSalesforce":
                case "UpdateOrganization":
                    return true;
                case "OrderHistory":
                    window.open('<%=Request.ApplicationPath%>/utils/OrderHistory.aspx?CustomerID=' + hdnID.value, '_blank');
		            window.event.cancelBubble = true;
		    break;
        case "ManageSubscriptions":
            window.open('<%=Request.ApplicationPath%>/Subscriptions.aspx?CustomerID=' + hdnID.value, '_blank');
		    window.event.cancelBubble = true;
		    break;
        case "ShowPassword":
           window.open('<%=Request.ApplicationPath%>/admin/ShowPassword.aspx?CustomerID=' + hdnID.value, '_blank');
		    window.event.cancelBubble = true;
		    break;
    }
}
    </script>

    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>
    <div class="slds-p-around_xx-small">
    <div class="slds-card slds-m-bottom_xx-large slds-p-around_x-small ">
    <div class="slds-box">
    <asp:UpdatePanel ID="UpdatePanelCustomerManager" runat="server">
        <ContentTemplate>
            <table border="0" cellpadding="0" cellspacing="0" width="970px">
                <tbody>
                    <tr>
                        <td></td>
                        <td style="width: 379px"></td>
                        <td></td>
                    </tr>
                    <tr align="left">
                        <td style="width: 379px">&nbsp;<asp:Label ID="lbError" runat="server" EnableViewState="False" SkinID="Error"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 379px">
                            <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td>
                                        <asp:Button ID="btnInsert1" runat="server" cssClass="slds-button slds-button_brand" OnClick="btnInsert_Click" Text="Add Customer" CausesValidation="False" /></td>
                                    <td class="searchbox">
                                        <asp:TextBox ID="edSearch" runat="server" BorderColor="Transparent" BorderStyle="None" Height="18px"></asp:TextBox>
                                    </td>
                                    <td>
                                        <asp:Button ID="btnSearch" runat="server" class="SearchButton" OnClick="btnSearch_Click" />
                                        <%--<asp:ImageButton ID="btnSearch" runat="server" CausesValidation="False" CssClass="SearchButton" OnClick="btnSearch_Click"/>--%>
                                    </td>
                                    <td>
                                        <asp:UpdateProgress ID="UpdateProgressCustomerManager" runat="server">
                                            <ProgressTemplate>
                                                <img src="../App_Themes/Default/images/progressbar-small.gif" />
                                            </ProgressTemplate>
                                        </asp:UpdateProgress>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td style="width: 450px">
                            <asp:DetailsView ID="detailViewCustomers" runat="server" Width="650px" CellPadding="0" OnItemUpdating="devailViewCustomers_ItemUpdating" OnItemInserting="devailViewCustomers_ItemInserting" DataSourceID="Customer" DataKeyNames="ID" AutoGenerateRows="False">
                                <Fields>
                                    <%--<asp:BoundField DataField="Name" HeaderText="Name:" />--%>

                                 <asp:TemplateField HeaderText="Name:" SortExpression="Name">
                                    <EditItemTemplate>
                                        <asp:TextBox ID="edName" runat="server" MaxLength="100" Text='<%# Bind("Name") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqName" runat="server"  ForeColor="Red" ControlToValidate="edName"
                                            ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </EditItemTemplate>
                                    <InsertItemTemplate>
                                        <asp:TextBox ID="edName" runat="server" MaxLength="100" Text='<%# Bind("Name") %>'></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqName" runat="server"  ControlToValidate="edName"
                                            ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                    </InsertItemTemplate>
                                    <ItemTemplate>
                                        <asp:Label ID="Label11" runat="server" Text='<%# Bind("Name") %>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>

                                    <asp:TemplateField HeaderText="Email:">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edLogin" runat="server" Text='<%# Bind("Email") %>'></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqLogin" runat="server" ControlToValidate="edLogin" ForeColor="Red" ErrorMessage="*"></asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="regexEmailValid" runat="server" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edLogin" ForeColor="Red" ErrorMessage="Invalid email format."></asp:RegularExpressionValidator>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <table cellpadding="0" cellspacing="0" border="0">
                                                <tr>
                                                    <td>
                                                        <asp:TextBox ID="edLogin" runat="server" Text='<%# Bind("Email") %>'></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        <asp:RequiredFieldValidator ID="reqLogin" runat="server" ControlToValidate="edLogin" ForeColor="Red" ErrorMessage="*"></asp:RequiredFieldValidator>
                                                        <asp:RegularExpressionValidator ID="regexEmailValid" runat="server" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edLogin" ForeColor="Red" ErrorMessage="Invalid email format"></asp:RegularExpressionValidator>
                                                    </td>
                                                </tr>
                                            </table>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("Email") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                       
                                     <asp:TemplateField HeaderText="Username:">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edUserName" runat="server" Text='<%# Bind("UserName") %>'></asp:TextBox>
                                          <%-- <asp:RequiredFieldValidator ID="reqUserName" EnableClientScript = "false" runat="server" ControlToValidate="edUserName" ForeColor="Red" ErrorMessage="*"></asp:RequiredFieldValidator>
                                             <asp:RegularExpressionValidator ID="regexUserNameValid" EnableClientScript = "false" runat="server" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edUserName" ForeColor="Red" ErrorMessage="Username must be something like name@yourcompany.com."></asp:RegularExpressionValidator>--%>
                                             </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <table cellpadding="0" cellspacing="0" border="0">
                                                <tr>
                                                      
                                                    <td>
                                                        <asp:TextBox ID="edUserName" runat="server" Text='<%# Bind("UserName") %>'></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        <asp:RequiredFieldValidator ID="reqUserName" runat="server" ControlToValidate="edUserName" ForeColor="Red" ErrorMessage="*"></asp:RequiredFieldValidator>
                                                        <asp:RegularExpressionValidator ID="regexUserNameValid" runat="server" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edUserName" ForeColor="Red" ErrorMessage="Username must be something like name@yourcompany.com."></asp:RegularExpressionValidator>
                                                    </td>
                                                </tr>
                                            </table>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label22" runat="server" Text='<%# Bind("UserName") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>

                                    <asp:TemplateField HeaderText="Company:">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edOrgName" runat="server" Text='<%# Bind("OrgName") %>'></asp:TextBox>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <table cellpadding="0" cellspacing="0" border="0">
                                                <tr>
                                                    <td>
                                                        <asp:TextBox ID="edOrgName" runat="server" Text='<%# Bind("OrgName") %>'></asp:TextBox>
                                                    </td>
                                                    <td>
                                                        <asp:RequiredFieldValidator ID="reqOrgName" runat="server" ControlToValidate="edOrgName" ForeColor="Red" ErrorMessage="*" Text='<%# Eval("OrgName") %>'></asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                            </table>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label1" runat="server" Text='<%# Bind("OrgName") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Phone" SortExpression="Phone">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edPhone" runat="server" Text='<%# Bind("Phone") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqPhone" runat="server" ControlToValidate="edPhone"
                                            ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="edPhone" runat="server" Text='<%# Bind("Phone") %>'></asp:TextBox><asp:RequiredFieldValidator
                                            ID="reqPhone" runat="server" ControlToValidate="edPhone"
                                           ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label10" runat="server" Text='<%# Bind("Phone") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="Phone2" HeaderText="Phone2:" SortExpression="Phone2" />
                                    <asp:BoundField DataField="Address" HeaderText="Address:" SortExpression="Address" />
                                    <asp:BoundField DataField="Address2" HeaderText="Address2:" SortExpression="Address2" />
                                    <asp:BoundField DataField="City" HeaderText="City:" SortExpression="City" />
                                    <asp:BoundField DataField="Zip" HeaderText="Zip:" SortExpression="Zip" />
                                    <asp:TemplateField HeaderText="State:" SortExpression="State">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edState" runat="server" Text='<%# Bind("State") %>'></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqState" runat="server"  ControlToValidate="edState"
                                            ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="edState" runat="server" Text='<%# Bind("State") %>'></asp:TextBox>
                                            <asp:RequiredFieldValidator
                                            ID="reqState" runat="server" ControlToValidate="edState"
                                           ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("State") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Country:" SortExpression="Country">
                                        <EditItemTemplate>
                                            <asp:DropDownList ID="cmbCountry" runat="server" SelectedValue='<%# Bind("Country") %>' DataSourceID="Countries" DataTextField="Name" DataValueField="Name">
                                            </asp:DropDownList><asp:RequiredFieldValidator ID="reqCountry" runat="server"
                                            ControlToValidate="cmbCountry"  ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:DropDownList ID="cmbCountry" runat="server" SelectedValue='<%# Bind("Country") %>' DataSourceID="Countries" DataTextField="Name" DataValueField="Name">
                                            </asp:DropDownList><asp:RequiredFieldValidator ID="reqCountry" runat="server"
                                                   ControlToValidate="cmbCountry"  ForeColor="Red" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label4" runat="server" Text='<%# Bind("Country") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="Logo" HeaderText="Logo:" />
                                    <asp:TemplateField>
                                        <EditItemTemplate>
                                            <table>
                                                <tr>
                                                   
                                                        <asp:Button ID="btnUpdate" cssClass="slds-button slds-button_brand" runat="server" CausesValidation="True" SkinID="DefaultButton" Text="Update" OnClick="btnUpdate_Click" />&nbsp;
                                                    
                                                        <asp:Button ID="btnUpdateCancel" cssClass="slds-button slds-button_neutral" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" OnClick="btnUpdateCancel_Click" />
                                                    
                                                </tr>
                                            </table>
                                        </EditItemTemplate>
                                        <ItemTemplate>
                                            <asp:Button ID="btnEdit" runat="server" CausesValidation="False" cssClass="slds-button slds-button_neutral" CommandName="Edit" SkinID="DefaultButton" Text="Edit" OnClick="btnEdit_Click" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Fields>
                                <InsertRowStyle Wrap="False" />
                            </asp:DetailsView>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <%--<td>
						</td>--%>
                        <td>
                            <asp:ObjectDataSource ID="CustomerList" runat="server" EnablePaging="True" DeleteMethod="Delete" TypeName="enzigma.sforce.webapp.code.Business" SelectMethod="SearchCustomers">
                                <SelectParameters>
                                    <asp:ControlParameter ControlID="edSearch" Name="strKeyword" PropertyName="Text" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                            <asp:ObjectDataSource ID="Customer" runat="server" DeleteMethod="Delete" TypeName="enzigma.sforce.webapp.code.Business" SelectMethod="GetCustomerByID" UpdateMethod="Update" InsertMethod="Add">
                                <SelectParameters>
                                    <asp:ControlParameter ControlID="gridViewCustomers" Name="strID" PropertyName="SelectedValue" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                            <asp:HiddenField ID="DeleteID" runat="server"></asp:HiddenField>
                            <center>
                                <asp:Panel ID="panelMessage" runat="server" Visible="False" SkinID="ErrorMessage" Width="300px" HorizontalAlign="Center" Height="20px">
                                    <br />
                                    <br />
                                    Are you sure you want to delete this customer?<br />
                                    <br />
                                    <center>

                                        <table>
                                            <tr>
                                                <td>
                                                    <cc1:ImageButton ID="btnYes" runat="server" OnClick="btnYes_Click" SkinID="DefaultButton" Text="Yes" Width="40px" />
                                                </td>
                                                <td>
                                                    <cc1:ImageButton ID="btnNo" runat="server" OnClick="btnNo_Click" Text="No" Width="40px" />
                                                </td>
                                            </tr>

                                        </table>

                                    </center>

                                </asp:Panel>
                                &nbsp; &nbsp;&nbsp;</center>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>

                </tbody>
            </table>
            <div class="scrollbar" style="text-align: left;">
                <asp:GridView ID="gridViewCustomers" OnDataBound="ShowHideShowPasswordFun" runat="server" BackColor="White" CellPadding="0" DataSourceID="CustomerList" DataKeyNames="ID" PageSize="20" AllowSorting="True" AllowPaging="True" GridLines="Vertical" BorderWidth="1px" BorderStyle="None" border-top-left-radius="5px" BorderColor="#999999" OnRowCommand="gridViewCustomers_RowCommand" AutoGenerateSelectButton="True" AutoGenerateColumns="False" OnRowDeleting="gridViewCustomers_RowDeleting" EmptyDataText="No Records Found">
                    <PagerSettings Position="Bottom" FirstPageText="First" Mode="NumericFirstLast" LastPageText="Last" />
                     <Columns>
                        <asp:TemplateField HeaderText="Action" >
                            <ItemTemplate>
                                <table>
                                    <tr>
                                        <td><%--class="ActionCombo"--%>
                                            <asp:DropDownList ID="cmbAction" runat="server"  CssClass="ActionControlCell" >
                                                <%--CssClass="ActionComboSelect"--%>
                                                <asp:ListItem >**Action**</asp:ListItem>
                                                <asp:ListItem Value="ManageSubscriptions">Manage Subscriptions</asp:ListItem>
                                                <asp:ListItem Value="OrderHistory">Order History</asp:ListItem>
                                                <asp:ListItem Value="SendPassword">Send Password</asp:ListItem>
                                                <asp:ListItem>Delete</asp:ListItem>
                                                <%--<asp:ListItem Value="UnlinkSalesforce">Unlink Salesforce</asp:ListItem>--%>
                                                <%--<asp:ListItem Value="ShowPassword">Show Password</asp:ListItem>--%>
                                                <asp:ListItem Value="UpdateOrganization">Update Organization</asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                        <td>
                                            <asp:HiddenField ID="hdnID" runat="server" Value='<%# Eval("ID") %>' />
                                            <cc1:ImageButton ID="btnAction" runat="server" OnClick="btnAction_Click" OnClientClick="javascript:return OnAction(this);" Text="GO" />
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="Name" HeaderText="Name">
                            <ItemStyle Wrap="False" />
                        </asp:BoundField>

<%--                        <asp:TemplateField HeaderText="Email">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("Email") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <asp:Label ID="Label4" runat="server" Text='<%# Bind("Email") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>--%>

                         <asp:TemplateField HeaderText="Username">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox10" runat="server" Text='<%# Bind("UserName") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <asp:Label ID="Label10" runat="server" Text='<%# Bind("UserName") %>' CssClass='<%# Eval("Email")  %>' Tooltip='<%# "Email:" + DataBinder.Eval(Container.DataItem,"Email")%>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Company">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("OrgName") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemStyle Wrap="False" />
                            <ItemTemplate>
                                <asp:Label ID="Label2" runat="server" Text='<%# Bind("OrgName") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="OrgID" HeaderText="Org ID" />
                        <asp:BoundField DataField="ID" HeaderText="ID" Visible="False">
                            <ItemStyle Wrap="False" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="Created On">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("CreatedOn") %>'></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <asp:Label ID="Label1" runat="server" Text='<%# Bind("CreatedOn", "{0:d}") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Status">
                            <EditItemTemplate>
                                &nbsp;
                            </EditItemTemplate>
                            <ItemTemplate>
                                <asp:Label ID="lbAdmin" runat="server" CssClass='<%# ((bool)Eval("IsAdmin"))?"On":"Off" %>' ToolTip='<%# ((bool)Eval("IsAdmin"))?"This user has Administrative rights.":"This is a Standard user." %>' Width="18px">A</asp:Label>
                                <asp:Label ID="lbSforce" runat="server" CssClass='<%# (Eval("OrgID") != null && ((string)Eval("OrgID")).Length > 0)?"On":"Off" %>' ToolTip='<%# (Eval("OrgID") != null && ((string)Eval("OrgID")).Length > 0)?"Salesforce is activated with organisation " + Eval("OrgID"):"User has not activated Salesforce yet." %>' Width="18px">S</asp:Label>&nbsp;
                            </ItemTemplate>
                            <ItemStyle Wrap="False" />
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </div>

            <asp:ObjectDataSource ID="Countries" runat="server" TypeName="enzigma.sforce.webapp.code.Business" SelectMethod="GetAllCountries">
                <SelectParameters>
                    <asp:Parameter Name="strCountry" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </ContentTemplate>
    </asp:UpdatePanel>
    </div></div></div>
</asp:Content>
