<%@ Page Language="C#" AutoEventWireup="true" Inherits="ProductManager" MasterPageFile="~/MasterPage.master" ValidateRequest="false" Codebehind="ProductManager.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
<style type="text/css">
        div.scrollbar::-webkit-scrollbar {
    width: 12px;
    height: 12px;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    background: #136594;
}
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
    background: white;
    height:120px;
}
    </style>
	&nbsp;<asp:ScriptManager ID="ScriptManager" runat="server">
	</asp:ScriptManager>
    <div class="slds-p-around_xx-small">
    <div class="slds-card slds-m-bottom_xx-large slds-p-around_x-small ">
    <div class="slds-box">
	<asp:UpdatePanel ID="UpdatePanelProductManager" runat="server">
		<ContentTemplate>
			<table border="0" cellpadding="0" cellspacing="0" width="970px">
				<tbody>
					<tr align="left">
						<td style="width: 379px">
							&nbsp;<asp:Label ID="lbError" runat="server" SkinID="Error" EnableViewState="False"></asp:Label></td>
					</tr>
					<tr>
						<td>
							<td>
                                <table><tr><td>
										<asp:Button ID="btnInsert1" OnClick="btnInsert_Click" cssClass="slds-button slds-button_brand" runat="server" SkinID="DefaultButton" CausesValidation="False" Text="Add Product"></asp:Button>&nbsp;
									
										<asp:Button ID="btnSaveToFile1" OnClick="btnSaveToFile_Click" cssClass="slds-button slds-button_brand" runat="server" CausesValidation="False" Text="Save to file"></asp:Button>
						            </td></tr>
                               </table>
                            </td></tr>
							</table>
						</td>
					</tr>
					<tr>
						<td style="width: 379px">
							<asp:DetailsView ID="detailViewProduct" runat="server" AutoGenerateRows="False" DataSourceID="Product" OnItemInserting="devailViewCustomers_ItemInserting" OnItemUpdating="devailViewCustomers_ItemUpdating" CellPadding="0" Width="560px">
								<Fields>
									<asp:BoundField DataField="Name" HeaderText="Name:" SortExpression="Name" />
									<asp:TemplateField HeaderText="Type:" SortExpression="Type">
										<EditItemTemplate>
											<asp:TextBox ID="edType" runat="server" Text='<%# Bind("Type") %>'></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqType" runat="server" ErrorMessage="*" ControlToValidate="edType"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:TextBox ID="edType" runat="server" Text='<%# Bind("Type") %>'></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqType" runat="server" ErrorMessage="*" ControlToValidate="edType"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:Label ID="Label4" runat="server" Text='<%# Bind("Type") %>'></asp:Label>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Data:" SortExpression="Data">
										<EditItemTemplate>
											<asp:TextBox ID="edData" runat="server" Columns="40" Rows="10" Text='<%# Bind("Data") %>'></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqData" runat="server" ErrorMessage="*" ControlToValidate="edData"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:TextBox ID="edData" runat="server" Columns="40" Rows="10" Text='<%# Bind("Data") %>' TextMode="MultiLine"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqData" runat="server" ErrorMessage="*" ControlToValidate="edData"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:Label ID="Label3" runat="server" Text='<%# Bind("Data") %>'></asp:Label>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:BoundField DataField="Code" HeaderText="Code:" SortExpression="Code" />
									<asp:TemplateField HeaderText="Setting Page:" SortExpression="SettingPage">
										<EditItemTemplate>
											<asp:DropDownList ID="cmbSettingsPage" runat="server" SelectedValue='<%# Bind("SettingPage") %>'>
												<asp:ListItem Selected="True"></asp:ListItem>
												<asp:ListItem Value="/settings/FTPSetup.aspx">FTP Setup</asp:ListItem>
												<asp:ListItem Value="/ftp/settings/MigratorSalesforceUserSetup.aspx">FTP Attachments Migrator</asp:ListItem>
												<asp:ListItem Value="/quote/settings/ManageTemplates.aspx">Quote Generator</asp:ListItem>
												<asp:ListItem Value="/ftp/settings/AmazonS3Default.aspx">Amazon S3</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbSettingsPage" runat="server" ErrorMessage="*" ControlToValidate="cmbSettingsPage"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:DropDownList ID="cmbSettingsPage" runat="server" SelectedValue='<%# Bind("SettingPage") %>'>
												<asp:ListItem Selected="True"></asp:ListItem>
												<asp:ListItem Value="/settings/FTPSetup.aspx">FTP Setup</asp:ListItem>
												<asp:ListItem Value="/ftp/settings/MigratorSalesforceUserSetup.aspx">FTP Attachment Migrator</asp:ListItem>
												<asp:ListItem Value="/quote/settings/ManageTemplates.aspx">Quote Generator</asp:ListItem>
												<asp:ListItem Value="/ftp/settings/AmazonS3Default.aspx">Amazon S3</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbSettingsPage" runat="server" ErrorMessage="*" ControlToValidate="cmbSettingsPage"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:Label ID="Label1" runat="server" Text='<%# Bind("SettingPage") %>'></asp:Label>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Documentation Link:" SortExpression="SettingPage">
										<EditItemTemplate>
											<asp:DropDownList ID="cmbDocumentationLink" runat="server" SelectedValue='<%# Bind("DocumentationLink") %>'>
											    <asp:ListItem></asp:ListItem>
												<asp:ListItem Value="http://www.enzigma.com/downloads/docs/FTPAttachmentsCustomizationGuide.pdf">FTP Attachments Customization Guide</asp:ListItem>
												<asp:ListItem Value="https://www.enzigma.com/downloads/docs/FTP Attachments Basic & Pro Installation & Customization Guide.pdf">FTP Attachments Guide</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbDocumentationLink" runat="server" ErrorMessage="*" ControlToValidate="cmbDocumentationLink"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:DropDownList ID="cmbDocumentationLink" runat="server" SelectedValue='<%# Bind("DocumentationLink") %>'>
											    <asp:ListItem></asp:ListItem>
												<asp:ListItem Value="http://www.enzigma.com/downloads/docs/FTPAttachmentsCustomizationGuide.pdf">FTP Attachments Customization Guide</asp:ListItem>
												<asp:ListItem Value="https://www.enzigma.com/downloads/docs/FTP Attachments Basic & Pro Installation & Customization Guide.pdf">FTP Attachments Guide</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbDocumentationLink" runat="server" ErrorMessage="*" ControlToValidate="cmbDocumentationLink"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:Label ID="lbDocumentationLink" runat="server" Text='<%# Bind("DocumentationLink") %>'></asp:Label>
										</ItemTemplate>
										<AlternatingItemTemplate>
											<asp:HyperLink ID="lnkDocumentationLink" runat="server" NavigateUrl='<%# Eval("DocumentationLink") %>' Text='<%# Eval("DocumentationLink") %>'></asp:HyperLink>
										</AlternatingItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Setup Link:" SortExpression="SetupLink">
										<EditItemTemplate>
											<asp:DropDownList ID="cmbSetupLink" runat="server" SelectedValue='<%# Bind("SetupLink") %>'>
												<asp:ListItem></asp:ListItem>
												<asp:ListItem Value="https://app.ftpattachments.com/sforce/setup/Subscribe.aspx?AppGroup=1">FTP Attachments Setup</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbSetupLink" runat="server" ErrorMessage="*" ControlToValidate="cmbSetupLink"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:DropDownList ID="cmbSetupLink" runat="server" SelectedValue='<%# Bind("SetupLink") %>'>
												<asp:ListItem></asp:ListItem>
												<asp:ListItem Value="https://app.ftpattachments.com/sforce/setup/Subscribe.aspx?AppGroup=1">FTP Attachments Setup</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbSetupLink" runat="server" ErrorMessage="*" ControlToValidate="cmbSetupLink"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:HyperLink ID="lnkSetupLink" runat="server" NavigateUrl='<%# Eval("SetupLink") %>' Text='<%# Eval("SetupLink") %>'></asp:HyperLink>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Help Page:" SortExpression="HelpLink">
										<EditItemTemplate>
											<asp:DropDownList ID="cmbHelpLink" runat="server" SelectedValue='<%# Bind("HelpLink") %>'>
												<asp:ListItem></asp:ListItem>
												<asp:ListItem Value="https://app.ftpattachments.com/sforce/setup/FTPAttachmentsThankyou.aspx">FTP Attachments Help</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbHelpLink" runat="server" ErrorMessage="*" ControlToValidate="cmbHelpLink"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:DropDownList ID="cmbHelpLink" runat="server" SelectedValue='<%# Bind("HelpLink") %>'>
												<asp:ListItem></asp:ListItem>
												<asp:ListItem Value="https://app.ftpattachments.com/sforce/setup/FTPAttachmentsThankyou.aspx">FTP Attachments Help</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbHelpLink" runat="server" ErrorMessage="*" ControlToValidate="cmbHelpLink"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:HyperLink ID="lnkHelpLink" runat="server" NavigateUrl='<%# Eval("HelpLink") %>' Text='<%# Eval("HelpLink") %>'></asp:HyperLink>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Features:">
										<EditItemTemplate>
											    <asp:TextBox ID="edFeatures" runat="server" Columns="60" Rows="12" Text='<%# Bind("Features") %>' TextMode="MultiLine"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="reqFeatures" runat="server" ErrorMessage="*" ControlToValidate="edFeatures"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<ItemTemplate>
											<asp:Label ID="Label6" runat="server" Text='<%# BIND("Features") %>'></asp:Label>
										</ItemTemplate>
										<InsertItemTemplate>
											<asp:TextBox ID="edFeatures" runat="server" Columns="60" Rows="12" Text='<%# Bind("Features") %>' TextMode="MultiLine"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqFeatures" runat="server" ControlToValidate="edFeatures" ErrorMessage="*"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Description:" SortExpression="Description">
										<EditItemTemplate>
											<asp:TextBox ID="edDescription" runat="server" Columns="60" Rows="12" Text='<%# Bind("Description") %>' TextMode="MultiLine"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqDescription" runat="server" ErrorMessage="*" ControlToValidate="edDescription"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:TextBox ID="edDescription" runat="server" Columns="60" Rows="12" Text='<%# Bind("Description") %>' TextMode="MultiLine"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqDescription" runat="server" ErrorMessage="*" ControlToValidate="edDescription"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:Label ID="lblDescription" runat="server" Text='<%# Bind("Description") %>'></asp:Label>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Instruction Email:" SortExpression="Type">
										<EditItemTemplate>
											<asp:DropDownList ID="cmbEmailList" runat="server" DataSourceID="EmailList" SelectedValue='<%# BIND("InstructionEmail") %>'>
											</asp:DropDownList>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:DropDownList ID="cmbEmailList" runat="server" DataSourceID="EmailList" SelectedValue='<%# BIND("InstructionEmail") %>'>
											</asp:DropDownList>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:Label ID="Label5" runat="server" Text='<%# Bind("InstructionEmail") %>'></asp:Label>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:BoundField DataField="Price" HeaderText="Price:" SortExpression="Price" />
									<asp:TemplateField HeaderText="Price Unit:" SortExpression="Unit">
										<EditItemTemplate>
											<asp:DropDownList ID="cmbUnit" runat="server" SelectedValue='<%# Bind("Unit") %>'>
												<asp:ListItem></asp:ListItem>
												<asp:ListItem Value="Per User Per Month">Per User Per Month</asp:ListItem>
												<asp:ListItem Value="Per User Per Year">Per User Per Year</asp:ListItem>
												<asp:ListItem Value="Per 100 Users Per Year">Per 100 Users Per Year</asp:ListItem>
												<asp:ListItem Value="Per Month">Per Month</asp:ListItem>
												<asp:ListItem Value="Per Year">Per Year</asp:ListItem>
												<asp:ListItem Value="One Time">One Time</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbUnit" runat="server" ErrorMessage="*" ControlToValidate="cmbUnit"></asp:RequiredFieldValidator>
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:DropDownList ID="cmbUnit" runat="server" SelectedValue='<%# Bind("Unit") %>'>
												<asp:ListItem></asp:ListItem>
												<asp:ListItem Value="Per User Per Month">Per User Per Month</asp:ListItem>
												<asp:ListItem Value="Per User Per Year">Per User Per Year</asp:ListItem>
												<asp:ListItem Value="Per 100 Users Per Year">Per 100 Users Per Year</asp:ListItem>
												<asp:ListItem Value="Per Month">Per Month</asp:ListItem>
												<asp:ListItem Value="Per Year">Per Year</asp:ListItem>
												<asp:ListItem Value="One Time">One Time</asp:ListItem>
											</asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqcmbUnit" runat="server" ErrorMessage="*" ControlToValidate="cmbUnit"></asp:RequiredFieldValidator>
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:Label ID="lbUnit" runat="server" Text='<%# Bind("Unit") %>'></asp:Label>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Is Active?">
										<EditItemTemplate>
											<asp:CheckBox ID="chkIsActive" runat="server" Checked='<%# Bind("IsActive") %>' />
										</EditItemTemplate>
										<InsertItemTemplate>
											<asp:CheckBox ID="chkIsActive" runat="server" Checked='<%# Bind("IsActive") %>' />
										</InsertItemTemplate>
										<ItemTemplate>
											<asp:CheckBox ID="chkIsActive" runat="server" Checked='<%# Bind("IsActive") %>' Enabled="False" />
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField>
										<EditItemTemplate>
                                        <table>
												<tr>
													<td>
											            <asp:Button  ID="btnUpdate" cssClass="slds-button slds-button_brand" runat="server" CausesValidation="True" OnClick="btnUpdate_Click" SkinID="DefaultButton" Text="Update"></asp:Button>&nbsp;
											       
                                                        <asp:Button ID="btnUpdateCancel" cssClass="slds-button slds-button_neutral"  runat="server" CausesValidation="False" CommandName="Cancel" OnClick="btnUpdateCancel_Click" Text="Cancel" />
                                                   </td>
												</tr>
											</table>
										</EditItemTemplate>
										<ItemTemplate>
											<cc1:ImageButton ID="btnEdit" runat="server" CausesValidation="False" CommandName="Edit" OnClick="btnEdit_Click" SkinID="DefaultButton" Text="Edit" />
										</ItemTemplate>
									</asp:TemplateField>
								</Fields>
								<InsertRowStyle Wrap="False" />
							</asp:DetailsView>
							<asp:UpdateProgress ID="UpdateProgressProductManager" runat="server">
								<ProgressTemplate>
									<img src="../App_Themes/Default/images/progressbar-small.gif" />
								</ProgressTemplate>
							</asp:UpdateProgress>
						</td>
						<td>
						</td>
					</tr>
					<tr style=" float: left; margin-left: 258px; ">
						<td>
                            
							<asp:ObjectDataSource ID="Product" runat="server" SelectMethod="GetProductById" TypeName="enzigma.sforce.webapp.code.Business">
								<SelectParameters>
									<asp:ControlParameter ControlID="gridViewProducts" Name="strID" PropertyName="SelectedValue" Type="String" />
								</SelectParameters>
							</asp:ObjectDataSource>
							<asp:ObjectDataSource ID="ProductList" runat="server" SelectMethod="SearchProduct" TypeName="enzigma.sforce.webapp.code.Business">
								<SelectParameters>
									<asp:ControlParameter ControlID="edSearch" Name="strKeyword" PropertyName="Text" Type="String" />
									<asp:Parameter Name="strCustomerID" Type="String" />
									<asp:Parameter DefaultValue="false" Name="bActiveOnly" />
									<asp:Parameter Name="maximumRows" Type="Int32" />
									<asp:Parameter Name="startRowIndex" Type="Int32" />
								</SelectParameters>
							</asp:ObjectDataSource>
                             
							<asp:ObjectDataSource ID="EmailList" runat="server" SelectMethod="GetEmailList" TypeName="enzigma.sforce.webapp.code.UI"></asp:ObjectDataSource>
								<asp:HiddenField ID="DeleteID" runat="server"></asp:HiddenField>      
                                                         
                                <asp:Panel ID="panelMessage" runat="server" Visible="False" SkinID="ErrorMessage" Width="300px" Height="100px" HorizontalAlign="Center">
                                    Are you sure you want to delete this product?<br />
									<br /><center>
                                    <table cellpadding="0" cellspacing="5" border="0" align="center">
                                    <tr>
                                            <td>
                                                <cc1:ImageButton ID="btnYes" runat="server" OnClick="btnYes_Click" SkinID="DefaultButton" Text="Yes" Width="40px" />
                                            </td>
                                            <td>
                                                <cc1:ImageButton ID="btnNo" runat="server" OnClick="btnNo_Click" SkinID="DefaultButton" Text="No" Width="40px" />
                                            </td>
                                    </tr>
                                    </table>
									<br /></center>
								</asp:Panel>
                                
						</td>
						<td>
						</td>
					</tr>
					<tr>
						<td>
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<%--<td>
										<asp:TextBox ID="edSearch" runat="server"></asp:TextBox></td>
									<td>
										<cc1:ImageButton ID="btnSearch" runat="server" CausesValidation="False" Text="Search"></cc1:ImageButton></td>--%>
                                    <td class="searchbox">
										<asp:TextBox ID="edSearch" runat="server" BorderColor="White" BorderStyle="None" Height="18px"></asp:TextBox>
									</td>
                                    <td>
                                        <asp:Button id="btnSearch" runat="server" class="SearchButton" onclick="btnSearch_Click"/>
                                        <%--<asp:ImageButton ID="btnSearch" runat="server" CausesValidation="False" CssClass="SearchButton"/>--%>
									</td>
								</tr>
							</table>
						</td>
						<td>
							&nbsp;
						</td>
						<td>
						</td>
					</tr>
				</tbody>
			</table>
            <div class="scrollbar" style="text-align: left;">
							<asp:GridView ID="gridViewProducts" runat="server" DataSourceID="ProductList" CellPadding="1" OnRowDeleting="gridViewCustomers_RowDeleting" AutoGenerateSelectButton="True" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" GridLines="Vertical" AllowPaging="True" PageSize="15" AutoGenerateColumns="False" DataKeyNames="ID" AutoGenerateDeleteButton="True">
								<RowStyle Wrap="False" BackColor="#EEEEEE" ForeColor="Black" />
								<EditRowStyle Wrap="False" />
								<AlternatingRowStyle Wrap="False" BackColor="Gainsboro" />
								<FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
								<SelectedRowStyle BackColor="#008A8C" Font-Bold="False" ForeColor="White" />
								<PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
								<HeaderStyle/>
								<Columns>
									<asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name">
										<ItemStyle Wrap="False" />
									</asp:BoundField>
									<asp:BoundField DataField="Code" HeaderText="Code" SortExpression="Code">
										<ItemStyle Wrap="False" />
									</asp:BoundField>
									<asp:BoundField DataField="SettingPage" HeaderText="SettingPage" SortExpression="SettingPage">
										<ItemStyle Wrap="False" />
									</asp:BoundField>
									<asp:BoundField DataField="InstructionEmail" HeaderText="Instructions">
										<ItemStyle Wrap="False" />
									</asp:BoundField>
									<asp:TemplateField HeaderText="Price">
										<EditItemTemplate>
											<asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Price") %>'></asp:TextBox>
										</EditItemTemplate>
										<ItemTemplate>
											<asp:Label ID="Label2" runat="server" Text='<%# Bind("Price", "{0:c}") %>'></asp:Label>
										</ItemTemplate>
										<ItemStyle Wrap="False" />
									</asp:TemplateField>
									<asp:BoundField DataField="Unit" HeaderText="Unit">
										<ItemStyle Wrap="False" />
									</asp:BoundField>
									<asp:TemplateField HeaderText="Active">
										<EditItemTemplate>
											<asp:CheckBox ID="chkIsActive" runat="server" Checked='<%# Bind("IsActive") %>' />
										</EditItemTemplate>
										<AlternatingItemTemplate>
											<asp:CheckBox ID="chkIsActive" runat="server" Checked='<%# Bind("IsActive") %>' Enabled="False" />
										</AlternatingItemTemplate>
										<ItemTemplate>
											<asp:CheckBox ID="chkIsActive" runat="server" Checked='<%# Bind("IsActive") %>' Enabled="False" />
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Created On" SortExpression="CreatedOn">
										<EditItemTemplate>
											<asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("CreatedOn") %>'></asp:TextBox>
										</EditItemTemplate>
										<ItemStyle Wrap="False" />
										<ItemTemplate>
											<asp:Label ID="Label3" runat="server" Text='<%# Bind("CreatedOn", "{0:d}") %>'></asp:Label>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:BoundField DataField="CreatedBy" HeaderText="CreatedBy" SortExpression="CreatedBy">
										<ItemStyle Wrap="False" />
									</asp:BoundField>
									<asp:TemplateField HeaderText="Modified On" SortExpression="ModifiedOn">
										<EditItemTemplate>
											<asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("ModifiedOn") %>'></asp:TextBox>
										</EditItemTemplate>
										<ItemStyle Wrap="False" />
										<ItemTemplate>
											<asp:Label ID="Label1" runat="server" Text='<%# Bind("ModifiedOn", "{0:d}") %>'></asp:Label>
										</ItemTemplate>
									</asp:TemplateField>
									<asp:BoundField DataField="ModifiedBy" HeaderText="ModifiedBy" SortExpression="ModifiedBy">
										<ItemStyle Wrap="False" />
									</asp:BoundField>
								</Columns>
							</asp:GridView>
                            </div>
            <asp:ObjectDataSource ID="Countries" runat="server" SelectMethod="GetAllCountries" TypeName="enzigma.sforce.webapp.code.Business">
								<SelectParameters>
									<asp:Parameter Name="strCountry" Type="String" />
								</SelectParameters>
							</asp:ObjectDataSource>
		</ContentTemplate>
	</asp:UpdatePanel>
        </div></div></div>
</asp:Content>
