<%@ Control Language="C#" AutoEventWireup="true" Inherits="GenerateLink" Codebehind="GenerateLink.ascx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Import Namespace="enzigma.sforce.webapp.code.business" %>
 <script type="text/javascript">
 
 var wndSearchObject = false;
 function onSearch()
 {
	if( window.event )
	{
        event.cancelBubble = true;
        window.event.returnValue = false;
    }
    wndSearchObject = open('FtpSearchObject.aspx' + document.location.search, 'wndSearchObject', 'resizable=1,scrollbars=1,status=1,width=600,height=500');	 
	return false;
}
  
 function OnSearchObject(strID)
 {
	if( wndSearchObject )
    {
		 document.getElementById('<%=hdnObjectID.ClientID%>').value = strID;
	}
	OnRefreshItems();
	wndSearchObject.close();
 }
  function OnRefreshItems()
	{
	  if( window.event )
			window.event.cancelBubble = true;
	  document.getElementById('<%=btnRefresh.ClientID %>').click();
	}

 </script>
<table style="border-right: black thin solid; border-top: black thin solid; border-left: black thin solid; border-bottom: black thin solid; background-color: gainsboro">
	<tr>
		<td>
			<table>
				<tr>
					<td align="right" style="width: 78px" valign="top"><cc1:ImageButton ID="btnAttachfiles" runat="server" OnClick="btnAttachfiles_Click" SkinID="DefaultButton"
				Text="Attach Files" /></td>
					<td align="right" valign="top">
			<cc1:ImageButton ID="btnLink" runat="server" OnClick="btnLink_Click" SkinID="DefaultButton"
				Text="Generate Links" /></td>
					<td align="left" valign="top">
						</td>
					<td align="left" valign="top">
						</td>
					<td align="left" valign="top">
			<asp:Label ID="lbError" runat="server" ForeColor="Red"></asp:Label></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td>
			<asp:UpdatePanel ID="UpdatePanel1" runat="server">
				<ContentTemplate>
<table>
	<tr>
		<td align="right" valign="top">
			<table>
				<tr>
					<td align="right" valign="top">
			<asp:Label ID="lblExpiryDate" runat="server" Width="77px" CssClass="Label">Expiry Date:</asp:Label></td>
				</tr>
			</table>
		</td>
		<td align="left" valign="top">
			<table>
				<tr>
					<td align="left" valign="top">
						<asp:TextBox ID="edDate" runat="server"></asp:TextBox></td>
					<td align="left" valign="top">
						<cc1:imagebutton id="btnCalendar" runat="server" text=". ." OnClick="btnCalendar_Click" SkinID="DefaultButton"></cc1:imagebutton>
					</td>
				</tr>
			</table>
			</td>
		<td rowspan="2" align="left" valign="top">
			<asp:Calendar ID="Calendar" runat="server" Visible="False" OnSelectionChanged="Calendar_SelectionChanged">
				<SelectedDayStyle BackColor="Gray" BorderColor="White" />
				<TodayDayStyle BackColor="White" />
				<SelectorStyle BackColor="Transparent" />
				<TitleStyle ForeColor="Transparent" />
			</asp:Calendar>
			</td>
	</tr>
	<tr>
		<td align="left" valign="top" colspan="2">
			<asp:GridView ID="grdAttachments" runat="server" AutoGenerateColumns="False" DataSourceID="odsFTPAttachments">
				<Columns>
					<asp:TemplateField HeaderText="None">
						<ItemTemplate>
							<asp:RadioButton ID="rdNone" runat="server" Checked="True" GroupName="Attachment" />
						</ItemTemplate>
					</asp:TemplateField>
					<asp:TemplateField HeaderText="Link">
						<ItemTemplate>
							<asp:RadioButton ID="rdLink" runat="server" GroupName="Attachment" />
						</ItemTemplate>
					</asp:TemplateField>
					<asp:TemplateField HeaderText="Attachment">
						<ItemTemplate>
							<asp:RadioButton ID="rdAttachment" runat="server" GroupName="Attachment" />
						</ItemTemplate>
					</asp:TemplateField>
					<asp:TemplateField HeaderText="Name">
						<ItemTemplate>
							<asp:Label ID="lbAttachment"  Text='<%# Eval("Name") %>' runat="server"></asp:Label>
                            <asp:HiddenField ID="hdnAttachmentVersion1"  Value='<%# Eval("LastVersionID") %>' runat="server" />
							<asp:HiddenField ID="hdnAttachmentID1" Value='<%# Eval("Id") %>'  runat="server"  />
						</ItemTemplate>
					</asp:TemplateField>
				</Columns>
			</asp:GridView>
		</td>
	</tr>
	<tr>
		<td align="left" colspan="3" rowspan="1" valign="top">
			<table>
				<tr>
					<td>
						<cc1:ImageButton ID="btnSearch" runat="server" Text="Search More" SkinID="DefaultButton" OnClientClick="return onSearch();" /></td>
					<td>
						<cc1:ImageButton ID="btnRefresh" runat="server" Text="Refresh" SkinID="DefaultButton" /></td>
				</tr>
			</table>
		</td>
	</tr>
	</table>			
				</ContentTemplate>
			</asp:UpdatePanel>
	          
			<asp:HiddenField ID="hdnExpiryDate" runat="server" />
			<asp:HiddenField ID="hdnObjectID" runat="server" />
			<asp:HiddenField ID="hdPackageName" runat="server"/>
			<asp:ObjectDataSource ID="odsFTPAttachments" runat="server" SelectMethod="GetAttachments"
				TypeName="enzigma.sforce.webapp.code.business.SFAttachmentObject">
				<SelectParameters>
					<asp:QueryStringParameter Name="strSFUrl" QueryStringField="SFUrl" Type="String" />
					<asp:QueryStringParameter Name="strSFSessionID" QueryStringField="SFSessionID" Type="String" />
					<asp:ControlParameter ControlID="hdPackageName" Name="ePackageName" 
						PropertyName="Value" Type="String" />
					<asp:ControlParameter ControlID="hdnObjectID" Name="strParentID" PropertyName="Value"
						Type="String" />
				</SelectParameters>
			</asp:ObjectDataSource>
		</td>
	</tr>
</table>

		

