<%@ Control Language="C#" AutoEventWireup="true" Inherits="controls_SalesforceLogin" CodeBehind="SalesforceLogin.ascx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="enz" %>
<style type="text/css">
    .auto-style1 {
        height: 45px;
    }
</style>
<script src="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/scripts/jquery-3.6.0.min.js"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('link[href="../App_Themes/Default/common.css"]').remove();
        $('link[title="common.css"]').remove();
        $('#spinnerContainer').css('display', 'none');
    });
 
   //function hideToastError() {
   //     debugger;
   //     document.getElementById("errorbox").style.display = "none";
   //     return;
   //}
  
</script>
<link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
<link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/css/application_css/custom_2018.css" rel="stylesheet" />
<div class="slds-grid slds-wrap slds-p-around--small slds-large-size--1-of-1 slds-small-size--1-of-1" style="font-family: Salesforce Sans,Arial,sans-serif; font-size: 100%; font-weight: normal;">
    <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
        <div class="slds-grid">
            <div class="slds-has-flexi-truncate">
                <div class="slds-media slds-no-space slds-grow">
                    <div class="slds-media__figure">
                        <span class="slds-icon_container slds-icon-standard-opportunity" title="Salesforce Login">
                            <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                <use xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#salesforce1"></use>
                            </svg>
                        </span>
                    </div>
                    <div runat="server" id="tdTitle" class="slds-media__body">
                        <nav>
                            <ol class="slds-breadcrumb slds-line-height_reset">
                                <ul class="slds-breadcrumb__item">
                                    <span>Default Salesforce Username &amp; Password</span>
                                </ul>
                            </ol>
                        </nav>
                        <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="Setup or Login">Salesforce Login</h1>
                    </div>
                </div>
            </div>
            <div class="slds-col slds-no-flex slds-grid slds-align-top">
            </div>
        </div>
        <div class="slds-grid slds-page-header__detail-row">
            <div class="slds-grid slds-wrap slds-p-around--small">
                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                    <asp:Label ID="lbMessage" runat="server">Please enter your Salesforce Login and Password.</asp:Label>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-col slds-m-top--small slds-card slds-large-size--1-of-1 slds-size--1-of-1">
        <div class="slds-box slds-m-around--small">
            <div class="slds-card__header slds-grid" style="padding: 0;">
                <header class="slds-media slds-media_center slds-has-flexi-truncate">
                    <%--<div class="slds-media__figure">
                    <span class="slds-icon_container slds-icon-standard-contract" title="icon">
                        <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                            <use xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#salesforce1"></use>
                        </svg>
                        <span class="slds-assistive-text">Salesforce Login</span>
                    </span>
                </div>--%>
                    <div class="slds-media__body">
                        <h2 class="slds-text-heading--small">
                            <span class="slds-text-heading_small slds-text-color--default"><b>Salesforce Login</b></span>
                        </h2>
                    </div>
                </header>
            </div>

            <div id="errorbox" runat="server" visible="false">
                        <div class="demo-only slds-scrollable">
                            <div class="slds-notify_container slds-is-relative">
                                <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                    <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                        </svg>
                                    </span>
                                    <div class="slds-notify__content">
                                        <h2 class="slds-text-heading_small ">
                                            <asp:Label ID="lbLoginError" runat="server" CssClass="slds-text-body_regular"></asp:Label></h2>
                                    </div>
                                    <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" >
                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                        </svg>
                                        <span class="slds-assistive-text">Close</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>

            <div class="slds-card__body">
                <div class="slds-align-content_middle">
                    <div class="slds-p-horizontal--small">
                        <%-- <asp:Label ID="lbMessage" runat="server">Please enter your Salesforce Login and Password.</asp:Label><br/><br/>--%>
                    </div>
                    <div class="slds-p-bottom--small slds-form-element">
                        <label class="slds-form-element__label" for="form-element-01" style="font-weight: normal; margin: 0;">Salesforce Username</label>
                        <cc1:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.SalesforceLogin"></cc1:Help>
                        <div class="slds-form-element__control">
                            <asp:TextBox ID="edLogin" runat="server" Columns="45" ValidationGroup="SalesforceLogin" placeholder="Username" CssClass="slds-input slds-input_large slds-large-size--1-of-3"></asp:TextBox>
                        </div>
                    </div>
                    <div class="slds-form-element">
                        <label class="slds-form-element__label" for="form-element-01" style="font-weight: normal; margin: 0;">Salesforce Password</label>
                        <cc1:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.SalesforcePassword"></cc1:Help>
                        <div class="slds-form-element__control">
                            <asp:TextBox ID="edPassword" runat="server" TextMode="Password" Columns="20" ValidationGroup="SalesforceLogin" placeholder="Password" CssClass="slds-input slds-input_large slds-large-size--1-of-3"></asp:TextBox>
                        </div>
                    </div>

                    
                    <div class="slds-p-top--small slds-large-size--1-of-12">
                        <%--<enz:ImageButton ID="btnLogin" SkinID="DefaultButton" runat="server" Text="Login" OnClick="btnLogin_Click" ValidationGroup="SalesforceLogin" ></enz:ImageButton>--%>
                        <asp:Button ID="btnLogin1" runat="server" Text="Login" OnClick="btnLogin_Click" ValidationGroup="SalesforceLogin" CssClass="slds-button slds-button_brand slds-large-size--1-of-1 slds-small-size--1-of-1" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>






