<%@ Control Language="C#" AutoEventWireup="true" Inherits="controls_SearchCriteria" Codebehind="SearchCriteria.ascx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Src="DisplayHelp.ascx" TagName="DisplayHelp" TagPrefix="uc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<script src="../scripts/jquery-1.4.2.min.js"></script>
<link href="../css/vendor/bootstrap/bootstrap.min.css" rel="stylesheet" />
<script language="javascript" type="text/javascript">
    $(document).ready(function () {
        $('#PageContent_criteriaAttachment_buttonShow').val('Attachment Filter');
        $('#PageContent_criteriaParent_buttonShow').val('Parent Filter');

        $('#PageContent_criteriaAttachment_buttonShow').click(function () {
            $("#divSelectTemplate").modal('show');
            return CancelEvent(evt);
        });

        $('#PageContent_criteriaParent_buttonShow').click(function () {
            $("#divSelectTemplate").modal('show');
            return CancelEvent(evt);
        });
    });
    function removeModal()
    {
        debugger;
        $('#divSelectTemplate').modal('hide');
    }


    function ValidateAdvanceOptions(validator, args) {
        args.IsValid = false;
    }
</script>
<asp:Button ID="buttonShow" SkinID="DefaultButton" runat="server" Text="" CausesValidation="False" UseSubmitBehavior="False" CssClass="slds-button slds-button_neutral"/>
<asp:Label ID="lbCriteria" runat="server"></asp:Label>

<!-- Modal -->
<div class="modal fade" id="divSelectTemplate"  role="dialog">
   <div class="demo-only">
      <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
         <div class="slds-modal__container">
            <header class="slds-modal__header">
               <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" data-dismiss="modal" title="Close">
                    &times;
                  <span class="slds-assistive-text">Close</span>
               </button>
               <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate"><asp:Label ID="lblHeaderSearch" runat="server" CssClass="" Text="Search Criteria"></asp:Label></h2>
            </header>
            <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
                <table class="slds-table slds-table_bordered  slds-max-medium-table_stacked-horizontal slds-table_col-bordered">
                <thead>
                    <tr class="slds-text-title_caps" background-color: burlywood">
                        <th scope="col">
                            <div class="slds-truncate" title="Sr.No.">Sr.No.</div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="Field"><asp:Label ID="lbField" runat="server" CssClass="Label" Text="Field"></asp:Label></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="Operator"><asp:Label ID="lbOperator" runat="server" CssClass="Label" Text="Operator"></asp:Label></div>
                        </th>
                        <th scope="col">
                            <div class="slds-truncate" title="Value"><asp:Label ID="lbValue" runat="server" CssClass="Label" Text="Value"></asp:Label></div>
                        </th>
                         <th scope="col">
                            <div class="slds-truncate" title="Concat"><asp:Label ID="Label1" runat="server" CssClass="Label" Text="Concat"></asp:Label></div>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class='slds-hint-parent' background-color: burlywood">
                           <td data-label='Sr.No.'>
                              <div class="slds-truncate" title="Sr.No.">
                                 <asp:Label ID="Label4" runat="server" Text="1"></asp:Label>
                              </div>
                           </td>
                           <td data-label='Field'>
                              <div class="slds-truncate" title="Field">
                                 <asp:DropDownList CssClass="slds-select" ID="cmbFields1" runat="server"></asp:DropDownList>
                              </div>
                           </td>
                            <td data-label='Operator'>
                              <div class="slds-truncate" title="Operator">
                                  <asp:DropDownList CssClass="slds-select" ID="cmbOperator1" runat="server">
                                    <asp:ListItem Selected="True">--None--</asp:ListItem>
                                    <asp:ListItem>equals</asp:ListItem>
                                    <asp:ListItem>contains</asp:ListItem>
                                    <asp:ListItem>does not contain</asp:ListItem>
                                    <asp:ListItem>not equal to</asp:ListItem>
                                    <asp:ListItem>starts with</asp:ListItem>
                                    <asp:ListItem>less than</asp:ListItem>
                                    <asp:ListItem>greater than</asp:ListItem>
                                    <asp:ListItem>less or equal</asp:ListItem>
                                    <asp:ListItem>greater or equal</asp:ListItem>
                                    <asp:ListItem>in</asp:ListItem>
                                    <asp:ListItem>not in</asp:ListItem>
                                    <asp:ListItem>like</asp:ListItem>
                                    <asp:ListItem>not like</asp:ListItem>
                                 </asp:DropDownList>
                              </div>
                           </td>
                           <td data-label='Value'>
                              <div class="slds-truncate" title="Operator">
                                 <asp:TextBox CssClass="slds-input" ID="edValue1" runat="server"></asp:TextBox>
                              </div>
                           </td>
                           <td data-label='Concat'>
                              <div class="slds-truncate" title="Concat">
                                 <asp:Label ID="lbAnd1" runat="server" Text="AND"></asp:Label>
                              </div>
                           </td>
                        </tr>

                    <tr class='slds-hint-parent' background-color: burlywood">
                           <td data-label='Sr.No.'>
                              <div class="slds-truncate" title="Sr.No.">
                                 <asp:Label ID="Label5" runat="server" Text="2"></asp:Label>
                              </div>
                           </td>
                           <td data-label='Field'>
                              <div class="slds-truncate" title="Field">
                                   <asp:DropDownList CssClass="slds-select" ID="cmbFields2" runat="server">
                                   </asp:DropDownList>
                              </div>
                           </td>
                           <td data-label='Operator'>
                              <div class="slds-truncate" title="Value">
                                  	<asp:DropDownList CssClass="slds-select" ID="cmbOperator2" runat="server">
				                        <asp:ListItem Selected="True">--None--</asp:ListItem>
				                        <asp:ListItem>equals</asp:ListItem>
				                        <asp:ListItem>contains</asp:ListItem>
				                        <asp:ListItem>does not contain</asp:ListItem>
				                        <asp:ListItem>not equal to</asp:ListItem>
				                        <asp:ListItem>starts with</asp:ListItem>
				                        <asp:ListItem>less than</asp:ListItem>
				                        <asp:ListItem>greater than</asp:ListItem>
				                        <asp:ListItem>less or equal</asp:ListItem>
				                        <asp:ListItem>greater or equal</asp:ListItem>
				                        <asp:ListItem>in</asp:ListItem>
				                        <asp:ListItem>not in</asp:ListItem>
				                        <asp:ListItem>like</asp:ListItem>
				                        <asp:ListItem>not like</asp:ListItem>
			                        </asp:DropDownList>
                              </div>
                           </td>
                           <td data-label='Value'>
                              <div class="slds-truncate" title="Value">
                                 <asp:TextBox CssClass="slds-input" ID="edValue2" runat="server"></asp:TextBox>
                              </div>
                           </td>
                           <td data-label='Concat'>
                              <div class="slds-truncate" title="Concat">
                                 <asp:Label ID="lbAnd2" runat="server" Text="AND"></asp:Label>
                              </div>
                           </td>
                        </tr>

                    <tr class='slds-hint-parent' background-color: burlywood">
                           <td data-label='Sr.No.'>
                              <div class="slds-truncate" title="Sr.No.">
                                <asp:Label ID="Label6" runat="server" Text="3"></asp:Label>
                              </div>
                           </td>
                           <td data-label='Field'>
                              <div class="slds-truncate" title="Field">
                                  <asp:DropDownList CssClass="slds-select" ID="cmbFields3" runat="server">
                                   </asp:DropDownList>
                                 	
                              </div>
                           </td>
                         <td data-label='Operator'>
                              <div class="slds-truncate" title="Operator">
                                  <asp:DropDownList CssClass="slds-select" ID="cmbOperator3" runat="server">
				                            <asp:ListItem Selected="True">--None--</asp:ListItem>
				                            <asp:ListItem>equals</asp:ListItem>
				                            <asp:ListItem>contains</asp:ListItem>
				                            <asp:ListItem>does not contain</asp:ListItem>
				                            <asp:ListItem>not equal to</asp:ListItem>
				                            <asp:ListItem>starts with</asp:ListItem>
				                            <asp:ListItem>less than</asp:ListItem>
				                            <asp:ListItem>greater than</asp:ListItem>
				                            <asp:ListItem>less or equal</asp:ListItem>
				                            <asp:ListItem>greater or equal</asp:ListItem>
				                            <asp:ListItem>in</asp:ListItem>
				                            <asp:ListItem>not in</asp:ListItem>
				                            <asp:ListItem>like</asp:ListItem>
				                            <asp:ListItem>not like</asp:ListItem>
			                        </asp:DropDownList>
                              </div>
                           </td>
                           <td data-label='Value'>
                              <div class="slds-truncate" title="Value">
                                <asp:TextBox CssClass="slds-input" ID="edValue3" runat="server"></asp:TextBox>
                              </div>
                           </td>
                           <td data-label='Concat'>
                              <div class="slds-truncate" title="Concat">
                                	<asp:Label ID="lbAnd3" runat="server" Text="AND"></asp:Label>
                              </div>
                           </td>
                        </tr>

                    <tr class='slds-hint-parent' background-color: burlywood">
                           <td data-label='Sr.No.'>
                              <div class="slds-truncate" title="Sr.No.">
                                    <asp:Label ID="Label7" runat="server" Text="4"></asp:Label>
                              </div>
                           </td>
                           <td data-label='Field'>
                              <div class="slds-truncate" title="Field">
                                 	<asp:DropDownList CssClass="slds-select" ID="cmbFields4" runat="server">
			                        </asp:DropDownList>
                                   
                              </div>
                           </td>
                        <td data-label='Operator'>
                              <div class="slds-truncate" title="Operator">
                                   <asp:DropDownList CssClass="slds-select" ID="cmbOperator4" runat="server">
				                        <asp:ListItem Selected="True">--None--</asp:ListItem>
				                        <asp:ListItem>equals</asp:ListItem>
				                        <asp:ListItem>contains</asp:ListItem>
				                        <asp:ListItem>does not contain</asp:ListItem>
				                        <asp:ListItem>not equal to</asp:ListItem>
				                        <asp:ListItem>starts with</asp:ListItem>
				                        <asp:ListItem>less than</asp:ListItem>
				                        <asp:ListItem>greater than</asp:ListItem>
				                        <asp:ListItem>less or equal</asp:ListItem>
				                        <asp:ListItem>greater or equal</asp:ListItem>
				                        <asp:ListItem>in</asp:ListItem>
				                        <asp:ListItem>not in</asp:ListItem>
				                        <asp:ListItem>like</asp:ListItem>
				                        <asp:ListItem>not like</asp:ListItem>
			                       </asp:DropDownList>
                              </div>
                           </td>
                           <td data-label='Value'>
                              <div class="slds-truncate" title="Value">
                              <asp:TextBox CssClass="slds-input" ID="edValue4" runat="server"></asp:TextBox>
                              </div>
                           </td>
                           <td data-label='Concat'>
                              <div class="slds-truncate" title="Concat">
                                	<asp:Label ID="lbAnd4" runat="server" Text="AND"></asp:Label>
                              </div>
                           </td>
                        </tr>

                    <tr class='slds-hint-parent' background-color: burlywood">
                           <td data-label='Sr.No.'>
                              <div class="slds-truncate" title="Sr.No.">
                                   <asp:Label ID="Label8" runat="server" Text="5"></asp:Label>
                              </div>
                           </td>
                           <td data-label='Field'>
                              <div class="slds-truncate" title="Field">
                                 	<asp:DropDownList CssClass="slds-select" ID="cmbFields5" runat="server">
			                        </asp:DropDownList>
                                   
                              </div>
                           </td>
                           <td data-label='Operator'>
                              <div class="slds-truncate" title="Operator">
                                 <asp:DropDownList CssClass="slds-select" ID="cmbOperator5" runat="server">
				                        <asp:ListItem Selected="True">--None--</asp:ListItem>
				                        <asp:ListItem>equals</asp:ListItem>
				                        <asp:ListItem>contains</asp:ListItem>
				                        <asp:ListItem>does not contain</asp:ListItem>
				                        <asp:ListItem>not equal to</asp:ListItem>
				                        <asp:ListItem>starts with</asp:ListItem>
				                        <asp:ListItem>less than</asp:ListItem>
				                        <asp:ListItem>greater than</asp:ListItem>
				                        <asp:ListItem>less or equal</asp:ListItem>
				                        <asp:ListItem>greater or equal</asp:ListItem>
				                        <asp:ListItem>in</asp:ListItem>
				                        <asp:ListItem>not in</asp:ListItem>
				                        <asp:ListItem>like</asp:ListItem>
				                        <asp:ListItem>not like</asp:ListItem>
			                        </asp:DropDownList>
                              </div>
                           </td>
                           <td data-label='Value'>
                              <div class="slds-truncate" title="Value">
                                    <asp:TextBox CssClass="slds-input" ID="edValue5" runat="server"></asp:TextBox>
                              </div>
                           </td>
                           <td data-label='Concat'>
                              <div class="slds-truncate" title="Concat">
                                	<asp:Label ID="lbAnd5" runat="server" Text="AND"></asp:Label>
                              </div>
                           </td>
                        </tr>
                </tbody>
            </table>
                <div class="slds-grid slds-wrap slds-p-top_small">
                     <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2">
                         <asp:Label ID="lbAdvOptions" runat="server" Text="Advanced Options:" CssClass="Label"></asp:Label><cc2:help id="Help1" runat="server" helpmessageid="Resources.Help.FilterAdvancedOptions"></cc2:help>
                    </div>
                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2">
                         <asp:TextBox ID="edAdvOptions" CssClass="slds-input" runat="server"></asp:TextBox>
                    </div>
                </div>
                <div class="slds-grid slds-wrap slds-p-top_small">
                     <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                        	<strong>Example: </strong>(1 OR 2) AND (3 OR 4)
                    </div>
                </div>
                <div class="slds-grid slds-wrap slds-p-top_small">
                     <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                       <asp:HiddenField ID="hdCriteria" runat="server" />
		                    <asp:HiddenField ID="hdSFSessionId" runat="server" />
                    </div>
                </div>
            </div>
            <footer class="slds-modal__footer">
                <button type="button" class="slds-button slds-button_neutral" data-dismiss="modal">Cancel</button>
                 <asp:Button ID="buttonApply" runat="server" CssClass="slds-button slds-button_brand"  OnClick="btnGenerateCriteria_Click" SkinID="DefaultButton" Text="Apply" ValidationGroup="CriteriaValidation" OnClientClick="removeModal()" />
            </footer>
         </div>
      </section>
      <div class="slds-backdrop slds-backdrop_open"></div>
   </div>
</div>


