﻿<%@ Page Language="C#" MasterPageFile="~/OtherMaster.master" %>

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        lbError.Text = Resources.Errors.AccessDenied;
    }
</script>

<asp:Content ContentPlaceHolderID="PageContent" runat="server">
    <script src="../scripts/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function () {

            vpw = $(window).width();
            vph = $(window).height();
            $('#bodyHeight1').css({ 'height': vph + 'px' });
        });
    </script>
    <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" type="text/css" />
    <div class="slds-grid slds-wrap" id="bodyHeight1">
        <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-8 slds-large-size_1-of-8"></div>
        <div class="slds-card slds-col slds-m-horizontal_small slds-small-size_1-of-1 slds-medium-size_3-of-4 slds-large-size_3-of-4 slds-m-top_medium slds-m-bottom_xx-large">
            <div class="slds-illustration slds-illustration_small slds-m-vertical_xx-large slds-p-vertical_xx-large">
                <svg class="slds-illustration__svg" viewBox="0 0 454 234" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                        <g transform="translate(2.000000, 2.000000)">
                            <g transform="translate(52.500000, 147.000000)">
                                <path vector-effect="non-scaling-stroke" d="M18.9209988,1.95433401 L33.259296,51.443436 C33.5666778,52.5043744 32.9557995,53.613617 31.8948612,53.9209988 C31.7139843,53.9734036 31.5266126,54 31.3382972,54 L2.6617028,54 C1.5571333,54 0.661702805,53.1045695 0.661702805,52 C0.661702805,51.8116846 0.688299176,51.6243129 0.74070397,51.443436 L15.0790012,1.95433401 C15.386383,0.893395645 16.4956256,0.282517358 17.556564,0.589899164 C18.2152102,0.780726338 18.7301717,1.29568777 18.9209988,1.95433401 Z"
                                    fill="#FFFFFF" fill-rule="nonzero">
                                </path>
                                <g stroke-linecap="round" class="slds-illustration__stroke-secondary" stroke-width="3">
                                    <polygon vector-effect="non-scaling-stroke" stroke-linejoin="round" points="17 0.324 34 54 0 54"></polygon>
                                    <path vector-effect="non-scaling-stroke" d="M17,4.6953125 C17,43.0456294 17,62.6471919 17,63.5 C17,62.6471919 17,43.0456294 17,4.6953125 Z"></path>
                                    <path vector-effect="non-scaling-stroke" d="M17,29.3239437 C22.3333333,35.7851611 25,39.1184944 25,39.3239437 C25,39.1184944 22.3333333,35.7851611 17,29.3239437 Z" stroke-linejoin="round" transform="translate(21.000000, 34.323944) scale(-1, 1) translate(-21.000000, -34.323944) "></path>
                                </g>
                            </g>
                            <g transform="translate(73.000000, 119.000000)">
                                <path vector-effect="non-scaling-stroke" d="M26.6478873,0 L51.879042,84.4273253 C52.1953215,85.4856452 51.5937789,86.5999782 50.535459,86.9162577 C50.3496374,86.9717906 50.1567264,87 49.9627843,87 L3.33299037,87 C2.22842087,87 1.33299037,86.1045695 1.33299037,85 C1.33299037,84.8060578 1.36119976,84.6131469 1.41673264,84.4273253 L26.6478873,0 Z"
                                    fill="#FFFFFF" fill-rule="nonzero">
                                </path>
                                <g stroke-linecap="round" class="slds-illustration__stroke-secondary" stroke-width="3">
                                    <polygon vector-effect="non-scaling-stroke" stroke-linejoin="round" points="26.5 0 52.5 87 0.5 87"></polygon>
                                    <path vector-effect="non-scaling-stroke" d="M26.5,2.58642578 C26.5,61.0261034 26.5,90.9972948 26.5,92.5 C26.5,90.9972948 26.5,61.0261034 26.5,2.58642578 Z"></path>
                                    <path vector-effect="non-scaling-stroke" d="M15.6478873,42 C22.314554,49.078692 25.6478873,52.7453587 25.6478873,53 C25.6478873,52.7453587 22.314554,49.078692 15.6478873,42 Z M27.6478873,68 C36.9812207,57.078692 41.6478873,51.7453587 41.6478873,52 C41.6478873,51.7453587 36.9812207,57.078692 27.6478873,68 Z"
                                        stroke-linejoin="round">
                                    </path>
                                </g>
                            </g>
                            <g stroke-linecap="round" stroke-linejoin="round" transform="translate(332.500000, 170.000000) scale(-1, 1) translate(-332.500000, -170.000000) translate(276.000000, 151.000000)" class="slds-illustration__stroke-secondary" stroke-width="3">
                                <polyline vector-effect="non-scaling-stroke" points="0 38 47.5 0 80.5 26"></polyline>
                                <polyline vector-effect="non-scaling-stroke" points="71 17 80.5 9 113 36"></polyline>
                            </g>
                            <g transform="translate(0.000000, 187.500000)">
                                <path vector-effect="non-scaling-stroke" d="M153.962142,26.4644491 C151.225735,20.0143094 144.944776,15.5029106 137.633892,15.5029106 C135.619663,15.5029106 133.683612,15.8453541 131.878328,16.4764392 C128.451481,11.1704266 122.567406,7.66985447 115.883789,7.66985447 C109.491267,7.66985447 103.830159,10.8721423 100.350851,15.7935668 C98.9589956,14.968161 97.3423157,14.4956341 95.6177606,14.4956341 C94.1083143,14.4956341 92.6815102,14.8576334 91.4157672,15.5014039 C87.9975328,6.58722215 79.5098304,0.275259875 69.5804557,0.275259875 C60.4632836,0.275259875 52.5615782,5.59684366 48.6837305,13.3681823 C46.3912034,12.266973 43.8314865,11.6515593 41.1312741,11.6515593 C32.4373504,11.6515593 25.1998844,18.0312998 23.6476214,26.4644491 L153.962142,26.4644491 Z"
                                    class="slds-illustration__fill-secondary" fill-rule="nonzero">
                                </path>
                                <path vector-effect="non-scaling-stroke" d="M13,25 L143,25 M0,25 L450,25" class="slds-illustration__stroke-secondary" stroke-width="3" stroke-linecap="round"></path>
                            </g>
                            <g transform="translate(272.293000, 172.055000)">
                                <path vector-effect="non-scaling-stroke" d="M165.428708,41.9454545 L0.0995432562,41.9454545 C0.0336614956,41.2089487 0,40.4630069 0,39.7090909 C0,26.2132599 10.7866531,15.2727273 24.0926641,15.2727273 C27.7492016,15.2727273 31.215485,16.0989227 34.3199502,17.5772977 C39.5712028,7.14424616 50.271428,0 62.6175975,0 C76.0636257,0 87.5573893,8.47383452 92.1862485,20.441159 C93.9002755,19.5768947 95.8324059,19.0909091 97.8764479,19.0909091 C100.211783,19.0909091 102.401037,19.7252784 104.285841,20.8333889 C108.997403,14.2263569 116.663488,9.92727273 125.320028,9.92727273 C138.043441,9.92727273 148.627152,19.2146805 150.834755,31.4671412 C151.487388,31.3631046 152.156394,31.3090909 152.837838,31.3090909 C159.117096,31.3090909 164.340238,35.8953699 165.428708,41.9454545 Z"
                                    class="slds-illustration__fill-secondary" fill-rule="nonzero">
                                </path>
                                <path vector-effect="non-scaling-stroke" d="M32.7065637,40.4454545 L173.706564,40.4454545" class="slds-illustration__stroke-secondary" stroke-width="3" stroke-linecap="round"></path>
                            </g>
                            <g transform="translate(33.000000, 128.000000)">
                                <g transform="translate(106.000000, 0.000000)" fill="#FFFFFF" fill-rule="nonzero">
                                    <polygon vector-effect="non-scaling-stroke" points="121.5 48.5 158.5 48.5 158.5 34.5 47.5 34.5 47.5 48.5 93.5 48.5 93.5 69.5 121.5 69.5"></polygon>
                                    <path vector-effect="non-scaling-stroke" d="M33.9882812,0.21875 C36.5611979,0.21875 70.6126302,0.21875 136.142578,0.21875 L152.384766,11.1132813 C155.083088,16.811292 155.656656,19.677503 154.105469,19.7119141 C152.554281,19.7463252 116.293865,17.6717809 45.3242187,13.4882812 C35.1940104,4.64192708 31.4153646,0.21875 33.9882812,0.21875 Z"></path>
                                    <path vector-effect="non-scaling-stroke" d="M32.6708984,2.02246094 L21.5554199,0.374195518 L17.6036034,0.374195518 L5.77148437,7.90429688 C3.09089817,12.6737672 3.09089817,15.2284547 5.77148437,15.5683594 C8.45207058,15.9082641 16.1278518,14.3268839 28.7988281,10.8242188 L42.9921875,7.90429688 L41.0699892,5.68448183 L32.6708984,2.02246094 Z"></path>
                                    <rect x="0" y="34" width="48" height="14"></rect>
                                </g>
                                <g transform="translate(106.000000, 5.000000)" class="slds-illustration__fill-secondary" fill-rule="nonzero">
                                    <polygon vector-effect="non-scaling-stroke" points="93.311 43.457 93.311 64.672 120.925 64.672 121.823 44.132 158.5 43.457 158.5 97.5 48.5 97.5 48.5 43.693"></polygon>
                                    <path vector-effect="non-scaling-stroke" d="M132.670898,7.66300119e-19 C125.172201,-2.55433373e-19 94.1907552,-2.55433373e-19 39.7265625,7.66300119e-19 L31.8183594,12.5058594 L29.7050781,28.2714844 L157.78125,28.2714844 L157.78125,15.4775391 C148.539714,5.15917969 140.169596,1.78803361e-18 132.670898,7.66300119e-19 Z"></path>
                                    <path vector-effect="non-scaling-stroke" d="M37.8266602,-3.55271368e-15 C34.4632704,-3.55271368e-15 29.4181858,-3.55271368e-15 22.6914062,-3.55271368e-15 C16.1624349,-3.55271368e-15 9.53808594,3.83528646 2.81835938,11.5058594 L0.705078125,30.2714844 L48.4101562,30.2714844 L48.4101562,14.4775391 L48.1789909,12.3275853 C43.283405,4.10919509 39.832628,-3.55271368e-15 37.8266602,-3.55271368e-15 Z"></path>
                                    <rect x="0.5" y="43.5" width="48" height="54"></rect>
                                </g>
                                <rect class="slds-illustration__stroke-primary" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" x="154.5" y="34.5" width="110" height="68"></rect>
                                <polygon vector-effect="non-scaling-stroke" class="slds-illustration__stroke-primary" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" points="264.5 48.5 264.5 34.5 154.5 34.5 154.5 48.5 199.5 48.5 199.5 69.5 227.5 69.5 227.5 48.5"></polygon>
                                <path vector-effect="non-scaling-stroke" d="M130.5,0.5 L234.5,0.5 C251.068542,0.5 264.5,13.9314575 264.5,30.5 L264.5,34.5 L106.5,34.5 L106.5,24.5 C106.5,11.245166 117.245166,0.5 130.5,0.5 Z" class="slds-illustration__stroke-primary"
                                    stroke-width="3" stroke-linecap="round" stroke-linejoin="round">
                                </path>
                                <path vector-effect="non-scaling-stroke" d="M130.5,0.5 C143.754834,0.5 154.5,11.245166 154.5,24.5 L154.5,34.5 L106.5,34.5 L106.5,24.5 C106.5,11.245166 117.245166,0.5 130.5,0.5 Z" class="slds-illustration__stroke-primary" stroke-width="3"
                                    stroke-linecap="round" stroke-linejoin="round">
                                </path>
                                <rect class="slds-illustration__stroke-primary" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" x="106.5" y="48.5" width="48" height="54"></rect>
                                <rect class="slds-illustration__stroke-primary" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" x="106.5" y="34.5" width="48" height="14"></rect>
                                <path vector-effect="non-scaling-stroke" d="M219,52 C219,54.765 216.765,57 214,57 C211.235,57 209,54.765 209,52 C209,49.235 211.235,47 214,47 C216.765,47 219,49.235 219,52 Z" class="slds-illustration__fill-primary" fill-rule="nonzero"></path>
                                <path vector-effect="non-scaling-stroke" d="M214,55 L214,60" class="slds-illustration__stroke-primary" stroke-width="4" stroke-linecap="round"></path>
                                <circle vector-effect="non-scaling-stroke" class="slds-illustration__fill-primary" fill-rule="nonzero" cx="164" cy="58" r="3"></circle>
                                <circle vector-effect="non-scaling-stroke" class="slds-illustration__fill-primary" fill-rule="nonzero" cx="164" cy="93" r="3"></circle>
                                <circle vector-effect="non-scaling-stroke" class="slds-illustration__fill-primary" fill-rule="nonzero" cx="255" cy="58" r="3"></circle>
                                <circle vector-effect="non-scaling-stroke" class="slds-illustration__fill-primary" fill-rule="nonzero" cx="255" cy="93" r="3"></circle>
                                <circle vector-effect="non-scaling-stroke" class="slds-illustration__fill-primary" fill-rule="nonzero" cx="145" cy="58" r="3"></circle>
                                <circle vector-effect="non-scaling-stroke" class="slds-illustration__fill-primary" fill-rule="nonzero" cx="145" cy="93" r="3"></circle>
                                <circle vector-effect="non-scaling-stroke" class="slds-illustration__fill-primary" fill-rule="nonzero" cx="116" cy="58" r="3"></circle>
                                <circle vector-effect="non-scaling-stroke" class="slds-illustration__fill-primary" fill-rule="nonzero" cx="116" cy="93" r="3"></circle>
                                <path vector-effect="non-scaling-stroke" d="M289.928751,82.2971422 L298,102.518658 L280,102.518658 L288.071249,82.2971422 C288.275982,81.784207 288.857768,81.5343604 289.370703,81.7390942 C289.625359,81.8407378 289.827108,82.0424867 289.928751,82.2971422 Z"
                                    class="slds-illustration__fill-primary" fill-rule="nonzero">
                                </path>
                                <path vector-effect="non-scaling-stroke" d="M300.428751,89.8132712 L305.5,102.518658 L293.5,102.518658 L298.571249,89.8132712 C298.775982,89.300336 299.357768,89.0504894 299.870703,89.2552232 C300.125359,89.3568668 300.327108,89.5586158 300.428751,89.8132712 Z"
                                    class="slds-illustration__fill-primary" fill-rule="nonzero">
                                </path>
                                <path vector-effect="non-scaling-stroke" d="M93.4287513,82.2971422 L101.5,102.518658 L83.5,102.518658 L91.5712487,82.2971422 C91.7759825,81.784207 92.3577681,81.5343604 92.8707033,81.7390942 C93.1253588,81.8407378 93.3271077,82.0424867 93.4287513,82.2971422 Z"
                                    class="slds-illustration__fill-primary" fill-rule="nonzero" transform="translate(92.500000, 92.093119) scale(-1, 1) translate(-92.500000, -92.093119) ">
                                </path>
                                <path vector-effect="non-scaling-stroke" d="M76.9287513,89.8132712 L82,102.518658 L70,102.518658 L75.0712487,89.8132712 C75.2759825,89.300336 75.8577681,89.0504894 76.3707033,89.2552232 C76.6253588,89.3568668 76.8271077,89.5586158 76.9287513,89.8132712 Z"
                                    class="slds-illustration__fill-primary" fill-rule="nonzero" transform="translate(76.000000, 95.851183) scale(-1, 1) translate(-76.000000, -95.851183) ">
                                </path>
                                <path vector-effect="non-scaling-stroke" d="M360,102.5 L372,102.5 M0,102.5 L350,102.5" class="slds-illustration__stroke-primary" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"></path>
                            </g>
                            <g stroke-linecap="round" transform="translate(180.713492, 71.088189) rotate(-15.000000) translate(-180.713492, -71.088189) translate(153.713492, 52.588189)" class="slds-illustration__stroke-secondary" stroke-width="3">
                                <path vector-effect="non-scaling-stroke" d="M31.03567,3.43547751 C31.03567,3.43547751 40.5798276,0.672084646 42.6484417,10.6910579" transform="translate(36.842056, 6.888632) rotate(41.000000) translate(-36.842056, -6.888632) "></path>
                                <path vector-effect="non-scaling-stroke" d="M40.4282597,10.1797599 C40.4282597,10.1797599 49.9724173,7.41636703 52.0410314,17.4353402" transform="translate(46.234646, 13.632914) scale(-1, 1) rotate(-41.000000) translate(-46.234646, -13.632914) "></path>
                                <path vector-effect="non-scaling-stroke" d="M0.730284783,29.5865514 C0.730284783,29.5865514 10.2744424,26.8231586 12.3430565,36.8421318"></path>
                                <path vector-effect="non-scaling-stroke" d="M12.7299435,29.5865514 C12.7299435,29.5865514 22.2741011,26.8231586 24.3427152,36.8421318" transform="translate(18.536329, 33.039706) scale(-1, 1) translate(-18.536329, -33.039706) "></path>
                            </g>
                            <g transform="translate(258.000000, 0.000000)" class="slds-illustration__stroke-primary">
                                <g stroke-width="3">
                                    <path vector-effect="non-scaling-stroke" d="M67,120 C67,123.312 64.3135,126 61,126 C57.688,126 55,123.312 55,120 C55,116.688 57.688,114 61,114 C64.3135,114 67,116.688 67,120 Z" fill="#FFFFFF" fill-rule="nonzero"></path>
                                    <path vector-effect="non-scaling-stroke" d="M52,135 C52,137.208 50.209,139 48,139 C45.792,139 44,137.208 44,135 C44,132.792 45.792,131 48,131 C50.209,131 52,132.792 52,135 Z"></path>
                                    <path vector-effect="non-scaling-stroke" d="M96.0568799,0 C78.2900529,0 62.8190358,10.0568662 54.6662185,24.9225726 C49.0099109,20.7996522 42.1151387,18.3495864 34.6598756,18.3495864 C15.5126256,18.3495864 0,34.3231272 0,54.0272817 C0,73.7339036 15.5126256,89.7074443 34.6598756,89.7074443 C35.0735129,89.7074443 35.4822552,89.6556302 35.9007877,89.6408262 C42.1591947,98.9155466 52.5662134,105 64.3683403,105 C72.7414379,105 80.4243239,101.940502 86.4134995,96.8503854 C89.5292414,97.5116317 92.7551235,97.8644609 96.0568799,97.8644609 C122.314287,97.8644609 142,76.3690196 142,49.3467431 C142,22.3219992 122.314287,0 96.0568799,0 Z"
                                        fill="#FFFFFF" fill-rule="nonzero" stroke-linecap="round" stroke-linejoin="round">
                                    </path>
                                </g>
                                <g transform="translate(75.999627, 52.000087) rotate(45.000000) translate(-75.999627, -52.000087) translate(59.999627, 16.000087)" stroke-width="6">
                                    <circle vector-effect="non-scaling-stroke" cx="15" cy="6" r="6"></circle>
                                    <circle vector-effect="non-scaling-stroke" cx="7" cy="18" r="7"></circle>
                                    <circle vector-effect="non-scaling-stroke" cx="25" cy="18" r="7"></circle>
                                    <path vector-effect="non-scaling-stroke" d="M15,24 L15,72 M12,34 L18,34 M15,55 L25,55 M15,65 L27,65" stroke-linecap="round"></path>
                                </g>
                            </g>
                        </g>
                    </g>
                </svg>
                <div class="slds-text-longform">
                    <h3 class="slds-text-heading_small slds-text-color_error"><asp:Label ID="lbError" runat="server"></asp:Label></h3>
                </div>
            </div>
    </div>
    <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-8 slds-large-size_1-of-8"></div>
  </div> 
    <%--<center>
	<table border="0" cellpadding="0" cellspacing="0" class="LoginFrame" >
		<tr>
			<td>
	<table>
		<tr>
			<td class="Label">
			</td>
			<td>
			</td>
			<td style="width: 158px" class="ControlCell">
				<asp:Label ID="lbError" runat="server" SkinID="Error" Width="315px"></asp:Label></td>
		</tr>
		<tr>
			<td class="Label">
			</td>
			<td>
			</td>
			<td class="ControlCell" style="width: 158px">
			</td>
		</tr>
	</table>
			</td>
		</tr>
	</table>
	</center>--%>
</asp:Content>
