﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Download" MasterPageFile="~/UserMasterPage.master" CodeBehind="Download.aspx.cs" meta:resourcekey="PageResource1" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script type="text/javascript" src="../scripts/common.js" charset="utf-8"></script>
    <script type="text/javascript"> 
        function DownloadFile(strUrl)
        {
            if( window.event )
            {
                window.event.cancelBubble = true;
                window.event.returnValue = false;
            }
            window.open( strUrl, '_blank');
            document.location.href = strUrl;
            return false;
        }
        //function OnCancel(){
        //    var experienceView = 'https://'+ new URLSearchParams(window.location.search).get('HostName') +'/'+new URLSearchParams(window.location.search).get('ID');
        //    window.open(experienceView, '_self');
        //}
        function OnCancel() {
            var experienceView = 'https://'+ new URLSearchParams(window.location.search).get('SFUrl').split('/')[2] +'/'+new URLSearchParams(window.location.search).get('ID');
            window.open(experienceView, '_self');
            //window.history.go(-1) === undefined ? window.close():  window.open(window.history.go(-1), '_self');
            //window.history.go(-2);
            //if (new URLSearchParams(window.location.search).get('sfdcIFrameOrigin') == null) {
            //    var experienceView = 'https://' + new URLSearchParams(window.location.search).get('HostName') + '/' + new URLSearchParams(window.location.search).get('ID');
            //    window.open(experienceView, '_self');
            //}
            //else {
            //    var experienceView = new URLSearchParams(window.location.search).get('sfdcIFrameOrigin') + '/lightning/r/' + new URLSearchParams(window.location.search).get('ID') + "/view";
            //    window.open(experienceView, '_self');
            //}           
        }
    </script>
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Services>
            <asp:ServiceReference InlineScript="false" Path="~/WebServices/FTPAttachments.asmx" />
        </Services>
    </asp:ScriptManager>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <div class="slds-scope" id="bodyHeight1">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-forecasts" title="Download File">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#product_consumed" />
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="Div1" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <%--<span>Download File</span>--%>
                                            <asp:Label ID="labelText1" runat="server" meta:resourcekey="DownloadFile" Text="Download File"></asp:Label>
                                        </ul>
                                    </ol>
                                </nav>
                               <%-- <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Download attachment from server</h1>--%>
                                <b><asp:Label runat="server" CssClass="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title=""  meta:resourcekey="DownloadFileServer" Text="Download attachment from server"></asp:Label></b>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                         <%--<p>Download will start automatically after the file you requested is downloaded from Storage Server to the Application Server.  In case download does not start automatically after being downloaded from Storage Server to Application Server, please click on the "Download" button below.</p>--%>
                            <asp:Label ID="DownloadText" runat="server" Text="Download will start automatically after the file you requested is downloaded from FTP Server to the Application Server. Depending on your browser security a yellow bar will appear on the top of the window, please right click and click on Download file to download the file. In case download does not start automatically after being downloaded from FTP Server to Application Server, please click on the button below."  meta:resourcekey="DownloadInformation"></asp:Label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slds-p-top_small"></div>
            <div class="slds-card">
                <div class="slds-p-around_small">
                    <div class="slds-box">
                        <%--   <div class="slds-grid slds-wrap">--%>
                        <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media slds-media_center slds-has-flexi-truncate">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-file" title="Click to Download">
                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#product_consumed"></use>
                                    </svg>
                                    <span class="slds-assistive-text">account</span>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <h2 class="slds-card__header-title">
                                    <%--<span class="slds-text-heading_small"><b>Click to Download</b></span>--%>
                                    <b><asp:Label runat="server" CssClass="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title=""  meta:resourcekey="ClickToDownload" Text="Click to Download"></asp:Label></b>
                                </h2>
                            </div>
                        </div>
                        <div id="errorbox" class="slds-scrollable" style="display: none;">
                            <div class="slds-scrollable demo-only">
                                <div class="slds-notify_container slds-is-relative">
                                    <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                        <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                            </svg>
                                        </span>
                                        <div class="slds-notify__content">
                                            <h2 class="slds-text-heading_small ">
                                                <asp:Label ID="lbError" runat="server" SkinID="Error" meta:resourcekey="lbErrorResource1"></asp:Label></h2>
                                        </div>
                                        <%--<button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnCloseerror" onclick="return hideToastError()">
                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                            <span class="slds-assistive-text">Close</span>
                                        </button>--%>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-align--absolute-center">
                        <div id="toastSuccess"  class="slds-scrollable" style="display: none;">
                            <div class="slds-scrollable demo-only">
                                <div class="slds-notify_container slds-is-relative">
                                    <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                        <span class="slds-assistive-text">success</span>
                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top">
                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                            </svg>
                                        </span>
                                        <div class="slds-notify__content">
                                            <span>
                                                <asp:Label ID="successMessage" runat="server" Text=""></asp:Label></span>
                                        </div>
                                        <%--<button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToastsucess()">
                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                            <span class="slds-assistive-text">Close</span>
                                        </button>--%>
                                    </div>
                                </div>
                            </div>
                        </div></div>
                          <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_2-of-12 slds-medium-size_2-of-12 slds-large-size_3-of-12"></div>
                            <div class=" slds-col slds-size_8-of-12 slds-medium-size_8-of-12 slds-large-size_6-of-12 slds-text-align_center slds-p-top--large"> 
                                 <cc1:ProgressBar ID="progressBar" CssClass="ProgressBar slds-progress-bar slds-progress-bar_large" runat="server" DefaultVisible="True" ProgressBarClass="ProgressBarValue" ProgressBarStatusClass="ProgressBarStatus"
                                    ProgressBarTextClass="ProgressBarText slds-text-body_small slds-p-top--x-small" StatusLabelText="<%$Resources:ProgressStatus, StatusLabelText %>"
                                    ValueLabelText="<%$Resources:ProgressStatus, ValueLabelText %>" TextLabel="<%$Resources:ProgressStatus, TextLabel %>" />
                                <%-- <cc1:ProgressBar ID="progressBar" CssClass="ProgressBar slds-progress-bar slds-progress-bar_circular slds-progress-bar_large" runat="server" Width="100%" DefaultVisible="True" ProgressBarClass="ProgressBarValue" ProgressBarStatusClass="ProgressBarStatus" ProgressBarTextClass="ProgressBarText slds-text-body_small slds-p-top--x-small" StatusLabelText="<%$Resources:ProgressStatus, StatusLabelText %>" ValueLabelText="<%$Resources:ProgressStatus, ValueLabelText %>" TextLabel="<%$Resources:ProgressStatus, TextLabel %>" />--%>
                                <input id="hdnDownloadID" name="hdnDownloadID" value="<%=m_DownloadID%>" type="hidden" />
                                <%--<div class="slds-align--absolute-center ">
                                    <asp:Label ID="lbStatus" runat="server" CssClass="slds-text-color_error" meta:resourcekey="lbStatusResource1"></asp:Label>
                                </div>--%>
                            </div>
                            <div class="slds-col slds-size_2-of-12 slds-medium-size_2-of-12 slds-large-size_3-of-12"></div>
                        </div>
                        <div class="slds-col slds-p-top_large slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-bottom_x-large">
                            <%--<asp:Button ID="btnDownload1" runat="server" Text="Download" CssClass="slds-button slds-button_neutral" OnClientClick="return OnDownload();" meta:resourcekey="btnDownloadResource1"></asp:Button>--%>
                            <!--<button type="button" class="slds-button slds-button_brand slds-clearfix slds-float_right" onclick="OnCancel()">Done</button> -->
                            <asp:button ID="btnCancel" runat="server" text="Done" OnClientClick="OnCancel(); return false;" CssClass="slds-button slds-button_brand slds-clearfix slds-float_right" meta:resourcekey="btnDone"/>
                            <asp:Button ID="btnDownloads" runat="server" Text="Download" OnClientClick="OnDownload();" CausesValidation="False" meta:resourcekey="btnDownloadResource1" CssClass="slds-button slds-button_neutral slds-float_right slds-m-horizontal--xx-small" />
                            
                            <%--<button id="Close1" runat="server" skinid="DefaultButton" onclick="javascript:window.close();return true;" class="slds-button slds-button_neutral slds-float_right slds-m-horizontal--xx-small" meta:resourcekey="CloseResource1">
                                    <svg class="slds-button__icon slds-button__icon_left" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#close" />
                                    </svg><span>Close</span>
                                </button>--%>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>

        function hideToastError() {
            
            $('#errorbox').css('display', 'none');
            return false;
        }
        function hideToastsucess() {
            
            $('#toastSuccess').css('display', 'none');
            return false;
        }
        $(document).ready(function(){
            $('.ProgressBarValue').css("background-color", "#dddbda");
            $('link[href="../App_Themes/Default/common.css"]').remove();
          
            vpw = $(window).width();
            vph = $(window).height();
            $('#bodyHeight').css({'height': vph + 'px'});    
        });
        function isError() {
            var error = document.getElementById('<%=lbError.ClientID%>').textContent;

             if (error.length > 1) {
                 document.getElementById("errorbox").style.display = "inline";
             }       
         }
         window.onload = isError;
    </script>
    <script type="text/javascript">
        //Modified by atul
        //document.getElementByClass('ProgressBarValue').style.width='100%'; 
        var service = new enzigma.sforce.webapp.webservices.InternalFTPAttachmentsService();
        function UpdateProgress(result, eventArgs)
        {   
            debugger;
            if(result.HasCompleted || result.HasError || result.IsCached )
            {
                
                if(result.ProgressStatus)
                {
                    
                    $('#<%= successMessage.ClientID %>').text(result.ProgressStatus);
                    $('#toastSuccess').css('display', 'inline-block');
                    $('#toast').css('display', 'none')

                }
                window.clearInterval(intervalProgress);
             }    
                   if( <%=progressBar.ClientID%>_obj )
                    <%=progressBar.ClientID%>_obj.UpdateProgress(result.Progress, result.ProgressStatus);
                       $('.ProgressBarValue').css("background-color", "#5eb4ff");

            if( result.HasCompleted )
                //Modified by Atul
    <%--  // document.getElementById('<%=btnDownload.ClientID%>').disabled = false;--%>
                document.getElementById('<%=btnDownloads.ClientID%>').disabled = false;
        }
        function OnDownload()
        {

            document.location.href = '<%=Request.RawUrl%>&download=true&DownloadID=<%=m_DownloadID%>';
	
            if( window.event )
                window.event.cancelBubble = true;
            return false;
        }
        function OnError(error)
        {
        }
        function RetreiveProgress()
        {
            service.DownloadProgress('<%=m_DownloadID%>', UpdateProgress, OnError);
        console.log( service.DownloadProgress('<%=m_DownloadID%>', UpdateProgress, OnError));

    }
            //Modified by Atul
<%--document.getElementById('<%=btnDownload.ClientID%>').disabled = true;--%>
            document.getElementById('<%=btnDownloads.ClientID%>').disabled = true;
            var intervalProgress = false;
            function OnBodyLoad()
            {

                OnDownload();
                var iInterval = 1000 * <%=Global.ProgressIndicatorInterval%>;
            if( iInterval <= 0 )
                iInterval = 2000;
            intervalProgress = window.setInterval('RetreiveProgress()', iInterval);
        }
        function ClearAllIntervals()
        {
            window.clearInterval(intervalProgress);
        }
        RegisterWindowEventHandler('unload', ClearAllIntervals);
    </script>

    <script type="text/javascript">
        window.resizeTo(1000,730);
        window.moveTo(window.screen.width/2 - 350, window.screen.height/2 - 300);
    </script>
</asp:Content>
