<%@ Page Language="C#" AutoEventWireup="true" Inherits="SelfServicePortal" Theme="" Codebehind="SelfServicePortal.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
	<link href="<%=hdnStyleSheet.Value%>" rel="stylesheet" type="text/css" />
	<script language="javascript" type="text/javascript" src="SelfServicePortalView.js"></script>
	<title>FTP Attachments Pro</title>
</head>
<body>
<script language="javascript" type="text/javascript" >
var strSSPParams = '<%=Request.Params["SSPParams"]%>';
var strOrgID = '<%=Request.Params["OrgID"]%>';
var strSSPUser = '<%=Session["SSPUser"]%>';

function AttachFile()
{
	OnAttach('<%=Session["FieldValue"]%>','<%=(Request.Params["Folder"] != null) ? Request.Params["Folder"].Replace("\\","\\\\") : "" %>','<%=Request.Params["ServerProfile"]%>');
	if( window.event )
	{
		window.event.cancelBubble = true;
		window.event.returnValue = false;
	}
	return false;
}
</script>
<form runat="server" >
	<asp:HiddenField ID="hdnStyleSheet" Value="SelfServicePortal.css" runat="server" />
	<table border="0" cellpadding="0" cellspacing="0" class="LoginFrame" style="width: 500px" >
	<tr>
		<td style="width: 508px">
<asp:Panel id="UpdatePanelViewAttachments" runat="server" Visible="True">
<table style="width:100%;" cellpadding="0" cellspacing="0" border="0" ><tr><td style="width:510px;" align="left" >
<table cellpadding="0" cellspacing="0" style="width: 500px" border="0">
<tr id="rowerror"><td align="left" ><asp:label id="lbError" runat="server" CssClass="ErrorText"></asp:label></td><td align="left" ></td></tr>
	<tr>
		<td class="listtitle" ><table border="0" cellpadding="0" cellspacing="0" style="width:100%;"><tr><td class="listtitle">Attachments&nbsp;
			<asp:HyperLink ID="lnkPoweredBy" runat="server" CssClass="PoweredBy" NavigateUrl="https://www.orektic.com"
				Target="_blank">Powered by Orektic</asp:HyperLink></td><td align="right" style="width: 201px" >
					&nbsp;<asp:Button ID="btnAddAttachment" runat="server" Text="Add Attachment" CssClass="button" OnClientClick="AttachFile();" Visible="true" />
					<asp:Button id="btnRefresh" CssClass="button" runat="server" text="Refresh" OnClick="btnRefresh_Click" />
				</td></tr></table></td>
	</tr>
	<tr><td class="listheaderline" style="height:1px;"><img src="images/s.gif" border="0" alt="" width="1" height="1" /></td></tr>
	<tr><td valign="top" >
		<asp:GridView id="GridViewAttachments" runat="server" DataSourceID="XmlDataSource" AutoGenerateColumns="False" GridLines="None" Width="100%" OnPreRender="GridViewAttachments_PreRender" EmptyDataText="&nbsp;None Found">
		<FooterStyle CssClass="FooterStyle"></FooterStyle>
		<RowStyle CssClass="RowStyle"></RowStyle>
		<PagerStyle CssClass="PagerStyle"></PagerStyle>
		<HeaderStyle CssClass="HeaderStyle"></HeaderStyle>
		<AlternatingRowStyle CssClass="AlternatingRowStyle"></AlternatingRowStyle>
		<Columns>
			<asp:TemplateField >
				<ItemTemplate>
					<a id="lnkView" href="javascript:OnView('<%# Eval("Id")%>');" >View</a>
				</ItemTemplate>
				<ControlStyle Width="30px" />
			</asp:TemplateField>
			<asp:TemplateField >
				<ItemTemplate>
					<asp:HyperLink ID="lnkUpdate" runat="server" NavigateUrl="<%# Eval(&quot;(Id)&quot;,&quot;javascript:OnUpdate('{0}');&quot;) %>">Update</asp:HyperLink>
					&nbsp;
				</ItemTemplate>
				<ControlStyle Width="30px" />
			</asp:TemplateField>
			<asp:TemplateField >
				<ItemTemplate>
					<asp:HyperLink ID="lnkDelete" runat="server" NavigateUrl="<%# Eval(&quot;(Id)&quot;,&quot;javascript:OnDelete('{0}')&quot;) %>">Delete</asp:HyperLink>
				</ItemTemplate>
				<ControlStyle Width="30px" />
			</asp:TemplateField>
		</Columns>
			<EmptyDataRowStyle CssClass="listHeading" />
	</asp:GridView>
	<asp:XmlDataSource id="XmlDataSource" runat="server" EnableCaching="False" OnLoad="XmlDataSource_Load"></asp:XmlDataSource> <asp:ObjectDataSource id="Attachments" runat="server" TypeName="enzigma.sforce.webapp.code.Business" SelectMethod="GetAttachments"><SelectParameters>
	<asp:QueryStringParameter Type="String" Name="strOrgID" QueryStringField="OrgID"></asp:QueryStringParameter>
	<asp:Parameter Type="String" DefaultValue="" Name="strSFAPIUrl"></asp:Parameter>
	<asp:Parameter Type="String" DefaultValue="" Name="strSFSessionID"></asp:Parameter>
	<asp:QueryStringParameter Type="String" Name="strFieldName" QueryStringField="FieldName"></asp:QueryStringParameter>
	<asp:QueryStringParameter Type="String" DefaultValue="" Name="strFieldValue" QueryStringField="id"></asp:QueryStringParameter>
	</SelectParameters>
	</asp:ObjectDataSource>
</td></tr>
</table>
</td>
<td style="width: 5px">&nbsp;</td>
</tr>
<tr><td style="width: 510px"></td><td style="width: 5px"></td></tr></table>
</asp:Panel>
			</td>
	</tr>
	<tr><td align="center" class="listtitle" style="width: 508px" ><asp:Label ID="lbNoAccess" runat="server"></asp:Label></td></tr>
	</table>
</form>
</body></html>