﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeBehind="AmazonS3Settings.aspx.cs" Inherits="AmazonS3Settings" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="Server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/application_css/custom_2018.css" rel="stylesheet" />
     
    <script type="text/javascript">
        $(document).ready(function () {

            $('link[href="../../App_Themes/Default/common.css"]').remove();

        });

        function OnToggle(strLink, strDiv, strText) {
            var divDisplay = document.getElementById(strDiv);
            var linkToggle = document.getElementById(strLink);
            if (divDisplay.style.display == '') {
                divDisplay.style.display = 'none';
                linkToggle.innerHTML = strText + '&gt;&gt;';
            }
            else {
                divDisplay.style.display = '';
                linkToggle.innerHTML = strText + '&lt;&lt;';
            }
        }
    </script>
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <div class="slds-p-around_small">
                <div class="slds-page-header">
                    <div class="slds-grid">
                        <div class="slds-col slds-has-flexi-truncate">
                            <div class="slds-media slds-no-space slds-grow">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-opportunity" title="Amazon S3 Mode Settings">
                                        <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                    </span>
                                </div>
                                <div class="slds-media__body">
                                    <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Settings</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                    <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Amazon S3 Mode Settings</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-grid slds-page-header__detail-row">
                        <div class="slds-grid slds-wrap slds-p-top_xx-small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                <div class="slds-text-body_regular">You can set Amazon S3 StorageClass Mode to store the data on Amazon S3 Server.</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slds-p-horizontal_small slds-p-bottom_xx-large">
                <div class="slds-card">
                    <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                        <div class="slds-box">
                            <div class="slds-card" style="position: inherit;">
                                <div class=" slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media slds-media_center slds-has-flexi-truncate">

                                    <div class="slds-media__body slds-p-bottom--small">
                                        <h2 class="slds-card__header-title">
                                            <span class="slds-text-body_regular"><b>Amazon S3 Mode Settings</b></span>
                                        </h2>
                                    </div>
                                </div>
                                <div class="slds-scrollable" id="successbox" runat="server" visible="false">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme--success" role="alert">
                                                <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                            </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                    <h2 class="slds-text-body_regular "><asp:Label ID="lbError" runat="server"></asp:Label></h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose1">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div> 
                                <div class="slds-p-top_medium slds-col slds-small-size_1-of-1 background-body-color--default">
                                    <asp:DetailsView ID="detailsviewAmazonS3ModeSettings" runat="server" AutoGenerateRows="False"
                                        BackColor="White" OnItemUpdating="detailsviewAmazonS3ModeSettings_ItemUpdating"
                                        DataSourceID="odsAmazonS3ModeSettings" BorderStyle="None" GridLines="None">
                                        <Fields>
                                            <asp:TemplateField HeaderText="Amazon S3 Storage Mode:" SortExpression="Characters">
                                                <EditItemTemplate>
                                                    <asp:DropDownList ID="edAmazonS3Mode" runat="server" DataSourceID="odsAmazonS3Mode" SelectedValue='<%# Bind("Mode") %>' CssClass="slds-select" Font-Bold="false"/>
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    <asp:DropDownList ID="edAmazonS3ModeSelected" runat="server" Text='<%# Bind("Mode") %>'  CssClass="slds-select" Font-Bold="false" />
                                                </InsertItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="lblCharacters" runat="server" Text='<%# Bind("Mode") %>' Font-Bold="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Right" />
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblCharHeader" runat="server" Text="Amazon S3 Storage Mode"  Font-Bold="false" CssClass="slds-form-element__label"/>
                                           
                                                         <cc2:Help ID="helpAmazonS3Mode" runat="server" HelpMessageID="Resources.Help.AmazonS3Mode">
                                                    </cc2:Help>
                                           
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_small">
                                                <EditItemTemplate>
                                                    <div class="slds-p-vertical_small slds-grid slds-wrap">
                                                        <div>
                                                            <asp:Button ID="btnUpdate" runat="server" CommandName="Update" SkinID="DefaultButton" Text="Update" CssClass="slds-button slds-button_brand slds-m-top_small" Font-Bold="false" />
                                                            <asp:Button ID="btnCancel" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" CssClass="slds-button slds-button_neutral slds-m-top_small" Font-Bold="false" />
                                                        </div>
                                                        <div class="slds-col slds-small-size_1-of-12">
                                                            <asp:UpdateProgress ID="UpdateProgress1" runat="server">
                                                                <ProgressTemplate>
                                                                    <div class="slds-spinner_container">
                                                                        <div class="demo-only">
                                                                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                                <span class="slds-assistive-text">Loading</span>
                                                                                <div class="slds-spinner__dot-a"></div>
                                                                                <div class="slds-spinner__dot-b"></div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </ProgressTemplate>
                                                            </asp:UpdateProgress>
                                                        </div>
                                                    </div>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <div><asp:Button ID="btnEdit" runat="server" CausesValidation="False" CommandName="Edit" SkinID="DefaultButton" Text="Edit" CssClass="slds-button slds-button_neutral" /></div> 
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Right" />
                                            </asp:TemplateField>
                                        </Fields>
                                        <FieldHeaderStyle Width="250px" />
                                        <HeaderStyle Width="200px" />
                                    </asp:DetailsView>
                                </div>
                                <div class="slds-p-around_medium slds-col slds-size_1-of-1 slds-large-size_1-of-1">
                                    <asp:HiddenField ID="hdnID" runat="server" />
                                    <asp:ObjectDataSource ID="odsAmazonS3ModeSettings" runat="server" SelectMethod="GetSettingsByID"
                                        TypeName="enzigma.sforce.webapp.code.business.AmazonS3ModeSettings">
                                        <SelectParameters>
                                            <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
                                        </SelectParameters>
                                    </asp:ObjectDataSource>
                                    <asp:ObjectDataSource ID="odsAmazonS3Mode" runat="server" SelectMethod="GetAmazonS3ModeNames"
                                        TypeName="enzigma.sforce.webapp.code.business.AmazonS3ModeSettings"></asp:ObjectDataSource>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
