<%@ Page Language="C#" AutoEventWireup="true" Inherits="FTPServers"
MasterPageFile="~/MasterPage.master" CodeBehind="FTPServers.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="System.Web.Extensions" Namespace="System.Web.UI" TagPrefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <style type="text/css">
    .normalfont{
        font-weight: normal;
    }
</style>
<script language="javascript" type="text/javascript">

    function hideToast() {
        $('#PageContent_toast').css('display', 'none');
        $('#PageContent_toastError').css('display', 'none');
        $('#PageContent_toaststatus').css('display', 'none');
        document.getElementById('<%=lbError.ClientID%>').value = "";
        document.getElementById('<%=lblErrorMsg.ClientID%>').value = "";
        document.getElementById('<%=lblstatus.ClientID%>').value = "";
        return false;
    }
    function ConfirmDelete(ev) {
        var bAgree = confirm('Are you sure you want to delete selected profile?');
        if (bAgree == true) {
            //window.event.cancelBubble = true;
            //window.event.returnValue = false;
            return true;
        }
        else {
            return false;
        }
    }
    $(document).ready(function () {
        $('link[href="../../App_Themes/Default/common.css"]').remove();
        document.getElementById('PageContent_detailsViewProfile').removeAttribute("style");
        $('tr').removeAttr('style');
        $('td').removeAttr('style');
    });


    function OnToggle(strLink, strDiv) {
        var divDisplay = document.getElementById(strDiv);
        var linkToggle = document.getElementById(strLink);
        if (divDisplay.style.display == '') {
            divDisplay.style.display = 'none';
            //linkToggle.innerHTML = 'Example &gt;&gt;';
        }
        else {
            divDisplay.style.display = '';
            //linkToggle.innerHTML = 'Example &lt;&lt;';
        }
    }
</script>

<asp:HiddenField ID="hdnID" runat="server" />
<asp:ScriptManager ID="ScriptManager" runat="server">
</asp:ScriptManager>
<div class="slds-scope">

    <div class="slds-p-around_small">
        <div class="slds-page-header">
            <div class="slds-grid">
                <div class="slds-col slds-has-flexi-truncate">
                    <div class="slds-media slds-no-space slds-grow">
                        <div class="slds-media__figure">
                            <span class="slds-icon_container slds-icon-standard-opportunity" title="FTP Server">
                                <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                            <use xlink:href="../../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#setup" class="slds-p-around_small"></use>
                                    </svg>
                            </span>
                        </div>
                        <div class="slds-media__body">
                            <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>FTP Server</span>
                                        </ul>
                                    </ol>
                                </nav>
                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Additional Servers</h1>
                        </div>
                    </div>
                </div>
                <div class="slds-col slds-no-flex slds-grid slds-align-top">
                </div>
            </div>
            <div class="slds-grid slds-page-header__detail-row">
                <div class="slds-grid slds-wrap slds-p-around--small">
                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                        <p>
                            You can store your attachments to any of the servers you provide below.A parameter called 'ServerProfile' on the Attach page will decide which server profile to be used to store the attachment.

                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-p-horizontal_small slds-p-bottom_xx-large">
        <div class="slds-card">
            <div class="slds-media__body"></div>
            <div class="slds-card__body slds-card__body--inner slds-p-top--small">

                <div class="slds-box">
                    <div class="slds-grid  slds-wrap">
                        <h2 class="slds-text-heading--small slds-float_left">
                            <span class="slds-text-heading_small slds-text-color--default ">
                                <b>Additional Servers</b></span>
                        </h2>
                    </div>
                    <asp:UpdatePanel ID="UpdatePanel" runat="server" UpdateMode="Conditional">
                        <contenttemplate>
                                    <div class="slds-grid slds-wrap slds-p-top_small">
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
							                    <div class="slds-box">
                                                        <div class="slds-p-around_small slds-grid slds-wrap slds-theme--shade">
                                                    <a class="headingstyle" id="linkExample" href="javascript:OnToggle('linkExample','divExample');">Example
                                                    <span data-slds-trend="brand" class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                                                <svg viewbox="0 0 16 16" aria-hidden="true">
                                                                    <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                                                    <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                                                </svg>
                                                    </span>
							                    </a>
							                        <div id="divExample" style="display: none" class="slds-size--1-of-1">
								                        <strong><b>Example:</b></strong><br />
								                        <strong><b>Problem:</b></strong> You have 2 servers one in USA, and one in India Now if
								                        the case is from USA you want to store the attachment in US Server, and if case
								                        is from any other country attachment should be stored in India server.
								                        <br />
								                        <br />
								                        <strong><b>Solution:</b></strong> For this create two servers here, one with name 'US' &
								                        another with 'India'. Now in custom link of Attach (FTP) of Case introduce a ServerProfile
								                        parameter and point it to US if country of the case is USA and India otherwise.<br />
								                        <br />
								                        <span class="slds-size--1-of-1"><i>https://orektic-b-dev-ed.my.salesforce.com/apex/ENZ__LightningEval?URLToBeRedirect=https://app.ftpattachments.com<br/>
                                                                /ftp/Attach.aspx?FieldName=Case__c<br/>&FieldValue={!Case.Id}<strong>&ServerProfile={!IF(
                                                                Contact.MailingCountry<br/> = "United States", "US", "India")}</strong><br/>
                                                                &OrgID={!Organization.Id}&
                                                                SFUrl={!API.Partner_Server_URL_510}</i>
								                        </span></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                   
                                <div>
							        <asp:Label ID="lbStatus" runat="server" SkinID="Error" EnableViewState="False"></asp:Label>
                                </div>

                                <div  class="slds-box slds-m-top_medium">
							    <h1>  For Salesforce Users</h1><br />
							    <span class="SubHeading"><b>In case server profile with name specified in ServerProfile
								    parameter is not found, what action should be taken?</b></span><br />

							    <asp:RadioButtonList ID="rdListNotFoundAction" runat="server">
								    <asp:ListItem Value="Error" Selected="True"><span class="normalfont">It should display error to the user, that specified profile not found.</span></asp:ListItem>
								    <asp:ListItem Value="Default"><span class="normalfont">Attachment should be saved to the Default server</span></asp:ListItem>
								    <asp:ListItem Value="Prompt"><span class="normalfont">Prompt the user to specify profile using which attachment should be saved&lt;br /&gt;&lt;span class=&quot;normalfont SubHeading&quot;&gt;Irrespective of ServerProfile parameter passed in the URL prompt for the Server Profile to use for the attachment&lt;/span&gt;</span></asp:ListItem>
								    <asp:ListItem Value="AlwaysPrompt"><span class="normalfont">Always prompt the user to specify profile using which attachment should be saved.</span></asp:ListItem>
							    </asp:RadioButtonList>
							     
                                      
                                            <asp:Button ID="btnSave" runat="server" Text="Save" CausesValidation="false" SkinID="DefaultButton" OnClick="btnSave_Click"  CssClass="slds-button slds-button--brand"></asp:Button>
									
										    <asp:Label ID="lbSaveError" runat="server"  EnableViewState="False" CssClass="slds-text-body_regular slds-text-color_error"></asp:Label>
					                </div>  
                                       
                                <div class="slds-box slds-m-top_medium">

                                                        <div class="slds-grid slds-wrap">
                                                                <asp:Button ID="btnNewProfile" runat="server" Text="New Profile" OnClick="btnNewProfile_Click" CausesValidation="false" SkinID="DefaultButton" CssClass="slds-button slds-button--brand"></asp:Button>
                                                        </div>
                                                        
                                                        <div class="slds-grid slds-wrap slds-align_absolute-center">
                                                                    <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                                                                    <div class="demo-only">
                                                                                <div class="slds-notify_container slds-is-relative">
                                                                                        <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                                                                    <span class="slds-assistive-text">success</span>
                                                                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                                                                                    </svg>
                                                                                                        </span>
                                                                                                            <div class="slds-notify__content">
                                                                                                                    <h2 class="slds-text-body_regular ">
                                                                                                                            <asp:Label ID="lbError" runat="server" SkinID="Error" EnableViewState="False" style="margin-top:5px" ></asp:Label><br />
                                                                                                            </h2>  </div>
                                                                                                             
                                                                                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                                                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                                                                        </svg>
                                                                                                                        <span class="slds-assistive-text">Close</span>
                                                                                                        </button>
                                                                                        </div>
                                                            </div>
                                                                                    </div>
                                                                        </div>

                                                                    <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                                                            <div class="demo-only" style=" position:sticky;">
                                                                                        <div class="slds-notify_container slds-is-relative">
                                                                                                <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                                                                    <span class="slds-assistive-text">error</span>
                                                                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                                                                                                    </svg>
                                                                                                    </span>
                                                                                                        <div class="slds-notify__content">
                                                                                                            <h2 class="slds-text-body_regular ">
                                                                                                        <asp:Label ID="lblErrorMsg" runat="server" SkinID="Error" EnableViewState="False" style="margin-top:5px"></asp:Label><br />
                                                                                                    </h2>  </div>

                                                                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                                                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                                                                    </svg>
                                                                                                            <span class="slds-assistive-text">Close</span>
                                                                                                        </button>
                                                                                                </div>
                                                                                        </div>
                                                                            </div>
                                                                    </div>
                                                                    <div id="toaststatus" class="slds-scrollable" style="display: none;" runat="server">
                                                                                <div class="demo-only">
                                                                                    <div class="slds-notify_container slds-is-relative">
                                                                                                <div class="slds-notify slds-notify_toast slds-theme_info" role="alert">
                                                                    <span class="slds-assistive-text">error</span>
                                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#info" />
                                                                        </svg>
                                                                    </span>
                                                                    <div class="slds-notify__content">
                                                                            <h2 class="slds-text-body_regular ">
                                                                        <asp:Label ID="lblstatus" runat="server" SkinID="Error" Width="100%"></asp:Label>
                                                                </h2>     </div>
                                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close"  onclick="return hideToast()">
                                                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                        </svg>
                                                                        <span class="slds-assistive-text">Close</span>
                                                                    </button>
                                                                </div>
                                                                                        </div>
                                                                                </div>
                                                                    </div>
                                                    </div>

                                                        <div class="slds-p-top_small slds-col  slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_6-of-12 background-body-color--default">
                                                                
                                                            <asp:DetailsView ID="detailsViewProfile" runat="server" AutoGenerateRows="False"  GridLines="None"
								                                BorderStyle="None"  DataSourceID="ServerProfile" OnItemInserting="detailsViewProfile_ItemInserting"
								                                OnItemUpdating="detailsViewProfile_ItemUpdating" OnDataBound="detailsViewProfile_DataBound" DefaultMode="Insert">
								                                <Fields>
									                                <asp:TemplateField HeaderText="Server Type:" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:DropDownList ID="cmbStorageType" runat="server" AutoPostBack="True" OnSelectedIndexChanged="cmbStorageType_SelectedIndexChanged"
												                                SelectedValue='<%# Bind("StorageType") %>' DataSourceID="odsrcStorageTypes" DataTextField="Value" DataValueField="Key" CssClass="slds-select" Font-Bold="false">
											                                </asp:DropDownList>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:DropDownList ID="cmbStorageType" runat="server" AutoPostBack="True" OnSelectedIndexChanged="cmbStorageType_SelectedIndexChanged"
												                                SelectedValue='<%# Bind("StorageType") %>' DataSourceID="odsrcStorageTypes" DataTextField="Value" DataValueField="Key" OnDataBound="cmbStorageType_DataBound" CssClass="slds-select" Font-Bold="false">
											                                </asp:DropDownList>
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                &nbsp;<asp:Label ID="lbStorageType" runat="server" Text='<%# Bind("StorageType") %>' Font-Bold="false"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lbServerTypeHeader" runat="server" Text="Server Type" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="helpServerType" runat="server" HelpMessageID="Resources.Help.ServerType">
											                                </cc2:Help>
                                                                                </div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>

									                                <asp:TemplateField HeaderText="Profile Name:" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:TextBox ID="edProfile" runat="server" Text='<%# Bind("Name") %>' CssClass="slds-input slds-m-top_medium" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqProfile" runat="server" ControlToValidate="edProfile"
												                                Display="Dynamic" ErrorMessage="Field cant be empty" ></asp:RequiredFieldValidator>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:TextBox ID="edProfile" runat="server" Text='<%# Bind("Name") %>' CssClass="slds-input slds-m-top_medium" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqProfile" runat="server" ControlToValidate="edProfile"
												                                Display="Dynamic" ErrorMessage="Field cant be empty" ForeColor="red" Font-Bold="false"></asp:RequiredFieldValidator>
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                <asp:Label ID="Label2" runat="server" Text='<%# Bind("Name") %>' Font-Bold="false"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblProfileName" runat="server" Text="Profile Name" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="helpProfile" runat="server" HelpMessageID="Resources.Help.ServerProfile">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField SortExpression="Server" HeaderText="Host/IP Address:" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:TextBox ID="edHostName" runat="server"  Text='<%# Bind("Server") %>' CssClass="slds-input slds-m-top_medium" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqHostName" runat="server" ControlToValidate="edHostName"
												                                Display="Dynamic" ErrorMessage="Field cant be empty" Font-Bold="false"></asp:RequiredFieldValidator>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:TextBox ID="edHostName" runat="server"  Text='<%# Bind("Server") %>'  CssClass="slds-input slds-m-top_medium" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqHostName" runat="server" ControlToValidate="edHostName"
												                                Display="Dynamic" ErrorMessage="Field cant be empty" ForeColor="red" Font-Bold="false"></asp:RequiredFieldValidator>
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                &nbsp;<asp:Label ID="Label3" runat="server" Text='<%# Bind("Server") %>' Font-Bold="false"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblHostAddress" runat="server" Text="Host/IP Address" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                    <div class="slds-float_right">
                                                                            <cc2:Help ID="helpIPAddress" runat="server" HelpMessageID="Resources.Help.HostAddress">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField SortExpression="Login" HeaderText="Login" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:TextBox ID="edLogin" runat="server" Text='<%# Bind("Login") %>' MaxLength="255" CssClass="slds-input slds-m-top_medium" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqLogin" runat="server" ControlToValidate="edLogin"
												                                Display="Dynamic" ErrorMessage="Field cant be empty" Font-Bold="false"></asp:RequiredFieldValidator>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:TextBox ID="edLogin" runat="server" Text='<%# Bind("Login") %>' MaxLength="255"  CssClass="slds-input slds-m-top_medium" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqLogin" runat="server" ControlToValidate="edLogin"
												                                Display="Dynamic" ErrorMessage="Field cant be empty" ForeColor="red" Font-Bold="false"></asp:RequiredFieldValidator>
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                <asp:Label ID="Label4" runat="server" Text='<%# Bind("Login") %>' Font-Bold="false"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblLogin" runat="server" Text="Login" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="helpLogin" runat="server" HelpMessageID="Resources.Help.FtpLogin">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField HeaderText="Password" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:TextBox ID="edPassword" runat="server" Text='<%# Bind("Password") %>' TextMode="Password" CssClass="slds-input slds-m-top_medium" MaxLength="50" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqPassword" runat="server" ErrorMessage="Field cant be empty" ControlToValidate="edPassword" Display="Dynamic"></asp:RequiredFieldValidator>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:TextBox ID="edPassword" runat="server" Text='<%# Bind("Password") %>' TextMode="Password"  CssClass="slds-input slds-m-top_medium"
												                                MaxLength="50" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqPassword" runat="server" ErrorMessage="Field cant be empty" ControlToValidate="edPassword" Display="Dynamic" ForeColor="red"></asp:RequiredFieldValidator>
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                <asp:Label ID="lbPassword" runat="server" Text="********"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblPassword" runat="server" Text="Password" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="helpPassword" runat="server" HelpMessageID="Resources.Help.FtpPassword">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField HeaderText="Confirm Password:" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:TextBox ID="edCfmPassword" runat="server" TextMode="Password" MaxLength="50" CssClass="slds-input slds-m-top_medium"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqCfmPassword" runat="server" ErrorMessage="Field cant be empty" ControlToValidate="edCfmPassword" Display="Dynamic"></asp:RequiredFieldValidator><asp:CompareValidator
												                                ID="comparePassword" runat="server" ErrorMessage="Check the entered password" ControlToValidate="edCfmPassword"
												                                ControlToCompare="edPassword" Display="Dynamic" ForeColor="red" Font-Bold="false"></asp:CompareValidator>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:TextBox ID="edCfmPassword" runat="server" TextMode="Password" MaxLength="50"  CssClass="slds-input slds-m-top_medium"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqCfmPassword" runat="server" ErrorMessage="Field cant be empty" ControlToValidate="edCfmPassword" Display="Dynamic" ForeColor="red"></asp:RequiredFieldValidator><asp:CompareValidator
												                                ID="comparePassword" runat="server" ErrorMessage="Check the entered password" ControlToValidate="edCfmPassword"
												                                ControlToCompare="edPassword" Display="Dynamic" ForeColor="red" Font-Bold="false"></asp:CompareValidator>
										                                </InsertItemTemplate>
										                                <HeaderStyle Wrap="False"></HeaderStyle>
										                                <ItemTemplate>
											                                <asp:Label ID="lbCfmPassword" runat="server" Text="********"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblConfirmPassword" runat="server" Text="Confirm Password" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
											                                    <div class="slds-float_right">
                                                                            <cc2:Help ID="helpConfirm" runat="server" HelpMessageID="Resources.Help.ConfirmPassword">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField SortExpression="Port" HeaderText="Port:" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:TextBox ID="edPort" runat="server" Text='<%# Bind("Port") %>' MaxLength="7" CssClass="slds-input slds-m-top_medium" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqPort" runat="server" ControlToValidate="edPort"
												                                Display="Dynamic" ErrorMessage="Check the entered password" ForeColor="red" Font-Bold="false"></asp:RequiredFieldValidator>
											                                <asp:RegularExpressionValidator ID="regPort" runat="server" ControlToValidate="edPort"
												                                Display="Dynamic" ErrorMessage="Please enter number" Font-Bold="false" ValidationExpression="[0-9]+"></asp:RegularExpressionValidator>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:TextBox ID="edPort" runat="server" Text='<%# Bind("Port") %>' MaxLength="7"  CssClass="slds-input slds-m-top_medium" Font-Bold="false">
											                                </asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqPort" runat="server" ControlToValidate="edPort"
												                                Display="Dynamic" ErrorMessage="Check the entered password" ForeColor="red" Font-Bold="false"></asp:RequiredFieldValidator>
											                                <asp:RegularExpressionValidator ID="regPort" runat="server" ControlToValidate="edPort"
												                                Display="Dynamic" ErrorMessage="Please enter number" Font-Bold="false" ValidationExpression="[0-9]+"></asp:RegularExpressionValidator>
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                &nbsp;<asp:Label ID="Label5" runat="server" Text='<%# Bind("Port") %>' Font-Bold="false"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblPort" runat="server" Text="Port" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="helpPort"	runat="server" HelpMessageID="Resources.Help.FtpServerPort">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField HeaderText="Max. File Size (KB):" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:TextBox ID="edMaxFileSize" runat="server" Font-Bold="false" Text='<%# Bind("MaxFileSize") %>' CssClass="slds-input slds-m-top_medium"
												                                MaxLength="7">
											                                </asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqMaxFileSize" runat="server" ControlToValidate="edMaxFileSize"
												                                Display="Dynamic" ErrorMessage="Field cant be empty" Font-Bold="false"></asp:RequiredFieldValidator>
											                                <asp:RegularExpressionValidator ID="regMaxFileSize" Display="Dynamic" runat="server"
												                                ControlToValidate="edMaxFileSize" ValidationExpression="[0-9]+" ErrorMessage="Please enter number"></asp:RegularExpressionValidator>
										                                    <asp:RangeValidator ID="validateMaxFileSize" runat="server" 
                                                                                ControlToValidate="edMaxFileSize" Display="Dynamic" 
                                                                                ErrorMessage="Max File Size allowed is 1.99GB" MaximumValue="2093056" 
                                                                                MinimumValue="0" Type="Integer" Font-Bold="false"></asp:RangeValidator>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:TextBox ID="edMaxFileSize" runat="server" Text='<%# Bind("MaxFileSize") %>'  CssClass="slds-input slds-m-top_medium"
												                                MaxLength="7" Font-Bold="false"></asp:TextBox>
											                                <asp:RequiredFieldValidator ID="reqMaxFileSize" runat="server" ControlToValidate="edMaxFileSize"
												                                Display="Dynamic" ErrorMessage="Field cant be empty" ForeColor="red" Font-Bold="false"></asp:RequiredFieldValidator>
											                                <asp:RegularExpressionValidator ID="regMaxFileSize" runat="server" ControlToValidate="edMaxFileSize"
												                                Display="Dynamic" ErrorMessage="Please enter number" ValidationExpression="[0-9]+" Font-Bold="false"></asp:RegularExpressionValidator>
										                                    <asp:RangeValidator ID="validateMaxFileSize" runat="server" 
                                                                                ControlToValidate="edMaxFileSize" Display="Dynamic" 
                                                                                ErrorMessage="Max File Size allowed is 1.99GB" MaximumValue="2093056" 
                                                                                MinimumValue="0" Type="Integer" Font-Bold="false"></asp:RangeValidator>
										                                </InsertItemTemplate>
										                                <HeaderStyle Wrap="False"></HeaderStyle>
										                                <ItemTemplate>
											                                <asp:Label ID="Label6" runat="server" Text='<%# Bind("MaxFileSize") %>' Font-Bold="false"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblMaxFileSize" runat="server" Text="Max. File Size (KB)" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="helpMaxFile" runat="server" HelpMessageID="Resources.Help.MaxFileSize">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField SortExpression="DefaultFolder" HeaderText="Default Folder">
										                                <EditItemTemplate>
											                                <asp:TextBox ID="edDefaultFolder" runat="server" Text='<%# Bind("DefaultFolder") %>' CssClass="slds-input slds-m-top_medium"
												                                MaxLength="100" Font-Bold="false"></asp:TextBox>
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:TextBox ID="edDefaultFolder" runat="server" Text='<%# Bind("DefaultFolder") %>'  CssClass="slds-input slds-m-top_medium"
												                                MaxLength="100" Font-Bold="false"></asp:TextBox>
										                                </InsertItemTemplate>
										                                <HeaderStyle Wrap="False"></HeaderStyle>
										                                <ItemTemplate>
											                                <asp:Label ID="Label7" runat="server" Text='<%# Bind("DefaultFolder") %>' Font-Bold="false"></asp:Label>
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblDefaultFolder" runat="server" Text="Default Folder" class="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="helpFolder" runat="server" HelpMessageID="Resources.Help.DefaultFolder">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField HeaderText="Passive Mode?:" SortExpression="Passive" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("Passive") %>' Font-Bold="false" />
										                                </EditItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblPassiveMode" runat="server" Text="Passive Mode?" class="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.PassiveMode">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
										                                <InsertItemTemplate>
											                                <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("Passive") %>' Font-Bold="false" />
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("Passive") %>' Enabled="false" Font-Bold="false" />
										                                </ItemTemplate>
										                                <HeaderStyle Wrap="False" />
									                                </asp:TemplateField>
									                                <asp:TemplateField HeaderText="Auth TLS" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:CheckBox ID="chkAuthTLS" runat="server" AutoPostBack="True" Checked='<%# Bind("AuthTLS") %>'
												                                OnCheckedChanged="chkAuthTLS_CheckedChanged" Font-Bold="false" />
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:CheckBox ID="chkAuthTLS" runat="server" AutoPostBack="True" Checked='<%# Bind("AuthTLS") %>'
												                                OnCheckedChanged="chkAuthTLS_CheckedChanged" Font-Bold="false" />
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                <asp:CheckBox ID="chkAuthTLS" runat="server" Checked='<%# Bind("AuthTLS") %>' Enabled="False" Font-Bold="false" />
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblAuthTLS" runat="server" Text="Auth TLS" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                            <cc2:Help ID="Help10" runat="server" HelpMessageID="Resources.Help.AuthTLS">
											                                </cc2:Help>
										                                </HeaderTemplate>
									                                </asp:TemplateField> 
									                                <asp:TemplateField HeaderText="SSL" ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
											                                <asp:CheckBox ID="chkSSL" runat="server" AutoPostBack="True" Checked='<%# Bind("SSL") %>'
												                                OnCheckedChanged="chkSSL_CheckedChanged" Font-Bold="false" />
										                                </EditItemTemplate>
										                                <InsertItemTemplate>
											                                <asp:CheckBox ID="chkSSL" runat="server" AutoPostBack="True" Checked='<%# Bind("SSL") %>'
												                                OnCheckedChanged="chkSSL_CheckedChanged" Font-Bold="false" />
										                                </InsertItemTemplate>
										                                <ItemTemplate>
											                                &nbsp;<asp:CheckBox ID="chkSSL" runat="server" Checked='<%# Bind("SSL") %>' Enabled="False" Font-Bold="false" />
										                                </ItemTemplate>
										                                <HeaderTemplate>
											                                <asp:Label ID="lblSSL" runat="server" Text="SSL" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                                                <div class="slds-float_right">
                                                                            <cc2:Help ID="Help11" runat="server" HelpMessageID="Resources.Help.SSL">
											                                </cc2:Help></div>
										                                </HeaderTemplate>
									                                </asp:TemplateField>
									                                <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_xx-small">
										                                <EditItemTemplate>
                                                                                        <asp:Button ID="btnUpdate" runat="server" Text="Update" CommandName="Update" SkinID="DefaultButton" CssClass="slds-button slds-button--brand slds-m-top_medium" Font-Bold="false"></asp:Button>			
                                            			                                <asp:Button ID="btnCancel" runat="server" Text="Cancel" CommandName="Cancel" OnClick="btnCancel_Click" CausesValidation="False" CssClass="slds-button slds-button_neutral slds-m-top_medium" Font-Bold="false"></asp:Button>
                                                                              

										                                </EditItemTemplate>
										                                <InsertItemTemplate>
													                                        <asp:Button ID="btnAdd" runat="server" CommandName="Insert" SkinID="DefaultButton" Text="Add" CssClass="slds-button slds-button--brand slds-m-top_medium" Font-Bold="false"></asp:Button>
											                                                <asp:Button ID="ImageButton2" runat="server" CausesValidation="False" Text="Cancel" OnClick="btnCancel_Click" CommandName="Cancel" CssClass="slds-button slds-button_neutral slds-m-top_medium" Font-Bold="false"></asp:Button>
										                                </InsertItemTemplate>
										                                <ItemTemplate>	
														                                <asp:Button  ID="btnEdit" runat="server"  SkinID="DefaultButton" Text="Edit"  CommandName="Edit"  OnClick="btnEdit_Click" CausesValidation="False" CssClass="slds-button slds-button_neutral slds-m-top_medium" Font-Bold="false" ></asp:Button>
													
														                                <asp:Button ID="btnTestDirectory" runat="server" Text="Test Settings" OnClick="btnTestDirectory_Click" CausesValidation="False" CssClass="slds-button slds-button--brand slds-m-top_medium" Font-Bold="false"></asp:Button>
										                                </ItemTemplate>
									                                </asp:TemplateField>
								                                </Fields>
								                                <FieldHeaderStyle ></FieldHeaderStyle>
							                                </asp:DetailsView>
                                                            </div>
                                                                <asp:UpdateProgress ID="UpdatePanelSetting" runat="server">
                                                                    <progresstemplate>
									                                     
                                                                    <div class="slds-spinner_container">
                                                                        <div class="demo-only" >
                                                                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                                <span class="slds-assistive-text">Loading</span>
                                                                                <div class="slds-spinner__dot-a"></div>
                                                                                <div class="slds-spinner__dot-b"></div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                         
							                                    </progresstemplate>
                                                            </asp:UpdateProgress>
							    <asp:ObjectDataSource ID="ServerProfiles" runat="server" SelectMethod="GetFTPServers"
								    TypeName="enzigma.sforce.webapp.code.FTP" DeleteMethod="DeleteFTPServer">
								    <SelectParameters>
									    <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
								    </SelectParameters>
							    </asp:ObjectDataSource>
							    <asp:ObjectDataSource ID="ServerProfile" runat="server" SelectMethod="GetFTPProfile"
								    TypeName="enzigma.sforce.webapp.code.FTP">
								    <SelectParameters>
									    <asp:ControlParameter ControlID="hdnID" Name="strID" PropertyName="Value" Type="String" />
									    <asp:ControlParameter ControlID="gridServerProfiles" DefaultValue="" Name="strProfileName"
										    PropertyName="SelectedValue" />
								    </SelectParameters>
							    </asp:ObjectDataSource>
							    <asp:ObjectDataSource ID="odsrcStorageTypes" runat="server" SelectMethod="GetStorageTypes"
		                            TypeName="enzigma.sforce.webapp.code.Business">
	                            </asp:ObjectDataSource>
					 
                                       
                            <div class="slds-grid slds-wrap slds-m-top_medium slds-scrollable">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
							    <asp:GridView ID="gridServerProfiles" runat="server" AutoGenerateColumns="False"
								    AutoGenerateSelectButton="True" DataKeyNames="Name" DataSourceID="ServerProfiles"
								    EmptyDataRowStyle-CssClass="GridHeader" EmptyDataText=""
								    OnRowDeleting="gridServerProfiles_RowDeleting">
								    <Columns>
									    <asp:BoundField DataField="StorageType" HeaderText="Type" />
									    <asp:BoundField DataField="Name" HeaderText="Name" />
									    <asp:BoundField DataField="Server" HeaderText="Host/IP" />
									    <asp:BoundField DataField="Login" HeaderText="Login" />
									    <asp:BoundField DataField="Port" HeaderText="Port" />
									    <asp:BoundField DataField="DefaultFolder" HeaderText="Folder" />
									    <asp:BoundField DataField="MaxFileSize" HeaderText="Max. Size (KB)" />
									    <asp:TemplateField ShowHeader="False">
										    <ItemTemplate>
											    <asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" CommandName="Delete"
												    OnClientClick="return ConfirmDelete()" Text="Delete"></asp:LinkButton>
										    </ItemTemplate>
									    </asp:TemplateField>
								    </Columns>
							    </asp:GridView>
                                    </div>
                        </div>

                        </div>                                    
                                    
                                </contenttemplate>
                    </asp:UpdatePanel>



                    <strong><b>Please Note: </b></strong>By default we have provided settings of Orektic's
							        demo FTP server, we do clean this FTP server every day, please DO NOT put any valuable
							        or sensitive data in this server. We will not be responsible for any such data loss.
							           
                <br />
                    When you use the Local server in storage type on our servers the file are stored
							        on our application server in a particular directory, so you can not specify absolute
							        path in the default folder for Local server.
		                       
                </div>
            </div>
        </div>
    </div>
</div>


</asp:Content>
