<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    Inherits="FileNameSettingsPage" Title="File Name Settings" CodeBehind="FilenameSettings.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="Server">

    <style>
        .setmargin {
            margin-left: 10px;
        }
    </style>
    <script type="text/javascript" language="javascript">

        $(document).ready(function () {
            $('link[href="../../App_Themes/Default/common.css"]').remove();
            if (document.getElementById("<%=detailsviewFileSettings.FindControl("chkDuplicateAllowed").ClientID%>").checked)
                document.getElementById("divDuplicateFileName").style.display = ""; // This line makes the DIV visible

        });

        function hideToast() {
            $('#PageContent_toast').css('display', 'none');
            document.getElementById('<%=toast.ClientID%>').value = "";
            return false;
        }
        function showHide() {

            if (document.getElementById("<%=detailsviewFileSettings.FindControl("chkDuplicateAllowed").ClientID%>").checked) {
                document.getElementById("chkDuplicateMsg").style.display = ""; // This line makes the DIV visible
            }
            else {
                document.getElementById("chkDuplicateMsg").style.display = "none"; // This line hides the DIV
            }
        }
        function OnToggle(strLink, strDiv, strText) {
            var divDisplay = document.getElementById(strDiv);
            var linkToggle = document.getElementById(strLink);
            if (divDisplay.style.display == '') {
                divDisplay.style.display = 'none';
                //linkToggle.innerHTML = strText + '&gt;&gt;';
            }
            else {
                divDisplay.style.display = '';
                //linkToggle.innerHTML = strText + '&lt;&lt;';
            }
        }

    </script>
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <div class="slds-scope">

                <div class="slds-p-around_small">
                    <div class="slds-page-header">
                        <div class="slds-grid">
                            <div class="slds-col slds-has-flexi-truncate">
                                <div class="slds-media slds-no-space slds-grow">
                                    <div class="slds-media__figure">
                                        <span class="slds-icon_container slds-icon-standard-opportunity" title="File Name Settings">
                                            <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#add_file" class="slds-p-around_small"></use>
                                        </svg>
                                        </span>
                                    </div>
                                    <div class="slds-media__body">
                                        <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>File</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                        <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">File Name Settings</h1>
                                    </div>
                                </div>
                            </div>
                            <div class="slds-col slds-no-flex slds-grid slds-align-top">
                            </div>
                        </div>
                        <div class="slds-grid slds-page-header__detail-row">
                            <div class="slds-grid slds-wrap slds-p-around--small">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                    <p>You can set different parameters to allow or disallow certain filenames.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="slds-p-horizontal_small slds-p-bottom--small">
                    <div class="slds-card">
                        <div class="slds-media__body"></div>
                        <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                            <div class="slds-box">
                                <div class="slds-media ">
                                    <div class="slds-media__figure">
                                    </div>

                                </div>
                                <div class="slds-grid  slds-wrap">
                                    <h2 class="slds-text-heading--small slds-float_left">
                                        <span class="slds-text-heading_small slds-text-color--default ">
                                            <b>File Name Settings</b></span>
                                    </h2>
                                </div>
                                <div class="slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                        <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                            <div class="demo-only">
                                                <div class="slds-notify_container slds-is-relative">
                                                    <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                        <span class="slds-assistive-text">info</span>
                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                    </svg>
                                                        </span>
                                                        <div class="slds-notify__content">
                                                             <h2 class="slds-text-body_regular">
                                                                <asp:Label ID="lbError" runat="server"></asp:Label>
                                                                <asp:Label ID="lblErrorInfo" runat="server"></asp:Label>
                                                             </h2>
                                                        </div>
                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                    </svg>
                                                            <span class="slds-assistive-text">Close</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-grid slds-wrap slds-scrollable">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                        <div class="slds-p-around_small slds-grid slds-wrap slds-theme--shade">
                                            <div id="divDuplicateFileName" style="display: none">
                                                <p class="ErrorText"><strong>Note:</strong> You have allowed Duplicate FileName by enabling the "Is Duplicate FileName allowed" checkbox, so you will no longer be able to use FTP Attachments Premium. </p>
                                            </div>

                                            <a class="headingstyle" id="linkHelp" href="javascript:OnToggle('linkHelp','divHelpset','Help');">Help
                                                 <span data-slds-trend="brand" class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                                     <svg viewbox="0 0 16 16" aria-hidden="true">
                                               <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                               <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                            </svg>
                                                 </span>
                                            </a>
                                            <div id="divHelpset" style="display: none">
                                                <ol class="slds-list--ordered">
                                                    <li>
                                                        <p class="slds-text-align_left slds-m-top_medium">
                                                            <strong><b>Enabled/Disabled:</b></strong>
                                                        By default FTP Attachments allows
                                                        all characters in the filename by disable the checkbox. To allow selected characters in 
                                                        filename, enable the checkbox and enter the required characters
                                                        (Note : We do not allow ~ in any of the cases).
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-align_left">
                                                            <strong><b>Extensions to be Allowed/Denied:</b></strong>
                                                        You can add comma separated list
                                                        of extensions in this field. If you choose "Allow", only files with these extensions
                                                        can be attached using FTP Attachments. If you choose "Deny", all the files are allowed
                                                        to be attached except for the files with extension provided in the list.
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-align_left">
                                                            <p class="slds-text-align_left">
                                                                <strong><b>Is Duplicate FileName allowed:</b></strong>
                                                            </p>
                                                            By default it is unchecked.That
                                                            means, under the same object no two FTP Attachments are allowed with the same name.
                                                            If you check this checkbox, you can have multiple files with the same name under
                                                            the same object as FTP Attachments.
                                                        </p>
                                                    </li>
                                                    <li>
                                                        <p class="slds-text-align_left">
                                                            <strong><b>Note:</b></strong>
                                                            If you allow Duplicate FileName by enabling the checkbox, you will no longer be able to use FTP Attachments Premium.
                                                        </p>
                                                    </li>
                                                </ol>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="slds-grid slds-wrap slds-m-top_medium">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">

                                            <asp:DetailsView ID="detailsviewFileSettings" runat="server" AutoGenerateRows="False"
                                                OnItemUpdating="detailsviewFileSettings_ItemUpdating"
                                                DataSourceID="odsFileNameSettings" BorderStyle="None" GridLines="None" OnDataBound="detailsviewFileSettings_DataBound">

                                                <Fields>
                                                    <asp:TemplateField HeaderText="Characters Allowed/Denied:" SortExpression="Characters" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                        <EditItemTemplate>

                                                            <asp:TextBox ID="edAllowedCharacters" runat="server" Text='<%# Bind("Characters") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox><br />

                                                            <asp:RadioButtonList ID="rdlAllowDenyCharacters" runat="server" RepeatDirection="Horizontal"
                                                                SelectedValue='<%# Bind("CharacterAllowDeny") %>' OnSelectedIndexChanged="rdlAllowDenyCharacters_SelectedIndexChanged"
                                                                AutoPostBack="True" CssClass="setmargin" Font-Bold="false">
                                                                <asp:ListItem Value="Allow"><span style="font-weight:normal">&nbsp Allow &nbsp</span></asp:ListItem>
                                                                <asp:ListItem Value="Deny"><span style="font-weight:normal">&nbsp Deny &nbsp</span></asp:ListItem>
                                                            </asp:RadioButtonList>


                                                            <asp:RequiredFieldValidator
                                                                ID="validateAllowedCharacters" runat="server" ControlToValidate="edAllowedCharacters" CssClass="slds-text-color_error"
                                                                ErrorMessage="You must enter one or more symbols, if you have selected allow option.<br />"
                                                                Display="Dynamic" Font-Bold="false"></asp:RequiredFieldValidator><p style="font-weight: normal">
                                                                    Please enter comma separated
                                                                characters e.g. &,%,@
                                                            </p>
                                                            <br />
                                                            <asp:CustomValidator ID="OrFieldValidator" runat="server" Text="We do not allow -~/:*?\&quot;<>|#' [space] in file name" CssClass="slds-text-color_error"
                                                                OnServerValidate="fileNameValidation" ControlToValidate="edAllowedCharacters" Font-Bold="false" />
                                                        </EditItemTemplate>
                                                        <InsertItemTemplate>

                                                            <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Characters") %> ' Style="width: 100px" Font-Bold="false"></asp:TextBox>


                                                            <asp:RadioButtonList ID="rdlAllowDenyCharacters" runat="server" RepeatDirection="Horizontal"
                                                                SelectedValue='<%# Bind("CharacterAllowDeny") %>' Font-Bold="false">
                                                                <asp:ListItem Value="Allow" class="slds-p-horizontal--xx-small" ><span style="font-weight:normal">&nbsp Allow &nbsp</span></asp:ListItem>
                                                                <asp:ListItem Value="Deny" class="slds-p-horizontal--xx-small"><span style="font-weight:normal">&nbsp Deny &nbsp</span></asp:ListItem>
                                                            </asp:RadioButtonList>
                                                            <br />
                                                        </InsertItemTemplate>
                                                        <ItemTemplate>

                                                            <asp:Label ID="lblCharacters" runat="server" Text='<%# Bind("Characters") %>' CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>

                                                            <asp:RadioButtonList ID="rdlAllowDenyCharacters" runat="server" Enabled="False" RepeatDirection="Horizontal"
                                                                CellPadding="0" CellSpacing="0" SelectedValue='<%# Bind("CharacterAllowDeny") %>' Font-Bold="false">
                                                                <asp:ListItem Value="Allow"><span style="font-weight:normal">&nbsp Allow &nbsp</span></asp:ListItem>
                                                                <asp:ListItem Value="Deny"><span style="font-weight:normal">&nbsp Deny &nbsp</span></asp:ListItem>
                                                            </asp:RadioButtonList>

                                                        </ItemTemplate>
                                                        <HeaderStyle HorizontalAlign="Right" VerticalAlign="Top" />
                                                        <HeaderTemplate>
                                                            <asp:Label ID="lblCharHeader" runat="server" Text="Characters Allowed/Denied" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                            <div class="slds-float_right">
                                                                <cc2:Help ID="helpCharAllowed" runat="server" HelpMessageID="Resources.Help.FileNameChar">
                                                                </cc2:Help>
                                                            </div>
                                                        </HeaderTemplate>
                                                    </asp:TemplateField>

                                                    <asp:TemplateField HeaderText="Extensions Allowed/Denied:" SortExpression="Characters" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                        <EditItemTemplate>

                                                            <asp:TextBox ID="edExtensions" runat="server" Text='<%# Bind("Extensions") %>' CssClass="slds-input" Font-Bold="false"></asp:TextBox>

                                                            <asp:RadioButtonList ID="rdlExtensions" runat="server" RepeatDirection="Horizontal" CssClass="setmargin"
                                                                SelectedValue='<%# Bind("ExtensionAccess") %>' OnSelectedIndexChanged="rdlExtensions_SelectedIndexChanged"
                                                                AutoPostBack="True" Font-Bold="false">
                                                                <asp:ListItem Value="Allow"><span style="font-weight:normal">&nbsp Allow &nbsp</span></asp:ListItem>
                                                                <asp:ListItem Value="Deny"><span style="font-weight:normal">&nbsp Deny &nbsp</span></asp:ListItem>
                                                            </asp:RadioButtonList>

                                                            <asp:RequiredFieldValidator
                                                                ID="validateExtensionsRequired" runat="server" ControlToValidate="edExtensions" CssClass="slds-text-color_error"
                                                                ErrorMessage="You must enter one or more extensions if you have selected allow option.<br />"
                                                                Display="Dynamic" ForeColor="Red" Font-Bold="false"></asp:RequiredFieldValidator><p style="font-weight: normal">
                                                                    Please enter comma separated
                                                extensions e.g. txt,jpg,zip
                                                            </p>
                                                            <br />
                                                            <asp:CustomValidator ID="OrExtensionValidator" runat="server" Text="We do not allow -~/:*?\&quot;<>|!@#$%^&{};.'[space] in file extensions"
                                                                OnServerValidate="fileExtensionsValidation" ControlToValidate="edExtensions" Font-Bold="false" CssClass="slds-text-color_error" />
                                                            <%--<asp:RegularExpressionValidator ID="validateExtensions" runat="server" ControlToValidate="edExtensions"
                                            Display="Dynamic" ErrorMessage="<br />Only alphanumeric characters and , (coma) allowed."
                                            ValidationExpression="[a-zA-Z0-9,]*"></asp:RegularExpressionValidator>--%>
                                                        </EditItemTemplate>
                                                        <InsertItemTemplate>

                                                            <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Extensions") %>' Font-Bold="false"></asp:TextBox>

                                                            <asp:RadioButtonList ID="rdlExtensions" runat="server" RepeatDirection="Horizontal"
                                                                SelectedValue='<%# Bind("ExtensionAccess") %>' Font-Bold="false">
                                                                <asp:ListItem Value="Allow"><span style="font-weight:normal">&nbsp Allow &nbsp</span></asp:ListItem>
                                                                <asp:ListItem Value="Deny"><span style="font-weight:normal">&nbsp Deny &nbsp</span></asp:ListItem>
                                                            </asp:RadioButtonList>
                                                            <br />
                                                        </InsertItemTemplate>
                                                        <ItemTemplate>

                                                            <asp:Label ID="lblExtensions" runat="server" Text='<%# Bind("Extensions") %>'></asp:Label>

                                                            <asp:RadioButtonList ID="rdlExtensions" runat="server" Enabled="False" RepeatDirection="Horizontal"
                                                                CellPadding="1" CellSpacing="0" SelectedValue='<%# Bind("ExtensionAccess") %>' CssClass="slds-p-small--around" Font-Bold="false">
                                                                <asp:ListItem Value="Allow"><span style="font-weight:normal">&nbsp Allow &nbsp</span></asp:ListItem>
                                                                <asp:ListItem Value="Deny"><span style="font-weight:normal">&nbsp Deny &nbsp</span></asp:ListItem>
                                                            </asp:RadioButtonList>

                                                        </ItemTemplate>
                                                        <HeaderStyle HorizontalAlign="Right" VerticalAlign="Top" />
                                                        <ItemStyle VerticalAlign="Top" />
                                                        <HeaderTemplate>
                                                            <asp:Label ID="lblExtensionsHeader" runat="server" Text="Extensions Allowed/Denied" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                            <div class="slds-float_right">
                                                                <cc2:Help ID="helpExtensions" runat="server" HelpMessageID="Resources.Help.FileExtension">
                                                                </cc2:Help>
                                                            </div>
                                                        </HeaderTemplate>
                                                    </asp:TemplateField>

                                                    <asp:TemplateField HeaderText="Is Duplicate File Name Allowed?:" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                        <EditItemTemplate>

                                                            <input type="checkbox" id="chkDuplicateAllowed" onchange="showHide()" runat="server" checked='<%# Bind("IsDuplicateFileNameAllowed") %>' />
                                                            <div id="chkDuplicateMsg" style="display: none;">
                                                                Enabling this you will no longer be able to use <strong>FTP Attachments Premium</strong>.
                                                            </div>

                                                        </EditItemTemplate>
                                                        <ItemTemplate>

                                                            <input type="checkbox" id="chkDuplicateAllowed" onchange="showHide()" disabled="disabled" runat="server" checked='<%# Bind("IsDuplicateFileNameAllowed") %>' />

                                                        </ItemTemplate>
                                                        <ItemStyle VerticalAlign="Top" HorizontalAlign="Left" />
                                                        <InsertItemTemplate>

                                                            <input type="checkbox" id="chkDuplicateAllowed" onchange="showHide()" disabled="disabled" runat="server" checked='<%# Bind("IsDuplicateFileNameAllowed") %>' />

                                                        </InsertItemTemplate>
                                                        <HeaderStyle HorizontalAlign="Right" VerticalAlign="Top" />
                                                        <HeaderTemplate>
                                                            <asp:Label ID="lblDuplicateFileName" runat="server" Text="Is Duplicate File Name Allowed?" CssClass="slds-form-element__label" Font-Bold="false"></asp:Label>
                                                            <div class="slds-float--right">
                                                                <cc2:Help ID="helpDuplicate" runat="server" HelpMessageID="Resources.Help.FileNameDuplicate">
                                                                </cc2:Help>
                                                            </div>
                                                        </HeaderTemplate>
                                                    </asp:TemplateField>

                                                    <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                        <EditItemTemplate>
                                                            <asp:Button ID="btnUpdate" runat="server" Text="Update" SkinID="DefaultButton" CommandName="Update" CssClass="slds-button slds-button--brand slds-m-top_medium" Font-Bold="false"></asp:Button>

                                                            <asp:Button ID="btnCancel" runat="server" Text="Cancel" SkinID="DefaultButton" CommandName="Cancel" CssClass="slds-button slds-button_neutral slds-m-top_medium" CausesValidation="False" Font-Bold="false"></asp:Button>
                                                            <asp:UpdateProgress ID="UpdatePanelSetting" runat="server">
                                                                <ProgressTemplate>
                                                                    <div class="slds-spinner_container">
                                                                        <div class="demo-only">
                                                                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                                <span class="slds-assistive-text">Loading</span>
                                                                                <div class="slds-spinner__dot-a"></div>
                                                                                <div class="slds-spinner__dot-b"></div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </ProgressTemplate>
                                                            </asp:UpdateProgress>

                                                        </EditItemTemplate>
                                                        <ItemTemplate>
                                                            <asp:Button ID="btnEdit" runat="server" Text="Edit" SkinID="DefaultButton" CommandName="Edit" CausesValidation="true" CssClass="slds-button slds-button_neutral"></asp:Button>
                                                        </ItemTemplate>
                                                        <HeaderStyle HorizontalAlign="Right" />
                                                    </asp:TemplateField>

                                                </Fields>
                                                <FieldHeaderStyle />
                                                <HeaderStyle />
                                            </asp:DetailsView>

                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:HiddenField ID="hdnID" runat="server" />
    <asp:ObjectDataSource ID="odsFileNameSettings" runat="server" SelectMethod="GetSettingsByID"
        TypeName="enzigma.sforce.webapp.code.business.FileNameSettings">
        <SelectParameters>
            <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>
