<%@ Page Language="C#" MasterPageFile="~/OtherMaster.master" ClassName="FTPAttachmentsStorageServers" %>

<%@ Import Namespace="enzigma.sforce.webapp.code" %>

<script runat="server">
    protected override void OnPreInit(EventArgs e)
    {
       // UI.SetHelpMasterPage(Context, Page);
       // base.OnPreInit(e);
    }
</script>




<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PageContent">

    <link href="../../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="../../css/application_css/custom_2018.css" rel="stylesheet" />

    <script src="../../scripts/jquery-3.6.0.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            //$('link[href="../App_Themes/Default/common.css"]').prop('disabled', true);
            $('link[href="../../App_Themes/Default/common.css"]').remove();
        });
    </script>

    <div class="slds-p-around--small">
        <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
            <div class="slds-grid">
                <div class="slds-has-flexi-truncate">
                    <div class="slds-media slds-no-space slds-grow">
                        <div class="slds-media__figure">
                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Storage Server">
                                <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                    <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#database"></use>
                                </svg>
                            </span>
                        </div>
                        <div runat="server" id="tdTitle" class="slds-media__body">
                            <nav>
                                <ol class="slds-breadcrumb slds-line-height_reset">
                                    <ul class="slds-breadcrumb__item">
                                        <span>Storage Servers</span>
                                    </ul>
                                </ol>
                            </nav>
                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="Servers">Servers</h1>
                        </div>
                    </div>
                </div>
                <div class="slds-col slds-no-flex slds-grid slds-align-top">
                </div>
            </div>
            <div class="slds-grid slds-page-header__detail-row">
                <div class="slds-grid slds-wrap slds-p-around--small">
                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                        <asp:Label ID="Label8" runat="server" Text="FTP Attachments supports different type of servers. Here we come up with the list which are those." meta:resourcekey="Label2Resource1"></asp:Label>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-horizontal--small slds-text-color--default slds-text-body_regular slds-m-bottom--xx-large">
        <div class="slds-col slds-large-size--1-of-1 slds-small-size-1-of-1">
            <div class="slds-card slds-p-around--x-small">
                <div class="slds-box" style="padding: 0">
                    <div class="slds-card__header slds-grid slds-p-bottom--small">
                        <header class="slds-media slds-media_center slds-has-flexi-truncate">
                            <%--<div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-account" title="Server List">
                                    <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                        <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#list"></use>
                                    </svg>
                                    <span class="slds-assistive-text">Server's List</span>
                                </span>
                            </div>--%>
                            <div class="slds-media__body">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default"><b>List of server</b></span>
                                </h2>
                            </div>
                        </header>
                    </div>

                    <div class="slds-p-horizontal--small">
                        <div class="slds-text-longform slds-p-left--xx-small">
                             Initially Orektic's FTP Attachments was started with storing Salesforce attachments in FTP Servers. But now as per customer's requirements
                             we have started supporting many more servers to store the attachments, 
                            and will come up with more as the requirement grows.<br />
                                <br />
                            <h4 class=" slds-p-bottom--x-small">Currently we support following servers to store your salesforce attachments.</h4>
                        </div>
                        <div class="slds-p-vertical--small slds-box slds-m-vertical--x-small">
                            <div class="slds-text-body_regular ">
                                <h4 class="slds-text-title_caps slds-p-bottom--xx-small" style="color:#007add"><b>FTP Server</b></h4>
                                <div class="slds-p-vertical--x-small">
                                    FTP is widely accepted protocol to interchange files, we support any standard FTP based server.
                                </div>
                            </div>
                        </div>

                        <div class="slds-p-vertical--small slds-box slds-m-bottom--x-small">
                            <div class="slds-text-body_regular ">
                                <h4 class="slds-text-title_caps slds-p-bottom--xx-small" style="color:#007add"><b>Application Server (Local Server)</b></h4>
                                <div class="slds-p-vertical--x-small">
                                    FTP Attachments application runs on your own Windows server. 
                                    Your attachments can be stored on this same server using FTP Attachments without need of using any other server.
                                    This is most efficient way of storing attachments.
                                </div>
                            </div>
                        </div>

                        <div class="slds-p-vertical--small slds-box slds-m-bottom--x-small">
                            <div class="slds-text-body_regular ">
                                <h4 class="slds-text-title_caps slds-p-bottom--xx-small" style="color:#007add"><b>Secure FTP Server</b></h4>
                                <div class="slds-p-vertical--x-small">
                                  With increased security needs, new protocol for exchanging file is developed called Secure FTP which is also now supported by FTP Attachments.
                                  Basically Secure FTP protocol has two types of protocols explicit and implicit which can be handled through TLS and SSL flag in FTP Attachment Server profile.
                                </div>
                            </div>
                        </div>

                        <div class="slds-p-vertical--small slds-box slds-m-bottom--x-small">
                            <div class="slds-text-body_regular ">
                                <h4 class="slds-text-title_caps slds-p-bottom--xx-small" style="color:#007add"><b>S3 Server</b></h4>
                                <div class="slds-p-vertical--x-small">
                                    Amazon S3 has a simple web services interface that can be used to store and retrieve any amount of data, at any time, from anywhere on the web.
                                    In case you are using Standalone server you need to use your own Amazon S3 account, please enter your Amazon S3 Key in Login field and Security key in the Password field below. 
                                    In case you are using hosted application you will be using our Amazon S3 account.
                                </div>
                            </div>
                        </div>

                        <div class="slds-p-vertical--small slds-box slds-m-bottom--x-small">
                            <div class="slds-text-body_regular">
                                <h4 class="slds-text-title_caps slds-p-bottom--xx-small" style="color:#007add"><b>Multiple Server Support</b></h4>
                                <div class="slds-p-vertical--x-small">
                                    Multiple servers are supported to store your attachments in different servers in FTP Attachments Pro for additional charge per server.
                                    What this means is depending on object or object data attachment you are attaching to can be stored on different servers or different types of servers.
                                    For example you have 2 offices world wide, and depending on location the case goes to one of the two locations.
                                    At this time you want your attachment to go to appropriate location server where the case is, so accessing the attachment is efficient.
                                </div>
                            </div>
                        </div>


                        <div class="slds-p-vertical--small slds-box slds-m-bottom--x-small">
                            <div class="slds-text-body_regular ">
                                <h4 class="slds-text-title_caps slds-p-bottom--xx-small" style="color:#007add"><b>Organize Attachments in Folders (Directories)</b></h4>
                                <div class="slds-p-vertical--x-small">
                                  In FTP Attachments Pro you can organize your attachments in different folders (directories) depending on object type or object data.
                                  What this means is say whenever you create an attachment for case, it will be stored in the folder with name of the account to which case is assigned to.

                                    <ul class="slds-p-vertical--x-small">
                                        <li>
                                            <p>So any attachment of case of account "IBM" will be stored in folder called "IBM" in your server's <i>Default Folder</i></p>
                                        </li>
                                        <li>
                                            <p>And any attachment of case of account "Orektic" will be stored in folder called "Orektic" in your server's <i>Default Folder</i></p>
                                        </li>
                                    </ul>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

