<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangeEmail.aspx.cs" Inherits="ChangeEmail" MasterPageFile="~/MasterPage.master" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>


<asp:Content ID="AttachPage" ContentPlaceHolderID="PageContent" runat="server">
    <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />

    <script type="text/javascript" language="javascript">
        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove();
        });
        
        function hideToast() {
        
            $('#PageContent_toast').css('display', 'none');
            document.getElementById('<%=lbError.ClientID%>').value = "";
             document.getElementById('<%=edLogin.ClientID%>').value = "";
            return false;
        }
    </script>
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Manage Email">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Change Email</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Manage Email</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            You can change your Email Id of FTP Attachments application by entering your new Email.
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-p-bottom--small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default">
                                        <b>Manage Email</b></span>
                                </h2>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">

                                <div runat="server" id="toast" class="slds-scrollable" style="display:none;">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                <span class="slds-assistive-text">info</span>
                                                <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                 </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                     <h2 class="slds-text-body_regular ">
                                                    <asp:Label ID="lbError" runat="server"></asp:Label>
                                                         </h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col  slds-size_1-of-1 slds-small-size--1-of-1">
                                <div id="divUploading" style="display: none">
                                    Please enter your new email address below and click on 'Change'. It will send your
					a email which will contain the link to activate your email address.
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lbFile" runat="server" SkinID="Label" Text="Email" CssClass="slds-form-element__label"></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:TextBox ID="edLogin" runat="server" CssClass="slds-input"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqFile" runat="server"  ErrorMessage="*" ControlToValidate="edLogin" CssClass="slds-text-color_error"></asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator ID="regValLogin" runat="server"  ErrorMessage="Invalid email address" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edLogin" Font-Bold="false" CssClass="slds-text-color_error"></asp:RegularExpressionValidator>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-m-top--medium">
                            <div class="slds-col slds-size_1-of-1">
                                <asp:Button ID="btnChangeNew" runat="server" Text="Change" OnClick="btnChange_Click" CssClass="slds-button slds-button--brand"></asp:Button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</asp:Content>
