<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ForgotPassword.aspx.cs" Inherits="ForgotPassword" MasterPageFile="~/LoginMaster.Master" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="AttachPage" ContentPlaceHolderID="PageContent" runat="server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/css/application_css/custom_2018.css" rel="stylesheet" />
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
     <link rel="shortcut icon" type="image/x-icon" id="favicon" href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>App_Themes/Default/images/favicon.ico" />
    
    <script src="../scripts/jquery-3.6.0.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            vpw = $(window).width();
            vph = $(window).height();
            $('#bodyHeight').css({ 'height': vph + 'px' });
            $('link[href="../App_Themes/Default/common.css"]').remove();
        });
    </script>
    <div class="slds-small-size_1-of-3 slds-medium-size_1-of-2 slds-large-size_1-of-1 slds-card card-size-login slds-card_boundary slds-align--absolute-center slds-p-bottom--x-large slds-fade-in-open" style="opacity: 0.9;">
        <div class="slds-card slds-align-top slds-grid slds-wrap slds-grid--align-center">
            <div class="slds-col slds-size_1-of-1 slds-small-size_1-of-1 slds-form-element slds-image_center-icon slds-p-around--small slds-p-top_large slds-align-middle" >
              <%--  <img src="../images/Logo/LoginPageLogo.png" alt="FTPLOGO" class="slds-image_center-icon slds-align--absolute-center">--%>
                <img id="ftpLogo" src="../images/Logo/FTP-Attachments_Login.png" alt="FTPLOGO" class="slds-image_center-icon slds-align--absolute-center">
                <%--<span class="slds-text-heading_medium slds-image_center-icon slds-align--absolute-center  "><b>FTP Attachments<span style="font-size: 28px;line-height: 0;"></span></b></span>--%>

            </div>
            <div class="slds-col slds-text-align--center slds-large-size--1-of-1 slds-p-top--small">
                <%--<div id="modal-heading-01" class="slds-text-heading_medium slds-text-color--default">Retrieve Password</div>--%>
            </div>
            <div class="slds-col slds-large-size--1-of-1 slds-medium-size--1-of-1 slds-small-size--1-of-1 slds-text-align--center slds-p-around--x-small slds-p-top--medium">
                <asp:TextBox ID="edLogin" runat="server" placeholder="Enter Username.." Columns="40" CssClass="slds-input slds-size--small"></asp:TextBox>
                <div>
                    <asp:RequiredFieldValidator ID="reqFile" runat="server" ErrorMessage="Please enter Username" ControlToValidate="edLogin" Display="Dynamic" CssClass="slds-text-color--error"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="regValLogin" runat="server" ErrorMessage="Invalid username" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edLogin" CssClass="slds-text-body--regular slds-text-color--error slds-text-align--center"></asp:RegularExpressionValidator>
                </div>
            </div>
            <div class="slds-col slds-large-size--1-of-1 slds-medium-size--1-of-1 slds-small-size--1-of-1 slds-p-around--x-small slds-align--absolute-center">
                <asp:Button ID="btnRetreive" runat="server" OnClick="btnRetreive_Click" SkinID="DefaultButton" Text="Retrieve Password" CssClass="slds-button slds-button--brand slds-align-middle"></asp:Button>
            </div>
            <div class="slds-col slds-p-horizontal--small slds-text-align--center slds-large-size--1-of-1 slds-medium-size--1-of-1 slds-small-size--1-of-1">
                <span class="slds-text-color--error">
                    <asp:Label ID="lbError" runat="server" Display="Dynamic" CssClass="slds-text-align--center slds-text-body--regular slds-text-color--error"></asp:Label><br />
                </span>
            </div>
            <div class="slds-size--1-of-1 slds-small-size--1-of-1 slds-text-align_center slds-p-around--medium">
                <span><a id="lnkBckLogin" href="Login.aspx" onclick="javascript:window.open('/sforce/Login.aspx', '_self', 'width=800,height=400');return false;" class="slds-text-body_regular">Back to Login</a></span>
            </div>
        </div>
    </div>
</asp:Content>
