<%@ Page Language="C#" AutoEventWireup="true" Inherits="ProfilePage" MasterPageFile="~/MasterPage.master" CodeBehind="Profile.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" type="text/css" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <script type="text/javascript" language="javascript">
        function hideToast() {
            $('#PageContent_toast').css('display', 'none');
            $('#PageContent_toastStatusMsg').css('display', 'none');
            document.getElementById('<%=lbError.ClientID%>').value = "";
            return false;
        }
        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove();
            document.getElementById('PageContent_detailViewCustomer').removeAttribute("style");
        });
    </script>
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Profile">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                         <use xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#user" class="slds-p-around_small"></use>
                                    </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Profile</span>
                                        </ul>
                                    </ol>
                              </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Update Your Profile</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <p>
                                You can modify your current profile by clicking on Edit button below. You can even
                                                        add your company logo in your profile.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-m-bottom--xx-large">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default">
                                        <b>Update Your Profile</b></span>
                                </h2>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                <span class="slds-assistive-text">success</span>
                                                <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                    </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                     <h2 class="slds-text-body_regular">
                                                    <asp:Label ID="lbError" runat="server" EnableViewState="False"></asp:Label>
                                               </h2>
                                                          </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div id="toastStatusMsg" class="slds-scrollable" style="display: none;" runat="server">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                <span class="slds-assistive-text">error</span>
                                                <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                      <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                     <h2 class="slds-text-body_regular ">
                                                    <asp:Label ID="lbStatusMsg" runat="server"  Width="100%" EnableViewState="False"></asp:Label></h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                      <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                               </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-p-top_small slds-col  slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_6-of-12 background-body-color--default">
                            <asp:DetailsView ID="detailViewCustomer" runat="server" AutoGenerateRows="False"
                                DataSourceID="Customer" CellPadding="0" DataKeyNames="ID" GridLines="None"
                                OnItemUpdating="devailViewCustomers_ItemUpdating" SkinID="DetailView" OnDataBound="detailViewCustomer_DataBound"
                                BackColor="White" BorderColor="white" BorderStyle="None" BorderWidth="0px">
                                <Fields>
                                    <asp:TemplateField HeaderText="Name:" SortExpression="Name" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edName" runat="server" Text='<%# Bind("Name") %>' CssClass="slds-input"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="reqName" runat="server" ControlToValidate="edName" ErrorMessage="Enter your name." Display="Dynamic" Font-Bold="false" CssClass="slds-text-color_error"></asp:RequiredFieldValidator>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Name") %>' CssClass="slds-input"></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label1" runat="server" Text='<%# Bind("Name") %>'></asp:Label>
                                        </ItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbName" runat="server" Text="Name" CssClass="slds-form-element__label"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.Name">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Company:" SortExpression="OrgName" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edOrgName" runat="server" Text='<%# Bind("OrgName") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox><asp:RequiredFieldValidator
                                                ID="reqOrgName" runat="server" ControlToValidate="edOrgName" ErrorMessage="Enter your company name."
                                                Display="Dynamic" Font-Bold="false" CssClass="slds-text-color_error"></asp:RequiredFieldValidator>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("OrgName") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("OrgName") %>'></asp:Label>
                                        </ItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbCompany" runat="server" Text="Company" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.CompanyName">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Address:" SortExpression="Address" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Address") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox>
                                        </EditItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbAddress" runat="server" Text="Address" Font-Bold="false" CssClass="slds-form-element__label "></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.Address">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("Address") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("Address") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Address2:" SortExpression="Address2" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Address2") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox>
                                        </EditItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbAddress2" runat="server" Text="Address2" Font-Bold="false" CssClass="slds-form-element__label "></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help6" runat="server" HelpMessageID="Resources.Help.Address">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("Address2") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label5" runat="server" Text='<%# Bind("Address2") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="City:" SortExpression="City" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("City") %>' CssClass="slds-input slds-m-top_small "></asp:TextBox>
                                        </EditItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbCity" runat="server" Text="City" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help7" runat="server" HelpMessageID="Resources.Help.City">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("City") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label6" runat="server" Text='<%# Bind("City") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Zip:" SortExpression="Zip" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="TextBox5" runat="server" Text='<%# Bind("Zip") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox>
                                        </EditItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbZip" runat="server" Text="Zip" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help8" runat="server" HelpMessageID="Resources.Help.Zip">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="TextBox7" runat="server" Text='<%# Bind("Zip") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label7" runat="server" Text='<%# Bind("Zip") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="State:" SortExpression="State" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("State") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox>
                                        </EditItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbState" runat="server" Text="State" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help9" runat="server" HelpMessageID="Resources.Help.State">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="TextBox8" runat="server" Text='<%# Bind("State") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label8" runat="server" Text='<%# Bind("State") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Country:" SortExpression="Country" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:DropDownList ID="cmbCountry" runat="server" DataSourceID="Countries" SelectedValue='<%# Bind("Country") %>'
                                                DataTextField="Name" DataValueField="Name" CssClass="slds-m-top_small slds-select">
                                                <asp:ListItem Text="" Value=""></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:DropDownList ID="cmbCountry" runat="server" DataSourceID="Countries" SelectedValue='<%# Bind("Country") %>'
                                                DataTextField="Name" DataValueField="Name">
                                                <asp:ListItem Text="" Value=""></asp:ListItem>
                                            </asp:DropDownList>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label4" runat="server" Text='<%# Bind("Country") %>'></asp:Label>
                                        </ItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbCountry" runat="server" Text="Country" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.Country">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Phone" SortExpression="Phone" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edPhone" runat="server" MaxLength="32" Text='<%# Bind("Phone") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="edPhone" MaxLength="32" runat="server" Text='<%# Bind("Phone") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label9" runat="server" Text='<%# Bind("Phone") %>'></asp:Label>
                                        </ItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbPhone" runat="server" Text="Phone" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help10" runat="server" HelpMessageID="Resources.Help.Phone">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="UserName:" SortExpression="UserName" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edUserName" runat="server" MaxLength="100" ReadOnly="true" Text='<%# Bind("UserName") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox><asp:RequiredFieldValidator
                                                ID="reqUserName" runat="server" ControlToValidate="edUserName"
                                                ErrorMessage="Enter valid user name." Display="Dynamic" Font-Bold="false" CssClass="slds-text-color_error"></asp:RequiredFieldValidator><asp:RegularExpressionValidator
                                                    ID="validUserName" runat="server" ControlToValidate="edUserName"
                                                    ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Enter valid user name."
                                                    Display="Dynamic" Font-Bold="false" CssClass="slds-text-color_error"></asp:RegularExpressionValidator>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="edUserName" runat="server" MaxLength="100" Text='<%# Bind("UserName") %>'></asp:TextBox><asp:RequiredFieldValidator
                                                ID="reqUserName" runat="server" ControlToValidate="edUserName"
                                                ErrorMessage="Enter valid user name." Display="Dynamic" Font-Bold="false" CssClass="slds-text-color_error"></asp:RequiredFieldValidator><asp:RegularExpressionValidator
                                                    ID="validUserName" runat="server" ValidationGroup="Signup" ControlToValidate="edUserName"
                                                    ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Enter valid user name."
                                                    Display="Dynamic" Font-Bold="false" CssClass="slds-text-color_error"></asp:RegularExpressionValidator>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="Label11" runat="server" Text='<%# Bind("UserName") %>'></asp:Label>
                                        </ItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbUserName" runat="server" Text="Username" Font-Bold="false" CssClass="slds-form-element__label"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help11" runat="server" HelpMessageID="Resources.Help.UserName">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="StandaloneBaseURL:" SortExpression="StandaloneBaseURL" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="edStandaloneBaseURL" MaxLength="100" runat="server" Text='<%# Bind("StandaloneBaseURL") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="edStandaloneBaseURL" MaxLength="100" runat="server" Text='<%# Bind("StandaloneBaseURL") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Label ID="StandURL" runat="server" Text='<%# Bind("StandaloneBaseURL") %>'></asp:Label>
                                        </ItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbStandaloneBaseURL" runat="server" Text="Standalone Base URL" Font-Bold="false"></asp:Label>
                                            <div class="slds-float_right">
                                                <cc2:Help ID="Help56" runat="server" HelpMessageID="Resources.Help.StandaloneBaseURL">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Logo:" SortExpression="Logo" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Logo") %>' CssClass="slds-input slds-m-top_small"></asp:TextBox>
                                        </EditItemTemplate>
                                        <InsertItemTemplate>
                                            <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Logo") %>'></asp:TextBox>
                                        </InsertItemTemplate>
                                        <ItemTemplate>
                                            <asp:Image ID="Image1" runat="server" ImageUrl='<%# Eval("Logo") %>' Visible='<%# ((string)Eval("Logo")).Length > 0 %>' />
                                        </ItemTemplate>
                                        <HeaderTemplate>
                                            <asp:Label ID="lbLogo" runat="server" Text="Logo" Font-Bold="false" CssClass="slds-form-element__label slds-m-top_small"></asp:Label>
                                            <div class="slds-float_right" style="margin-top: 10px;">
                                                <cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.Logo">
                                                </cc2:Help>
                                            </div>
                                        </HeaderTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_xx-small">
                                        <EditItemTemplate>
                                            <asp:Button ID="Button1" runat="server" Text="Update" CommandName="Update" SkinID="DefaultButton" CssClass="slds-button slds-button--brand slds-m-top--medium" />
                                            <asp:Button ID="Button2" runat="server" Text="Cancel" CausesValidation="False" CommandName="Cancel" SkinID="DefaultButton" CssClass="slds-button slds-button_neutral slds-m-top--medium" />
                                        </EditItemTemplate>
                                        <ItemTemplate>
                                            <asp:Button ID="btnEdit" runat="server" CausesValidation="false" CommandName="Edit" Text="Edit" OnClick="btnEdit_Click" SkinID="DefaultButton" CssClass="slds-button slds-button_neutral" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Fields>
                            </asp:DetailsView>
                            <asp:ObjectDataSource ID="Customer" runat="server" SelectMethod="GetCustomerByID"
                                TypeName="enzigma.sforce.webapp.code.Business" OnSelected="Customer_Selected">
                                <SelectParameters>
                                    <asp:SessionParameter Name="strID" SessionField="UserID" Type="String" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                            <asp:ObjectDataSource ID="Countries" runat="server" SelectMethod="GetAllCountries"
                                TypeName="enzigma.sforce.webapp.code.Business">
                                <SelectParameters>
                                    <asp:Parameter DefaultValue="" Name="strCountry" Type="String" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
