<%@ Page Language="C#" AutoEventWireup="true" Inherits="Subscribe" MasterPageFile="~/MasterPage.master" CodeBehind="Subscribe.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />

    <script type="text/javascript" language="javascript">
        function hideToast() {

            $('#PageContent_toast').css('display', 'none');
            $('#PageContent_toastinfo').css('display', 'none');
            $('#PageContent_toastError').css('display', 'none');
            document.getElementById('<%=lblError.ClientID%>').value = "";
            document.getElementById('<%=lblErrorinfo.ClientID%>').value = "";
            document.getElementById('<%=lblSuccess.ClientID%>').value = "";
        return false;
    }
    function DisplayDesc(strID) {
        console.log(strID);
        var table = document.getElementById('tableDesc_' + strID);

        if (table) {
            //var iIndex = 0;
            //if( table.filters && table.filters.length > 0 )
            //	table.filters[iIndex].apply();

            if (table.style.display == 'block')
                table.style.display = 'none';
            else
                table.style.display = 'block';

            //if( table.filters && table.filters.length > 0 )
            //	table.filters[iIndex].play(2);
        }
    }
    $(document).ready(function () {
        $('link[href="../App_Themes/Default/common.css"]').remove();
    });
    </script>
    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Manage Subscriptions">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#play" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Subscriptions</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Manage Subscriptions </h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <p>
                                Accounts are limited to one active 30-Day Evaluation Subscription per product. Click on  Evaluate for 30 days to Subscribe the products.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-p-bottom_xx-large">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                            </div>
                            <p runat="server" class="slds-text-body_small slds-p-top_x-small slds-line-height_reset">
                            </p>
                        </div>
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                            <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                            <span class="slds-assistive-text">info</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                 </svg>
                                            </span>
                                            <div class="slds-notify__content">
                                                 <h2 class="slds-text-body_regular">
                                                <asp:Label ID="lblSuccess" runat="server"></asp:Label></h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div runat="server" id="toastinfo" class="slds-scrollable" style="display: none;">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                            <span class="slds-assistive-text">info</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                 </svg>
                                            </span>
                                            <div class="slds-notify__content">
                                                <h2 class="slds-text-body_regular">
                                                <asp:Label ID="lblErrorinfo" runat="server"></asp:Label></h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                            <span class="slds-assistive-text">error</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                              </svg>
                                            </span>
                                            <div class="slds-notify__content">
                                                  <h2 class="slds-text-body_regular">
                                                <asp:Label ID="lblError" runat="server"></asp:Label></h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                  </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="">
                            <%--<div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-3 slds-large-size_1-of-3"></div>--%>
                            <div class="slds-float--right slds-m-bottom_medium">
                                <%-- <cc1:ImageLink ID="lnkBackToSubs" NavigateUrl="" runat="server">Back to Manage Subsciptions</cc1:ImageLink>.--%>
                                <asp:HyperLink ID="lnkBackToSubsNew" NavigateUrl="" runat="server" CssClass="slds-button slds-button--brand">Back to Manage Subsciptions</asp:HyperLink>
                            </div>
                            <%--<div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-3 slds-large-size_1-of-3"></div>--%>
                        </div><br />
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 ">
                                <asp:UpdateProgress ID="UpdateProgress" runat="server">
                                    <ProgressTemplate>
                                        <img style="width: 40px; height: 40px" alt="" src="../App_Themes/Default/images/slds_spinner_brand.gif" />
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </div>
                        </div>
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                            <ContentTemplate>
                                <asp:DataList ID="datalistProducts" runat="server" DataSourceID="Products">
                                    <ItemTemplate>

                                        <div class="slds-grid slds-wrap">
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-text-heading_small  ">
                                                <%# Eval("Name") %>
                                            </div>
                                        </div>
                                        <div class="slds-grid slds-wrap slds-m-top--medium">
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-3 slds-large-size_1-of-3">
                                                (<%#((decimal)Eval("Price") == 0) ? "Free" : Eval("Price", "{0:c}") + " " + Eval("Unit")%>)
                                            </div>
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-3 slds-large-size_1-of-3"></div>
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-3 slds-large-size_1-of-3">
                                                <div class="slds-float--right">
                                                    <%--<cc1:ImageLink ID="lnkEvaluate" NavigateUrl='<%# "?ProductID=" + Eval("ID") + "&CustomerID=" + hdnCustomerID.Value  %>' runat="server"><%# ((decimal)Eval("Price") > 0) ? "Evaluate for 30 days" : "Subscribe" %></cc1:ImageLink>--%>
                                                    <asp:HyperLink ID="lnkEvaluate" NavigateUrl='<%# "?ProductID=" + Eval("ID") + "&CustomerID=" + hdnCustomerID.Value  %>' runat="server" CssClass="slds-button slds-button_outline-brand"><%# ((decimal)Eval("Price") > 0) ? "Evaluate for 30 days" : "Subscribe" %></asp:HyperLink>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="slds-m-left--large">
                                            <div class="slds-grid slds-wrap slds-m-top--medium">
                                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 ">
                                                    Features
                                                </div>
                                            </div>
                                            <div class="slds-grid slds-wrap">
                                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 ">
                                                    <ul>
                                                        <%# Eval("Features") %>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="slds-grid slds-wrap slds-m-top--medium ">
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 ">

                                                <table cellspacing="0" cellpadding="0" id="tableDesc_<%# Eval("ID") %>" class="MessageBox" style="width: 700px; display: none; position: absolute;">
                                                    <tr>
                                                        <td style="width: 100%;" class="MessageHeader">Description
                                                        </td>
                                                        <td align="right" class="MessageHeader">
                                                            <a href="javascript:javascript:DisplayDesc('<%# Eval("ID") %>');">Close</a>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="MessageText" colspan="2">
                                                            <%# Eval("Description") %>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </ItemTemplate>
                                </asp:DataList>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                </div>
                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-8 slds-large-size_1-of-8">
                </div>
            </div>
        </div>
        &nbsp;<asp:ObjectDataSource ID="Products" runat="server" SelectMethod="SearchProduct" TypeName="enzigma.sforce.webapp.code.Business">
            <SelectParameters>
                <asp:Parameter Name="strKeyword" Type="String" />
                <asp:ControlParameter ControlID="hdnCustomerID" Name="strCustomerID" PropertyName="Value"
                    Type="String" />
                <asp:Parameter DefaultValue="true" Name="bActiveOnly" />
                <asp:Parameter Name="maximumRows" Type="Int32" />
                <asp:Parameter Name="startRowIndex" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:HiddenField ID="hdnCustomerID" runat="server" />
    </div>
</asp:Content>
