﻿<%--<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UtilityUpgrade.aspx.cs" Inherits="enzigma.sforce.webapp.profile.UtilityUpgrade" %>--%>

<%@ Page Language="C#" AutoEventWireup="true" Inherits="enzigma.sforce.webapp.profile.UtilityUpgrade" MasterPageFile="~/MasterPage.master" CodeBehind="UtilityUpgrade.aspx.cs" meta:resourcekey="PageResource1" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" language="javascript">

        window.onload = function () {
            isError();
        }
        function hideToast() {
            $('#PageContent_toast').css('display', 'none');
            $('#PageContent_toastError').css('display', 'none');
            document.getElementById('<%=toast.ClientID%>').value = "";
            return false;
        }
        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove();
        });
    </script>



    <style type="text/css">
        .alert-box {
            color: #555;
            border-radius: 5px;
            /*//font-family:Tahoma,Geneva,Arial,sans-serif;*/
            font-size: 13px;
            padding: 5px;
            /*//margin:5px;*/
        }

        .warning {
            background: rgb(243, 247, 183);
            border: 1px solid #f2c779;
        }
    </style>
    <asp:ScriptManager ID="scriptManager" runat="server" />
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Utility Upgrade">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#custom_apps" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Utility Upgrade</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Manage Utility Upgrade</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <p>
                                Please note once you move to new build , you will not be able to use the old license file of FTP Attachments for your organization.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-p-bottom--small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                            </div>
                            <p runat="server" class="slds-text-body_small slds-p-top_x-small slds-line-height_reset">
                            </p>
                        </div>
                        <asp:Panel ID="panelMessage" runat="server" HorizontalAlign="Center" meta:resourcekey="panelMessageResource1">
                            <div class="slds-grid slds-wrap">
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                    <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                        <div class="demo-only">
                                            <div class="slds-notify_container slds-is-relative">
                                                <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                    <span class="slds-assistive-text">info</span>
                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                 </svg>
                                                    </span>
                                                    <div class="slds-notify__content">
                                                        <h2 class="slds-text-body_regular ">
                                                            <asp:Label ID="lbError" runat="server" SkinID="Error" Width="100%" meta:resourcekey="lbErrorResource1"></asp:Label></h2>

                                                    </div>
                                                    <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                        <span class="slds-assistive-text">Close</span>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                        <div class="demo-only">
                                            <div class="slds-notify_container slds-is-relative">
                                                <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                    <span class="slds-assistive-text">error</span>
                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                                           </svg>
                                                    </span>
                                                    <div class="slds-notify__content">
                                                        <h2 class="slds-text-body_regular ">
                                                            <asp:Label ID="lblErrormsg" runat="server" SkinID="Error"></asp:Label></h2>
                                                    </div>
                                                    <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                        </svg>
                                                        <span class="slds-assistive-text">Close</span>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <div class="slds-grid slds-wrap slds-m-top_medium">

                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                    <div class="slds-align_absolute-center">
                                        <asp:Button ID="btnYes" runat="server" Text="Yes" OnClick="btnYes_Click" CssClass="slds-button slds-button--brand" meta:resourcekey="btnYesResource1"></asp:Button>

                                        <asp:Button ID="btnNo" runat="server" Text="No" OnClick="btnNo_Click" CssClass="slds-button slds-button--brand" meta:resourcekey="btnNoResource1"></asp:Button>
                                    </div>
                                </div>
                            </div>
                        </asp:Panel>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
