﻿var namespace = 'enzmultipart';
var storage = {
    check: function (key) {
        key = storage.nsKey(key);
        return localStorage.hasOwnProperty(key);
    },
    nsKey: function (key) {
        return namespace + '_' + key;
    },
    read: function (key, isJSON) {
        key = storage.nsKey(key);
        return isJSON || 0 ? JSON.parse(localStorage.getItem(key)) : localStorage.getItem(key);
    },
    store: function (key, valueToStore, isJSON) {
        key = storage.nsKey(key);
        localStorage.setItem(key, isJSON || 0 ? JSON.stringify(valueToStore) : valueToStore);
    },
    remove: function (key) {
        key = storage.nsKey(key);
        localStorage.removeItem(key);
    },
    keys: function () {
        return Object.keys(localStorage);
    }
};