﻿var enzigma = enzigma || {};
enzigma.model = enzigma.model || {};
enzigma.model.fileInitRequest = function (strFileName, iTotalPartNumber, lTotalSize, iPartSize, strFolder, strFieldName, strFieldValue) {
    this.FileName = strFileName;
    this.Folder = strFolder;
    this.FieldName = strFieldName;
    this.FieldValue = strFieldValue;
    this.TotPartNumber = iTotalPartNumber;
    this.FileSize = lTotalSize;
    this.PartSize = iPartSize;
};
enzigma.model.uploadPartRequest = function (FileName, UploadId, PartNumber, PartSize, ReqData, Md5Digest) {
    this.PartSize = PartSize;
    this.MD5Digest = Md5Digest;
    this.FileName = FileName;
    this.UploadId = UploadId;
    this.PartNumber = PartNumber;
    this.ReqData = ReqData;
    
};
enzigma.model.completedFilePartRequest = function (result, fileRequest) {
    this.FileName = result.FileName;
    this.UploadId = result.UploadId;
    this.TotalPart = fileRequest.TotPartNumber;
    this.ChunkSize = fileRequest.PartSize;
    this.SFAttachVersionId = result.SFAttachVersionId;
    this.SFAttachId = result.SFAttachId;
    this.MD5Hash;
    this.PartETags = [];
    this.ServerUploadId = result.ServerUploadId;
    this.LocalFileName = fileRequest.FileName;
    this.FieldName = fileRequest.FieldName;
    this.FieldValue = fileRequest.FieldValue;
    this.Folder = fileRequest.Folder;
    this.FileSize = fileRequest.FileSize;
    this.Status = "InProgress";
    this.IsAmazon = result.IsAmazon;
};
enzigma.model.uploadPartResponse = function () {
    this.FileName;
    this.UploadId;
    this.PartNumber;
    this.iPartLength;
    this.TotalPartNo;
    this.PartMD5Hash;
    this.Success;
    this.Message;
    this.IsCompleted;
    this.assignValue = function (FileName, Guid, PartNumber, iPartLength, TotalPartNo, PartMD5Hash, Success, Message, IsCompleted) {
        this.FileName = FileName;
        this.UploadId = Guid;
        this.PartNumber = PartNumber;
        this.iPartLength = iPartLength;
        this.TotalPartNo = TotalPartNo;
        this.PartMD5Hash = PartMD5Hash;
        this.Success = Success;
        this.Message = Message;
        this.IsCompleted = IsCompleted;
    }
};
enzigma.model.partETag = function (partNumber, strETag, partSize) {
    this.PartNumber = partNumber;
    this.ETag = strETag;
    this.PartSize = partSize;
};