﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/OtherMaster.master" %>

<script runat="server">
    protected override void OnPreInit(EventArgs e)
    {
        //enzigma.sforce.webapp.code.UI.SetHelpMasterPage(Context, Page);
        //base.OnPreInit(e);
    }
</script>
<asp:Content ID="PageContent" ContentPlaceHolderID="PageContent" runat="server">
    <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="../css/application_css/custom_2018.css" rel="stylesheet" />
    <script src="../scripts/jquery-3.6.0.min.js"></script>
    <script type="text/javascript">
        function addBookmarkForBrowser(strTitle, strUrl) {
            if (document.all) {
                window.external.AddFavorite(strUrl, strTitle);
            }
            else {
                window.sidebar.addPanel(strTitle, strUrl, "");
            }
        }

        $(document).ready(function () {
            //$('link[href="../App_Themes/Default/common.css"]').prop('disabled', true);
            $('link[href="../App_Themes/Default/common.css"]').remove();

            $('.js-bookmarkme').click(function (e) {
                e.preventDefault();
                var bookmarkURL = window.location.href;
                var bookmarkTitle = document.title;

                if ('addToHomescreen' in window && window.addToHomescreen.isCompatible) {
                    // Mobile browsers
                    addToHomescreen({ autostart: false, startDelay: 0 }).show(true);
                } else if (window.sidebar && window.sidebar.addPanel) {
                    // Firefox version < 23
                    window.sidebar.addPanel(bookmarkTitle, bookmarkURL, '');
                } else if ((window.sidebar && /Firefox/i.test(navigator.userAgent)) || (window.opera && window.print)) {
                    // Firefox version >= 23 and Opera Hotlist
                    $(this).attr({
                        href: bookmarkURL,
                        title: bookmarkTitle,
                        rel: 'sidebar'
                    }).off(e);
                    return true;
                } else if (window.external && ('AddFavorite' in window.external)) {
                    // IE Favorite
                    window.external.AddFavorite(bookmarkURL, bookmarkTitle);
                } else {
                    // Other browsers (mainly WebKit - Chrome/Safari)
                    alert('Please press ' + (/Mac/i.test(navigator.userAgent) ? 'CMD' : 'Ctrl') + ' + D to add this page to your favorites.');
                }

                return false;
            });
        });

    </script>

    <div class="slds-grid slds-wrap slds-text-body--regular slds-text-color--default">
        <div class="slds-col slds-m-horizontal--small slds-m-top--small slds-card custom-background-color--default">
            <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
                <div class="slds-grid">
                    <div class="slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Create/Update Custom link">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#setup_assistant_guide"></use>
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="tdTitle" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Create/Update Custom Links & Edit Page Layouts</span>
                                        </ul>
                                    </ol>
                                </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Edit Page Layouts</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <asp:Label ID="Label8" runat="server" Text="Create or update the custom links Attach (FTP) for each object under which you want to use FTP Attachments to attach files." meta:resourcekey="Label2Resource1"></asp:Label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-horizontal--small ">
        <div class="slds-col slds-p-top--small slds-large-size--1-of-2 slds-small-size--1-of-1 slds-p-right--x-small">
            <div class="slds-card slds-p-around--small">
                <div class="slds-box" style="padding: 0;">
                    <div class="slds-card__header slds-grid">
                        <header class="slds-media slds-media_center slds-has-flexi-truncate">
                            <div class="slds-media__body">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default"><b>Create/Update Custom Links</b></span>
                                </h2>
                            </div>
                        </header>
                    </div>
                    <div class="slds-p-around--small slds-text-body--regular slds-text-color--default slds-m-bottom--large">
                        <div>
                        Now that you have signed up for Orektic account and created FTP Attachments subscription, 
                        and setup your Storage Server settings, next step is to create or update the custom links 
                        Attach (FTP) for each object under which you want to use FTP Attachments to attach files.<br />

                        Please bookmark this page for future use to configure FTP Attachments, this page guides you how to configure diffrent objects and custom links to use the FTP Attachments for diffrent Standard and Custom objects of Salesforce.<br />

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="slds-col slds-card slds-large-size--1-of-2 slds-small--1-of-1 slds-m-top--small slds-p-around--small">
            <div class="slds-box" style="padding: 0px 0px 5px;">
                <div class=" slds-m-bottom--small">
                    <div class="slds-card__header slds-grid">
                        <header class="slds-media slds-media_center slds-has-flexi-truncate">
                            <%--<div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-account" title="account">
                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#link"></use>
                                    </svg>
                                    <span class="slds-assistive-text">Links</span>
                                </span>
                            </div>--%>
                            <div class="slds-media__body">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default"><b>Links</b></span>
                                </h2>
                            </div>
                        </header>
                    </div>
                    <div class="slds-p-left--medium slds-m-bottom--xx-large">
                        <div class="slds-p-around--xx-small">
                            <svg class="slds-button__icon" aria-hidden="true">
                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#macros" />
                            </svg>
                            <a id="bookmarkme" href="javascript:bookmarkme();" class="js-bookmarkme">Bookmark this page</a>
                        </div>
                        <%--<div class="slds-p-around--xx-small">
                            <svg class="slds-button__icon" aria-hidden="true">
                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#macros" />
                            </svg>
                            <a href="<%=Request.ApplicationPath%>/help/FTPAttachments/FTPAttachmentsVideos.aspx" target="_blank">Videos</a>
                        </div>--%>
                        <div class="slds-p-around--xx-small">
                            <svg class="slds-button__icon" aria-hidden="true">
                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#macros" />
                            </svg>
                            <a href="http://downloads.ftpattachments.com/builds/standalone.sforce.zip">Download Application (Zip)</a>
                        </div>
                        <div class="slds-p-around--xx-small slds-p-bottom--x-large">
                            <svg class="slds-button__icon" aria-hidden="true">
                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#macros" />
                            </svg>
                            <a href="<%=Request.ApplicationPath%>/help/InstallStandalone.aspx">Standalone Installation Instructions</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-around--small slds-text-color--default slds-text-body--regular">
        <div class="slds-col slds-large-size--1-of-1 slds-small-size-1-of-1">
            <div class="slds-card slds-p-around--small">
                <div class="slds-box" style="padding: 0">
                    <div class="slds-card__header slds-grid slds-p-bottom--small">
                        <header class="slds-media slds-media_center slds-has-flexi-truncate">
                            <%--<div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="account">
                                    <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#package_org"></use>
                                    </svg>
                                    <span class="slds-assistive-text">Using Prepackaged Custom Links for Evaluation</span>
                                </span>
                            </div>--%>
                            <div class="slds-media__body">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default"><b>Using Prepackaged Custom Links for Evaluation</b></span>
                                </h2>
                            </div>
                        </header>
                    </div>

                    <div class="slds-p-horizontal--small">
                        The FTP Atttachment Appexchange package comes with the Custom links pointing to https://app.ftpattachments.com/sforce/ for Standard Salesforce objects. You can use these existing links for evaluation of FTP Attachments.<br />
                        <br />
                        <div class="slds-text-longform">
                            <h4 class="slds-text-title_caps slds-p-bottom--x-small">steps to follow to use FTP Attachments under Case object to attach files to Cases.</h4>
                            <ol>
                                <li class="slds-p-around--xx-small">Login to your Salesforce account (as an Admin)</li>
                                <li class="slds-p-around--xx-small">Go to Setup/Customize/Case/Page Layouts</li>
                                <li class="slds-p-around--xx-small">Edit the apropriate page layout being used by you or your users</li>
                                <li class="slds-p-around--xx-small">Include (drag &amp; drop) the 'Attach (FTP) (Eval)' link in the Custom Actions section of the Page layout.</li>
                                <li class="slds-p-around--xx-small">Save the page layout</li>
                                <li class="slds-p-around--xx-small">Go to any case and you will see the 'Attach (FTP) (Eval)' link which you can use to attach the files to the case.</li>
                            </ol>
                        </div>
                        <div class="slds-p-bottom--small">
                            <div class="">
                                You are now ready to use FTP Attachments!
                            </div>
                            <div class="slds-p-top--x-small">
                                At this point of time you are ready to use the application from Orektic's server to evaluate it and use it for evaluation purposes. You can skip the following steps when you are evaluating and come back to this page when you want to use it for custom objects and/or install the application on your own server for production use.
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-horizontal--small">
        <div class="slds-col slds-card slds-large-size--1-of-1 slds-small-size--1-of-1 slds-p-around--small">
            <div class="slds-box" style="padding: 0">
                <div class="slds-card__header slds-grid slds-p-bottom--small">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <%--<div class="slds-media__figure">
                            <span class="slds-icon_container slds-icon-standard-opportunity" title="icon">
                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                    <use xlink:href="../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#link"></use>
                                </svg>
                                <span class="slds-assistive-text">Creating Custom Links to use FTP Attachment for your custom objects</span>
                            </span>
                        </div>--%>
                        <div class="slds-media__body">
                            <h2 class="slds-text-heading--small">
                                <span class="slds-text-heading_small slds-text-color--default"><b>Creating Custom Links to use FTP Attachment for your custom objects</b></span>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-card__body">
                    <div class="slds-p-horizontal--small">
                        You can also use FTP Attachments for other Custom objects of Salesforce. 
                    To be able to do this you need to follow this additional steps.<br />
                    </div>
                    <div class="slds-text-longform">
                        <h4 class="slds-text-title_caps slds-p-horizontal--small slds-p-top--small">steps before including the Custom Link Attach (FTP) for your Custom object</h4>
                        <ol class="slds-p-left--small">
                            <li class="slds-p-around--xx-small">Login to your Salesforce account (as an Admin).</li>
                            <li class="slds-p-around--xx-small">Go to Setup/Build/Custom Objects/FTP Attachment.</li>
                            <li class="slds-p-around--xx-small">Click on "New" button under "Custom Fields &amp; Relationships" to create a new relationship between FTP Attachment object and your Custom/Standard object.</li>
                            <li class="slds-p-around--xx-small">Choose Lookup Field under the Object type on the next page, and finish the wizard with apropriate input.</li>
                            <li class="slds-p-around--xx-small">Now you are ready to create the custom link, for which our "Custom Link Manager" will help you.</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-around--small slds-m-bottom--x-large">
        <div class="slds-col slds-card slds-large-size--1-of-1 slds-small-size--1-of-1 slds-p-around--small">
            <div class="slds-box" style="padding: 0">
                <div class="slds-card__header slds-grid slds-p-bottom--small">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <%--<div class="slds-media__figure">
                            <span class="slds-icon_container slds-icon-standard-contract" title="icon">
                                <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                    <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#setup"></use>
                                </svg>
                                <span class="slds-assistive-text">Setup "FTP (Attach)" links for Standard/Custom objects</span>
                            </span>
                        </div>--%>
                        <div class="slds-media__body">
                            <h2 class="slds-text-heading--small">
                                <span class="slds-text-heading_small slds-text-color--default"><b>Setup "FTP (Attach)" links for Standard/Custom objects</b></span>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-card__body">
                    <div class="slds-p-horizontal--small">
                        Setup "FTP (Attach)" links for Standard/Custom objects to use with your own FTP Attachment server. Once you evaluate the FTP Attachments application using Orektic's server, and you are ready to use your own server to host FTP Attachments application, you need to follow the steps below.<br />
                    </div>
                    <div class="slds-text-longform">
                        <h4 class="slds-text-title_caps slds-p-horizontal--small slds-p-top--small">steps need to be follow </h4>
                        <ol class="slds-p-left--small">
                            <li class="slds-p-around--xx-small">Install the Standalone version of application on your own server. Click here to see the installation instructions.</li>
                            <li class="slds-p-around--xx-small">Login to https://www.yourdomain.com/sforce/ (Let's say this is the base Url where the applicatin is installed) to make sure that the application is installed correctly on your local server. Once you login successfully to the local server you should see your subscriptions.</li>
                            <li class="slds-p-around--xx-small">Make sure the settings are correct under FTP Attachments Settings</li>
                            <li class="slds-p-around--xx-small">Now use the&nbsp;"Custom Link Manager" to edit custom links for each Standard/Custom object and under "Server" field enter your base Url e.g. https://www.yourdomain.com/sforce/ to modify each link to point to your own server.</li>
                            <li class="slds-p-around--xx-small">Once the links are setup you should be ready to use FTP Attachments using your own server</li>
                        </ol>
                    </div>
                    <div class="slds-p-around--small">
                        <strong><b>PS: </b></strong>If you used the prepackaged custom links which came with FTP Attachments package to evaluate the application, you will have to create and include new links for those Standard objects using the Link Creator Helper.
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
