﻿<%@ Page Language="C#" AutoEventWireup="true" CompilerOptions="" CodeBehind="Signup.aspx.cs" Inherits="SignupPage" MasterPageFile="~/OtherMaster.master" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Src="../controls/Signup.ascx" TagName="Signup" TagPrefix="uc2" %>
<%@ Register Src="../controls/Login.ascx" TagName="Login" TagPrefix="uc1" %>
<asp:Content ContentPlaceHolderID="PageContent" runat="server">

    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/css/application_css/custom_2018.css" rel="stylesheet" />
    <link rel="shortcut icon" type="image/x-icon" id="favicon" href="../App_Themes/Default/images/favicon.ico" />
    <script type="text/javascript" src="../scripts/common.js"></script>
    <script src="scripts/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="../scripts/jquery-1.4.2.min.js"></script>
    <script src="../scripts/jquery-1.8.3.js"></script>
    <script type="text/javascript">
        function submitData(customer) {
            var status = "Test";
            $.ajax({
                type: "POST",
                url: "Signup.aspx/getFormData",
                data: "{'userData':'" + JSON.stringify(customer) + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json", // dataType is json format

                success: function (response) {

                    var result = response.d;
                    alert(result);
                },
                error: function (response) {
                    console.log(response);
                }
            });
        }

        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove();
            $("#PageContent_Signup_detailViewCustomer_lbUserName,#PageContent_Signup_detailViewCustomer_lbEmailHelp,#PageContent_Signup_detailViewCustomer_lbName,#PageContent_Signup_detailViewCustomer_lbCompany,#PageContent_Signup_detailViewCustomer_lbAddress,#PageContent_Signup_detailViewCustomer_lbAddress2,#PageContent_Signup_detailViewCustomer_lbCity,#PageContent_Signup_detailViewCustomer_lbZip,#PageContent_Signup_detailViewCustomer_lbState,#PageContent_Signup_detailViewCustomer_lbCountry,#PageContent_Signup_detailViewCustomer_lbLogo,#PageContent_Signup_detailViewCustomer_lbPhone").css("font-weight", "normal");
            vpw = $(window).width();
            vph = $(window).height();
           // $('#bodyHeight1').css({ 'height': vph + 'px' });
        });


    </script>
    <div id="bodyHeight1" class="slds-scope">
    <asp:ScriptManager ID="ScriptManager" runat="server" />

    <asp:UpdatePanel ID="panelNoOrgID" runat="server" Visible="False">
        <ContentTemplate>
            
            <div class="slds-grid slds-wrap">
                <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-around_small">
                    <div class="slds-size--1-of-1 slds-text-color--default slds-text-body_regular">
                        <div class="slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-card slds-align-content-center">
                            <div class="slds-page-header slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media__figure slds-size--1-of-1">
                                <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-has-flexi-truncate">
                                    <div class="slds-media slds-no-space slds-grow">
                                        <div class="slds-media__figure">
                                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Signup">
                                                <svg class="slds-icon slds-page-header__icon slds-p-around--xxx-small" aria-hidden="true">
                                                    <use xlink:href="../css/vendor/slds/assets/icons/custom-sprite/svg/symbols.svg#custom14"></use>
                                                </svg>
                                            </span>
                                        </div>
                                        <div runat="server" id="tdTitle" class="slds-media__body slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                            <nav>
                                                <ol class="slds-breadcrumb slds-line-height_reset">
                                                    <ul class="slds-breadcrumb__item">
                                                        <span>Signup for Orektic Account</span>
                                                    </ul>
                                                </ol>
                                            </nav>
                                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" class="slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">Signup</h1>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-grid slds-page-header__detail-row">
                                    <div class="slds-grid slds-wrap slds-p-around--small">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                            <asp:Label ID="Label8" runat="server" Text="When you signup for a Orektic account here it will be automatically linked to your Salesforce account from which you have come to this page. Once you signup for an Orektic account successfully you can subscribe to any of the applications available from Orektic for evaluation." meta:resourcekey="Label2Resource1"></asp:Label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="slds-p-horizontal--small">
                    <div class="slds-box custom-background-color--default slds-text-color_default">
                        <div class="slds-box" style="padding: 0">
                            <div class="slds-text-heading--small slds-p-horizontal--x-small slds-p-top--small">
                                <b>Signup</b>
                            </div>
                            <div id="rowError">
                                <asp:Label ID="lbError" runat="server" class="slds-text-color--error slds-text-body_regular" Visible="false"></asp:Label>
                            </div>
                            <div class="slds-text-body_regular slds-grid slds-wrap slds-p-horizontal--small slds-p-top--small">
                                <span class="slds-size--1-of-1">It seems you are visiting this page directly and not through your Salesforce account. In order to signup for Orektic account you must come to this page through your Salesforce account. Please login to your Salesforce account and go to "FTP Attachments Setup" tab to signup.
                                </span>
                                <br />
                                <br />
                                <span class=" slds-size--1-of-1 slds-p-top--x-small">"FTP Attachments Setup" tab will appear in your Salesforce account only if you have installed the FTP Attachments Appexchange package in your Salesforce account. If you have not installed FTP Attachments package and wish to install it please click on "Get It Now" button below.
                                </span>
                                <br />
                            </div>
                            <div class="slds-grid slds-wrap slds-grid--align-center slds-align--absolute-center ">
                                <div class="slds-size--1-of-1 slds-align-middle slds-p-left--small slds-p-around--small">
                                    <asp:Button ID="btnGoToSalesforce1" runat="server" OnClick="btnGetItNow_Click" SkinID="DefaultButton" Text="Go To Salesforce" PostBackUrl="https://www.salesforce.com/login.jsp" CssClass="slds-button slds-button_outline-brand" Style="position: inherit;" />
                                    <asp:Button ID="btnGetItNow1" runat="server" OnClick="btnGetItNow_Click" SkinID="DefaultButton" Text="Get It Now" PostBackUrl="https://www.salesforce.com/appexchange/getitnow.jsp?id=a0330000002VdxmAAC" CssClass="slds-button slds-button_outline-brand" Style="position: inherit;" />
                                    <%--<cc1:ImageButton ID="btnGoToSalesforce" runat="server" OnClick="btnGetItNow_Click" SkinID="DefaultButton" Text="Go To Salesforce" PostBackUrl="https://www.salesforce.com/login.jsp" />--%>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="panelMain" runat="server">
        <ContentTemplate>
            <div class="slds-grid slds-wrap">
                <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-around_small">
                    <div class="slds-size--1-of-1 slds-text-color--default slds-text-body_regular">
                        <div class="slds-card slds-align-content-center">
                            <div class="slds-page-header slds-media__figure slds-size--1-of-1">
                                <div class="slds-col slds-has-flexi-truncate">
                                    <div class="slds-media slds-no-space slds-grow">
                                        <div class="slds-media__figure">
                                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Setup Orektic Account with your Salesforce Account">
                                                <svg class="slds-icon slds-page-header__icon slds-p-around--xxx-small" aria-hidden="true">
                                                    <use xlink:href="../css/vendor/slds/assets/icons/custom-sprite/svg/symbols.svg#custom14"></use>
                                                </svg>
                                            </span>
                                        </div>
                                        <div runat="server" id="Div1" class="slds-media__body">
                                            <nav>
                                                <ol class="slds-breadcrumb slds-line-height_reset">
                                                    <ul class="slds-breadcrumb__item">
                                                        <span>Setup Orektic Account with your Salesforce Account</span>
                                                    </ul>
                                                </ol>
                                            </nav>
                                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="Signup">Signup</h1>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-grid slds-page-header__detail-row">
                                    <div class="slds-grid slds-wrap slds-p-around--small">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                            <asp:Label ID="Label1" runat="server" Text="Using this wizard you can signup for a new Orektic account if you do not have one." meta:resourcekey="Label2Resource1"></asp:Label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                    <div class="slds-size--1-of-1 slds-p-horizontal--small slds-text-color--default slds-text-body_regular">
                        <div class="slds-box slds-align-content-center background-body-color--default">
                            <div>
                                <div>
                                    <div class="slds-card" style="position: inherit;">
                                        <div class="slds-p-around_small slds-grid slds-wrap">
                                            <strong class="slds-text-heading--small slds-size--5-of-7">What does it mean, linking Orektic account with Salesforce account?</strong><br />
                                            <%--<strong><a href="javascript:OnLinkToggle('lnkAnswer','divAnswer', 'Answer : ')" id="lnkAnswer">Answer : >></a></strong>--%>
                                            <div class="slds-size--2-of-7 slds-text-align--right">
                                                <a href="javascript:OnLinkToggle('lnkAnswer','divAnswer', 'Check Now ')" id="lnkAnswer">Check Now
                                            <span data-slds-trend="brand" class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                                <svg viewBox="0 0 16 16" aria-hidden="true">
                                                    <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                                    <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                                </svg>
                                            </span>
                                                </a>
                                            </div>
                                            <div id="divAnswer" style="display: none" class="slds-p-vertical_x-small">
                                                As you may be already aware that whenever any of your Salesforce user accesses Salesforce, they actually login to one virtual organization and hence they can share data with each other. Salesforce assigns a unique ID called Organization Id to your account and all user share this same ID so that they can access the data.<br />
                                                <br />
                                                We use this Organization Id to identify your users when they use one of our applications. We store your organization id with Orektic login information. Whenever request comes from your organization our application looks up your Orektic account and uses settings and subscriptions, using which diffrent services are provided to the users of your Salesforce organization.<br />
                                                <br />
                                                This storing of Salesforce Organization in Orektic account information is linking of Salesforce account with Orektic account. Due to this linking all you need is one Orektic account to use all the applications offerred by Orektic for all your Salesforce users.<br />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slds-p-vertical--large">
                <div>
                    <span class="SectionHeader"></span>
                    <asp:UpdatePanel ID="panelSignup" runat="server">
                        <ContentTemplate>
                            <div class="slds-grid slds-wrap">
                                <div class="slds-box slds-p-top--small slds-m-horizontal--small slds-text-color--default slds-text-body_regular background-body-color--default slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1" style="width: 98%;">
                                    <div class="slds-text-color--default slds-text-body_regular background-body-color--default">
                                        <header class="slds-media slds-media_center slds-has-flexi-truncate slds-small-size--1-of-1 slds-p-bottom--x-small">
                                        <%--<div class="slds-media__figure">
                                                    <span class="slds-icon_container slds-icon-standard-custom" title="Delete">
                                                        <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                                            <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#delete"></use>
                                                        </svg>
                                                        <span class="slds-assistive-text">Signup</span>
                                                    </span>
                                                </div>--%>
                                        <div class="slds-media__body">
                                            <h2 class="slds-text-heading--small">
                                                <span class="slds-text-heading_small slds-text-color--default"><b>Signup to Orektic</b></span>
                                            </h2>
                                        </div>
                                    </header>
                                    </div>

                                    <div class="slds-p-top--small slds-large-size--1-of-1 slds-small-size--1-of-1">
                                        <uc2:Signup ID="Signup" runat="server"></uc2:Signup>
                                    </div>
                                </div>
                            </div>
                        </ContentTemplate>
                    </asp:UpdatePanel>

                    <asp:UpdatePanel ID="panelSignupSuccess" runat="server" Visible="False" class="slds-p-vertical--small">
                        <ContentTemplate>
                            <div class="slds-grid slds-wrap">
                                <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 ">
                                    <div class="slds-p-around--small">
                                        <div class="slds-box slds-box--small slds-grid slds-wrap slds-align--absolute-center background-body-color--default slds-p-around--medium ">
                                            <div class="slds-col slds-size--1-of-1 slds-small-size--1-of-1 slds-card slds-theme--success slds-text-heading--small">
                                                <div class="slds-p-around--small">
                                                    <span class="slds-icon_container slds-icon-utility-success slds-m-right_small  slds-align-top">
                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                            <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" xmlns:xlink="http://www.w3.org/1999/xlink" />
                                                        </svg>
                                                    </span>
                                                    Signup Successful
                                                </div>
                                            </div>
                                            <div class="slds-m-around--small slds-size--1-of-1">
                                                <div class="slds-text-body--regular slds-text-color--default ">
                                                    You have signed up successfully, an email containing password has been sent to your email address specified in the signup process.
                                                <br />
                                                    <br />
                                                    If you do not receive the email, please check your Spam/Junk mail folder. You can always use forgot password link on the <a href="<%=Request.ApplicationPath %>/Login.aspx">login</a> page to retrieve your password.<br />
                                                    <br />
                                                    Now you will be taken to next step of subscribing an application.
                                                </div>
                                            </div>
                                            <div class="slds-border--top slds-size--1-of-1">
                                                <div class="slds-p-around--small">
                                                    <asp:Button ID="btnNext1" runat="server" Text="Next" OnClick="btnNext_Click" CssClass="slds-button slds-button_outline-brand slds-text-align--right " />
                                                    <%-- <cc1:ImageButton ID="btnNext" runat="server" Text="Next" SkinID="DefaultButton" OnClick="btnNext_Click"></cc1:ImageButton>--%>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:UpdatePanel ID="panelLogin" runat="server" Visible="False">
        <ContentTemplate>
            <div class="slds-grid slds-wrap slds-m-top--medium slds-m-bottom--xx-large">
                <div class="slds-col slds-p-horizontal--small slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                    <div class="slds-col slds-card slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                        <asp:Label ID="lbStatus" runat="server"></asp:Label>
                    </div>
                    <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                        <uc1:Login ID="Login1" runat="server" />
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
        </div>
</asp:Content>
